#
# $Id: zk_env.csh,v 1.6 2000/07/31 16:31:24 luc Exp $
#	Luc Boulianne <luc@zks.net>
#
#
# A handy environment variable script for multiple 
# trees. This is for a csh based environment. Look at zk_env.sh for
# sh based environments.
#
# To use:
# 	cd where-ever-your-working-zk-tree-is
#	source bin/zk_env.csh
#
set cwd=`pwd`
setenv ZK_ROOT $cwd
setenv ZK_PROJ_ROOT $cwd
set x=`basename $cwd`

if ( ! -f makefiles/Makefile.top ) then
	echo "[ZK_TOP] ERROR: Not at the top of the zk source tree"
	exit 2
endif

setenv ZK_FREEDOM_ROOT $ZK_PROJ_ROOT/freedom
setenv ZK_LOCAL_ROOT /usr/local
setenv PATH ${PATH}:${ZK_PROJ_ROOT}/bin
setenv ZK_ARCH `zk_arch`
setenv FR_CHECK_PASS_HASH no
echo "[ZK TOP] ZK_PROJ_ROOT=$ZK_PROJ_ROOT"

if ( ! -e Makefile ) then 
	echo "[ZK TOP] creating top level Makefile link to makefiles/Makefile.top"
	ln -s makefiles/Makefile.top Makefile
endif
