#
# $Id: zk_env.sh,v 1.5.8.1 2000/10/11 13:16:47 phil Exp $
# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is Freedom code.
# 
# The Initial Developer of the Original Code is Zero-Knowledge Systems,
# Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
# Zero-Knowledge Systems, Inc.  All Rights Reserved.
# 
# Contributor(s):
#	Luc Boulianne <luc@zks.net>

#
#
# A handy environment variable script for multiple 
# trees. This is for a sh based environment. Look at zk_env.csh for
# csh based environments.
#
# To use:
# 	cd where-ever-your-working-zk-tree-is
#	. bin/zk_env.sh
#
cwd=`pwd`
ZK_ROOT=$cwd
ZK_PROJ_ROOT=$cwd
x=`basename $cwd`

if [ ! -f makefiles/Makefile.top ] ; then
	echo "[ZK_TOP] ERROR: Not at the top of the zk source tree"
else

	ZK_FREEDOM_ROOT=$ZK_PROJ_ROOT/freedom
	ZK_LOCAL_ROOT=/usr/local
	PATH=${PATH}:${ZK_PROJ_ROOT}/bin
	ZK_ARCH=`zk_arch`
	FR_CHECK_PASS_HASH=no
	export ZK_ROOT ZK_PROJ_ROOT ZK_FREEDOM_ROOT ZK_LOCAL_ROOT PATH 
	export FR_CHECK_PASS_HASH ZK_FREEDOM_PKG_ROOT ZK_FRADMIN_PKG_ROOT
	echo "[ZK TOP] ZK_PROJ_ROOT=$ZK_PROJ_ROOT"

	if [ ! -x Makefile ] ; then
		echo "[ZK TOP] creating top level Makefile link to makefiles/Makefile.top"
		ln -s makefiles/Makefile.top Makefile
	fi
fi



