// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// TRACE CONTROL
// TraceControl.h
// Comment these out to turn off various verbose TRACES from the Debug output

// USAGE:
// Normally we leave most tracing turned off, then each dev
// can edit the file locally to turn on specific tracing

// For Windows #define SEND_TRACES_TO_FILE will send output
// to "C:\\traces.log", and nothing to the debugger window in msdev

// This is a maintenance problem (and causes mega-recompiling), 
// but until we have more of a dynamic system it will have to do

#ifndef _TRACECONTROL_H
#define _TRACECONTROL_H

#ifdef _DEBUG

// Special Feature Tracing
 
// When using the ZKCTRACE() macros we need to
// define an actual value

	#define TRACE_GLOB_FREE_STATUS 1		// Glob free notify if Freedom is running
	#define TRACE_MYINTAC          1
	#define TRACE_ROUTEMANAGER     1         // Messages about routes, D-Hellman etc
	#define TRACE_ROUTEPICKER_VERBOSE 1
	#define TRACE_ROUTEPICKER         1
	#define TRACE_PINGS 1 
	#define TRACE_RCLOUDSOCKET 1 
	#define DRIVER_TRACE 1
	#define TRACE_NETINFO 1
	#define TRACE_PERSISTENCE 1

// For these older defines you just comment them out if you don't
// want to use see the tracing

   #define TRACE_LOAD_NYM_CENTRAL
   #define TRACE_SAVE_NYM_CENTRAL		// Dump of all nyms and nym central at each save
   #define TRACE_PORT_MAP				// Dump our port map when we load up
   #define TRACE_COM_OBJECTS

   #define TRACE_ACTIVE_ROUTE_TABLE

#ifndef SEND_TRACES_TO_FILE
   #define TRACE_UNIX_LIB				// Control core library debug traces
#endif

// DLL level TRACE (Commenting out will remove
// all tracing for the entire DLL)

#define TRACE_PLUGIN_ARCH
#define TRACE_MYSPY
#define TRACE_DPOXY_DLL			// (Includes Cookie related Traces)
#define TRACE_NETWORK           // Network project - UDP, IP and other low lever traffic traces.
#define TRACE_DINETD			// Messages from DInetD DLL (socket creation etc)
#define TRACE_HTTP_PROXY		// Messages from the HTTP Proxy

#define TRACE_ENTROPY_POOL		// Entropy tracking (mouse moves, mouse clicks etc) in entropyhooks dll


#else

	// All "new type" constants must be defined as
	// zero on the release build

	#define TRACE_ROUTEPICKER_VERBOSE 0
	#define TRACE_ROUTEPICKER         0
	#define TRACE_MYINTAC  0
	#define TRACE_ROUTEMANAGER 0
	#define TRACE_GLOB_FREE_STATUS 0
	#define TRACE_PINGS 0 
	#define	TRACE_RCLOUDSOCKET 0 
	#define DRIVER_TRACE 0
	#define TRACE_NETINFO 0
	#define TRACE_PERSISTENCE 0

#endif

#endif