// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// Main header file for Linux specific types,
// values etc 

#ifndef __clientlinux_h
#define __clientlinux_h

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <stdio.h>
#include <pthread.h>
#include <ClientVersions.h>

/// Version information
#define FREEDOM_PRODUCT_NAME_STRING "Freedom " FREEDOM_CLIENT_MAJOR_LINUX "." FREEDOM_CLIENT_MINOR_LINUX
// it would be nice to have build numbers get stuck in here.
#define FREEDOM_PRODUCT_VERSION_STRING FREEDOM_CLIENT_MAJOR_LINUX "." FREEDOM_CLIENT_MINOR_LINUX

#define SOCKADDR sockaddr
#define SOCKADDR_IN sockaddr_in
#define IN_ADDR in_addr

#define SOCKET int
#define SOCKET_ERROR -1
//#define VOID void

#define __cdecl 

#define BOOL unsigned int
#define OUT
#define IN

#define MAX_PATH PATH_MAX


/////////////// Use ZKS critical sections /////////////////////

class ZKCriticalSection
{
private:
    pthread_mutex_t m_mutex;
public:
	ZKCriticalSection() 
    { 
        pthread_mutex_init(&m_mutex, NULL); 
    };

	~ZKCriticalSection() 
    { 
        pthread_mutex_destroy(&m_mutex); 
    };

	void Lock() 
    {
        pthread_mutex_lock(&m_mutex); 
    };

	void Unlock() 
    { 
        pthread_mutex_unlock(&m_mutex); 
    };
};

#endif
