// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// clientstl.h

// STL requires a DLL, a dependency we want to
// avoid in certain cases.  While this is a problem
// we segregate these values

#ifndef __clientstl_h
#define __clientstl_h

#include "clientenum.h"
#include <zkIntTypes.h>

// 256 character truncation warning
#ifdef _WIN32
#pragma warning (disable : 4786)
#endif

#if defined (__cplusplus) & defined(WIN32)
	#include <new>
	#define NEW_FIX(p) \
	if (_MSC_VER <= 1200) \
		if(NULL == p) throw ZKSTD::bad_alloc();
#elif defined (__cplusplus)
        #include <new>
        #define NEW_FIX(p) \
                if(NULL == p) throw ZKSTD::bad_alloc();
#endif

#define ZKSTD	std

#include <string>
#include <map>
typedef ZKSTD::map<uint32_t, RULEZ>								MapRules;		// aip id -> enumeration
typedef ZKSTD::map<uint16_t, unsigned int>						Port2UINT;		// port -> route id's
typedef ZKSTD::multimap<uint16_t, uint32_t>						Port2AipIds;
typedef ZKSTD::multimap<uint16_t, uint32_t>::iterator			it_Port2AipIds;
typedef ZKSTD::multimap<uint16_t, uint32_t>::const_iterator		Cit_Port2AipIds;
typedef ZKSTD::multimap<ZKSTD::string, ZKSTD::string>			String2StringMultiMap;
typedef ZKSTD::map<ZKSTD::string, ZKSTD::string>				String2StringMap; 
typedef ZKSTD::map<uint16_t, uint16_t>							PortMap;		// port -> string id

#endif
