// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// this define the commands known by the test framework
// this file is parsed at runtime when TestAgent is executed
// IMPORTANT : don't put anything but #define in this file
//             only use comments of type "// ..." at the start of the line
//             do not use comment of type  /* ... */ 
//             (unless you modify the parser)
//             dont remove the 1 in the #define at the top of the file
//
// private commands (prefixed by PRIV_) aren't show in the TestAgent's list
// of commands.  These commands can be accessed by the code, or in a script.

#ifndef _Test_Commands_H
#define _Test_Commands_H 1

////////////////////////////////////////////////////////////////////////////////
// Actions to change freedom state
// Nym actions
////////////////////////////////////////////////////////////////////////////////

#define PRIV_UNLOAD_NYM				900
#define PRIV_SELECT_FIRST_NYM		901
#define PRIV_SELECT_NEXT_NYM		902
#define IS_LAST_NYM					903
#define PRIV_SELECT_RANDOM_NYM		904
#define PRIV_SELECT_NYM				905
#define PRIV_CURRENT_NYM			906

// Unit Tests

////////////////////////////////////////////////////////////////////////////////
// ZKBase Level Unit Tests
////////////////////////////////////////////////////////////////////////////////

#define CLIENT_BASE_UNIT_TEST		1000

// Test the General project
#define MAIN_SDU_TEST				1001

// Test the inethelp project
#define INETHELP_TESTS				1002

// Test the client base functionnalities that need user interaction.
#define CLIENT_BASE_USER_INTER		1003

// Test the error handling project
#define ERROR_HANDLING_UNIT_TEST	1004

// Test the error handling project for functionnalities that need user interaction
#define ERROR_HANDLING_USER_INTER	1005

////////////////////////////////////////////////////////////////////////////////
// ZKCentral Level Unit Tests
////////////////////////////////////////////////////////////////////////////////

#define CLIENT_TYPES_UNIT_TEST		1100
#define ZK_SERVICE_UNIT_TEST		1101

// (Although currently in .exe project this will move to ZKCentral level)
#define FIREWALL_UNIT_TEST			1102

#define INYMMAIL_ROLLBACK_TEST      1103
#define CREATE_NYM_TEST				1104
#define PRIV_REDEEM_AND_CREATE_NYMS	1106

#define FREEDOM_SETUP_TEST			1105



////////////////////////////////////////////////////////////////////////////////
// ZKShim Level Unit Tests
////////////////////////////////////////////////////////////////////////////////

//Globfree Unit Test
#define GLOBAL_FREEDOM_OBJECT_TEST	1200

////////////////////////////////////////////////////////////////////////////////
// ZKProxies Level Unit Tests
////////////////////////////////////////////////////////////////////////////////

#define D_POP3_PROX_UNIT_TEST		1300
#define D_IPC_HTTP_SERVER_UNIT_TEST 1301

////////////////////////////////////////////////////////////////////////////////
// ZKInstall Level Unit Tests
////////////////////////////////////////////////////////////////////////////////

#define INST_EXPT_TEST				1400

////////////////////////////////////////////////////////////////////////////////
// ZKUI Level Unit Tests
////////////////////////////////////////////////////////////////////////////////

#define DIODES_TEST					1500
#define ZKDIALOGS_UNIT_TEST         1501

////////////////////////////////////////////////////////////////////////////////
// Route Tests
////////////////////////////////////////////////////////////////////////////////
#define ROUTE_TEST_CURRENT_NYM_SECURITY_SETTINGS	1600
#define ROUTE_TEST_AUTHENTICATED_RULES				1601 
#define ROUTE_TEST_SIMULATE_ROUTE_DESTROYS			1602

#define ROUTE_TEST_UNAUTHENTICATED_ROUTES			1603
#define ROUTE_TEST_BRINGUP_UNAUTHENTICATED_ROUTES	1604

//#define ASSERT					2000
#define RUN_TIME_ERROR				2001



#endif