// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

#include "ZkPrngClient.h"
#include "ZkPrngClientImpl.h"
#include <client.h>

ZkPrngClient::ZkPrngClient() : m_pImpl(new ZkPrngClientImpl)
{
}

ZkPrngClient::~ZkPrngClient()
{
	SAFEDELETE(m_pImpl);
}

int ZkPrngClient::Input(
	void * in_sample, 
	const size_t in_size,
	const unsigned int bits,
	const source in_source)
{
	return m_pImpl->Input(in_sample, in_size, bits, in_source);
}