/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKPRNGCLIENT_H__
#define ZKPRNGCLIENT_H__

#include "ZkYarrow.h"

class ZkPrngClientImpl;

class ZKYARROW_DLL ZkPrngClient
{
public:
	ZkPrngClient();
	virtual ~ZkPrngClient();


	// PURPOSE: Add to default entropy pool
	// REQUIRE:	Valid input pointer pointing to at least in_size of data
	//			The 'in_entropybits' is your estimate of the amount of entropy
	//			in that data.
	// PROMISE: To call Yarrow_Input() from the C Yarrow project
	virtual int Input(
		void * in_sample, 
		const size_t in_size,
		const unsigned int bits,
		const source in_source) throw();

private:
	ZkPrngClient( const ZkPrngClient& );
	ZkPrngClient& operator=( const ZkPrngClient& );

	ZkPrngClientImpl* m_pImpl;
};


#endif // ZKPRNGCLIENT_H__