// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom(R) code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



//===========================================================================
// String Catalog for Linux.
// DO NOT MODIFY. Use makecat to generate (see ericb)
//===========================================================================


#include "DialogMessages.h"

const char* DialogMessages[] = {
/* IDS_NEW_PASSPHRASE_CONFIRM_ERROR                   */    "The two passphrases you entered do not match.\n\nPlease re-enter your passphrase.\n",
/* IDS_PASSPHRASE_CHANGED                             */    "Passphrase successfully changed.",
/* IDS_PASSPHRASE_ERR                                 */    "Please enter a valid passphrase of at least 8 characters.\nSecure passphrases contain a mixture of letters, numbers and symbols.",
/* IDS_FREEDOM                                        */    "Freedom",
/* IDS_ROUTES                                         */    "The rules you have set are valid.\nThere are %1 different routes which satisfy these rules.",
/* IDS_CANNOT_SEE_RULES                               */    "No routes are possible\nusing the rules you have selected.\n\nPlease use different rules.",
/* IDS_CONFIRM_BADRULES                               */    "There are no routes available using the rules\nyou have selected. Are you sure you want to use these rules?",
/* IDS_ROUTES_ONE_AVAILABLE                           */    "The rules you have set are valid.\nThere is one route which satisfies these rules." ,
/* IDS_NOFREEDOMINRB                                  */    "The email address you entered cannot be used to receive Freedom email.\nPlease note that you cannot use an existing Freedom email address\nas the destination address for a new nym.",
/* IDS_NOEMAILADDRESS                                 */    "Please enter a valid POP3 email address.",
/* IDS_NOREPLYBLOCKNAME                               */    "You have to supply a Reply Block Name.",
/* IDS_BLOWFISH                                       */    "BlowFish, with a 128-bit key",
/* IDS_3DES                                           */    "3DES, with three 56-bit keys",
/* IDS_DESX                                           */    "DESX, with a 56-bit key",
/* IDS_5MIN                                           */    "5 min.",
/* IDS_10MIN                                          */    "10 min.",
/* IDS_30MIN                                          */    "Half hour",
/* IDS_HOUR                                           */    "1 hour",
/* IDS_3HOURS                                         */    "3 hours",
/* IDS_6HOURS                                         */    "6 hours",
/* IDS_12HOURS                                        */    "12 hours",
/* IDS_1DAY                                           */    "1 day",
/* IDS_RANDOMTIME                                     */    "Random (0-60 seconds)",
/* IDS_WORD_IN_LIST                                   */    "This word is already in the list",
/* IDS_RETIRE_ARE_YOU_SURE                            */    "Are you sure you want to delete this nym?\n\nThis operation cannot be reversed and the time\nremaining until this nym's retire date will be lost.",
/* IDS_SETUP_WIZ_WARNING                              */    "Running the setup wizard again will erase all your existing Freedom information.\nYou will not be able to re-create nyms with the same names.\n\nAre you sure you want to erase existing nyms, private keys and tokens?",
/* IDS_SELECT_AIP                                     */    "Please select a server before applying a rule.",
/* IDS_RULES_APPLIED_LATER                            */    "Your route preference changes will go into\neffect next time you select %1",
/* IDS_1MIN                                           */    "1 min.",
/* IDS_0SEC                                           */    "0 sec.",
/* IDS_NEED_DESTINATION                               */    "Please select a location to save the backup file.\nFor information on creating backup files please refer to the Freedom online help.",
/* IDS_BACKUP_EXISTS_BLOW_AWAY                        */    "A backup file already exists at that location.\nAre you sure you want to replace it with a new backup? Please note that all old backup information will be lost.",
/* IDS_BACKUP_SUCCESSFUL                              */    "The backup file was successfully created.\nUse the Backup Recovery Utility if you need to\nrestore this backup in the future.\n\nFor more information please refer to the Freedom online help.",
/* IDS_BACKUP_BROWSE_TITLE                            */    "Please select where you would like the backup file to be created",
/* IDS_DELETE_RB_ARE_YOU_SURE                         */    "Are you sure you want to delete this reply block?",
/* IDS_PORT_MAP_CHANGE                                */    "The changes to the Personal Firewall settings\nwill take effect the next time you start Freedom.",
/* IDS_OUTGOING_NEWS_HEADER                           */    "Freedom is ready to process an outgoing news message." ,
/* IDS_OUTGOING_NEWS_TITLE                            */    "Freedom - Outgoing News",
/* IDS_FREEDOMPREFS_CAPTION                           */    "Freedom Properties",
/* IDS_OFFENSIVE_HEADER                               */    "Freedom has found outgoing %s traffic containing potentially sensitive information %s.",
/* IDS_RULE_NONE                                      */    "No Rule",
/* IDS_RULE_EXIT                                      */    "Exit Server",
/* IDS_RULE_START                                     */    "First Server",
/* IDS_RULE_AVOID                                     */    "Avoid Server",
/* IDS_MISSING_SERVER_IN_RB                           */    "Server %1 used in this reply block is not currently available,\nwhich may prevent delivery of your Freedom mail." ,
/* IDS_MAX_HOPS_IN_REPLYBLOCK                         */    "You have selected the maximum number of servers allowed for the reply block.",
/* IDS_RULE_USESERVER                                 */    "Use Server",
/* IDS_COOKIES_OF_NYM                                 */    "The following cookies are associated with '%1'.  Cookies are sent by web sites, and indicate that your browsing pattern is being monitored.",
/* IDS_EXTENDNYM_AREYOUSURE                           */    "Are you sure you want to spend a token to extend the life of '%1'?\nThis operation cannot be undone.",
/* IDS_NYMPREFS_CAPTION                               */    "Nym Properties",
/* IDS_HOTKEY_UNAVAILABLE                             */    "There is a conflict with the %1 hot key. Please select another key combination.",
/* IDS_UPGRADE_CONNECT_ERR                            */    " Freedom was unable to connect to the upgrade server.",
/* IDS_UPGRADE_DNS_ERR                                */    "Freedom was unable to locate the upgrade server.",
/* IDS_UPGRADE_INVALID_SOCK                           */    "Freedom was unable to connect to the upgrade server.",
/* IDS_PING_BUTTON_TEXT                               */    "&Ping Servers",
/* IDS_STOPPING_BUTTON_TEXT                           */    "Stop &Ping",
/* IDS_UPGRADE_SEND_FAILED                            */    "Freedom was unable to send request to %1(%2).",
/* IDS_UPGRADE_RECV_FAILED                            */    "Freedom did not receive a response from %1(%2).",
/* IDS_PHILIPPE_MIME_ERROR                            */    "An internal mime parsing error occurred in the Freedom client.",
/* IDS_NO_CONTENTLENGTH                               */    "Freedom was unable to find the upgrade.  Please contact Zero Knowledge support for help with this problem.",
/* IDS_UPGRADE_FILEOPEN_FAILED                        */    "Freedom was unable to write the upgrade to your installation directory.  Please contact Zero Knowledge support for help with this problem.",
/* IDS_FAILED_TO_LAUNCH_INSTALL                       */    "Freedom failed to launch the upgrade.  Please contact Zero Knowledge support for help with this problem.",
/* IDS_BLOCK_LIST_TEXT                                */    "Any email sent from the following addresses to %1 will be automatically blocked by the Freedom network.",
/* IDS_RENEWNYM_AREYOUSURE                            */    "Are you sure you want to spend a token to renew '%1'?\nThis operation cannot be undone.",
/* IDS_SELECT_AIP_FOR_OPERATOR                        */    "Please select a server and try again.",
/* IDS_EXTEND_NYM_TEXT                                */    "Select a token to spend in order to extend the life time of '%1'.\nThis operation cannot be reversed.",
/* IDS_XSECONDS                                       */    "%d seconds",
/* IDS_EXPIRED_POSTFIX                                */    "(expired)",
/* IDS_RENEW_BUTTON_TEXT                              */    "&Renew Nym",
/* IDS_RENEW_NYM                                      */    "Renew a Nym",
/* IDS_RENEW_NYM_TEXT                                 */    "Select a token to spend in order to renew '%1'.\nThis operation cannot be reversed.",
/* IDS_EXTEND_BUTTON_TEXT                             */    "&Extend Nym",
/* IDS_MAX_REPLY_BLOCKS_ALREADY                       */    "You already have the maximum permitted number of reply blocks.",
/* IDS_SECURITY_APPLIED_LATER                         */    "Your changes to the active nym's security settings\nwill go into effect next time you select %1",
/* IDS_UPGRADE_BAD_URL                                */    "Freedom was unable to recognize upgrade url.  Please contact Zero Knowledge support for help with this problem.",
/* IDS_SEL_TOKEN_PLEASE                               */    "Please select which type of token you wish to spend",
/* IDS_ERR_BACKUP                                     */    "Cannot save backup file to a network drive while a Nym is selected. Save the backup locally, or de-selected your Nym to save the backup on the network.",
/* IDS_BACKUP_ON_PAGE_GOINGAWAY                       */    "Would you like to perform the backup?",
/* IDS_REDEEM_SERIALNUM_ON_PAGE_GOINGAWAY             */    "Would you like to redeem the serial number?",
/* IDS_CHANGE_PASSWORD_ON_PAGE_GOINGAWAY              */    "Would you like to change your passphrase?",
/* IDS_CANT_ADD_SUPPORTED_PORT                        */    "You have entered a port number that is\nsupported by Freedom. You can only unblock\nports that are not supported by Freedom.",
/* IDS_NYMMAIL_NOTFUNCTIONAL                          */    "Freedom email for this nym is not functioning.",
/* IDS_NYMMAIL_PARTFUNCTIONAL                         */    "Freedom email for this nym is not fully functioning.",
/* IDS_NYMMAIL_FULLFUNCTIONAL                         */    "Freedom email for this nym is functioning normally.",
/* IDS_NYMMAIL_STATE2                                 */    "Your reply blocks are not active. Reply blocks can take several hours to activate. If this is a new nym, or if you have recently re-created your reply blocks, you should wait and check again in a few hours.",
/* IDS_NYMMAIL_STATE2B                                */    "If you have already waited several hours, the activation process may have stalled. You can reinitiate the activation process by pressing the Activate button.",
/* IDS_NYMMAIL_NEEDCONF                               */    "Reply block activation is complete when you receive a confirmation message by email (one confirmation per reply block).",
/* IDS_NYMMAIL_STATE3                                 */    "Not all of your reply blocks are active. Freedom email will work, but it is not completely reliable. Some messages may be lost.",
/* IDS_NYMMAIL_STATE3B                                */    "Reply blocks can take several hours to activate. If this is a new nym, or if you have recently re-created your reply blocks, you should wait and check again in a few hours.",
/* IDS_NYMMAIL_STATE3C                                */    "If you have already waited several hours, the activation process may have stalled. You can reinitiate the activation process by pressing the Activate button.",
/* IDS_NYMMAIL_STATE4                                 */    "You have less than three reply blocks. Freedom email will work, but it is not completely reliable. Some messages may be lost.",
/* IDS_NYMMAIL_ACTIVATENOW                            */    "Press the Activate button now to rebuild and activate your reply blocks.  Note that activation can take several hours.",
/* IDS_NYMMAIL_NOPOP                                  */    "You did not enter a POP email address for this nym. If you want to use Freedom email with this nym, enter your POP email address in Nym Properties > My Information.",
/* IDS_NYMMAIL_NOPOPB                                 */    "If you want to use a POP email address for this nym that is different from the POP email address that is used for your other nyms, you need to manually create the reply blocks for this nym.",
/* IDS_NYMMAIL_STATE7                                 */    "You have no reply blocks.",
/* IDS_NYMMAIL_POSTACTIVATE                           */    "Reply block activation can take several hours, and in some cases more than a day. A reply block is fully activated when you receive an activation notice by email. ",
/* IDS_NYMMAIL_POSTACTIVATE2                          */    "Please check your mail periodically over the next few hours (with Freedom running). We suggest that you do not use Freedom email until you have activated three reply blocks per nym.",
/* IDS_SECURITY_3_HOP                                 */    "Freedom uses 3 servers to create a private route. This is the most secure type of Freedom connection.",
/* IDS_SECURITY_2_HOP                                 */    "Freedom uses 2 servers to create a private route. This setting will provide you with above-average security but should not be used when absolute security is required.",
/* IDS_SECURITY_1_HOP                                 */    "Freedom uses 1 server to create a private route. This setting will provide you with average security and should only be used while browsing non-sensitive sites where high performance is essential.",
/* IDS_DOWNLOAD_UPGRADE_COMPLETE                      */    "Successfully downloaded Freedom Client upgrade.\nPlease press OK to start the installation.",
/* IDS_ASK_UPDATE_RBS                                 */    "You must re-create your reply blocks before\nFreedom email can be delivered to your new email address.\n\nWould you like Freedom to automatically\nre-create all reply blocks for all nyms?",
/* IDS_ASK_DELETE_RBS                                 */    "You have not specified a POP email address. Freedom email will continue to be sent to your old POP email address unless you delete your reply blocks.\n\nWould you like to delete all reply blocks for all of your nyms?",
/* IDS_OFFENDING_DEST                                 */    " destined for %s",
/* IDS_FREEDOM_EXPIRED_UPGRADE_NOW                    */    "This version of Freedom will no longer work on the Freedom network. Press OK to have Freedom update itself now.",
/* IDS_UPGRADE_AVAILABLE                              */    "A newer version of Freedom is available for download.  Press OK to have Freedom update itself now.",
/* IDS_UPGRADE_DLG_TXT1                               */    "Saved:",
/* IDS_UPGRADE_DLG_TXT2                               */    "%1 KBytes in %2 seconds",
/* IDS_UPGRADE_DLG_TXT3                               */    "%1 KBytes/second",
/* IDS_FIREWALL_DESC_BLOCKALL                         */    "Unsupported ports are blocked.  Communication is secure, but some Internet applications may not function."                            ,
/* IDS_FIREWALL_DESC_OPENSELECT                       */    "Click the Ports button to enter port numbers to unblock.  Ports entered into the list are not protected by Freedom.",
/* IDS_FIREWALL_DESC_OPENALL                          */    "Warning!  This option disables the Freedom Personal Firewall.  Only select this option if you are using a third-party personal firewall application!",
/* IDS_RBCOLUMN_NAME                                  */    "Name",
/* IDS_RBCOLUMN_LATENCY                               */    "Latency",
/* IDS_RBCOLUMN_ALG                                   */    "Encryption Algorithm",
/* IDS_RBCOLUMN_ACTIVE                                */    "Active",
/* IDS_RBCOLUMN_EMAIL                                 */    "Mail forwarded to",
/* IDS_ACTIVEPAGE_TOKENROUTE                          */    "Route to Token Server",
/* IDS_ACTIVEPAGE_NYMROUTE                            */    "Route to Nym Server",
/* IDS_ACTIVEPAGE_NIQSROUTE                           */    "Route to Network Information Query Server",
/* IDS_ACTIVEPAGE_KEYQRYROUTE                         */    "Route to Key Query Server",
/* IDS_ACTIVEPAGE_FMGROUTE                            */    "Route to Freedom Mail Gateway Server",
/* IDS_ACTIVEPAGE_ACTIVENYMROUTE                      */    "Private route for %1's Internet connections",
/* IDS_SBUF_SIZE_DESCR                                */    "Total message size %d bytes.",
/* IDS_SBUF_SIZE_TRUNC                                */    "Total message size %d bytes (showing first %d bytes).",
/* IDS_DECRYPTED_BUT_FILE_ERROR                       */    "Decryption was successful but output file could not be created",
/* IDS_DECRYPTMSG_SUCCESS                             */    "Successfully decoded message intended for %s",
/* IDS_FILE_EMPTY                                     */    "The file was empty",
/* IDS_FILEEXISTS_ASKREPLACE                          */    "The specified file already exists. Do you want to replace it?",
/* IDS_ENTER_DEST_PATH                                */    "Please enter a destination file name with path and try again",
/* IDS_ENTER_SRC_PATH                                 */    "Please enter a file to decrypt and try again",
/* IDS_RULE_KEYS                                      */    "To set a rule, click in the rule column or use the A,F,E,N keys",
/* IDS_RULE_KEYS_LIMITED                              */    "To set a rule, click in the rule column or use the A,U,N keys",
/* IDS_WALLET_ADDR_OTHER                              */    "Other",
/* IDS_WALLET_ADDR_HOME                               */    "Home",
/* IDS_WALLET_ADDR_WORK                               */    "Work",
/* IDS_RESTART_BROWSER_WARNING                        */    "Please close and restart Internet Explorer for this change to take effect.",
/* IDS_COULD_NOT_CHANGE_NYM                           */    "Freedom could not make the appropriate nym active.\nTo protect your privacy, the form was not filled.\nPlease try again.",
/* IDS_MAX_CC_ENTERED                                 */    "You have reached the maximum number of credit cards.",
/* IDS_PROMPT_ERASE_CARD                              */    "Are you sure you want to remove %1?",
/* IDS_UPGRADE_SIG_CHECK_FAILED                       */    "Freedom Upgrade Error: the signature check on the upgrade that was just downloaded failed.  Details on this error are available from http://www.freedom.net/support",
/* IDS_WALLET_DISABLE_FOR_DOMAIN_PRE                  */    "Disable ePurse at """,
/* IDS_WALLET_DISABLE_FOR_DOMAIN_POST                 */    """",
/* IDS_SHOW_PASSWORDS                                 */    "&Show Passwords",
/* IDS_HIDE_PASSWORDS                                 */    "&Hide Passwords",
/* IDS_ADD_NEW_CARD_TITLE                             */    "Add New Credit Card",
/* IDS_ADD_NEW_CARD                                   */    "Please enter a friendly name for the new card.\nFor example: ""Dad's VISA"".",
/* IDS_RENAME_CARD_TITLE                              */    "Rename Credit Card",
/* IDS_RENAME_CARD                                    */    "Please enter the new friendly name for this card.",
/* IDS_LOGIN_USERNAME                                 */    "Username",
/* IDS_LOGIN_PASSWORD                                 */    "Password",
/* IDS_LOGIN_DOMAIN                                   */    "Website",
/* IDS_LOGIN_NYM                                      */    "Nym",
/* IDS_CREDIT_CARD_WARNING                            */    "Entering credit card information with a nym active is not recommended.\nIt will allow the website to link your nym to your true identity.",
/* IDS_ENOUGH_ROUTES                                  */    "The rules you have set are valid.\nThere are at least %1 different routes which satisfy these rules.",
};
