/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */




//===========================================================================
// String Catalog for Linux.
// DO NOT MODIFY. Use makecat to generate (see ericb)
//===========================================================================


#include "MiscMessages.h"

const char* MiscMessages[] = {
/* IDS_CANT_SAVE_ACCESSDENIED_OLD                     */    "The file is either already open or you do not have permission to save into the Freedom folder.",
/* IDS_CANT_SAVE_NO_MEMORY_OLD                        */    "There is insufficient memory to save onto the disk.  Close all applications that are not required and try to save again.",
/* IDS_CANT_SAVE_MEDIUMFULL_OLD                       */    "Drive %s may be low on disk space. Delete any unnecessary files to create enough space for Freedom to save files.",
/* IDS_CANT_LOAD_ACCESSDENIED                         */    "The file is either already open or marked as read-only.",
/* IDS_CANT_LOAD_NO_MEMORY                            */    "There is insufficient memory. Close all applications that are not required and try again.",
/* IDS_CANT_LOAD_MEDIUMFULL                           */    "Drive %s may be low on disk space. Delete any unnecessary files to create enough space for Freedom to operate.",
/* IDS_CANT_LOAD_FILE_CORRUPT                         */    "The file appears to be corrupt. You may be able to correct this problem by copying ~/.freedom/freedom.nym.backup to ~/.freedom/freedom.nym. Please refer to the online help for detailed information about restoring from a backup nym file.",
/* IDS_NYM_EXPIRE_WARNING                             */    "Your nym %s will expire in %d days.\n\nTo extend this nym's life go to the nym properties page and click extend nym.",
/* IDS_NYM_EXPIRED_WARNING                            */    "Your nym %s has expired!\n\nYou have %d days to re-activate this nym before it is permanently deleted.",
/* IDS_NYM_DEAD_WARNING                               */    "The grace period for %s is over!\nThis nym is no longer available for re-activation.",
/* IDS_NYM_EXPIRE_TODAY_WARNING                       */    "Your nym %s will expire today!\n\nTo extend this nyms life go to the nym properties page and click extend nym.\nFor more information about nym life please see the online help.",
/* IDS_NYM_EXPIRED_LASTDAY_WARNING                    */    "Your nym %s has expired!\n\nToday is the last day to re-activate this nym before it is permanently deleted.",
/* IDS_NYM_EXPIRE_ONE_DAY_WARNING                     */    "Your nym %s will expire in 1 day.\n\nTo extend this nyms life go to the nym properties page and click extend nym.",
/* IDS_NYM_AUTOEXTEND_SUCCESSFUL                      */    "Your nym %s has been automatically extended",
/* IDS_ERR_BACKUP_NYM_ACTIVE                          */    "Cannot save backup file to a network drive while a nym is selected. Save the backup locally, or de-select your nym to save the backup on the network.",
/* IDS_CANT_APPLY_RULE                                */    "No routes are currently available for this nym.",
/* IDS_ROUTE_HAS_BEEN_LOST                            */    "Freedom has lost your private route and has blocked all\noutgoing data for your security.\n\nThe Route Wizard will be displayed to allow you to create a new route.",
/* IDS_DONT_SHOW_AGAIN_DEFAULT                        */    "Do not show again",
/* IDS_MAIL_DELETION_WARNING                          */    "Your mail client is configured to leave messages on the server. Freedom does not support this option for nym mail. Your nym mail will be removed from the server.",
/* IDS_NO_NYM_CAN_SEND_MAIL                           */    "None of your nyms are able to use Freedom email.\n\nPlease create at least one nym that is\ncapable of using Freedom email.",
/* IDS_WALLET_HOW_TO_DRAG_AND_DROP                    */    "This web page has a form on it that Freedom does not yet know.\n\nTo drag and drop your information,\n1. Press %s, or\n2. Click 'Drag & Drop Personal Info' in the Freedom system tray menu.",
/* IDS_MAIL_MUST_SELECT_NYM                           */    "You have chosen to only check mail for your active nym. Please select a nym capable of receiving Freedom mail and try again.",
/* IDS_MAIL_NO_MAIL_NYMS                              */    "You do not have any nyms capable of receiving Freedom mail. For information on purchasing nyms with access to Freedom mail, see www.freedom.net.",
/* IDS_MAIL_RELAY_INVALID                             */    "Freedom failed to connect to your SMTP mail relay: %s. Please make sure you have configured Freedom with a valid SMTP mail relay.",
/* IDS_MAIL_PREVENT_CORRELATION                       */    "Please select a premium nym to send Freedom email.\n\nFreedom is configured to always send email from the active nym. You can change this setting in the Freedom Email preferences.\n\nPlease note: this email message may still be in your mail program's outbox.",
/* IDS_MAIL_WILL_BE_SENT_AS_NYM                       */    "This mail will be sent as the currently selected nym or true identity.\n\nFreedom is configured to always send email from the active nym.  You can change this setting in the Freedom Email preferences.\n\nClicking Cancel will block the message.",
/* IDS_NOWINSOCK                                      */    "It appears that you do not have Winsock 2 installed on your computer. Winsock 2 is required to run Freedom. Cannot continue. Please install Winsock 2 and restart Freedom. If Winsock 2 is installed and the problem persists, contact Zero-Knowledge support.",
/* IDS_INVALID_SERIAL_NUMBER                          */    "The activation code you entered is not valid.\nPlease check the code and try it again.\n\nIf you think you are receiving this message\nin error contact Zero-Knowledge for support.",
/* IDS_UNIT_TEST_STRING                               */    "This is the unit test string in the ClientBase dll.\n",
/* IDS_TOO_MANY_NYMS_FOR_DIALOG                       */    "You have too many nyms to display at once on the Nym Properties dialog.\n\nIf you wish to see the properties of a nym that is not displayed please:\n   -close the nym properties dialog\n   -select that nym\n   -reopen the dialog.",
/* IDS_CHANGE_TO_USER_NYM_QUESTION                    */    "It is recommended that you switch to 'True Identity' because you will be required\nto enter your true name and credit card information to purchase Premium nyms.\n\nDo you want Freedom to select 'True Identity' before you continue ?",
/* IDS_NO_ROUTE_DESC                                  */    "No route",
/* IDS_CREDIT_CARD_FILL_WARNING                       */    "You are currently viewing a web form that is asking for your credit card number. Your credit card information reveals your identity, even if you have a nym selected. We recommend cancelling, and switching to your true identity before filling in this form.",
/* IDS_ALWAYS_FILL_IN                                 */    "&Always fill in",
/* IDS_BUTTON_FILL_IN                                 */    "&Fill in",
/* IDS_STOCK_OK                                       */    "OK",
/* IDS_STOCK_CANCEL                                   */    "Cancel",
/* IDS_STOCK_YES                                      */    "Yes",
/* IDS_STOCK_NO                                       */    "No",
/* IDS_GETTINGSTARTED_URL                             */    "http://www.freedom.net/docs/startup",
/* IDS_HOMEPAGE_URL                                   */    "http://www.freedom.net/?c",
/* IDS_SUPPORT_URL                                    */    "http://www.freedom.net/support/?c",
/* IDS_OPERATOR_URL                                   */    "http://www.freedom.net/info/server.html?%d&c",
/* IDS_NEWS_URL                                       */    "http://news.freedom.net",
/* IDS_TEAM_URL                                       */    "http://www.freedom.net/team.html",
/* IDS_PREMIUM_INFO_URL                               */    "http://store.freedom.net/buynow/default.asp",
/* IDS_KB_MAIL_CORRELATION_URL                        */    "http://www.freedom.net/support/article.html?article=328",
/* IDS_VIRAL_EMAIL_WARNING                            */    "http://www.freedom.net/support/article.html?article=248",
/* IDS_TESTDRIVE_URL                                  */    "http://www.freedom.net/docs/testdrive/?standardSetup=false",
/* IDS_TESTDRIVE_URL_STD_NYM                          */    "http://www.freedom.net/docs/testdrive/?standardSetup=true",
/* IDS_KB_SSL_LOGIN_PROBLEMS                          */    "http://www.freedom.net/support/article.html?article=253",
/* IDS_SERIAL_DURING_SETUP_POSTFIX                    */    "duringSetup=true",
/* IDS_SERIAL_POSTFIX                                 */    "duringSetup=false",
/* IDS_TOKEN_UNLIMITED                                */    "Unlimited",
/* IDS_TOKEN_DURATION                                 */    "%d Days",
/* IDS_DEFAULT_TITLE                                  */    "Freedom",
};
