/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef RZKFILEHELP_INCLUDED
#define RZKFILEHELP_INCLUDED

#include "IZkFileHelp.h"

class CLIENTBASE_DLL RZkFileHelp : public IZkFileHelp
{

private:

	virtual int onFolderPicker( const char* in_pszTitle, ZKSTD::string& out_strPickedFile );
	virtual bool onIsNetWorkDrive(const ZKSTD::string& in_strPath) ;

	virtual bool onDoesFileOrDirExist( const char* in_pszFile ) throw(RZkException) ;
	virtual void onCreateDirectory( const char* in_pszDirectory ) throw(RZkException ) ;

	virtual ZKSTD::string onBackupAndErase( const ZKSTD::string& in_rstrFileName ) ;
};

#endif
