/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef RZkRegistry_H__
#define	RZkRegistry_H__

#include <IZkRegistry.h>
#include "NSReg.h"

class CLIENTBASE_DLL RZkRegistry : public IZkRegistry
{
 public:
    RZkRegistry(const char * filename);
    virtual ~RZkRegistry();

    // For access in registry editor, or other things that can see through
    // IZkRegistry --ol
    const HREG GetRegistry( void ) { return m_Registry; } ;
    const RKEY GetFreedomKey( void ) { return m_FreedomKey; } ;

private:
	virtual bool onGetFlag( const char* in_pszKeyName ) ;
	virtual void onSetFlag( const char* in_pszKeyName, bool in_bValue ) ;

	virtual bool onGetDWORD( const char*in_pszKeyName, unsigned long &dwValue ) ;
	virtual void onSetDWORD( const char*in_pszKeyName, unsigned long in_dwValue ) ;

	virtual void onGetShortArray( const char*in_pszKeyName, ZKSTD::vector<uint16_t >& out_vec ) ;
	virtual void onSetShortArray( const char*in_pszKeyName, const ZKSTD::vector<uint16_t > in_vec ) ;

	virtual bool onGetString( const char*in_pszKeyName, ZKSTD::string& out_pszValue) ;
	virtual void onSetString( const char*in_pszKeyName, const char*in_pszValue ) ;

	virtual long onDeleteValue(const char* in_pszKeyName );
	virtual long getValueLength(const char *keyName);
	virtual void init(const char *fileName);
	HREG m_Registry;
	RKEY m_FreedomKey;
};

#endif	// RZkRegistry_H__
