/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef _IZkModuleVer__H
#define _IZkModuleVer__H

#include "ClientBaseInc.h"	// for CLIENTBASE_DLL
#include "ZkSingleton.h"	// for base class
#include <client.h>			// for tstring
#include <string>

#ifdef _WIN32
#pragma warning(disable: 4275)
#endif

class CLIENTBASE_DLL IZkModuleVer 
	: public ZkSingleton < IZkModuleVer >
{
public:

    IZkModuleVer();
    virtual ~IZkModuleVer(){}

	static int GetFileVersionInfo( const char* in_strModulename ) ;
	static tstring GetValue( const char * in_strKeyName ) ;

protected:

	virtual int onGetFileVersionInfo( const char* in_strModulename  ) = 0;
	virtual tstring onGetValue(const char * in_strKeyName )  = 0;

};



#endif	// _IZkModuleVer__H
