// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include "IZkPopup.h"


IZkPopup::IZkPopup( )
{
}


IZkPopup::~IZkPopup( )
{
}


void 
IZkPopup::MessageBox( 
	uint32_t in_msgId, 
	IconType in_icontype, /* = ZK_MESSAGE */
	PopupPosition in_popupPos, /*= OVER_FREEDOM */
    uint32_t in_titleMsgId /* IDS_FREEDOM */ )
{
    get().openMessageBox( in_msgId, in_icontype, in_popupPos, in_titleMsgId );
}

void 
IZkPopup::MessageBox( 
	const tstring& in_msg, 
	IconType in_icontype, /* = ZK_MESSAGE */
	PopupPosition in_popupPos,/*= OVER_FREEDOM */
    const tstring& in_titleMsg /* "Freedom" */)
{
	get().openMessageBox( in_msg, in_icontype, in_popupPos, in_titleMsg );
}

bool 
IZkPopup::QuestionBox( 
	uint32_t in_msgId, 
	BtnType in_BtnType,
	PopupPosition in_popupPos/*= OVER_FREEDOM */)
{
    return get().openQuestionBox( in_msgId, in_BtnType, in_popupPos );
}

bool
IZkPopup::QuestionBox( 
	const tstring& in_msg, 
	BtnType in_btn, 
	IconType in_icon, /* = ZK_QUESTION */
	bool in_bDefault /* = true */,
	PopupPosition in_popupPos/*= OVER_FREEDOM */)
{
	return get().openQuestionBox(in_msg, in_btn, in_icon, in_bDefault, in_popupPos );
}

bool 
IZkPopup::MessageCheckBox(	
	uint32_t	in_msgId,
	uint32_t	in_checkMsgId,
	bool		in_bDefaultChecked, 
	IconType	in_icon,
	PopupPosition in_popupPos/*= OVER_FREEDOM */)

{
    return get().openMessageCheckBox( in_msgId, in_checkMsgId, in_bDefaultChecked, in_icon, in_popupPos );
}

bool 
IZkPopup::MessageCheckBox(	
	const tstring&	in_msg,
	uint32_t		in_checkMsgId,
	bool			in_bDefaultChecked, 
	IconType		in_icon,
	PopupPosition in_popupPos/*= OVER_FREEDOM */)
{
	return get().openMessageCheckBox( in_msg, in_checkMsgId, in_bDefaultChecked, in_icon, in_popupPos );
}


bool
IZkPopup::QuestionCheckBox(	
	uint32_t in_msgId,
	bool& out_bChecked,
	uint32_t in_btn1textId,
	uint32_t in_btn2textId,
	uint32_t in_checkMsgId,
	bool in_bDefaultChecked, 
	IconType in_icon,
	PopupPosition in_popupPos )
{
	return get().openQuestionCheckBox( 
		in_msgId, 
		out_bChecked, 
		in_btn1textId,
		in_btn2textId,
		in_checkMsgId, 
		in_bDefaultChecked,
		in_icon,
		in_popupPos);
}

bool 
IZkPopup::QuestionCheckBox(
	const tstring& in_strQuestion,
	bool& out_bChecked,
	uint32_t in_btn1textId,
	uint32_t in_btn2textId,
	uint32_t in_checkMsgId,
	bool in_bDefaultChecked, 
	IconType in_icon,
	PopupPosition in_popupPos )
{
	return get().openQuestionCheckBox( 
		in_strQuestion, 
		out_bChecked, 
		in_btn1textId,
		in_btn2textId,
		in_checkMsgId, 
		in_bDefaultChecked,
		in_icon,
		in_popupPos);
}


tstring 
IZkPopup::RequestStringBox(	
	const tstring& in_strTitle,
	const tstring& in_strPrompt,
	const tstring& in_strInitialValue,
	int in_nMinLength,
	PopupPosition in_popupPos)
{
	return get().openRequestStringBox( in_strTitle, in_strPrompt, in_strInitialValue, in_nMinLength, in_popupPos );
}
