// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



#include "IZkRegistry.h"


IZkRegistry::IZkRegistry()
{
}

bool 
IZkRegistry::GetFlag( const char* in_pszKeyName )
{
	return get().onGetFlag( in_pszKeyName );
}

void
IZkRegistry::SetFlag( const char* in_pszKeyName, bool in_bValue )
{
	get().onSetFlag( in_pszKeyName, in_bValue );
}


bool
IZkRegistry::GetDWORD( const char*in_pszKeyName, unsigned long &dwValue )
{
	return get().onGetDWORD( in_pszKeyName, dwValue );
}

void
IZkRegistry::SetDWORD( const char*in_pszKeyName, unsigned long in_dwValue )
{
	get().onSetDWORD( in_pszKeyName, in_dwValue );
}

void
IZkRegistry::GetShortArray( const char*in_pszKeyName, ZKSTD::vector<uint16_t >& out_vec )
{
	get().onGetShortArray( in_pszKeyName, out_vec );
}

void
IZkRegistry::SetShortArray( const char*in_pszKeyName, const ZKSTD::vector<uint16_t > in_vec )
{
	get().onSetShortArray( in_pszKeyName, in_vec );
}


bool
IZkRegistry::GetString( const char*in_pszKeyName, ZKSTD::string& out_pszValue)
{
	return get().onGetString( in_pszKeyName, out_pszValue);
}

void
IZkRegistry::SetString( const char*in_pszKeyName, const char*in_pszValue )
{
	get().onSetString( in_pszKeyName, in_pszValue );
}

long
IZkRegistry::DeleteValue(const char* in_pszKeyName )
{
	return get().onDeleteValue(in_pszKeyName );
}