// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include "ZkConsoleHint.h"


//===========================================================================
// CLASS ZkConsoleHint
//===========================================================================

//---------------------------------------------------------------------------
//
ZkConsoleHint::ZkConsoleHint( )
    : m_eSeverity( CONS_IMPORTANT )
    , m_eImage( CONSIMAGE_NORMAL )
{
}

//---------------------------------------------------------------------------
//
ZkConsoleHint::ZkConsoleHint( 
    const ZKSTD::string& msg, 
    ConsImage image, 
    ConsSeverity severity
) 
    : m_eSeverity( severity )
   ,  m_eImage( image )
   ,  m_msg( msg )
{
}

//---------------------------------------------------------------------------
//
ZkConsoleHint::ZkConsoleHint( const ZkConsoleHint& hint )
    : ZkHint()
{
    m_eSeverity = hint.m_eSeverity;
    m_eImage    = hint.m_eImage;
    m_msg       = hint.m_msg;
}

//---------------------------------------------------------------------------
//
ZkConsoleHint::~ZkConsoleHint( )
{
}



