// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include <ZkProxyDialogs.h>
#include <clientdebug.h>


//===========================================================================
// CLASS ZkProxyDialogs
//===========================================================================

//---------------------------------------------------------------------------
//
ZkProxyDialogs::ZkProxyDialogs( ZKSTD::auto_ptr< IProxyDialogs > handler )
    : m_pHandler( handler )
{
    ZKASSERT( m_pHandler.get() != 0 );
}

//---------------------------------------------------------------------------
//
ZkProxyDialogs::~ZkProxyDialogs( )
{
}


//---------------------------------------------------------------------------
//
long ZkProxyDialogs::LaunchOutgoingMsgDlg( 
    ZKSTD::vector<ZKSTD::string>* pVecAddresses, 
    bool in_fSMTP,
	const ZKSTD::string* in_pStrUserEmailAddr
)
{
    return get().m_pHandler->LaunchOutgoingMsgDlg( pVecAddresses, in_fSMTP, in_pStrUserEmailAddr );
}

//---------------------------------------------------------------------------
//
bool ZkProxyDialogs::LaunchWordScanMsgDlg( 
    unsigned int in_Protocol, 
    WordScanSummary* in_pScanResults 
)
{
    return get().m_pHandler->LaunchWordScanMsgDlg( in_Protocol, in_pScanResults );
}

//---------------------------------------------------------------------------
//
bool ZkProxyDialogs::LaunchWarnSignedMailDlg( )
{
    return get().m_pHandler->LaunchWarnSignedMailDlg( );
}

//---------------------------------------------------------------------------
//
long ZkProxyDialogs::LaunchFirstMailCheckDlg( )
{
	return get().m_pHandler->LaunchFirstMailCheckDlg( );
}

//---------------------------------------------------------------------------
//
void ZkProxyDialogs::LaunchMailSentCountDlg( time_t resetTime,
                                             ZKSTD::vector< ZKSTD::string> * pvecRecipients ) {
	get().m_pHandler->LaunchMailSentCountDlg( resetTime,
                                              pvecRecipients );
} 


//---------------------------------------------------------------------------
//
bool ZkProxyDialogs::LaunchWarnNNTPConnectionDlg( )
{
	return get().m_pHandler->LaunchWarnNNTPConnectionDlg( );
}

//---------------------------------------------------------------------------
//
bool ZkProxyDialogs::LaunchWarnSSLConnectionDlg( )
{
	return get().m_pHandler->LaunchWarnSSLConnectionDlg( );
}
