/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef _ZKS_INCL_ZKSTATUS
#define _ZKS_INCL_ZKSTATUS

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef _ZKS_INCL_ZKSTATUSID
#include <ZkStatusId.h>
#endif

/*===========================================================================
 * CLASS ZkStatus
 *=========================================================================*/

/*
  Helper class to scope a status update.
  Simply sets and resets a status through the ZkStatusSubject.
*/

class ZkStatus {

public: 

    /*----- member functions -----*/

    // Note: forceUpdate argument mostly for future windows use.
    ZkStatus( ZkStatusId, bool forceUpdate=false );
    ~ZkStatus();
      
private:
    
    /*----- data members -----*/

    ZkStatusId m_id;
    bool       m_force;
};
#endif
