/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef _ZKS_INCL_ZKSTATUSID
#define _ZKS_INCL_ZKSTATUSID


/*===========================================================================
 * enum ZkStatusId
 *=========================================================================*/

/*
  This enum describes the different states that can be updated in the 
  client ui through the use of the ZkStatusSubject.
*/


// FIXME - get rid of global dependencies in this header by moving the
//         declaration here.
#include <clientenum.h>
typedef ZK_STATUS_TYPE ZkStatusId;

#if 0
typedef enum {
    ZK_STATUS_UNDEFINED = 0,
    ZK_STATUS_SECURE	= 1,  // Whether a nym is active or not, in future with multiple
    // levels of nym security might become a multistate

    // Show that email is not activated yet for a particular nym
    ZK_STATUS_MAILBROKEN = 2, 

    // Busy States - show that Freedom is doing something

    ZK_STATUS_PROGRESS_BUSY = 100,	// General busy
    ZK_STATUS_NETWORK_BUSY  = 101,
    ZK_STATUS_TASKBAR_BUSY  = 102,
    ZK_STATUS_MAIL_BUSY     = 103,	// Handles mail and news currently
    ZK_STATUS_CRYPTO_BUSY   = 104,	// Encryption of mail, etc.

    // Protocol connection states
    ZK_STATUS_MAIL_CONNECTION   = 200,
    ZK_STATUS_WEB_CONNECTION    = 201,
    ZK_STATUS_SSL_CONNECTION    = 202,
    ZK_STATUS_TELNET_CONNECTION = 203,
    ZK_STATUS_IRC_CONNECTION    = 204,
    ZK_STATUS_NEWS_CONNECTION   = 205,
	
    // Brief Events
    ZK_STATUS_WEB_COOKIE		= 300,

    // Firewall event showing we block outgoing connection with nym active
    ZK_STATUS_REFUSE_CONNECTION = 301
        
} ZkStatusId;
#endif // #if 0


#endif
