// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include <ZkStatusSubject.h>


//===========================================================================
// CLASS ZkStatusHint
//===========================================================================

//---------------------------------------------------------------------------
//
ZkStatusHint::ZkStatusHint( 
    ZkStatusId id, 
    bool state, 
    bool forceUpdate
)
   : m_id( id )
   , m_state( state )
   , m_force( forceUpdate )
{
}

//---------------------------------------------------------------------------
//
ZkStatusHint::~ZkStatusHint( )
{
}

//---------------------------------------------------------------------------
//
ZkStatusId ZkStatusHint::GetStatusId() const
{
    return m_id;
}

//---------------------------------------------------------------------------
//
bool ZkStatusHint::GetStatus() const
{
    return m_state;
}

//---------------------------------------------------------------------------
//
bool  ZkStatusHint::ShouldForceUpdate() const
{
    return m_force;
}


//===========================================================================
// CLASS ZkStatusSubject
//===========================================================================

ZkStatusSubject* ZkSingleton< ZkStatusSubject >::m_instance = 0;

//---------------------------------------------------------------------------
//
ZkStatusSubject::ZkStatusSubject( )
{
}

//---------------------------------------------------------------------------
//
ZkStatusSubject::~ZkStatusSubject( )
{
}

//---------------------------------------------------------------------------
//
void ZkStatusSubject::UpdateStatus( 
    ZkStatusId id,  
    bool state, 
    bool forceUpdate 
)
{
    ZkStatusHint hint( id, state, forceUpdate );

    get().notify( &hint );
}
