// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

#ifndef ZkWebIntegration_H__
#define ZkWebIntegration_H__

#include "ClientBaseInc.h"	// for CLIENTBASE_DLL
#include <client.h>


// Web locations
#define URL_HOMEPAGE_ID				0
#define URL_SUPPORT_ID				1
#define URL_GETTINGSTARTED_ID		2
#define URL_TRIAL_SERIAL_NUM		3
#define URL_BUY_SERIAL_NUM			4
#define URL_NEWS_PARTNER			5
#define URL_TEAM					6
#define URL_KB_MAIL_CORRELATION		8
#define URL_VIRAL_EMAIL_WARNING		10
#define URL_TESTDRIVE_ID			11
#define URL_TESTDRIVE_STD_NYM_ID	12
#define URL_EXTEND_FREE_NYM_ID		13
#define URL_KB_SSL_LOGIN_PROBLEMS	14
#define URL_MORE_INFO				15
#define URL_PREMIUM_INFO_ID			16
#define URL_BUY_SERIAL_NUM_DURING_SETUP 17

#ifdef _WIN32
#pragma warning(disable: 4275)
#endif


class CLIENTBASE_DLL ZkWebIntegration
{

public:

	// ----------- public functions --------------------

	static void LaunchWebSite(unsigned int nID);
	static void LaunchOperatorInfoSite(int in_OperatorID);
	static void LaunchURL(const char* in_pszUrl);
	static void LaunchScalperWebSite(unsigned int nID);

    static ZKSTD::string GetURL( unsigned int nID );

#ifdef INTERNAL_BUILD
	static void DoUnitTest();
#endif

protected:
	
	// ----------- protected functions -----------------

	// this function append a CGI parameter to an URL
	static void AppendURLParameter( ZKSTD::string& io_strURL, const ZKSTD::string& in_strParam);
	
};




#endif	// ZkWebIntegration_H__
