/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */




//===========================================================================
// String Catalog for Linux.
// DO NOT MODIFY. Use makecat to generate (see ericb)
//===========================================================================


#include "ExceptionMessages.h"

const char* ExceptionMessages[] = {
/* IDS_DEFAULT_ERROR                                  */    "Internal Freedom Runtime Error",
/* IDS_FAILED_TO_CREATE_EVENT                         */    "Windows failed to provide an operating service to Freedom [could not create an event object].  Restarting Windows could correct this problem.",
/* IDS_FAILED_TO_OPEN_THE_DRIVER                      */    "Freedom was unable to load Freedom Driver. Restarting Windows and running the Freedom diagnostic utility could help correct this problem.",
/* IDS_FAILED_TO_OPEN_THE_ZKSHIM                      */    "Freedom has determined that the clientshim.o module is not loaded. Please install a copy as root by issuing insmod clientshim.o",
/* IDS_FAILED_TO_CREATE_THREAD                        */    "Linux failed to provide an operating service to Freedom [could not create a TRFilter thread].  Restarting Linux could correct this problem.",
/* IDS_FAILED_TO_PASS_EVENT_TO_VXD                    */    "Windows failed to provide an operating service to Freedom [DeviceIoControl].  Restarting Windows and running the Freedom diagnostic utility could help correct this problem.",
/* IDS_FREEDOM_LSP_NOT_FIRST                          */    "A Freedom component (LSP)  is not configured properly.  Run the Freedom diagnostic utility to correct this problem.",
/* IDS_SOCKET_FAILURE                                 */    "A Freedom component (LSP) could not be found.  Running the Freedom diagnostic utility could help correct this problem.",
/* IDS_PROXY_FAILURE                                  */    "The Freedom proxy component failed to initialize. Ensure no other application is using local port [%d]. If this problem persists, rebooting your computer may help."  ,
/* IDS_PROXY_THREAD_FAILED                            */    "Windows failed to provide an operating service to Freedom [could not create proxy thread, error code %d].  Restarting Windows could correct this problem.",
/* IDS_OUT_OF_MEMORY                                  */    "Your system is running low on memory. Please try closing applications that you are not using or restart your computer.",
/* IDS_FAILED_NETWORK_CONFIG                          */    "Freedom does not have enough network information to contact any %ss.  This may be a temporary problem with the configuration of the Freedom Network.",
/* IDS_BUILDROUTE_AIPCRYPTIONKEY                      */    "Unable to get cryption key for the Freedom server [%s]. The route was not created. ",
/* IDS_BUILDROUTE_AIPSIGNINGKEY                       */    "Unable to get signing key for the Freedom server [%s]. The route was not created.",
/* IDS_BUILDROUTE_AIPNAME                             */    "Could not retrieve Anonymous Internet Proxy (AIP) name [%s].",
/* IDS_BUILDROUTE_FIRSTHOPSIG                         */    "Freedom was unable to read the signature key for the first server in the route.",
/* IDS_BUILDROUTE_SOCKET                              */    "Freedom failed to create a socket. This may be caused by another application using the same resource. Please close down any other network applications running, and try again. If this problem persists, rebooting your computer may help.",
/* IDS_BUILDROUTE_SETPARMS                            */    "Freedom could not use the specified parameters. Route not created.",
/* IDS_BUILDROUTE_CONNECT                             */    "Freedom was unable to connect to the first Freedom Server in your route. Please ensure that you are properly connected to the Internet. If this problem persists, rebooting your computer may help.",
/* IDS_BUILDROUTE_FIRSTHOP_DH                         */    "Freedom was unable to establish a secure communication channel with the first Freedom server [%s].",
/* IDS_BUILDROUTE_DIFHELGETPUBKEYPARMS                */    "The Diffie-Hellman parameters Freedom was attempting to use are invalid.",
/* IDS_BUILDROUTE_SIGVERIF                            */    "The signature for [%s] could not be verified. Authenticated route not created.",
/* IDS_BUILDROUTE_FAIL                                */    "Freedom was unable to create a private route through the Freedom network",
/* IDS_PROLONG_ROUTE_CANT_REUSEEXIT                   */    "Freedom was unable to prolong the existing route.",
/* IDS_FRNYMPARAM                                     */    "Freedom error in frNym library. If you receive this message please submit a bug report by going to http://www.freedom.net/support ",
/* IDS_FRCRYPT                                        */    "Freedom error in frCrypt library. If you receive this message please submit a bug report by going to http://www.freedom.net/support ",
/* IDS_ZKEMAIL                                        */    "Freedom error in zkEmail library. If you receive this message please submit a bug report by going to http://www.freedom.net/support",
/* IDS_NULL_POINTER                                   */    "Invalid argument - Null pointer. If you receive this message please submit a bug report by going to http://www.freedom.net/support",
/* IDS_UNEXPECTED_FAIL                                */    "An unexpected error has occurred. If you receive this message please submit a bug report by going to http://www.freedom.net/support ",
/* IDS_CORRUPT_BUFFER                                 */    "The data Freedom was attempting to process has been corrupted and is unusable. Restoring a backup may solve the problem.",
/* IDS_INVALID_ARG                                    */    "A function was called with invalid arguments. If you receive this message please submit a bug report by going to http://www.freedom.net/support ",
/* IDS_INVALID_ARG_RANGE                              */    "The argument is outside the valid range. If you receive this message please submit a bug report by going to http://www.freedom.net/support ",
/* IDS_FREEDOM_ERROR_CAPTION                          */    "Freedom",
/* IDS_NO_UNAUTH_ROUTES_AVAIL                         */    "There are currently no servers available to create an unauthenticated route.  Rebooting and restarting Freedom may solve the problem.",
/* IDS_CANT_READ_SALT_STREAM                          */    "Your Freedom.nym is not the correct Version. Delete your old Freedom.nym file and re-create nyms.",
/* IDS_CANT_MAKE_UNAUTH_ROUTE                         */    "AipIdFromIpAndPort() returned 0 for  %s",
/* IDS_INCORRECT_PASSPHRASE                           */    "The passphrase you entered is not correct. Please try again. Note that the passphrase is case sensitive.",
/* IDS_SERVER_ERROR                                   */    "The Freedom server reports the following error: [%s]",
/* IDS_SERVER_ERROR_UNKNOWN                           */    "A call to the server has failed.",
/* IDS_BAD_NYM_NAME                                   */    "The nym name you've chosen contains invalid characters. Nym names can contain lower case letters, numbers, periods (.), hyphens (-), and underscores (_) ",
/* IDS_UNEXPECTED_ERROR                               */    "Freedom was unable to complete the operation. Please try again. If this problem persists, contact technical support." ,
/* IDS_INSUFFICIENT_SERVERS                           */    "There are too few Freedom Servers available to  perform even the most basic private online activities. Please restart.",
/* IDS_NYM_NAME_ALREADY_EXISTS                        */    "We're sorry but that nym name is already being used by another Freedom user. Please enter another name in the name field and try again.",
/* IDS_COULDNOT_DECRYPT                               */    "The file could not be decrypted. This may occur if you are still receiving email intended for a nym that you have deleted.",
/* IDS_FREEDOM_SAVE_FAIL                              */    "Freedom was unable to save its settings to disk. The settings file may have been set to read-only or the disk may be full. Make sure you have enough free space and that the Freedom.nym file is not write-protected.",
/* IDS_ALTNAMEFAILED                                  */    "The nym name you requested is not available, and Freedom is unable to suggest alternatives. Please choose a different name.",
/* IDS_FILE_WRITE_FAILED                              */    "Freedom was unable to write the file [%s]. The disk may be full. Delete unnecessary file to free up enough disk space so Freedom can save the file.",
/* IDS_TOKEN_ALREADY_SPENT                            */    "This token has already been spent. You can not spend it again.",
/* IDS_LOAD_FREEDOM_DATA_FAILED                       */    "There was an error loading the Freedom data file",
/* IDS_CANT_LOAD_PASSWORD_INVALID                     */    "The passphrase you entered is not correct. Please try again.\r\n\r\n Note that the passphrase is case sensitive.",
/* IDS_CORRUPT_FREEDOM_DATA                           */    "The Freedom settings file appears to be corrupt.  Please restore a backup and try starting Freedom again.",
/* IDS_CANT_OPEN_FREEDOM_DATA                         */    "The Freedom settings file could not be opened.  This may be a problem with file permissions or file corruption.  Please check to make sure you read/write access to the file and directory.  If the file is corrupt you will need to restore a backup and try starting Freedom again.",
/* IDS_FREEDOM_DATA_PERMISSIONS                       */    "The Freedom settings file appears to be read-only.  Please verify that you have read and write permissions to this file and try again.",
/* IDS_WRITE_FILENAME_INVALID                         */    "Freedom was unable to write its settings file because the file path is invalid.",
/* IDS_WRITE_CANT_COPY                                */    "Freedom was unable to save\r\n[%s]\r\ninto\r\n[%s]",
/* IDS_FAILED_CREATE_DIR                              */    "Failed to create directory [%s]",
/* IDS_EMAIL_FAILED                                   */    "Freedom Email Proxy Error: the server has sent a non-standard response that could cause widespread chaos.",
/* IDS_SNMP_ERROR                                     */    "Snmp Error",
/* IDS_NIQS_UPDATE_FAILED_NO_CONNECT                  */    "Freedom was unable to connect to the NIQS server",
/* IDS_NIQS_UPDATE_FAILED_TRANSFER_FAILED             */    "Connection to NIQS succeeded but update operation failed",
/* IDS_FMG_SIG_CHECK_FAILED                           */    "Signature of Freedom Mail Gateway on message is not correct, email may be forged. ",
/* IDS_SERIAL_NUMBER_INVALID                          */    "The activation code you entered is not valid.  Please check the code and try it again.",
/* IDS_FILE_CONFIG_NOT_VALID_WORK                     */    "Freedom was unable to create the directory ""%s"".  Freedom cannot run without this directory.  Please make sure your system is correctly configured.",
/* IDS_FATAL_STARTUP_NETWORKING                       */    "Your operating system failed to provide a networking service to Freedom. Restarting your computer could correct this problem.",
/* IDS_UNITTEST_MESSAGE                               */    "This is the resource string for Error Handling unit tests.  Argument : %d %s.",
/* IDS_DRIVER_IOCTL_FAILED                            */    "Driver IO Control Failed",
/* IDS_DRIVER_IO_FAILED                               */    "Driver IO Failed",
/* IDS_FAILED_TO_GET_MAIL_CERTIFICATE                 */    "Freedom was unable to retrieve a mail certificate for the nym %s. (%s).",
/* IDS_FAILED_TO_CREATE_MAIL_ACCOUNT                  */    "Freedom was unable to create a mail account for the nym %s.",
/* IDS_NO_NIQS_INFO                                   */    "Freedom was unable to contact the NIQS server,and does not have enough information to use the Freedom network. Please verify that your Internet connection is functional. This may be a temporary problem, so please try starting Freedom again later.",
/* IDS_HTTP_REQUEST_FAILED                            */    "Freedom was unable to download an activation number required to create your nym on the Freedom network.  Go to http://www.freedom.net/support for details on how to get this corrected.",
/* IDS_SERIAL_NUM_MAIMED                              */    "The activation token downloaded by Freedom is incorrect.  Go to http://www.freedom.net/support for details on how to get this corrected.",
/* IDS_FAILED_TO_CONNECT_TO_MAIL_SERVER               */    "An error occurred while connecting to the Freedom Mail Server. The server may be down temporarily. Please try again later.",
/* IDS_FAILED_TO_CONTACT_OUTGOING_MAIL_SERVER         */    "An error occurred while contacting the Freedom Mail Server.",
/* IDS_BAD_ESMTP_SERVER_RESPONSE                      */    "The Freedom Mail Server returned an error: %s",
/* IDS_MAIL_AUTHENTICATION_FAILED                     */    "Repeated attempts to authenticate %s with the Freedom Mail Server failed. Please try again later.",
/* IDS_MAIL_AUTHENTICATION_FAILED_NO_NYM_NAME         */    "Repeated attempts to authenticate %s with the Freedom Mail Server failed. Please try again later.",
/* IDS_MAIL_SERVER_REJECTED_RECIPIENT                 */    "The recipient %s was rejected by the Freedom Mail Server.",
/* IDS_FAILED_TO_QUERY_NYMS_PUBLIC_KEY_WITH_REASON    */    "Freedom failed to find the public key for %s. This could happen if the nym didn't exist. (%s)",
/* IDS_FAILED_TO_ENCRYPT_MAIL_FOR_RECIPIENT           */    "Freedom failed to encrypt message for recipient %s.",
/* IDS_FAILED_CONFIRM_DRIVER_WORKING                  */    "A Freedom system error has been reported. You will be unable to run Freedom at this point. Please contact customer support at 1-877-691-3733 to report this error message."  ,
/* IDS_BACKUP_DIR_NOT_EXIST                           */    "The directory that you selected does not exist.  Please create it and try again, or select an existing directory.",
/* IDS_ANIMATION_CANNOT_LOAD                          */    "Unable to load animation from file [%s].",
/* IDS_ANIMATION_NO_FRAMES                            */    "Unable to load frames from animation.",
/* IDS_CANNOT_LOAD_ICON                               */    "Unable to load icon file: %s.",
/* IDS_FAILED_TO_BUILD_ROUTE_TO_CORESERVEER           */    "Failed to build a route to the %s.",
/* IDS_FAILED_TO_CONNECT_TO_CORESERVEER               */    "Successfully built a route to the %s, but failed to connect.",
};
