// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include "ZkAbstractReporter.h"



//===========================================================================
// CLASS ZkAbstractReporter
//===========================================================================

//---------------------------------------------------------------------------
//
ZkAbstractReporter::ZkAbstractReporter( )
{
}

//---------------------------------------------------------------------------
//
ZkAbstractReporter::~ZkAbstractReporter( )
{
}



//===========================================================================
// CLASS ZkReporterReporter
//===========================================================================

ZkReporterInstance* ZkSingleton< ZkReporterInstance >::m_instance = 0;

//---------------------------------------------------------------------------
//
ZkReporterInstance::ZkReporterInstance( 
    ZKSTD::auto_ptr< ZkAbstractReporter> reporter
)
    : m_reporter( reporter.release() )
{
    ZKASSERT( m_reporter != 0 );
}

//---------------------------------------------------------------------------
//
ZkReporterInstance::~ZkReporterInstance()
{
}

//---------------------------------------------------------------------------
//
void ZkReporterInstance::ShowError( const IZkException& in_except ) 
{
    get().m_reporter->ShowError( in_except );
}
