
// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom(R) code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

  


//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include "ZkAssertReporter.h"

//===========================================================================
// CLASS ZkAssertReporter
//===========================================================================

//---------------------------------------------------------------------------
//
ZkAssertReporter::ZkAssertReporter( )
{
}

//---------------------------------------------------------------------------
//
ZkAssertReporter::~ZkAssertReporter( )
{
}

//---------------------------------------------------------------------------
//
void ZkAssertReporter::DisplayMsg( 
    const char* msg, 
    const char* fileName, 
    int   lineNumber 
)
{
    get().OnDisplayMsg( msg, fileName, lineNumber );
}


/*===========================================================================
 * FUNCTION HandleAssert
 *=========================================================================*/

void HandleAssert( const char* msg, const char* fileName, int lineNumber )
{
    // Check for an AssertHandler, If none is found simply use stdout.
    if( ZkAssertReporter::TestInstance() )
    {
        ZkAssertReporter::DisplayMsg( msg, fileName, lineNumber );
    }
    else
    {
        char foo;

        printf( "ASSERTION FAILED at %s:%d (%s)\n", fileName, lineNumber, msg );
        printf("a) to abort and dump core\nq) to exit\nAny other key to continue.\n");

        switch( getchar() ) {
            case 'a':
            case 'A':
                foo = *(char*)NULL;
                break;
            case 'q':
            case 'Q':
                exit(-1);
        }
    }
}


