/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */
  
#ifndef ZKS_INCL_ZKASSERTREPORTER
#define ZKS_INCL_ZKASSERTREPORTER

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <ZkSingleton.h>


/*===========================================================================
 * CLASS ZkAssertReporter
 *=========================================================================*/

class ZkAssertReporter 
    : public ZkSingleton< ZkAssertReporter > {

public: 

    /*----- member functions -----*/

    ZkAssertReporter( );
    virtual ~ZkAssertReporter();
    
    static void DisplayMsg( const char* msg, const char* fileName, int lineNumber );

protected:

    virtual void OnDisplayMsg( const char* msg, const char* fileName, int lineNumber ) = 0;
};


/*===========================================================================
 * FUNCTION HandleAssert
 *=========================================================================*/

void HandleAssert( const char* msg, const char* fileName, int lineNumber );


#endif

