// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// DZkError.h: interface for the DZkError class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DZKERROR_H__FDFFD382_56B0_11D2_8E3C_00104B6AF5F7__INCLUDED_)
#define AFX_DZKERROR_H__FDFFD382_56B0_11D2_8E3C_00104B6AF5F7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

typedef struct T_ZkLog * ZkLog;
#include <zk_error.h>
#include <string>
#include <AutoInstCount.h>
#include "ErrorHandling.h"

#include <client.h>


class ZKEXCEPTION_DLL DZkError : public T_ZkError AUTO_INSTANCE_COUNTING2( DZkError )
{
	
public:
	DZkError();
	~DZkError();
	DZkError(const DZkError&);
	DZkError& operator=(const DZkError&);
	ZKSTD::string	getfnc() const;
	unsigned long	geterrcode() const;
	ZKSTD::string	getdetail() const;
	void setdetail(const char*);
	void setfunction(const char*);
	void seterrorcode(const unsigned long in_code);
	void Dump();

#ifdef INTERNAL_BUILD
	static void UnitTest();
#endif // INTERNAL_BUILD
};

#endif // !defined(AFX_DZKERROR_H__FDFFD382_56B0_11D2_8E3C_00104B6AF5F7__INCLUDED_)
