/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

/*
	This is simply an abstract interface used through out Freedom,
	whereby it is passed some exception which it will manipulate.
*/

#ifndef IZkErrorReporter_H__
#define IZkErrorReporter_H__

#include <client.h>
#include <string>

class IZkException;

class IZkErrorReporter
{
public:
	// PURPOSE: A visual cue as to the error which happened
	virtual void ShowError( const IZkException& in_except ) throw() = 0;

	// PURPOSE: Use to obtain the error in a silent way
	virtual ZKSTD::string GetErrorString( const IZkException& in_except ) throw() = 0;
};

#endif // IZkErrorReporter_H__
