/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

/*
	A simple abstract interface for an exception object.

*/

#ifndef IZkException_H__
#define IZkException_H__

#include <clientstl.h>
#include <string>

class DZkError;

class IZkException
{
public:
	//PURPOSE: To obtain an numeric error code 
	virtual uint32_t GetErrorCode() const throw() = 0;

	//PURPOSE: Some errors have associated string resources, this retrieves that id
    virtual uint32_t GetErrorStringId() const throw() = 0;

	virtual const DZkError& GetDZkError() const throw() = 0;

	virtual const ZKSTD::string& GetCallerFunctionName() const throw() = 0;

	virtual const ZKSTD::string& GetDescription() const throw() = 0;

	virtual const ZKSTD::string& GetFormattedString() const throw() = 0;
};

#endif
