/* template wrapper which calls free in the destructor - Mario Contestabile 26 Nov 1999

If you pass a char pointer to a function which does a malloc()
using the following syntax will ensure free() gets called whether
the function exits normally or by throwing an exception.
	
	char* p = NULL;
	Deleter<char*> pMessageBody(&p);
 
*/

#ifndef _DELETE_HPP__
#define _DELETE_HPP__

template <typename T>
class Deleter {
	T* m_p;

	public:		
		operator void*(){ return this; }
		Deleter(T* p) : m_p(p) {
		}
		~Deleter() { 
			if(m_p) 
				free(*m_p); 
		}
};

#endif	// _DELETE_HPP__