/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKPINGIMPL_H__
#define ZKPINGIMPL_H__

#include <DZkError.h>

#include <../linux/ZkSmallSharpTool.h>
#include <ZKFileConfiguration.h>
#include <IZkFileHelp.h>

class ZkPingImpl 
    : protected ZkSmallSharpTool
{
public:
	ZkPingImpl() 
        : ZkSmallSharpTool("/bin/ping")
    {
        // Override default location if one was bundled with the freedom package.
        ZKSTD::string installed_ping = ZKFileConfiguration::GetFreedomInstallDir() + "ping";
        if ( IZkFileHelp::FileExists( installed_ping.c_str() ) ) SetCommand( installed_ping );
    } ;

	~ZkPingImpl() {};

	// See comments in ZKIcmp.h, Ping.
	bool	Ping(	DZkError&		out_rErr,
					const char*		in_strHostName, 
					unsigned long&	out_rEeply, 
					const unsigned long in_dwTimeout,
					const int			in_nPacketSize );


};

#endif	// ZKPINGIMPL_H__
