// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):


#ifdef INTERNAL_BUILD

#include "InetHelpUnitTest.h"

#include "ZkIcmp.h"
#include "ZKTestScalper.h"

#ifndef ZK_LINUX
#  include "../win/ZkPingImpl.h"
#  include "ZkNetHelp.h"
#endif

#ifdef _WIN32
// temp
InetHelpUnitTest g_InetHelpUnitTest;
#endif

long InetHelpUnitTest::Execute( void* )
{
	ZkIcmp::UnitTest();
	ZKTestScalperUnitTest();

#ifndef ZK_LINUX
	ZkNetHelp::UnitTest();
	ZkPingImpl::UnitTest();
#endif

	return 1;
}


void InetHelpUnitTest::ZKTestScalperUnitTest()
{
        ZKSTD::string strSerialNo;
	ZKTEST( ZKTestScalper::GetSerialNumber( strSerialNo, NYM_TYPE1_CREATE ) );
	ZKTEST( ZKTestScalper::GetSerialNumber( strSerialNo, NYM_TYPE1_EXTEND ) );
	ZKTEST( ZKTestScalper::GetSerialNumber( strSerialNo, NYM_TYPE2_CREATE ) );
	ZKTEST( ZKTestScalper::GetSerialNumber( strSerialNo, NYM_TYPE2_EXTEND ) );
	ZKTEST( ZKTestScalper::GetSerialNumber( strSerialNo, NYM_TYPE3_CREATE ) );
	ZKTEST( ZKTestScalper::GetSerialNumber( strSerialNo, NYM_TYPE3_EXTEND ) );
}
#endif // INTERNAL_BUILD
