/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef Port_PROTOCOLS_H__
#define Port_PROTOCOLS_H__

/*
Use ports.cpp to generate the baseline for this file
*/

typedef struct PortInfo{
	unsigned short port;
	const char* protocol;
	const char* attacks;
}PortInfo;


static const PortInfo g_PortInfo[] = {
// Well Known Ports
{1, "TCP Port Service Multiplexer", ""},
{2, "Management Utility", ""},
{3, "Compression Process", ""},
{5, "Remote Job Entry", ""},
{7, "Echo, DoubleClick", "fraggle"},
{9, "Discard", ""},
{11, "Active Users", ""},
{13, "Daytime (RFC 867)", ""},
{17, "Quote of the Day", ""},
{18, "Message Send Protocol", ""},
{19, "Character Generator", ""},
{20, "File Transfer [Default Data]", ""},
{21, "File Transfer [Control]", "Back Construction, Blade Runner, Doly Trojan, Fore, FTP trojan, Invisible FTP, Larva, MBT, Motiv, Net Administrator, Senna Spy FTP Server, WebEx, WinCrash"},
{22, "SSH Remote Login Protocol, pcAnywhere", ""},
{23, "Telnet", ""},
{25, "Simple Mail Transfer", "Aji, Antigen, Email Password Sender, Gip, Happy 99, I Love You, Kuang 2, Magic Horse, Moscow Email Trojan, Naebi, NewApt, ProMail trojan, Shtrilitz, Stealth, Tapiras, Terminator, WinPC, WinSpy"},
{27, "NSW User System FE", ""},
{29, "MSG ICP", ""},
{31, "MSG Authentication", "Agent 31, Hackers Paradise, Masters Paradise"},
{33, "Display Support Protocol", ""},
{37, "Time", ""},
{38, "Route Access Protocol", ""},
{39, "Resource Location Protocol", ""},
{41, "Graphics", "Deep Throat"},
{42, "Host Name Server, WINS Replication", ""},
{43, "Who Is", ""},
{44, "MPM FLAGS Protocol", ""},
{45, "Message Processing Module [recv]", ""},
{46, "MPM [default send]", ""},
{47, "NI FTP", ""},
{48, "Digital Audit Daemon", "DRAT"},
{49, "Login Host Protocol (TACACS)", ""},
{50, "Remote Mail Checking Protocol", "DRAT"},
{51, "IMP Logical Address Maintenance", ""},
{52, "XNS Time Protocol", ""},
{53, "Domain Name Server", ""},
{54, "XNS Clearinghouse", ""},
{55, "ISI Graphics Language", ""},
{56, "XNS Authentication", ""},
{58, "XNS Mail", ""},
{59, "", "DMSetup"},
{61, "NI MAIL", ""},
{62, "ACA Services", ""},
{63, "whois++", ""},
{64, "Communications Integrator (CI)", ""},
{65, "TACACS-Database Service", ""},
{66, "Oracle SQL*NET", ""},
{67, "Bootstrap Protocol Server, DHCP", ""},
{68, "Bootstrap Protocol Client, DHCP", ""},
{69, "Trivial File Transfer", ""},
{70, "Gopher", ""},
{71, "Remote Job Service", ""},
{72, "Remote Job Service", ""},
{73, "Remote Job Service", ""},
{74, "Remote Job Service", ""},
{76, "Distributed External Object Store", ""},
{78, "vettcp", ""},
{79, "Finger", "Firehotcker"},
{80, "World Wide Web HTTP", "Back End, Executor, Hooker, RingZero"},
{81, "HOSTS2 Name Server", ""},
{82, "XFER Utility", ""},
{83, "MIT ML Device", ""},
{84, "Common Trace Facility", ""},
{85, "MIT ML Device", ""},
{86, "Micro Focus Cobol", ""},
{88, "Kerberos", ""},
{89, "SU/MIT Telnet Gateway", ""},
{90, "DNSIX Securit Attribute Token Map", "Hidden Port 2.o"},
{91, "MIT Dover Spooler", ""},
{92, "Network Printing Protocol", ""},
{93, "Device Control Protocol", ""},
{94, "Tivoli Object Dispatcher", ""},
{95, "SUPDUP", ""},
{96, "DIXIE Protocol Specification", ""},
{97, "Swift Remote Virtural File Protocol", ""},
{98, "TAC News", ""},
{99, "Metagram Relay", "Hidden Port"},
{100, "[unauthorized use]", ""},
{101, "NIC Host Name Server", ""},
{102, "ISO-TSAP Class 0", ""},
{103, "Genesis Point-to-Point Trans Net", ""},
{104, "ACR-NEMA Digital Imag. & Comm. 300", ""},
{105, "CCSO name server protocol", ""},
{107, "Remote Telnet Service", ""},
{108, "SNA Gateway Access Server", ""},
{109, "Post Office Protocol - Version 2", ""},
{110, "Post Office Protocol - Version 3", "ProMail"},
{111, "SUN Remote Procedure Call", ""},
{112, "McIDAS Data Transmission Protocol", ""},
{113, "ident", "Invisible Identd Deamon, Kazimas"},
{114, "Audio News Multicast", ""},
{115, "Simple File Transfer Protocol", ""},
{116, "ANSA REX Notify", ""},
{117, "UUCP Path Service", ""},
{118, "SQL Services", ""},
{119, "Network News Transfer Protocol", "Happy99"},
{120, "CFDPTKT", ""},
{121, "Encore Expedited Remote Pro.Call", "Jammer Killah"},
{122, "SMAKYNET", ""},
{123, "Network Time Protocol", "Net Controller"},
{124, "ANSA REX Trader", ""},
{125, "Locus PC-Interface Net Map Ser", ""},
{126, "NXEdit", ""},
{127, "Locus PC-Interface Conn Server", ""},
{128, "GSS X License Verification", ""},
{129, "Password Generator Protocol", ""},
{130, "cisco FNATIVE", ""},
{131, "cisco TNATIVE", ""},
{132, "cisco SYSMAINT", ""},
{133, "Statistics Service", "Farnaz, port 146 - Infector"},
{134, "INGRES-NET Service", ""},
{135, "DCE endpoint resolution, RPCSS.EXE, WINS Manager, DHCP Manager, Exchange Administrator", ""},
{136, "PROFILE Naming System", ""},
{137, "NETBIOS Name Service, Printing, Browsing, WINS Registration", "Legion from Rhino9"},
{138, "NETBIOS Datagram Service, Printing, Browsing, NetLogon", ""},
{139, "NETBIOS Session Service, File Sharing, NT User Manager, NT Event Viewer, NT Registry Editor, NT Diagnostics, NT Directory Replication", ""},
{140, "EMFIS Data Service", ""},
{141, "EMFIS Control Service", ""},
{142, "Britton-Lee IDM", ""},
{143, "Internet Message Access Protocol", ""},
{144, "Universal Management Architecture", ""},
{145, "UAAC Protocol", ""},
{146, "ISO-IP0", "Infector 1.3"},
{147, "ISO-IP", ""},
{148, "Jargon", ""},
{149, "AED 512 Emulation Service", ""},
{150, "SQL-NET", ""},
{151, "HEMS", ""},
{152, "Background File Transfer Program", ""},
{153, "SGMP", ""},
{154, "NETSC", ""},
{155, "NETSC", ""},
{156, "SQL Service", ""},
{157, "KNET/VM Command/Message Protocol", ""},
{158, "PCMail Server", ""},
{159, "NSS-Routing", ""},
{160, "SGMP-TRAPS", ""},
{161, "SNMP", ""},
{162, "SNMPTRAP", ""},
{163, "CMIP/TCP Manager", ""},
{164, "CMIP/TCP Agent", ""},
{165, "Xerox", ""},
{166, "Sirius Systems", ""},
{167, "NAMP", ""},
{168, "RSVD", ""},
{169, "SEND", ""},
{170, "Network PostScript", "A-trojan"},
{171, "Network Innovations Multiplex", ""},
{172, "Network Innovations CL/1", ""},
{173, "Xyplex", ""},
{174, "MAILQ", ""},
{175, "VMNET", ""},
{176, "GENRAD-MUX", ""},
{177, "X Display Manager Control Protocol", ""},
{178, "NextStep Window Server", ""},
{179, "Border Gateway Protocol", ""},
{180, "Intergraph", ""},
{181, "Unify", ""},
{182, "Unisys Audit SITP", ""},
{183, "OCBinder", ""},
{184, "OCServer", ""},
{185, "Remote-KIS", ""},
{186, "KIS Protocol", ""},
{187, "Application Communication Interface", ""},
{188, "Plus Five's MUMPS", ""},
{189, "Queued File Transport", ""},
{190, "Gateway Access Control Protocol", ""},
{191, "Prospero Directory Service", ""},
{192, "OSU Network Monitoring System", ""},
{193, "Spider Remote Monitoring Protocol", ""},
{194, "Internet Relay Chat Protocol", ""},
{195, "DNSIX Network Level Module Audit", ""},
{196, "DNSIX Session Mgt Module Audit Redir", ""},
{197, "Directory Location Service", ""},
{198, "Directory Location Service Monitor", ""},
{199, "SMUX", ""},
{200, "IBM System Resource Controller", ""},
{201, "AppleTalk Routing Maintenance", ""},
{202, "AppleTalk Name Binding", ""},
{203, "AppleTalk Unused", ""},
{204, "AppleTalk Echo", ""},
{205, "AppleTalk Unused", ""},
{206, "AppleTalk Zone Information", ""},
{207, "AppleTalk Unused", ""},
{208, "AppleTalk Unused", ""},
{209, "The Quick Mail Transfer Protocol", ""},
{210, "ANSI Z39.50", ""},
{212, "ATEXSSTR", ""},
{213, "IPX         ", ""},
{214, "VM PWSCS", ""},
{215, "Insignia Solutions", ""},
{216, "Computer Associates Int'l License Server", ""},
{217, "dBASE Unix", ""},
{218, "Netix Message Posting Protocol", ""},
{219, "Unisys ARPs", ""},
{220, "Interactive Mail Access Protocol v3", ""},
{221, "Berkeley rlogind with SPX auth", ""},
{222, "Berkeley rshd with SPX auth", ""},
{223, "Certificate Distribution Center", ""},
{224, "masqdialer", ""},
{242, "Direct", ""},
{243, "Survey Measurement", ""},
{244, "inbusiness", ""},
{245, "LINK", ""},
{246, "Display Systems Protocol", ""},
{247, "SUBNTBCST_TFTP", ""},
{248, "bhfhs", ""},
{256, "RAP", ""},
{257, "Secure Electronic Transaction", ""},
{258, "Yak Winsock Personal Chat", ""},
{259, "Efficient Short Remote Operations", ""},
{260, "Openport", ""},
{261, "IIOP Name Service over TLS/SSL", ""},
{262, "Arcisdms", ""},
{263, "HDAP", ""},
{264, "BGMP", ""},
{265, "X-Bone CTL", ""},
{266, "SCSI on ST", ""},
{267, "Tobit David Service Layer", ""},
{268, "Tobit David Replica", ""},
{280, "http-mgmt", ""},
{281, "   Personal Link", ""},
{282, "Cable Port A/X", ""},
{283, "rescap", ""},
{284, "corerjd", ""},
{286, "FXP-1", ""},
{287, "K-BLOCK", ""},
{308, "Novastor Backup", ""},
{309, "EntrustTime", ""},
{310, "bhmds", ""},
{311, "AppleShare IP WebAdmin", ""},
{312, "VSLMP", ""},
{313, "Magenta Logic", ""},
{314, "Opalis Robot", ""},
{315, "DPSI", ""},
{316, "decAuth", ""},
{317, "Zannet", ""},
{318, "PKIX TimeStamp", ""},
{319, "PTP Event", ""},
{320, "PTP General", ""},
{321, "PIP", ""},
{322, "RTSPS", ""},
{333, "Texar Security Port", ""},
{344, "Prospero Data Access Protocol", ""},
{345, "Perf Analysis Workbench", ""},
{346, "Zebra server", ""},
{347, "Fatmen Server", ""},
{348, "Cabletron Management Protocol", ""},
{349, "mftp", ""},
{350, "MATIP Type A", ""},
{351, "MATIP Type B", ""},
{352, "   DTAG (assigned long ago)", ""},
{353, "NDSAUTH", ""},
{354, "   bh611", ""},
{355, "   DATEX-ASN", ""},
{356, "Cloanto Net 1", ""},
{357, "   bhevent", ""},
{358, "Shrinkwrap", ""},
{359, "Tenebris Network Trace Service", ""},
{360, "scoi2odialog", ""},
{361, "Semantix", ""},
{362, "SRS Send", ""},
{363, "RSVP Tunnel", ""},
{364, "Aurora CMGR", ""},
{365, "DTK", ""},
{366, "ODMR", ""},
{367, "MortgageWare", ""},
{368, "QbikGDP", ""},
{369, "rpc2portmap", ""},
{370, "codaauth2", ""},
{371, "Clearcase", ""},
{372, "ListProcessor", ""},
{373, "Legent Corporation", ""},
{374, "Legent Corporation", ""},
{375, "Hassle", ""},
{376, "Amiga Envoy Network Inquiry Proto", ""},
{377, "NEC Corporation", ""},
{378, "NEC Corporation", ""},
{379, "TIA/EIA/IS-99 modem client", ""},
{380, "TIA/EIA/IS-99 modem server", ""},
{381, "hp performance data collector", ""},
{382, "hp performance data managed node", ""},
{383, "hp performance data alarm manager", ""},
{384, "A Remote Network Server System", ""},
{385, "IBM Application", ""},
{386, "ASA Message Router Object Def.", ""},
{387, "Appletalk Update-Based Routing Pro.", ""},
{388, "Unidata LDM", ""},
{389, "Lightweight Directory Access Protocol", ""},
{390, "UIS", ""},
{391, "SynOptics SNMP Relay Port", ""},
{392, "SynOptics Port Broker Port", ""},
{393, "Data Interpretation System", ""},
{394, "EMBL Nucleic Data Transfer", ""},
{395, "NETscout Control Protocol", ""},
{396, "Novell Netware over IP", ""},
{397, "Multi Protocol Trans. Net.", ""},
{398, "Kryptolan", ""},
{399, "ISO Transport Class 2 Non-Control over TCP", ""},
{400, "Workstation Solutions", ""},
{401, "Uninterruptible Power Supply", ""},
{402, "Genie Protocol", ""},
{403, "decap", ""},
{404, "nced", ""},
{405, "ncld", ""},
{406, "Interactive Mail Support Protocol", ""},
{407, "Timbuktu", ""},
{408, "Prospero Resource Manager Sys. Man.", ""},
{409, "Prospero Resource Manager Node Man.", ""},
{410, "DECLadebug Remote Debug Protocol", ""},
{411, "Remote MT Protocol", ""},
{412, "Trap Convention Port", ""},
{413, "SMSP", ""},
{414, "InfoSeek", ""},
{415, "BNet", ""},
{416, "Silverplatter", ""},
{417, "Onmux", ""},
{418, "Hyper-G", ""},
{419, "Ariel", ""},
{420, "SMPTE", ""},
{421, "Ariel", "TCP Wrappers"},
{422, "Ariel", ""},
{423, "IBM Operations Planning and Control Start", ""},
{424, "IBM Operations Planning and Control Track", ""},
{425, "ICAD", ""},
{426, "smartsdp", ""},
{427, "Server Location", ""},
{428, "OCS_CMU", ""},
{429, "OCS_AMU", ""},
{430, "UTMPSD", ""},
{431, "UTMPCD", ""},
{432, "IASD", ""},
{433, "NNSP", ""},
{434, "MobileIP-Agent", ""},
{435, "MobilIP-MN", ""},
{436, "DNA-CML", ""},
{437, "comscm", ""},
{438, "dsfgw", ""},
{439, "dasp      Thomas Obermair", ""},
{440, "sgcp", ""},
{441, "decvms-sysmgt", ""},
{442, "cvc_hostd", ""},
{443, "http protocol over TLS/SSL", ""},
{444, "Simple Network Paging Protocol", ""},
{445, "Microsoft-DS", ""},
{446, "DDM-RDB", ""},
{447, "DDM-RFM", ""},
{448, "DDM-SSL", ""},
{449, "AS Server Mapper", ""},
{450, "TServer", ""},
{451, "Cray Network Semaphore server", ""},
{452, "Cray SFS config server", ""},
{453, "CreativeServer", ""},
{454, "ContentServer", ""},
{455, "CreativePartnr", ""},
{456, "macon-tcp", "Hacker's Paradise"},
{457, "scohelp", ""},
{458, "apple quick time", ""},
{459, "ampr-rcmd", ""},
{460, "skronk", ""},
{461, "DataRampSrv", ""},
{462, "DataRampSrvSec", ""},
{463, "alpes", ""},
{464, "kpasswd", ""},
{466, "digital-vrc", ""},
{467, "mylex-mapd", ""},
{468, "proturis", ""},
{469, "Radio Control Protocol", ""},
{470, "scx-proxy", ""},
{471, "Mondex", ""},
{472, "ljk-login", ""},
{473, "hybrid-pop", ""},
{474, "tn-tl-w1", ""},
{475, "tcpnethaspsrv", ""},
{476, "tn-tl-fd1", ""},
{477, "ss7ns", ""},
{478, "spsc", ""},
{479, "iafserver", ""},
{480, "iafdbase", ""},
{481, "Ph service", ""},
{482, "bgs-nsi", ""},
{483, "ulpnet", ""},
{484, "Integra Software Management Environment", ""},
{485, "Air Soft Power Burst", ""},
{486, "avian", ""},
{487, "saft Simple Asynchronous File Transfer", ""},
{488, "gss-http", ""},
{489, "nest-protocol", ""},
{490, "micom-pfs", ""},
{491, "go-login", ""},
{492, "Transport Independent Convergence for FNA", ""},
{493, "Transport Independent Convergence for FNA", ""},
{494, "POV-Ray", ""},
{495, "intecourier", ""},
{496, "PIM-RP-DISC", ""},
{497, "dantz", ""},
{498, "siam", ""},
{499, "ISO ILL Protocol", ""},
{500, "isakmp", ""},
{501, "STMF", ""},
{502, "asa-appl-proto", ""},
{503, "Intrinsa", ""},
{504, "citadel", ""},
{505, "mailbox-lm", ""},
{506, "ohimsrv", ""},
{507, "crs", ""},
{508, "xvttp", ""},
{509, "snare", ""},
{510, "FirstClass Protocol", ""},
{511, "PassGo", ""},
{512, "remote process execution;", ""},
{513, "remote login a la telnet;", ""},
{514, "cmd", ""},
{515, "spooler", ""},
{516, "videotex", ""},
{517, "like tenex link, but across", ""},
{518, "ntalk", ""},
{519, "unixtime", ""},
{520, "extended file name server", ""},
{521, "ripng", ""},
{522, "ULP", ""},
{523, "IBM-DB2", ""},
{524, "NCP", ""},
{525, "timeserver", ""},
{526, "newdate", ""},
{527, "Stock IXChange", ""},
{528, "Customer IXChange", ""},
{529, "IRC-SERV", ""},
{530, "rpc", ""},
{531, "chat", "Rasmin"},
{532, "readnews", ""},
{533, "for emergency broadcasts", ""},
{534, "MegaMedia Admin", ""},
{535, "iiop", ""},
{536, "opalis-rdv", ""},
{537, "Networked Media Streaming Protocol", ""},
{538, "gdomap", ""},
{539, "Apertus Technologies Load Determination", ""},
{540, "uucpd", ""},
{541, "uucp-rlogin", ""},
{542, "commerce", ""},
{543, "klogin", ""},
{544, "krcmd", ""},
{545, "appleqtcsrvr", ""},
{546, "DHCPv6 Client", ""},
{547, "DHCPv6 Server", ""},
{548, "AFP over TCP", ""},
{549, "IDFP", ""},
{550, "new-who", ""},
{551, "cybercash", ""},
{552, "deviceshare", ""},
{553, "pirp", ""},
{554, "Real Time Stream Control Protocol, G2 RealServers", ""},
{555, "dsf", "Ini-Killer, NeTAdministrator, Phase Zero, Stealth Spy"},
{556, "rfs server", ""},
{557, "openvms-sysipc", ""},
{558, "SDNSKMP", ""},
{559, "TEEDTAP", ""},
{560, "rmonitord", ""},
{561, "monitor", ""},
{562, "chcmd", ""},
{563, "nntp protocol over TLS/SSL (was snntp)", ""},
{565, "whoami", ""},
{566, "streettalk", ""},
{567, "banyan-rpc", ""},
{568, "microsoft shuttle", ""},
{569, "microsoft rome", ""},
{570, "demon", ""},
{571, "udemon", ""},
{572, "sonar", ""},
{573, "banyan-vip", ""},
{574, "FTP Software Agent System", ""},
{575, "VEMMI", ""},
{576, "ipcd", ""},
{577, "vnas", ""},
{578, "ipdd", ""},
{579, "decbsrv", ""},
{580, "SNTP HEARTBEAT", ""},
{581, "Bundle Discovery Protocol", ""},
{582, "SCC Security", ""},
{583, "Philips Video-Conferencing", ""},
{584, "Key Server", ""},
{585, "IMAP4+SSL (use 993 instead)", ""},
{586, "Password Change", ""},
{587, "Submission", ""},
{588, "CAL", ""},
{589, "EyeLink", ""},
{590, "TNS CML", ""},
{591, "FileMaker, Inc. - HTTP Alternate (see Port 80)", ""},
{592, "Eudora Set", ""},
{593, "HTTP RPC Ep Map, RPCSS.EXE", ""},
{594, "TPIP", ""},
{595, "CAB Protocol", ""},
{596, "SMSD", ""},
{597, "PTC Name Service", ""},
{598, "SCO Web Server Manager 3", ""},
{599, "Aeolon Core Protocol", ""},
{600, "Sun IPC server", ""},
{606, "Cray Unified Resource Manager", "Secret Service"},
{607, "nqs", ""},
{608, "Sender-Initiated/Unsolicited File Transfer", ""},
{609, "npmp-trap", ""},
{610, "npmp-local", ""},
{611, "npmp-gui", ""},
{612, "HMMP Indication", ""},
{613, "HMMP Operation", ""},
{614, "SSLshell", ""},
{615, "   Internet Configuration Manager", ""},
{616, "SCO System Administration Server", ""},
{617, "SCO Desktop Administration Server", ""},
{618, "DEI-ICDA", ""},
{619, "Digital EVM", ""},
{620, "SCO WebServer Manager", ""},
{621, "ESCP", ""},
{622, "Collaborator", ""},
{623, "Aux Bus Shunt", ""},
{624, "Crypto Admin", ""},
{625, "DEC DLM", ""},
{626, "ASIA", ""},
{627, "PassGo Tivoli", ""},
{628, "QMQP", ""},
{630, "RDA", ""},
{631, "IPP (Internet Printing Protocol)", ""},
{632, "bmpp", ""},
{633, "Service Status update (Sterling Software)", ""},
{634, "ginad", ""},
{635, "RLZ DBase", ""},
{636, "ldap protocol over TLS/SSL (was sldap)", ""},
{637, "lanserver", ""},
{638, "mcns-sec", ""},
{639, "MSDP", ""},
{640, "entrust-sps", ""},
{641, "repcmd", ""},
{642, "ESRO-EMSDP V1.3", ""},
{643, "SANity", ""},
{644, "dwr", ""},
{645, "PSSC", ""},
{646, "LDP", ""},
{647, "DHCP Failover", ""},
{648, "Registry Registrar Protocol (RRP)", ""},
{649, "Aminet", ""},
{650, "OBEX", ""},
{651, "IEEE MMS", ""},
{652, "UDLR_DTCP", ""},
{653, "RepCmd", ""},
{654, "AODV", ""},
{655, "TINC", ""},
{656, "SPMP", ""},
{657, "RMC", ""},
{658, "TenFold", ""},
{659, "URL Rendezvous", ""},
{660, "MacOS Server Admin", ""},
{661, "HAP", ""},
{662, "PFTP", ""},
{663, "PureNoise", ""},
{664, "Secure Aux Bus", ""},
{665, "Sun DR", ""},
{666, "mdqs", "Attack FTP, Back Construction, NokNok, Cain & Abel, Satanz Backdoor, ServeU, Shadow Phyre"},
{667, "campaign contribution disclosures - SDR Technologies", "SniperNet"},
{668, "MeComm", ""},
{669, "MeRegister", "DP Trojan"},
{670, "VACDSM-SWS", ""},
{671, "VACDSM-APP", ""},
{672, "VPPS-QUA", ""},
{673, "CIMPLEX", ""},
{674, "ACAP", ""},
{675, "DCTP", ""},
{676, "VPPS Via", ""},
{677, "Virtual Presence Protocol", ""},
{678, "GNU Gereration Foundation NCP", ""},
{679, "MRM", ""},
{680, "entrust-aaas", ""},
{681, "entrust-aams", ""},
{682, "XFR", ""},
{683, "CORBA IIOP", ""},
{684, "CORBA IIOP SSL", ""},
{685, "MDC Port Mapper", ""},
{686, "Hardware Control Protocol Wismar", ""},
{687, "asipregistry", ""},
{688, "REALM-RUSD", ""},
{689, "NMAP", ""},
{690, "VATP", ""},
{691, "MS Exchange Routing", ""},
{692, "Hyperwave-ISP", "GayOL"},
{693, "connendp", ""},
{694, "ha-cluster", ""},
{695, "IEEE-MMS-SSL", ""},
{696, "RUSHD", ""},
{704, "errlog copy/server daemon", ""},
{705, "AgentX", ""},
{706, "SILC", ""},
{707, "Borland DSJ", ""},
{709, "Entrust Key Management Service Handler", ""},
{710, "Entrust Administration Service Handler", ""},
{711, "Cisco TDP", ""},
{729, "IBM NetView DM/6000 Server/Client", ""},
{730, "IBM NetView DM/6000 send/tcp", ""},
{731, "IBM NetView DM/6000 receive/tcp", ""},
{741, "netGW", ""},
{742, "Network based Rev. Cont. Sys.", ""},
{744, "Flexible License Manager", ""},
{747, "Fujitsu Device Control", ""},
{748, "Russell Info Sci Calendar Manager", ""},
{749, "kerberos administration", ""},
{750, "rfile", ""},
{751, "pump", ""},
{752, "qrh", ""},
{753, "rrh", ""},
{754, "send", ""},
{758, "nlogin", ""},
{759, "con", ""},
{760, "ns", ""},
{761, "rxe", ""},
{762, "quotad", ""},
{763, "cycleserv", ""},
{764, "omserv", ""},
{765, "webster", ""},
{767, "phone", ""},
{769, "vid", ""},
{770, "cadlock", ""},
{771, "rtip", ""},
{772, "cycleserv2", ""},
{773, "submit", ""},
{774, "rpasswd", ""},
{775, "entomb", ""},
{776, "wpages", ""},
{777, "Multiling HTTP", "AIM Spy Application"},
{780, "wpgs", ""},
{786, "Concert", ""},
{787, "QSC", ""},
{800, "mdbs_daemon", ""},
{801, "device", ""},
{808, "", "WinHole"},
{810, "FCP", ""},
{828, "itm-mcell-s", ""},
{829, "PKIX-3 CA/RA", ""},
{873, "rsync", ""},
{886, "ICL coNETion locate server", ""},
{887, "ICL coNETion server info", ""},
{888, "AccessBuilder", ""},
{900, "OMG Initial Refs", ""},
{901, "SMPNAMERES", ""},
{902, "IDEAFARM-CHAT", ""},
{903, "IDEAFARM-CATCH", ""},
{911, "xact-backup", "Dark Shadow"},
{989, "ftp protocol, data, over TLS/SSL", ""},
{990, "ftp protocol, control, over TLS/SSL, ActiveSync", ""},
{991, "Netnews Administration System", ""},
{992, "telnet protocol over TLS/SSL", ""},
{993, "imap4 protocol over TLS/SSL", ""},
{994, "irc protocol over TLS/SSL", ""},
{995, "pop3 protocol over TLS/SSL (was spop3)", ""},
{996, "vsinet", ""},
{997, "maitrd", ""},
{998, "busboy", ""},
{999, "garcon", "Deep Throat. WinSatan"},
{1000, "cadlock2", "Der Spacher 3"},
{1001, "", "Der Spacher 3, Le Guardien, Silencer, WebEx"},
{1010, "surf", "Doly"},
{1011, "", "Doly"},
{1012, "", "Doly"},
{1015, "", "Doly"},
{1016, "", "Doly"},
{1020, "", "Vampire"},
// Registered Ports
{1024, "kdm", "NetSpy"},
{1025, "RFS, network blackjack", "Maverick's Matrix 1.2 - 20"},
{1026, "nterm", ""},
{1030, "BBN IAD", ""},
{1031, "BBN IAD", ""},
{1032, "BBN IAD", ""},
{1033, "", "NetSpy"},
{1042, "", "Bla"},
{1045, "", "Rasmin"},
{1047, "Sun's NEO Object Request Broker", ""},
{1048, "Sun's NEO Object Request Broker", ""},
{1049, "Tobit David Postman VPMN", ""},
{1050, "CORBA Management Agent", "MiniCommand"},
{1051, "Optima VNET", ""},
{1052, "Dynamic DNS Tools", ""},
{1053, "Remote Assistant (RA)", ""},
{1054, "BRVREAD", ""},
{1055, "ANSYS - License Manager", ""},
{1056, "VFO", ""},
{1057, "STARTRON", ""},
{1058, "nim", ""},
{1059, "nimreg", ""},
{1060, "POLESTAR", ""},
{1061, "KIOSK", ""},
{1062, "Veracity", ""},
{1063, "KyoceraNetDev", ""},
{1064, "JSTEL", ""},
{1065, "SYSCOMLAN", ""},
{1066, "FPO-FNS", ""},
{1067, "Installation Bootstrap Proto. Serv.", ""},
{1068, "Installation Bootstrap Proto. Cli.", ""},
{1069, "COGNEX-INSIGHT", ""},
{1070, "GMRUpdateSERV", ""},
{1071, "BSQUARE-VOIP", ""},
{1072, "CARDAX", ""},
{1073, "BridgeControl", ""},
{1074, "FASTechnologies License Manager", ""},
{1075, "RDRMSHC", ""},
{1076, "DAB STI-C", ""},
{1077, "IMGames", ""},
{1078, "eManageCstp", ""},
{1079, "ASPROVATalk", ""},
{1080, "Socks/Wingate", "WinHole"},
{1081, "PVUNIWIEN", "WinHole"},
{1082, "AMT-ESD-PROT", "WinHole"},
{1083, "Anasoft License Manager", "WinHole"},
{1084, "Anasoft License Manager", ""},
{1085, "Web Objects", ""},
{1086, "CPL Scrambler Logging", ""},
{1087, "CPL Scrambler Internal", ""},
{1088, "CPL Scrambler Alarm Log", ""},
{1089, "FF Annunciation", ""},
{1090, "FF Fieldbus Message Specification", "Xtreme"},
{1091, "FF System Management", ""},
{1092, "OBRPD", ""},
{1093, "PROOFD", ""},
{1094, "ROOTD", ""},
{1095, "NICELink", "RAT"},
{1096, "Common Name Resolution Protocol", ""},
{1097, "Sun Cluster Manager", "RAT"},
{1098, "RMI Activation", "RAT"},
{1099, "RMI Registry", "BFevolution, RAT"},
{1100, "MCTP", ""},
{1101, "PT2-DISCOVER", ""},
{1102, "ADOBE SERVER 1", ""},
{1103, "xaudio, ADOBE SERVER 2", ""},
{1104, "XRL", ""},
{1105, "FTRANHC", ""},
{1106, "ISOIPSIGPORT-1", ""},
{1107, "ISOIPSIGPORT-2", ""},
{1108, "ratio-adp", ""},
{1109, "pop with kerberos", ""},
{1110, "Cluster status info", ""},
{1111, "LM Social Server", ""},
{1112, "mini sql", ""},
{1114, "Mini SQL", ""},
{1115, "ARDUS Transfer", ""},
{1116, "ARDUS Control", ""},
{1117, "ARDUS Multicast Transfer", ""},
{1123, "Murray", ""},
{1127, "SUP debugging", ""},
{1155, "Network File Access", ""},
{1161, "Health Polling", ""},
{1162, "Health Trap", ""},
{1167, "conference calling", ""},
{1169, "TRIPWIRE", ""},
{1170, "", "Psyber Stream Server, Streaming Audio trojan, Voice"},
{1178, "SKK", ""},
{1180, "Millicent Client Proxy", ""},
{1188, "HP Web Admin", ""},
{1200, "SCOL", "NoBackO"},
{1201, "Nucleus Sand", "NoBackO"},
{1202, "caiccipc", ""},
{1203, "License Validation", ""},
{1204, "Log Request Listener", ""},
{1205, "Accord-MGC", ""},
{1206, "Anthony Data", ""},
{1207, "MetaSage", "SoftWar"},
{1208, "SEAGULL AIS", ""},
{1209, "IPCD3", ""},
{1210, "EOSS", ""},
{1211, "Groove DPP", ""},
{1212, "lupa", "Kaos"},
{1215, "scanSTAT 1.0", ""},
{1222, "SNI R&D network", ""},
{1225, "", "Scarab"},
{1234, "Infoseek Search Agent", "NetBus Pro or Ultors"},
{1239, "NMSD", ""},
{1241, "remote message server", ""},
{1243, "", "BackDoor-G, SubSeven, SubSeven Apocalypse, Tiles"},
{1245, "", "VooDoo Doll"},
{1248, "hermes", ""},
{1255, "", "Scarab"},
{1256, "", "Project nEXT"},
{1269, "", "Maverick's Matrix"},
{1300, "H323 Host Call Secure", ""},
{1310, "Husky", ""},
{1311, "RxMon", ""},
{1312, "STI Envision", ""},
{1313, "BMC_PATROLDB", "NETrojan"},
{1314, "Photoscript Distributed Printing System", ""},
{1319, "Panja-ICSP", ""},
{1320, "Panja-AXBNET", ""},
{1321, "PIP", ""},
{1335, "Digital Notary Protocol", ""},
{1338, "", "Millenium Worm"},
{1345, "VPJP", ""},
{1346, "Alta Analytics License Manager", ""},
{1347, "multi media conferencing", ""},
{1348, "multi media conferencing", ""},
{1349, "Registration Network Protocol", "BackOrifice DLL Comm"},
{1350, "Registration Network Protocol", ""},
{1351, "Digital Tool Works (MIT)", ""},
{1352, "Lotus Note", ""},
{1353, "Relief Consulting", ""},
{1354, "RightBrain Software", ""},
{1355, "Intuitive Edge", ""},
{1356, "CuillaMartin Company", ""},
{1357, "Electronic PegBoard", ""},
{1358, "CONNLCLI", ""},
{1359, "FTSRV", ""},
{1360, "MIMER", ""},
{1361, "LinX", ""},
{1362, "TimeFlies", ""},
{1363, "Network DataMover Requester", ""},
{1364, "Network DataMover Server", ""},
{1365, "Network Software Associates", ""},
{1366, "Novell NetWare Comm Service Platform", ""},
{1367, "DCS", ""},
{1368, "ScreenCast", ""},
{1369, "GlobalView to Unix Shell", ""},
{1370, "Unix Shell to GlobalView", ""},
{1371, "Fujitsu Config Protocol", ""},
{1372, "Fujitsu Config Protocol", ""},
{1373, "Chromagrafx", ""},
{1374, "EPI Software Systems", ""},
{1375, "Bytex", ""},
{1376, "IBM Person to Person Software", ""},
{1377, "Cichlid License Manager", ""},
{1378, "Elan License Manager", ""},
{1379, "Integrity Solutions", ""},
{1380, "Telesis Network License Manager", ""},
{1381, "Apple Network License Manager", ""},
{1382, "udt_os", ""},
{1383, "GW Hannaway Network License Manager", ""},
{1384, "Objective Solutions License Manager", ""},
{1385, "Atex Publishing License Manager", ""},
{1386, "CheckSum License Manager", ""},
{1387, "Computer Aided Design Software Inc LM", ""},
{1388, "Objective Solutions DataBase Cache", ""},
{1389, "Document Manager", ""},
{1390, "Storage Controller", ""},
{1391, "Storage Access Server", ""},
{1392, "Print Manager", ""},
{1393, "Network Log Server", ""},
{1394, "Network Log Client", "GoFriller, Backdoor G-1"},
{1395, "PC Workstation Manager software", ""},
{1396, "DVL Active Mail", ""},
{1397, "Audio Active Mail", ""},
{1398, "Video Active Mail", ""},
{1399, "Cadkey License Manager", ""},
{1400, "Cadkey Tablet Daemon", ""},
{1401, "Goldleaf License Manager", ""},
{1402, "Prospero Resource Manager", ""},
{1403, "Prospero Resource Manager", ""},
{1404, "Infinite Graphics License Manager", ""},
{1405, "IBM Remote Execution Starter", ""},
{1406, "NetLabs License Manager", ""},
{1407, "DBSA License Manager", ""},
{1408, "Sophia License Manager", ""},
{1409, "Here License Manager", ""},
{1410, "HiQ License Manager", ""},
{1411, "AudioFile", ""},
{1412, "InnoSys", ""},
{1413, "Innosys-ACL", ""},
{1414, "IBM MQSeries", ""},
{1415, "DBStar", ""},
{1416, "Novell LU6.2", ""},
{1417, "Timbuktu Service 1 Port", ""},
{1418, "Timbuktu Service 2 Port", ""},
{1419, "Timbuktu Service 3 Port", ""},
{1420, "Timbuktu Service 4 Port", ""},
{1421, "Gandalf License Manager", ""},
{1422, "Autodesk License Manager", ""},
{1423, "Essbase Arbor Software", ""},
{1424, "Hybrid Encryption Protocol", ""},
{1425, "Zion Software License Manager", ""},
{1426, "Satellite-data Acquisition System 1", ""},
{1427, "mloadd monitoring tool", ""},
{1428, "Informatik License Manager", ""},
{1429, "Hypercom NMS", ""},
{1430, "Hypercom TPDU", ""},
{1431, "Reverse Gossip Transport", ""},
{1432, "Blueberry Software License Manager", ""},
{1433, "Microsoft-SQL-Server", ""},
{1434, "Microsoft-SQL-Monitor", ""},
{1435, "IBM CICS", ""},
{1436, "Satellite-data Acquisition System 2", ""},
{1437, "Tabula", ""},
{1438, "Eicon Security Agent/Server", ""},
{1439, "Eicon X25/SNA Gateway", ""},
{1440, "Eicon Service Location Protocol", ""},
{1441, "Cadis License Management", ""},
{1442, "Cadis License Management", ""},
{1443, "Integrated Engineering Software", ""},
{1444, "Marcam  License Management", ""},
{1445, "Proxima License Manager", ""},
{1446, "Optical Research Associates License Manager", ""},
{1447, "Applied Parallel Research LM", ""},
{1448, "OpenConnect License Manager", ""},
{1449, "PEport", ""},
{1450, "Tandem Distributed Workbench Facility", ""},
{1451, "IBM Information Management", ""},
{1452, "GTE Government Systems License Man", ""},
{1453, "Genie License Manager", ""},
{1454, "interHDL License Manager", ""},
{1455, "ESL License Manager", ""},
{1456, "DCA", ""},
{1457, "Valisys License Manager", ""},
{1458, "Nichols Research Corp.", ""},
{1459, "Proshare Notebook Application", ""},
{1460, "Proshare Notebook Application", ""},
{1461, "IBM Wireless LAN", ""},
{1462, "World License Manager", ""},
{1463, "Nucleus", ""},
{1464, "MSL License Manager", ""},
{1465, "Pipes Platform", ""},
{1466, "Ocean Software License Manager", ""},
{1467, "CSDMBASE", ""},
{1468, "CSDM", ""},
{1469, "Active Analysis Limited License Manager", ""},
{1470, "Universal Analytics", ""},
{1471, "csdmbase", ""},
{1472, "csdm", ""},
{1473, "OpenMath", ""},
{1474, "Telefinder", ""},
{1475, "Taligent License Manager", ""},
{1476, "clvm-cfg", ""},
{1477, "ms-sna-server", ""},
{1478, "ms-sna-base", ""},
{1479, "dberegister", ""},
{1480, "PacerForum", ""},
{1481, "AIRS", ""},
{1482, "Miteksys License Manager", ""},
{1483, "AFS License Manager", ""},
{1484, "Confluent License Manager", ""},
{1485, "LANSource", ""},
{1486, "nms_topo_serv", ""},
{1487, "LocalInfoSrvr", ""},
{1488, "DocStor", ""},
{1489, "dmdocbroker", ""},
{1490, "insitu-conf", ""},
{1491, "anynetgateway", ""},
{1492, "stone-design-1", "FTP99CMP"},
{1493, "netmap_lm", ""},
{1494, "ica", ""},
{1495, "cvc", ""},
{1496, "liberty-lm", ""},
{1497, "rfx-lm", ""},
{1498, "Sybase SQL Any", ""},
{1499, "Federico Heinz Consultora", ""},
{1500, "VLSI License Manager", ""},
{1501, "Satellite-data Acquisition System 3", ""},
{1502, "Shiva", ""},
{1503, "Databeam", ""},
{1504, "EVB Software Engineering License Manager", ""},
{1505, "Funk Software, Inc.", "Funk Proxy"},
{1506, "Universal Time daemon (utcd)", ""},
{1507, "symplex", ""},
{1508, "diagmond", ""},
{1509, "Robcad, Ltd. License Manager", "Psyber Streaming server"},
{1510, "Midland Valley Exploration Ltd. Lic. Man.", ""},
{1512, "Microsoft's Windows Internet Name Service", ""},
{1513, "Fujitsu Systems Business of America, Inc", ""},
{1514, "Fujitsu Systems Business of America, Inc", ""},
{1515, "ifor-protocol", ""},
{1516, "Virtual Places Audio data", ""},
{1517, "Virtual Places Audio control", ""},
{1518, "Virtual Places Video data", ""},
{1519, "Virtual Places Video control", ""},
{1520, "atm zip office", ""},
{1521, "nCube License Manager", ""},
{1522, "Ricardo North America License Manager", ""},
{1523, "cichild", ""},
{1524, "ingres", "Trinoo"},
{1525, "oracle", ""},
{1526, "Prospero Data Access Prot non-priv", ""},
{1527, "oracle", ""},
{1528, "micautoreg", ""},
{1529, "oracle", ""},
{1530, "rap-service", ""},
{1531, "rap-listen", ""},
{1532, "miroconnect", ""},
{1533, "Virtual Places Software", ""},
{1534, "micromuse-lm", ""},
{1535, "ampr-info", ""},
{1536, "ampr-inter", ""},
{1537, "isi-lm", ""},
{1539, "Intellistor License Manager", ""},
{1540, "rds", ""},
{1541, "rds2", ""},
{1542, "gridgen-elmd", ""},
{1543, "simba-cs", ""},
{1544, "aspeclmd", ""},
{1545, "vistium-share", ""},
{1546, "abbaccuray", ""},
{1547, "laplink", ""},
{1548, "Axon License Manager", ""},
{1549, "Shiva Hose", ""},
{1551, "HECMTL-DB", ""},
{1552, "pciarray", ""},
{1553, "sna-cs", ""},
{1554, "CACI Products Company License Manager", ""},
{1555, "livelan", ""},
{1556, "AshWin CI Tecnologies", ""},
{1557, "ArborText License Manager", ""},
{1558, "xingmpeg", ""},
{1559, "web2host", ""},
{1560, "asci-val", ""},
{1561, "facilityview", ""},
{1562, "pconnectmgr", ""},
{1563, "Cadabra License Manager", ""},
{1564, "Pay-Per-View", ""},
{1565, "WinDD", ""},
{1566, "CORELVIDEO", ""},
{1567, "jlicelmd", ""},
{1568, "tsspmap", ""},
{1569, "ets", ""},
{1570, "orbixd", ""},
{1571, "Oracle Remote Data Base", ""},
{1572, "Chipcom License Manager", ""},
{1573, "itscomm-ns", ""},
{1574, "mvel-lm", ""},
{1575, "oraclenames", ""},
{1576, "moldflow-lm", ""},
{1577, "hypercube-lm", ""},
{1578, "Jacobus License Manager", ""},
{1579, "ioc-sea-lm", ""},
{1580, "tn-tl-r1", ""},
{1581, "MIL-2045-47001", ""},
{1582, "MSIMS", ""},
{1583, "simbaexpress", ""},
{1584, "tn-tl-fd2", ""},
{1585, "intv", ""},
{1586, "ibm-abtact", ""},
{1587, "pra_elmd", ""},
{1588, "triquest-lm", ""},
{1589, "VQP", ""},
{1590, "gemini-lm", ""},
{1591, "ncpm-pm", ""},
{1592, "commonspace", ""},
{1593, "mainsoft-lm", ""},
{1594, "sixtrak", ""},
{1595, "radio", ""},
{1596, "radio-sm", ""},
{1597, "orbplus-iiop", ""},
{1598, "picknfs", ""},
{1599, "simbaservices", ""},
{1600, "issd", "Shivka-Burka"},
{1601, "aas", ""},
{1602, "inspect", ""},
{1603, "pickodbc", ""},
{1604, "icabrowser", ""},
{1605, "Salutation Manager (Salutation Protocol)", ""},
{1606, "Salutation Manager (SLM-API)", ""},
{1607, "stt", ""},
{1608, "Smart Corp. License Manager", ""},
{1609, "isysg-lm", ""},
{1610, "taurus-wh", ""},
{1611, "Inter Library Loan", ""},
{1612, "NetBill Transaction Server", ""},
{1613, "NetBill Key Repository", ""},
{1614, "NetBill Credential Server", ""},
{1615, "NetBill Authorization Server", ""},
{1616, "NetBill Product Server", ""},
{1617, "Nimrod Inter-Agent Communication", ""},
{1618, "skytelnet", ""},
{1619, "xs-openstorage", ""},
{1620, "faxportwinport", ""},
{1621, "softdataphone", ""},
{1622, "ontime", ""},
{1623, "jaleosnd", ""},
{1624, "udp-sr-port", ""},
{1625, "svs-omagent", ""},
{1626, "Shockwave", ""},
{1627, "T.128 Gateway", ""},
{1628, "LonTalk normal", ""},
{1629, "LonTalk urgent", ""},
{1630, "Oracle Net8 Cman", ""},
{1631, "Visit view ", ""},
{1632, "PAMMRATC", ""},
{1633, "PAMMRPC", ""},
{1634, "Log On America Probe", ""},
{1635, "EDB Server 1", ""},
{1636, "CableNet Control Protocol", ""},
{1637, "CableNet Admin Protocol", ""},
{1638, "CableNet Info Protocol", ""},
{1639, "cert-initiator", ""},
{1640, "cert-responder", ""},
{1641, "InVision", ""},
{1642, "isis-am", ""},
{1643, "isis-ambc", ""},
{1644, "Satellite-data Acquisition System 4", ""},
{1645, "datametrics", ""},
{1646, "sa-msg-port", ""},
{1647, "rsap", ""},
{1648, "concurrent-lm", ""},
{1649, "kermit", ""},
{1650, "nkd", ""},
{1651, "shiva_confsrvr", ""},
{1652, "xnmp", ""},
{1653, "alphatech-lm", ""},
{1654, "stargatealerts", ""},
{1655, "dec-mbadmin", ""},
{1656, "dec-mbadmin-h", ""},
{1657, "fujitsu-mmpdc", ""},
{1658, "sixnetudr", ""},
{1659, "Silicon Grail License Manager", ""},
{1660, "skip-mc-gikreq", ""},
{1661, "netview-aix-1", ""},
{1662, "netview-aix-2", ""},
{1663, "netview-aix-3", ""},
{1664, "netview-aix-4", ""},
{1665, "netview-aix-5", ""},
{1666, "netview-aix-6", ""},
{1667, "netview-aix-7", ""},
{1668, "netview-aix-8", ""},
{1669, "netview-aix-9", ""},
{1670, "netview-aix-10", ""},
{1671, "netview-aix-11", ""},
{1672, "netview-aix-12", ""},
{1673, "Intel Proshare Multicast", ""},
{1674, "Intel Proshare Multicast", ""},
{1675, "Pacific Data Products", ""},
{1676, "netcomm1", ""},
{1677, "groupwise", ""},
{1678, "prolink", ""},
{1679, "darcorp-lm", ""},
{1680, "microcom-sbp", ""},
{1681, "sd-elmd", ""},
{1682, "lanyon-lantern", ""},
{1683, "ncpm-hip", ""},
{1684, "SnareSecure", ""},
{1685, "n2nremote", ""},
{1686, "cvmon", ""},
{1687, "nsjtp-ctrl", ""},
{1688, "nsjtp-data", ""},
{1689, "firefox", ""},
{1690, "ng-umds", ""},
{1691, "empire-empuma", ""},
{1692, "sstsys-lm", ""},
{1693, "rrirtr", ""},
{1694, "rrimwm", ""},
{1695, "rrilwm", ""},
{1696, "rrifmm", ""},
{1697, "rrisat", ""},
{1698, "RSVP-ENCAPSULATION-1", ""},
{1699, "RSVP-ENCAPSULATION-2", ""},
{1700, "mps-raft", ""},
{1701, "l2f", ""},
{1702, "deskshare", ""},
{1703, "hb-engine", ""},
{1704, "bcs-broker", ""},
{1705, "slingshot", ""},
{1706, "jetform", ""},
{1707, "vdmplay", ""},
{1708, "gat-lmd", ""},
{1709, "centra", ""},
{1710, "impera", ""},
{1711, "pptconference", ""},
{1712, "resource monitoring service", ""},
{1713, "ConferenceTalk", ""},
{1714, "sesi-lm", ""},
{1715, "houdini-lm", ""},
{1716, "xmsg", ""},
{1717, "fj-hdnet", ""},
{1718, "h323gatedisc", ""},
{1719, "h323gatestat", ""},
{1720, "h323hostcall, NetMeeting", ""},
{1721, "caicci", ""},
{1722, "HKS License Manager", ""},
{1723, "pptp", ""},
{1724, "csbphonemaster", ""},
{1725, "iden-ralp", ""},
{1726, "IBERIAGAMES", ""},
{1727, "winddx", ""},
{1728, "TELINDUS", ""},
{1729, "CityNL License Management", ""},
{1730, "roketz", ""},
{1731, "MSICCP", ""},
{1732, "proxim", ""},
{1733, "SIMS - SIIPAT Protocol for Alarm Transmission", ""},
{1734, "Camber Corporation License Management", ""},
{1735, "PrivateChat", ""},
{1736, "street-stream", ""},
{1737, "ultimad", ""},
{1738, "GameGen1", ""},
{1739, "webaccess", ""},
{1740, "encore", ""},
{1741, "cisco-net-mgmt", ""},
{1743, "Cinema Graphics License Manager", ""},
{1744, "ncpm-ft", ""},
{1745, "remote-winsock", ""},
{1746, "ftrapid-1", ""},
{1747, "ftrapid-2", ""},
{1748, "oracle-em1", ""},
{1749, "aspen-services", ""},
{1750, "Simple Socket Library's PortMaster", ""},
{1751, "SwiftNet", ""},
{1752, "Leap of Faith Research License Manager", ""},
{1753, "Translogic License Manager", ""},
{1754, "oracle-em2", ""},
{1755, "ms-streaming", ""},
{1756, "capfast-lmd", ""},
{1757, "cnhrp", ""},
{1758, "tftp-mcast", ""},
{1759, "SPSS License Manager", ""},
{1760, "www-ldap-gw", ""},
{1761, "cft-0", ""},
{1762, "cft-1", ""},
{1763, "cft-2", ""},
{1764, "cft-3", ""},
{1765, "cft-4", ""},
{1766, "cft-5", ""},
{1767, "cft-6", ""},
{1768, "cft-7", ""},
{1769, "bmc-net-adm", ""},
{1770, "bmc-net-svc", ""},
{1771, "vaultbase", ""},
{1772, "EssWeb Gateway", ""},
{1773, "KMSControl", ""},
{1774, "global-dtserv", ""},
{1776, "Federal Emergency Management Information System", ""},
{1777, "powerguardian", "Scarab"},
{1778, "prodigy-internet", ""},
{1779, "pharmasoft", ""},
{1780, "dpkeyserv", ""},
{1781, "answersoft-lm", ""},
{1782, "hp-hcip", ""},
{1784, "Finle License Manager", ""},
{1785, "Wind River Systems License Manager", ""},
{1786, "funk-logger", ""},
{1787, "funk-license", ""},
{1788, "psmond", ""},
{1789, "hello", ""},
{1790, "Narrative Media Streaming Protocol", ""},
{1791, "EA1", ""},
{1792, "ibm-dt-2", ""},
{1793, "rsc-robot", ""},
{1794, "cera-bcm", ""},
{1795, "dpi-proxy", ""},
{1796, "Vocaltec Server Administration", ""},
{1797, "UMA", ""},
{1798, "Event Transfer Protocol", ""},
{1799, "NETRISK", ""},
{1800, "ANSYS-License manager", ""},
{1801, "Microsoft Message Que", ""},
{1802, "ConComp1", ""},
{1803, "HP-HCIP-GWY", ""},
{1804, "ENL", ""},
{1805, "ENL-Name", ""},
{1806, "Musiconline", ""},
{1807, "Fujitsu Hot Standby Protocol", "SpySender"},
{1808, "Oracle-VP2", ""},
{1809, "Oracle-VP1", ""},
{1810, "Jerand License Manager", ""},
{1811, "Scientia-SDB", ""},
{1812, "RADIUS", ""},
{1813, "RADIUS Accounting", ""},
{1814, "TDP Suite", ""},
{1815, "MMPFT", ""},
{1816, "HARP", ""},
{1817, "RKB-OSCS", ""},
{1818, "Enhanced Trivial File Transfer Protocol", ""},
{1819, "Plato License Manager", ""},
{1820, "mcagent", ""},
{1821, "donnyworld", ""},
{1822, "es-elmd", ""},
{1823, "Unisys Natural Language License Manager", ""},
{1824, "metrics-pas", ""},
{1825, "DirecPC Video", ""},
{1826, "ARDT", ""},
{1827, "ASI", ""},
{1828, "itm-mcell-u", ""},
{1829, "Optika eMedia", ""},
{1830, "Oracle Net8 CMan Admin", ""},
{1831, "Myrtle", ""},
{1832, "ThoughtTreasure", ""},
{1833, "udpradio", ""},
{1834, "ARDUS Unicast", ""},
{1835, "ARDUS Multicast", ""},
{1836, "ste-smsc", ""},
{1837, "csoft1", ""},
{1838, "TALNET", ""},
{1839, "netopia-vo1", ""},
{1840, "netopia-vo2", ""},
{1841, "netopia-vo3", ""},
{1842, "netopia-vo4", ""},
{1843, "netopia-vo5", ""},
{1844, "DirecPC-DLL", ""},
{1850, "GSI", ""},
{1851, "ctcd", ""},
{1860, "SunSCALAR Services", ""},
{1861, "LeCroy VICP", ""},
{1862, "techra-server", ""},
{1863, "MSNP", ""},
{1864, "Paradym 31 Port", ""},
{1865, "ENTP", ""},
{1870, "SunSCALAR DNS Service", ""},
{1871, "Cano Central 0", ""},
{1872, "Cano Central 1", ""},
{1873, "Fjmpjps", ""},
{1874, "Fjswapsnp", ""},
{1881, "IBM MQSeries", ""},
{1895, "Vista 4GL", ""},
{1899, "MC2Studios", ""},
{1900, "SSDP", ""},
{1901, "Fujitsu ICL Terminal Emulator Program A", ""},
{1902, "Fujitsu ICL Terminal Emulator Program B", ""},
{1903, "Local Link Name Resolution", ""},
{1904, "Fujitsu ICL Terminal Emulator Program C", ""},
{1905, "Secure UP.Link Gateway Protocol", ""},
{1906, "TPortMapperReq", ""},
{1907, "IntraSTAR", ""},
{1908, "Dawn", ""},
{1909, "Global World Link", ""},
{1910, "ultrabac", ""},
{1911, "Starlight Networks Multimedia Transport Protocol", ""},
{1912, "rhp-iibp", ""},
{1913, "armadp", ""},
{1914, "Elm-Momentum", ""},
{1915, "FACELINK", ""},
{1916, "Persoft Persona", ""},
{1917, "nOAgent", ""},
{1918, "Candle Directory Service - NDS", ""},
{1919, "Candle Directory Service - DCH", ""},
{1920, "Candle Directory Service - FERRET", ""},
{1921, "NoAdmin", ""},
{1922, "Tapestry", ""},
{1923, "SPICE", ""},
{1924, "XIIP", ""},
{1930, "Drive AppServer", ""},
{1931, "AMD SCHED", ""},
{1944, "close-combat", ""},
{1945, "dialogic-elmd", ""},
{1946, "tekpls", ""},
{1947, "hlserver", ""},
{1948, "eye2eye", ""},
{1949, "ISMA Easdaq Live", ""},
{1950, "ISMA Easdaq Test", ""},
{1951, "bcs-lmserver", ""},
{1952, "mpnjsc", ""},
{1953, "Rapid Base", ""},
{1961, "BTS APPSERVER", ""},
{1964, "SOLID E ENGINE", ""},
{1965, "Tivoli NPM", ""},
{1966, "Slush", "Fake FTP"},
{1967, "SNS Quote", ""},
{1969, "", "OpC BO"},
{1972, "Cache", ""},
{1973, "Data Link Switching Remote Access Protocol", ""},
{1974, "DRP", ""},
{1975, "TCO Flash Agent", ""},
{1976, "TCO Reg Agent", ""},
{1977, "TCO Address Book", ""},
{1978, "UniSQL", ""},
{1979, "UniSQL Java", ""},
{1981, "", "ShockRave"},
{1984, "BB", ""},
{1985, "Hot Standby Router Protocol", ""},
{1986, "cisco license management", ""},
{1987, "cisco RSRB Priority 1 port", ""},
{1988, "cisco RSRB Priority 2 port", ""},
{1989, "cisco RSRB Priority 3 port", ""},
{1990, "cisco STUN Priority 1 port", ""},
{1991, "cisco STUN Priority 2 port", ""},
{1992, "cisco STUN Priority 3 port", ""},
{1993, "cisco SNMP TCP port", ""},
{1994, "cisco serial tunnel port", ""},
{1995, "cisco perf port", ""},
{1996, "cisco Remote SRB port", ""},
{1997, "cisco Gateway Discovery Protocol", ""},
{1998, "cisco X.25 service (XOT)", ""},
{1999, "cisco identification port", "BackDoor, TransScout"},
{2000, "callbook", "Remote Explorer, Der Spaeher 3, Insane Network, TransScout"},
{2001, "dc", " Der Spaeher 3, TransScout, Trojan Cow"},
{2002, "globe", "TransScout"},
{2003, "", "TransScout"},
{2004, "mailbox", "TransScout"},
{2005, "berknet", "TransScout"},
{2006, "invokator", ""},
{2007, "dectalk", ""},
{2008, "conf", ""},
{2009, "news", ""},
{2010, "search", ""},
{2011, "raid", ""},
{2012, "ttyinfo", ""},
{2013, "raid-am", ""},
{2014, "troff", ""},
{2015, "cypress", ""},
{2016, "bootserver", ""},
{2017, "cypress-stat", ""},
{2018, "terminaldb", ""},
{2019, "whosockami", ""},
{2020, "xinupageserver", ""},
{2021, "servexec", ""},
{2022, "down", ""},
{2023, "xinuexpansion3", "Ripper"},
{2024, "xinuexpansion4", ""},
{2025, "ellpack", ""},
{2026, "scrabble", ""},
{2027, "shadowserver", ""},
{2028, "submitserver", ""},
{2030, "device2", ""},
{2032, "blackboard", ""},
{2033, "glogger", ""},
{2034, "scoremgr", ""},
{2035, "imsldoc", ""},
{2038, "objectmanager", ""},
{2040, "lam", ""},
{2041, "interbase", ""},
{2042, "isis", ""},
{2043, "isis-bcast", ""},
{2044, "rimsl", ""},
{2045, "cdfunc", ""},
{2046, "sdfunc", ""},
{2047, "dls", ""},
{2048, "dls-monitor", ""},
{2049, "shilp", ""},
{2065, "Data Link Switch Read Port Number", ""},
{2067, "Data Link Switch Write Port Number", ""},
{2080, "", "WinHole"},
{2086, "", "Netscape/Corba exploit"},
{2090, "Load Report Protocol", ""},
{2091, "PRP", ""},
{2092, "Descent 3", ""},
{2093, "NBX CC", ""},
{2094, "NBX AU", ""},
{2095, "NBX SER", ""},
{2096, "NBX DIR", ""},
{2097, "Jet Form Preview", ""},
{2098, "Dialog Port", ""},
{2099, "H.225.0 Annex G", ""},
{2100, "amiganetfs", ""},
{2101, "rtcm-sc104", ""},
{2102, "Zephyr server", ""},
{2103, "Zephyr serv-hm connection", ""},
{2104, "Zephyr hostmanager", ""},
{2105, "Kerberos encrypted login, MiniPay", ""},
{2106, "Kerberos encrypted rshell, MZAP", ""},
{2107, "BinTec Admin", ""},
{2108, "Kerberos remote initialization, Comcam", ""},
{2109, "Ergolight", ""},
{2110, "UMSP", ""},
{2111, "X over Kerberos, DSATP", ""},
{2112, "IP over Kerberos, Idonix MetaNet", ""},
{2113, "HSL StoRM", ""},
{2114, "NEWHEIGHTS", ""},
{2115, "KDM", "Bugs"},
{2116, "CCOWCMR", ""},
{2117, "MENTACLIENT", ""},
{2118, "MENTASERVER", ""},
{2119, "GSIGATEKEEPER", ""},
{2120, "Remote kauth, Quick Eagle Networks CP", ""},
{2121, "SCIENTIA-SSDB", ""},
{2122, "CauPC Remote Control", ""},
{2123, "GTP-Control Plane (3GPP)", ""},
{2124, "ELATELINK", ""},
{2125, "LOCKSTEP", ""},
{2126, "PktCable-COPS", ""},
{2127, "INDEX-PC-WB", ""},
{2128, "Net Steward Control", ""},
{2129, "cs-live.com", ""},
{2130, "SWC-XDS", ""},
{2131, "Avantageb2b", ""},
{2132, "AVAIL-EPMAP", ""},
{2133, "ZYMED-ZPP", ""},
{2134, "AVENUE", ""},
{2135, "Grid Resource Information Server", ""},
{2136, "APPWORXSRV", ""},
{2137, "CONNECT", ""},
{2138, "UNBIND-CLUSTER", ""},
{2139, "IAS-AUTH", ""},
{2140, "IAS-REG", "Deep Throat, The Invasor"},
{2141, "IAS-ADMIND", ""},
{2142, "TDM-OVER-IP", ""},
{2143, "Live Vault Job Control", ""},
{2144, "Live Vault Fast Object Transfer", ""},
{2145, "Live Vault Remote Diagnostic Console Support", ""},
{2146, "Live Vault Admin Event Notification", ""},
{2147, "Live Vault Authentication", ""},
{2148, "VERITAS UNIVERSAL COMMUNICATION LAYER", ""},
{2149, "ACPTSYS", ""},
{2150, "DYNAMIC3D", ""},
{2151, "DOCENT", ""},
{2152, "GTP-User Plane (3GPP)", ""},
{2155, "", "Illusion Mailer"},
{2165, "X-Bone API", ""},
{2166, "IWSERVER", ""},
{2180, "Millicent Vendor Gateway Server", ""},
{2181, "eforward", ""},
{2200, "ICI", ""},
{2201, "Advanced Training System Program", ""},
{2202, "Int. Multimedia Teleconferencing Cosortium", ""},
{2213, "Kali", ""},
{2220, "Ganymede", ""},
{2221, "Rockwell CSP1", ""},
{2222, "Rockwell CSP2", ""},
{2223, "Rockwell CSP3", ""},
{2232, "IVS Video default", ""},
{2233, "INFOCRYPT", ""},
{2234, "DirectPlay", ""},
{2235, "Sercomm-WLink", ""},
{2236, "Nani", ""},
{2237, "Optech Port1 License Manager", ""},
{2238, "AVIVA SNA SERVER", ""},
{2239, "Image Query", ""},
{2240, "RECIPe", ""},
{2241, "IVS Daemon", ""},
{2242, "Folio Remote Server", ""},
{2243, "Magicom Protocol", ""},
{2244, "NMS Server", ""},
{2245, "HaO", ""},
{2279, "xmquery", ""},
{2280, "LNVPOLLER", ""},
{2281, "LNVCONSOLE", ""},
{2282, "LNVALARM", ""},
{2283, "LNVSTATUS", "HLV Rat5"},
{2284, "LNVMAPS", ""},
{2285, "LNVMAILMON", ""},
{2286, "NAS-Metering", ""},
{2287, "DNA", ""},
{2288, "NETML", ""},
{2294, "Konshus License Manager (FLEX)", ""},
{2295, "Advant License Manager", ""},
{2296, "Theta License Manager (Rainbow)", ""},
{2297, "D2K DataMover 1", ""},
{2298, "D2K DataMover 2", ""},
{2299, "PC Telecommute", ""},
{2300, "CVMMON", "Xplorer"},
{2301, "Compaq HTTP", ""},
{2302, "Bindery Support", ""},
{2303, "Proxy Gateway", ""},
{2304, "Attachmate UTS", ""},
{2305, "MT ScaleServer", ""},
{2306, "TAPPI BoxNet", ""},
{2307, "pehelp", ""},
{2308, "sdhelp", ""},
{2309, "SD Server", ""},
{2310, "SD Client", ""},
{2311, "Message Service", ""},
{2313, "IAPP (Inter Access Point Protocol)", ""},
{2314, "CR WebSystems", ""},
{2315, "Precise Sft.", ""},
{2316, "SENT License Manager", ""},
{2317, "Attachmate G32", ""},
{2318, "Cadence Control", ""},
{2319, "InfoLibria", ""},
{2320, "Siebel NS", ""},
{2321, "RDLAP over UDP", ""},
{2322, "ofsd", ""},
{2324, "Cosmocall", ""},
{2325, "Design Space License Management", ""},
{2326, "IDCP", ""},
{2327, "xingcsm", ""},
{2328, "Netrix SFTM", ""},
{2329, "NVD", ""},
{2330, "TSCCHAT", ""},
{2331, "AGENTVIEW", ""},
{2332, "RCC Host", ""},
{2333, "SNAPP", ""},
{2334, "ACE Client Auth", ""},
{2335, "ACE Proxy", ""},
{2336, "Apple UG Control", ""},
{2337, "ideesrv", ""},
{2338, "Norton Lambert", ""},
{2340, "WRS Registry", ""},
{2341, "XIO Status", ""},
{2342, "Seagate Manage Exec", ""},
{2343, "nati logos", ""},
{2344, "fcmsys", ""},
{2345, "dbm", ""},
{2346, "Game Connection Port", ""},
{2347, "Game Announcement and Location", ""},
{2348, "Information to query for game status", ""},
{2349, "Diagnostics Port", ""},
{2350, "psbserver", ""},
{2351, "psrserver", ""},
{2352, "pslserver", ""},
{2353, "pspserver", ""},
{2354, "psprserver", ""},
{2355, "psdbserver", ""},
{2356, "GXT License Managemant", ""},
{2357, "UniHub Server", ""},
{2358, "Futrix", ""},
{2359, "FlukeServer", ""},
{2360, "NexstorIndLtd", ""},
{2361, "TL1", ""},
{2362, "digiman", ""},
{2363, "Media Central NFSD", ""},
{2364, "OI-2000", ""},
{2365, "dbref", ""},
{2366, "qip-login", ""},
{2367, "Service Control", ""},
{2368, "OpenTable", ""},
{2369, "ACS2000 DSP", ""},
{2370, "L3-HBMon", ""},
{2381, "Compaq HTTPS", ""},
{2382, "Microsoft OLAP", ""},
{2383, "Microsoft OLAP", ""},
{2384, "SD-REQUEST", ""},
{2389, "OpenView Session Mgr", ""},
{2390, "RSMTP", ""},
{2392, "Tactical Auth", ""},
{2393, "MS OLAP 1", ""},
{2394, "MS OLAP 2", ""},
{2395, "LAN900 Remote", ""},
{2396, "Wusage", ""},
{2397, "NCL", ""},
{2398, "Orbiter", ""},
{2399, "FileMaker, Inc. - Data Access Layer", ""},
{2400, "OpEquus Server", ""},
{2401, "cvspserver", ""},
{2402, "TaskMaster 2000 Server", ""},
{2403, "TaskMaster 2000 Web", ""},
{2404, "IEC870-5-104", ""},
{2405, "TRC Netpoll", ""},
{2406, "JediServer", ""},
{2407, "Orion", ""},
{2408, "OptimaNet", ""},
{2409, "SNS Protocol", ""},
{2410, "VRTS Registry", ""},
{2411, "Netwave AP Management", ""},
{2412, "CDN", ""},
{2413, "orion-rmi-reg", ""},
{2414, "Interlingua", ""},
{2415, "COMTEST", ""},
{2416, "RMT Server", ""},
{2417, "Composit Server", ""},
{2418, "cas", ""},
{2419, "Attachmate S2S", ""},
{2420, "DSL Remote Management", ""},
{2421, "G-Talk", ""},
{2422, "CRMSBITS", ""},
{2423, "RNRP", ""},
{2424, "KOFAX-SVR", ""},
{2425, "Fujitsu App Manager", ""},
{2426, "Appliant TCP", ""},
{2427, "Media Gateway Control Protocol Gateway", ""},
{2428, "One Way Trip Time", ""},
{2429, "FT-ROLE", ""},
{2430, "venus", ""},
{2431, "venus-se", ""},
{2432, "codasrv", ""},
{2433, "codasrv-se", ""},
{2434, "pxc-epmap", ""},
{2435, "OptiLogic", ""},
{2436, "TOP/X", ""},
{2437, "UniControl", ""},
{2438, "MSP", ""},
{2439, "SybaseDBSynch", ""},
{2440, "Spearway Lockers", ""},
{2441, "pvsw-inet", ""},
{2442, "Netangel", ""},
{2443, "PowerClient Central Storage Facility", ""},
{2444, "BT PP2 Sectrans", ""},
{2445, "DTN1", ""},
{2446, "bues_service", ""},
{2447, "OpenView NNM daemon", ""},
{2448, "hpppsvr", ""},
{2449, "RATL", ""},
{2450, "netadmin", ""},
{2451, "netchat", ""},
{2452, "SnifferClient", ""},
{2453, "madge-om", ""},
{2454, "IndX-DDS", ""},
{2455, "WAGO-IO-SYSTEM", ""},
{2456, "altav-remmgt", ""},
{2457, "Rapido_IP", ""},
{2458, "griffin", ""},
{2459, "Community", ""},
{2460, "ms-theater", ""},
{2461, "qadmifoper", ""},
{2462, "qadmifevent", ""},
{2463, "Symbios Raid", ""},
{2464, "DirecPC SI", ""},
{2465, "Load Balance Management", ""},
{2466, "Load Balance Forwarding", ""},
{2467, "High Criteria", ""},
{2468, "qip_msgd", ""},
{2469, "MTI-TCS-COMM", ""},
{2470, "taskman port", ""},
{2471, "SeaODBC", ""},
{2472, "C3", ""},
{2473, "Aker-cdp", ""},
{2474, "Vital Analysis", ""},
{2475, "ACE Server", ""},
{2476, "ACE Server Propagation", ""},
{2477, "SecurSight Certificate Valifation Service", ""},
{2478, "SecurSight Authentication Server (SLL)", ""},
{2479, "SecurSight Event Logging Server (SSL)", ""},
{2480, "Lingwood's Detail", ""},
{2481, "Oracle GIOP", ""},
{2482, "Oracle GIOP SSL", ""},
{2483, "Oracle TTC", ""},
{2484, "Oracle TTC SSL", ""},
{2485, "Net Objects1", ""},
{2486, "Net Objects2", ""},
{2487, "Policy Notice Service", ""},
{2488, "Moy Corporation", ""},
{2489, "TSILB", ""},
{2490, "qip_qdhcp", ""},
{2491, "Conclave CPP", ""},
{2492, "GROOVE", ""},
{2493, "Talarian MQS", ""},
{2494, "BMC AR", ""},
{2495, "Fast Remote Services", ""},
{2496, "DIRGIS", ""},
{2497, "Quad DB", ""},
{2498, "ODN-CasTraq", ""},
{2499, "UniControl", ""},
{2500, "Resource Tracking system server", ""},
{2501, "Resource Tracking system client", ""},
{2502, "Kentrox Protocol", ""},
{2503, "NMS-DPNSS", ""},
{2504, "WLBS", ""},
{2505, "torque-traffic", ""},
{2506, "jbroker", ""},
{2507, "spock", ""},
{2508, "JDataStore", ""},
{2509, "fjmpss", ""},
{2510, "fjappmgrbulk", ""},
{2511, "Metastorm", ""},
{2512, "Citrix IMA", ""},
{2513, "Citrix ADMIN", ""},
{2514, "Facsys NTP", ""},
{2515, "Facsys Router", ""},
{2516, "Main Control", ""},
{2517, "H.323 Annex E call signaling transport", ""},
{2518, "Willy", ""},
{2519, "globmsgsvc", ""},
{2520, "pvsw", ""},
{2521, "Adaptec Manager", ""},
{2522, "WinDb", ""},
{2523, "Qke LLC V.3", ""},
{2524, "Optiwave License Management", ""},
{2525, "MS V-Worlds", ""},
{2526, "EMA License Manager", ""},
{2527, "IQ Server", ""},
{2528, "NCR CCL", ""},
{2529, "UTS FTP", ""},
{2530, "VR Commerce", ""},
{2531, "ITO-E GUI", ""},
{2532, "OVTOPMD", ""},
{2533, "SnifferServer", ""},
{2534, "Combox Web Access", ""},
{2535, "MADCAP", ""},
{2536, "btpp2audctr1", ""},
{2537, "Upgrade Protocol", ""},
{2538, "vnwk-prapi", ""},
{2539, "VSI Admin", ""},
{2540, "LonWorks", ""},
{2541, "LonWorks2", ""},
{2542, "daVinci", ""},
{2543, "REFTEK", ""},
{2544, "Novell ZEN", ""},
{2545, "sis-emt", ""},
{2546, "vytalvaultbrtp", ""},
{2547, "vytalvaultvsmp", ""},
{2548, "vytalvaultpipe", ""},
{2549, "IPASS", ""},
{2550, "ADS", ""},
{2551, "ISG UDA Server", ""},
{2552, "Call Logging", ""},
{2553, "efidiningport", ""},
{2554, "VCnet-Link v10", ""},
{2555, "Compaq WCP", ""},
{2556, "nicetec-nmsvc", ""},
{2557, "nicetec-mgmt", ""},
{2558, "PCLE Multi Media", ""},
{2559, "LSTP", ""},
{2560, "labrat", ""},
{2561, "MosaixCC", ""},
{2562, "Delibo", ""},
{2563, "CTI Redwood", ""},
{2564, "HP 3000 NS/VT block mode telnet", ""},
{2565, "Coordinator Server", "Striker"},
{2566, "pcs-pcw", ""},
{2567, "Cisco Line Protocol", ""},
{2568, "SPAM TRAP", ""},
{2569, "Sonus Call Signal", ""},
{2570, "HS Port", ""},
{2571, "CECSVC", ""},
{2572, "IBP", ""},
{2573, "Trust Establish", ""},
{2574, "Blockade BPSP", ""},
{2575, "HL7", ""},
{2576, "TCL Pro Debugger", ""},
{2577, "Scriptics Lsrvr", ""},
{2578, "RVS ISDN DCP", ""},
{2579, "mpfoncl", ""},
{2580, "Tributary", ""},
{2581, "ARGIS TE", ""},
{2582, "ARGIS DS", ""},
{2583, "MON", "WinCrash"},
{2584, "cyaserv", ""},
{2585, "NETX Server", ""},
{2586, "NETX Agent", ""},
{2587, "MASC", ""},
{2588, "Privilege", ""},
{2589, "quartus tcl", ""},
{2590, "idotdist", ""},
{2591, "Maytag Shuffle", ""},
{2592, "netrek", ""},
{2593, "MNS Mail Notice Service", ""},
{2594, "Data Base Server", ""},
{2595, "World Fusion 1", ""},
{2596, "World Fusion 2", ""},
{2597, "Homestead Glory", ""},
{2598, "Citrix MA Client", ""},
{2599, "Meridian Data", ""},
{2600, "HPSTGMGR", "Digital RootBeer"},
{2601, "zebra vty, discp client", ""},
{2602, "RIPd vty, discp server", ""},
{2603, "RIPngd vty, Service Meter", ""},
{2604, "OSPFd vty, NSC CCS", ""},
{2605, "BGPd vty, NSC POSA", ""},
{2606, "Dell Netmon", ""},
{2607, "Dell Connection", ""},
{2608, "Wag Service", ""},
{2609, "System Monitor", ""},
{2610, "VersaTek", ""},
{2611, "LIONHEAD", ""},
{2612, "Qpasa Agent", ""},
{2613, "SMNTUBootstrap", ""},
{2614, "Never Offline", ""},
{2615, "firepower", ""},
{2616, "appswitch-emp", ""},
{2617, "Clinical Context Managers", ""},
{2618, "Priority E-Com", ""},
{2619, "bruce", ""},
{2620, "LPSRecommender", ""},
{2621, "Miles Apart Jukebox Server", ""},
{2622, "MetricaDBC", ""},
{2623, "LMDP", ""},
{2624, "Aria", ""},
{2625, "Blwnkl Port", ""},
{2626, "gbjd816", ""},
{2627, "webster, Moshe Beeri", ""},
{2628, "DICT", ""},
{2629, "Sitara Server", ""},
{2630, "Sitara Management", ""},
{2631, "Sitara Dir", ""},
{2632, "IRdg Post", ""},
{2633, "InterIntelli", ""},
{2634, "PK Electronics", ""},
{2635, "Back Burner", ""},
{2636, "Solve", ""},
{2637, "Import Document Service", ""},
{2638, "Sybase Anywhere", ""},
{2639, "AMInet", ""},
{2640, "Sabbagh Associates Licence Manager", ""},
{2641, "HDL Server", ""},
{2642, "Tragic", ""},
{2643, "GTE-SAMP", ""},
{2644, "Travsoft IPX Tunnel", ""},
{2645, "Novell IPX CMD", ""},
{2646, "AND Licence Manager", ""},
{2647, "SyncServer", ""},
{2648, "Upsnotifyprot", ""},
{2649, "VPSIPPORT", ""},
{2650, "eristwoguns", ""},
{2651, "EBInSite", ""},
{2652, "InterPathPanel", ""},
{2653, "Sonus", ""},
{2654, "Corel VNC Admin", ""},
{2655, "UNIX Nt Glue", ""},
{2656, "Kana", ""},
{2657, "SNS Dispatcher", ""},
{2658, "SNS Admin", ""},
{2659, "SNS Query", ""},
{2660, "GC Monitor", ""},
{2661, "OLHOST", ""},
{2662, "BinTec-CAPI", ""},
{2663, "BinTec-TAPI", ""},
{2664, "Command MQ GM", ""},
{2665, "Command MQ PM", ""},
{2666, "extensis", ""},
{2667, "Alarm Clock Server", ""},
{2668, "Alarm Clock Client", ""},
{2669, "TOAD", ""},
{2670, "TVE Announce", ""},
{2671, "newlixreg", ""},
{2672, "nhserver", ""},
{2673, "First Call 42", ""},
{2674, "ewnn", ""},
{2675, "TTC ETAP", ""},
{2676, "SIMSLink", ""},
{2677, "Gadget Gate 1 Way", ""},
{2678, "Gadget Gate 2 Way", ""},
{2679, "Sync Server SSL", ""},
{2680, "pxc-sapxom", ""},
{2681, "mpnjsomb", ""},
{2682, "SRSP", ""},
{2683, "NCDLoadBalance", ""},
{2684, "mpnjsosv", ""},
{2685, "mpnjsocl", ""},
{2686, "mpnjsomg", ""},
{2687, "pq-lic-mgmt", ""},
{2688, "md-cf-http", ""},
{2689, "FastLynx", ""},
{2690, "HP NNM Embedded Database", ""},
{2691, "IT Internet", ""},
{2692, "Admins LMS", ""},
{2693, "belarc-http", ""},
{2694, "pwrsevent", ""},
{2695, "VSPREAD", ""},
{2696, "Unify Admin", ""},
{2697, "Oce SNMP Trap Port", ""},
{2698, "MCK-IVPIP", ""},
{2699, "Csoft Plus Client", ""},
{2700, "tqdata", ""},
{2701, "SMS RCINFO", ""},
{2702, "SMS XFER", ""},
{2703, "SMS CHAT", ""},
{2704, "SMS REMCTRL", ""},
{2705, "SDS Admin", ""},
{2706, "NCD Mirroring", ""},
{2707, "EMCSYMAPIPORT", ""},
{2708, "Banyan-Net", ""},
{2709, "Supermon", ""},
{2710, "SSO Service", ""},
{2711, "SSO Control", ""},
{2712, "Axapta Object Communication Protocol", ""},
{2713, "Raven1", ""},
{2714, "Raven2", ""},
{2715, "HPSTGMGR2", ""},
{2716, "Inova IP Disco", "The prayer 1.2 - 1.3"},
{2717, "PN REQUESTER", ""},
{2718, "PN REQUESTER 2", ""},
{2719, "Scan & Change", ""},
{2720, "wkars", ""},
{2721, "Smart Diagnose", "Phase Zero"},
{2722, "Proactive Server", ""},
{2723, "WatchDog NT", ""},
{2724, "qotps", ""},
{2725, "MSOLAP PTP2", ""},
{2726, "TAMS", ""},
{2727, "Media Gateway Control Protocol Call Agent", ""},
{2728, "SQDR", ""},
{2729, "TCIM Control", ""},
{2730, "NEC RaidPlus", ""},
{2731, "NetDragon Messanger", ""},
{2732, "G5M", ""},
{2733, "Signet CTF", ""},
{2734, "CCS Software", ""},
{2735, "Monitor Console", ""},
{2736, "RADWIZ NMS SRV", ""},
{2737, "SRP Feedback", ""},
{2738, "NDL TCP-OSI Gateway", ""},
{2739, "TN Timing", ""},
{2740, "Alarm", ""},
{2741, "TSB", ""},
{2742, "TSB2", ""},
{2743, "murx", ""},
{2744, "honyaku", ""},
{2745, "URBISNET", ""},
{2746, "CPUDPENCAP", ""},
{2747, "fjippol-swrly", ""},
{2748, "fjippol-polsvr", ""},
{2749, "fjippol-cnsl", ""},
{2750, "fjippol-port1", ""},
{2751, "fjippol-port2", ""},
{2752, "RSISYS ACCESS", ""},
{2753, "de-spot", ""},
{2754, "APOLLO CC", ""},
{2755, "Express Pay", ""},
{2756, "simplement-tie", ""},
{2757, "CNRP", ""},
{2758, "APOLLO Status", ""},
{2759, "APOLLO GMS", ""},
{2760, "Saba MS", ""},
{2761, "DICOM ISCL", ""},
{2762, "DICOM TLS", ""},
{2763, "Desktop DNA", ""},
{2764, "Data Insurance", ""},
{2765, "qip-audup", ""},
{2766, "System V listener port, Compaq SCP", ""},
{2767, "UADTC", ""},
{2768, "UACS", ""},
{2769, "Single Point MVS", ""},
{2770, "Veronica", ""},
{2771, "Vergence CM", ""},
{2772, "auris", "SubSeven Screen Capture Port"},
{2773, "PC Backup", "SubSeven Key Logger Port"},
{2774, "PC Backup", ""},
{2775, "SMMP", ""},
{2776, "Ridgeway Systems & Software", ""},
{2777, "Ridgeway Systems & Software", ""},
{2778, "Gwen-Sonya", ""},
{2779, "LBC Sync", ""},
{2780, "LBC Control", ""},
{2781, "whosells", ""},
{2782, "everydayrc", ""},
{2783, "AISES", ""},
{2784, "world wide web - development", ""},
{2785, "aic-np", ""},
{2786, "aic-oncrpc - Destiny MCD database", ""},
{2787, "piccolo - Cornerstone Software", ""},
{2788, "NetWare Loadable Module - Seagate Software", ""},
{2789, "Media Agent", ""},
{2790, "PLG Proxy", ""},
{2791, "MT Port Registrator", ""},
{2792, "f5-globalsite", ""},
{2793, "initlsmsad", ""},
{2794, "aaftp", ""},
{2795, "LiveStats", ""},
{2796, "ac-tech", ""},
{2797, "esp-encap", ""},
{2798, "TMESIS-UPShot", ""},
{2799, "ICON Discover", ""},
{2800, "ACC RAID", ""},
{2801, "IGCP", "Phineas Phucker"},
{2802, "Veritas TCP1", ""},
{2803, "btprjctrl", ""},
{2804, "Telexis VTU", ""},
{2805, "WTA WSP-S", ""},
{2806, "cspuni", ""},
{2807, "cspmulti", ""},
{2808, "J-LAN-P", ""},
{2809, "CORBA LOC", ""},
{2810, "Active Net Steward", ""},
{2811, "GSI FTP", ""},
{2812, "atmtcp", ""},
{2813, "llm-pass", ""},
{2814, "llm-csv", ""},
{2815, "LBC Measurement", ""},
{2816, "LBC Watchdog", ""},
{2817, "NMSig Port", ""},
{2818, "rmlnk", ""},
{2819, "FC Fault Notification", ""},
{2820, "UniVision", ""},
{2821, "vml_dms", ""},
{2822, "ka0wuc", ""},
{2823, "CQG Net/LAN", ""},
{2826, "slc systemlog", ""},
{2827, "slc ctrlrloops", ""},
{2828, "ITM License Manager", ""},
{2829, "silkp1", ""},
{2830, "silkp2", ""},
{2831, "silkp3", ""},
{2832, "silkp4", ""},
{2833, "glishd", ""},
{2834, "EVTP", ""},
{2835, "EVTP-DATA", ""},
{2836, "catalyst", ""},
{2837, "Repliweb", ""},
{2838, "Starbot", ""},
{2839, "NMSigPort", ""},
{2840, "l3-exprt", ""},
{2841, "l3-ranger", ""},
{2842, "l3-hawk", ""},
{2843, "PDnet", ""},
{2844, "BPCP POLL", ""},
{2845, "BPCP TRAP", ""},
{2846, "AIMPP Hello", ""},
{2847, "AIMPP Port Req", ""},
{2848, "AMT-BLC-PORT", ""},
{2849, "FXP", ""},
{2850, "MetaConsole", ""},
{2851, "webemshttp", ""},
{2852, "bears-01", ""},
{2853, "ISPipes", ""},
{2854, "InfoMover", ""},
{2856, "cesdinv", ""},
{2857, "SimCtIP", ""},
{2858, "ECNP", ""},
{2859, "Active Memory", ""},
{2860, "Dialpad Voice 1", ""},
{2861, "Dialpad Voice 2", ""},
{2862, "TTG Protocol", ""},
{2863, "Sonar Data", ""},
{2864, "main 5001 cmd", ""},
{2865, "pit-vpn", ""},
{2866, "lwlistener", ""},
{2867, "esps-portal", ""},
{2868, "NPEP Messaging", ""},
{2869, "ICSLAP", ""},
{2870, "daishi", ""},
{2871, "MSI Select Play", ""},
{2872, "CONTRACT", ""},
{2873, "PASPAR2 ZoomIn", ""},
{2874, "dxmessagebase1", ""},
{2875, "dxmessagebase2", ""},
{2876, "SPS Tunnel", ""},
{2877, "BLUELANCE", ""},
{2878, "AAP", ""},
{2879, "ucentric-ds", ""},
{2880, "synapse", ""},
{2881, "NDSP", ""},
{2882, "NDTP", ""},
{2883, "NDNP", ""},
{2884, "Flash Msg", ""},
{2885, "TopFlow", ""},
{2886, "RESPONSELOGIC", ""},
{2887, "aironet", ""},
{2888, "SPCSDLOBBY", ""},
{2889, "RSOM", ""},
{2890, "CSPCLMULTI", ""},
{2891, "CINEGRFX-ELMD License Manager", ""},
{2892, "SNIFFERDATA", ""},
{2893, "VSECONNECTOR", ""},
{2894, "ABACUS-REMOTE", ""},
{2895, "NATUS LINK", ""},
{2896, "ECOVISIONG6-1", ""},
{2897, "Citrix RTMP", ""},
{2898, "APPLIANCE-CFG", ""},
{2899, "POWERGEMPLUS", ""},
{2900, "QUICKSUITE", ""},
{2901, "ALLSTORCNS", ""},
{2902, "NET ASPI", ""},
{2903, "SUITCASE", ""},
{2904, "M2UA", ""},
{2905, "M3UA", ""},
{2906, "CALLER9", ""},
{2907, "WEBMETHODS B2B", ""},
{2908, "mao", ""},
{2909, "Funk Dialout", ""},
{2910, "TDAccess", ""},
{2911, "Blockade", ""},
{2912, "Epicon", ""},
{2913, "Booster Ware", ""},
{2914, "Game Lobby", ""},
{2915, "TK Socket", ""},
{2916, "Elvin Server", ""},
{2917, "Elvin Client", ""},
{2918, "Kasten Chase Pad", ""},
{2919, "ROBOER", ""},
{2920, "ROBOEDA", ""},
{2921, "CESD Contents Delivery Management", ""},
{2922, "CESD Contents Delivery Data Transfer", ""},
{2923, "WTA-WSP-WTP-S", ""},
{2924, "PRECISE-VIP", ""},
{2925, "Firewall Redundancy Protocol", ""},
{2926, "MOBILE-FILE-DL", ""},
{2927, "UNIMOBILECTRL", ""},
{2928, "REDSTONE-CPSS", ""},
{2929, "PANJA-WEBADMIN", ""},
{2930, "PANJA-WEBLINX", ""},
{2931, "Circle-X", ""},
{2932, "INCP", ""},
{2935, "QTP", ""},
{2936, "OTPatch", ""},
{2937, "PNACONSULT-LM", ""},
{2938, "SM-PAS-1", ""},
{2939, "SM-PAS-2", ""},
{2940, "SM-PAS-3", ""},
{2941, "SM-PAS-4", ""},
{2942, "SM-PAS-5", ""},
{2943, "TTNRepository", ""},
{2944, "Megaco H-248", ""},
{2945, "H248 Binary", ""},
{2946, "FJSVmpor", ""},
{2947, "GPSD", ""},
{2948, "WAP PUSH", ""},
{2949, "WAP PUSH SECURE", ""},
{2950, "ESIP", ""},
{2951, "OTTP", ""},
{2952, "MPFWSAS", ""},
{2953, "OVALARMSRV", ""},
{2954, "OVALARMSRV-CMD", ""},
{2955, "CSNOTIFY", ""},
{2956, "OVRIMOSDBMAN", ""},
{2957, "JAMCT5", ""},
{2958, "JAMCT6", ""},
{2959, "RMOPAGT", ""},
{2960, "DFOXSERVER", ""},
{2961, "BOLDSOFT-LM", ""},
{2962, "IPH-POLICY-CLI", ""},
{2963, "IPH-POLICY-ADM", ""},
{2964, "BULLANT SRAP", ""},
{2965, "BULLANT RAP", ""},
{2966, "IDP-INFOTRIEVE", ""},
{2967, "SSC-AGENT", ""},
{2968, "ENPP", ""},
{2969, "ESSP", ""},
{2970, "INDEX-NET", ""},
{2971, "Net Clip", ""},
{2972, "PMSM Webrctl", ""},
{2973, "SV Networks", ""},
{2974, "Signal", ""},
{2975, "Fujitsu Configuration Management Service", ""},
{2976, "CNS Server Port", ""},
{2977, "TTCs Enterprise Test Access Protocol - NS", ""},
{2978, "TTCs Enterprise Test Access Protocol - DS", ""},
{2979, "H.263 Video Streaming", ""},
{2980, "Instant Messaging Service", ""},
{2981, "MYLXAMPORT", ""},
{2982, "IWB-WHITEBOARD", ""},
{2983, "NETPLAN", ""},
{2984, "HPIDSADMIN", ""},
{2985, "HPIDSAGENT", ""},
{2986, "STONEFALLS", ""},
{2987, "IDENTIFY", ""},
{2988, "CLASSIFY", ""},
{2989, "ZARKOV", "Rat"},
{2990, "BOSCAP", ""},
{2991, "WKSTN-MON", ""},
{2992, "ITB301", ""},
{2993, "VERITAS VIS1", ""},
{2994, "VERITAS VIS2", ""},
{2995, "IDRS", ""},
{2996, "vsixml", ""},
{2997, "REBOL", ""},
{2998, "Real Secure", ""},
{2999, "RemoteWare Unassigned", ""},
{3000, "User level ppp daemon, HBCI", "Remote Shutdown"},
{3001, "Nessus Security Scanner, Redwood Broker", ""},
{3002, "EXLM Agent", ""},
{3003, "CGMS", ""},
{3004, "Csoft Agent", ""},
{3005, "Encrypted symmetric telnet/login, Genius License Manager", ""},
{3006, "Instant Internet Admin", ""},
{3007, "Lotus Mail Tracking Agent Protocol", ""},
{3008, "Midnight Technologies", ""},
{3009, "PXC-NTFY", ""},
{3010, "Telerate Workstation", ""},
{3011, "Trusted Web", ""},
{3012, "Trusted Web Client", ""},
{3013, "Gilat Sky Surfer", ""},
{3014, "Broker Service", ""},
{3015, "NATI DSTP", ""},
{3016, "Notify Server", ""},
{3017, "Event Listener", ""},
{3018, "Service Registry", ""},
{3019, "Resource Manager", ""},
{3020, "CIFS", ""},
{3021, "AGRI Server", ""},
{3022, "CSREGAGENT", ""},
{3023, "magicnotes", ""},
{3024, "NDS_SSO", "WinCrash"},
{3025, "Arepa Raft", ""},
{3026, "AGRI Gateway", ""},
{3027, "LiebDevMgmt_C", ""},
{3028, "LiebDevMgmt_DM", "Ring Zero"},
{3029, "LiebDevMgmt_A", ""},
{3030, "Arepa Cas", ""},
{3031, "AgentVU", ""},
{3032, "Redwood Chat", ""},
{3033, "PDB", ""},
{3034, "Osmosis AEEA", ""},
{3035, "FJSV gssagt", ""},
{3036, "Hagel DUMP", ""},
{3037, "HP SAN Mgmt", ""},
{3038, "Santak UPS", ""},
{3039, "Cogitate, Inc.", ""},
{3040, "Tomato Springs", ""},
{3041, "di-traceware", ""},
{3042, "journee", ""},
{3043, "BRP", ""},
{3045, "ResponseNet", ""},
{3046, "di-ase", ""},
{3047, "Fast Security HL Server", ""},
{3048, "Sierra Net PC Trader", ""},
{3049, "cfs, NSWS", ""},
{3050, "gds_db", ""},
{3051, "Galaxy Server", ""},
{3052, "APCPCNS", ""},
{3053, "dsom-server", ""},
{3054, "AMT CNF PROT", ""},
{3055, "Policy Server", ""},
{3056, "CDL Server", ""},
{3057, "GoAhead FldUp", ""},
{3058, "videobeans", ""},
{3059, "qsoft", ""},
{3060, "interserver", ""},
{3061, "cautcpd", ""},
{3062, "ncacn-ip-tcp", ""},
{3063, "ncadg-ip-udp", ""},
{3064, "distrib-net-proxy", ""},
{3065, "slinterbase", ""},
{3066, "NETATTACHSDMP", ""},
{3067, "FJHPJP", ""},
{3068, "ls3 Broadcast", ""},
{3069, "ls3", ""},
{3070, "MGXSWITCH", ""},
{3075, "Orbix 2000 Locator", ""},
{3076, "Orbix 2000 Config", ""},
{3077, "Orbix 2000 Locator SSL", ""},
{3078, "Orbix 2000 Locator SSL", ""},
{3079, "LV Front Panel", ""},
{3080, "stm_pproc", ""},
{3081, "TL1-LV", ""},
{3082, "TL1-RAW", ""},
{3083, "TL1-TELNET", ""},
{3084, "ITM-MCCS", ""},
{3085, "PCIHReq", ""},
{3086, "SJ3, JDL-DBKitchen", ""},
{3105, "Cardbox", ""},
{3106, "Cardbox HTTP", ""},
{3128, "squid-http", "Ring Zero"},
{3129, "", "Masters Paradise"},
{3130, "squid-ipc, ICPv2", ""},
{3131, "Net Book Mark", ""},
{3141, "VMODEM", ""},
{3142, "RDC WH EOS", ""},
{3143, "Sea View", ""},
{3144, "Tarantella", ""},
{3145, "CSI-LFAP", ""},
{3147, "RFIO", ""},
{3148, "NetMike Game Administrator", ""},
{3149, "NetMike Game Server", ""},
{3150, "NetMike Assessor Administrator", "Deep Throat, The Invasor"},
{3151, "NetMike Assessor", ""},
{3180, "Millicent Broker Server", ""},
{3181, "BMC Patrol Agent", ""},
{3182, "BMC Patrol Rendezvous", ""},
{3262, "NECP", ""},
{3264, "cc:mail/lotus", ""},
{3265, "Altav Tunnel", ""},
{3266, "NS CFG Server", ""},
{3267, "IBM Dial Out", ""},
{3268, "Microsoft Global Catalog", ""},
{3269, "Microsoft Global Catalog with LDAP/SSL", ""},
{3270, "Verismart", ""},
{3271, "CSoft Prev Port", ""},
{3272, "Fujitsu User Manager", ""},
{3273, "Simple Extensible Multiplexed Protocol", ""},
{3274, "Ordinox Server", ""},
{3275, "SAMD", ""},
{3276, "Maxim ASICs", ""},
{3277, "AWG Proxy", ""},
{3278, "LKCM Server", ""},
{3279, "admind", ""},
{3280, "VS Server", ""},
{3281, "SYSOPT", ""},
{3282, "Datusorb", ""},
{3283, "Net Assistant", ""},
{3285, "Plato", ""},
{3286, "E-Net", ""},
{3287, "DIRECTVDATA", ""},
{3288, "COPS", ""},
{3289, "ENPC", ""},
{3290, "CAPS LOGISTICS TOOLKIT - LM", ""},
{3291, "S A Holditch & Associates - LM", ""},
{3292, "Cart O Rama", ""},
{3293, "fg-fps", ""},
{3294, "fg-gip", ""},
{3295, "Dynamic IP Lookup", ""},
{3296, "Rib License Manager", ""},
{3297, "Cytel License Manager", ""},
{3298, "Transview", ""},
{3299, "pdrncs", ""},
{3302, "MCS Fastmail", ""},
{3303, "OP Session Client", ""},
{3304, "OP Session Server", ""},
{3305, "ODETTE-FTP", ""},
{3306, "MySQL", ""},
{3307, "OP Session Proxy", ""},
{3308, "TNS Server", ""},
{3309, "TNS ADV", ""},
{3310, "Dyna Access", ""},
{3311, "MCNS Tel Ret", ""},
{3312, "Application Management Server", ""},
{3313, "Unify Object Broker", ""},
{3314, "Unify Object Host", ""},
{3315, "CDID", ""},
{3316, "AICC/CMI", ""},
{3317, "VSAI PORT", ""},
{3318, "Swith to Swith Routing Information Protocol", ""},
{3319, "SDT License Manager", ""},
{3320, "Office Link 2000", ""},
{3321, "VNSSTR", ""},
{3322, "Active Networks", ""},
{3326, "SFTU", ""},
{3327, "BBARS", ""},
{3328, "Eaglepoint License Manager", ""},
{3329, "HP Device Disc", ""},
{3330, "MCS Calypso ICF", ""},
{3331, "MCS Messaging", ""},
{3332, "MCS Mail Server", ""},
{3333, "DEC Notes", ""},
{3334, "Direct TV Webcasting", ""},
{3335, "Direct TV Software Updates", ""},
{3336, "Direct TV Tickers", ""},
{3337, "Direct TV Data Catalog", ""},
{3338, "OMF data b", ""},
{3339, "OMF data l", ""},
{3340, "OMF data m", ""},
{3341, "OMF data h", ""},
{3342, "WebTIE", ""},
{3343, "MS Cluster Net", ""},
{3344, "BNT Manager", ""},
{3345, "Influence", ""},
{3346, "Trnsprnt Proxy", ""},
{3347, "Phoenix RPC", ""},
{3348, "Pangolin Laser", ""},
{3349, "Chevin Services", ""},
{3350, "FINDVIATV", ""},
{3351, "BTRIEVE", ""},
{3352, "SSQL", ""},
{3353, "FATPIPE", ""},
{3354, "SUITJD", ""},
{3355, "Ordinox Dbase", ""},
{3356, "UPNOTIFYPS", ""},
{3357, "Adtech Test IP", ""},
{3358, "Mp Sys Rmsvr", ""},
{3359, "WG NetForce", ""},
{3360, "KV Server", ""},
{3361, "KV Agent", ""},
{3362, "DJ ILM", ""},
{3363, "NATI Vi Server", ""},
{3364, "Creative Server", ""},
{3365, "Content Server", ""},
{3366, "Creative Partner", ""},
{3367, "Satellite Video Data Link", ""},
{3372, "TIP 2", ""},
{3373, "Lavenir License Manager", ""},
{3374, "Cluster Disc", ""},
{3375, "VSNM Agent", ""},
{3376, "CD Broker", ""},
{3377, "Cogsys Network License Manager", ""},
{3378, "WSICOPY", ""},
{3379, "SOCORFS", ""},
{3380, "SNS Channels", ""},
{3381, "Geneous", ""},
{3382, "Fujitsu Network Enhanced Antitheft function", ""},
{3383, "Enterprise Software Products License Manager", ""},
{3384, "Cluster Management Services", ""},
{3385, "qnxnetman", ""},
{3386, "GPRS Data", ""},
{3387, "Back Room Net", ""},
{3388, "CB Server", ""},
{3389, "MS WBT Server", ""},
{3390, "Distributed Service Coordinator", ""},
{3391, "SAVANT", ""},
{3392, "EFI License Management", ""},
{3393, "D2K Tapestry Client to Server", ""},
{3394, "D2K Tapestry Server to Server", ""},
{3395, "Dyna License Manager (Elam)", ""},
{3396, "Printer Agent", ""},
{3397, "Cloanto License Manager", ""},
{3398, "Mercantile", ""},
{3399, "CSMS", ""},
{3400, "CSMS2", ""},
{3401, "filecast", ""},
{3421, "Bull Apprise portmapper", ""},
{3454, "Apple Remote Access Protocol", ""},
{3455, "RSVP Port", ""},
{3456, "VAT default data", "Teror Trojan"},
{3457, "VAT default control", ""},
{3458, "D3WinOsfi", ""},
{3459, "TIP Integral", "Eclipse 2000, Sanctuary"},
{3460, "EDM Manger", ""},
{3461, "EDM Stager", ""},
{3462, "track, EDM STD Notify", ""},
{3463, "EDM ADM Notify", ""},
{3464, "EDM MGR Sync", ""},
{3465, "EDM MGR Cntrl", ""},
{3466, "WORKFLOW", ""},
{3467, "RCST", ""},
{3468, "TTCM Remote Controll", ""},
{3469, "Pluribus", ""},
{3470, "jt400", ""},
{3471, "jt400-ssl", ""},
{3535, "MS-LA", ""},
{3563, "Watcom Debug", ""},
{3672, "harlequinorb", ""},
{3700, "", "Portal of Doom"},
{3791, "", "Eclypse"},
{3801, "", "Eclypse"},
{3802, "VHD", ""},
{3845, "V-ONE Single Port Proxy", ""},
{3875, "PNBSCADA", ""},
{3900, "Unidata UDT OS", ""},
{3984, "MAPPER network node manager", ""},
{3985, "MAPPER TCP/IP server", ""},
{3986, "MAPPER workstation server", ""},
{3987, "Centerline", ""},
{4000, "Terabase, ICQ Server", "Skydance"},
{4001, "NewOak", ""},
{4002, "pxc-spvr-ft", ""},
{4003, "pxc-splr-ft", ""},
{4004, "pxc-roid", ""},
{4005, "pxc-pin", ""},
{4006, "pxc-spvr", ""},
{4007, "pxc-splr", ""},
{4008, "NetCheque accounting", ""},
{4009, "Chimera HWM", ""},
{4010, "Samsung Unidex", ""},
{4011, "Alternate Service Boot", ""},
{4012, "PDA Gate", ""},
{4013, "ACL Manager", ""},
{4014, "TAICLOCK", ""},
{4015, "Talarian Mcast", ""},
{4016, "Talarian Mcast", ""},
{4017, "Talarian Mcast", ""},
{4018, "Talarian Mcast", ""},
{4019, "Talarian Mcast", ""},
{4045, "NFS lock daemon/manager", ""},
{4092, "", "WinCrash "},
{4096, "BRE (Bridge Relay Element)", ""},
{4097, "Patrol View", ""},
{4098, "drmsfsd", ""},
{4099, "DPCP", ""},
{4132, "NUTS Daemon", ""},
{4133, "NUTS Bootp Server", ""},
{4134, "NIFTY-Serve HMI protocol", ""},
{4141, "Workflow Server", ""},
{4142, "Document Server", ""},
{4143, "Document Replication", ""},
{4144, "pc windows compuserve.com protocol", ""},
{4160, "Jini Discovery", ""},
{4199, "EIMS ADMIN", ""},
{4200, "VRML Multi User Systems", ""},
{4242, "", "Virtual hacking Machine"},
{4300, "Corel CCam", ""},
{4321, "Remote Who Is", "BoBo"},
{4333, "mini-sql server", ""},
{4343, "UNICALL", ""},
{4344, "VinaInstall", ""},
{4345, "Macro 4 Network AS", ""},
{4346, "ELAN LM", ""},
{4347, "LAN Surveyor", ""},
{4348, "ITOSE", ""},
{4349, "File System Port Map", ""},
{4350, "Net Device", ""},
{4351, "PLCY Net Services", ""},
{4353, "F5 iQuery", ""},
{4442, "Saris", ""},
{4443, "Pharos", ""},
{4444, "KRB524", "Prosiak, Swift remote"},
{4445, "UPNOTIFYP", ""},
{4446, "N1-FWP", ""},
{4447, "N1-RMGMT", ""},
{4448, "ASC Licence Manager", ""},
{4449, "PrivateWire", ""},
{4450, "Camp", ""},
{4451, "CTI System Msg", ""},
{4452, "CTI Program Load", ""},
{4453, "NSS Alert Manager", ""},
{4454, "NSS Agent Manager", ""},
{4455, "PR Chat User", ""},
{4456, "PR Chat Server", ""},
{4457, "PR Register", ""},
{4500, "sae-urn", ""},
{4501, "urn-x-cdchoice", ""},
{4545, "WorldScores", ""},
{4546, "SF License Manager (Sentinel)", ""},
{4547, "Lanner License Manager", ""},
{4557, "FlexFax transmission service", ""},
{4559, "HylaFAX client-server protocol", ""},
{4567, "TRAM", "File Nail"},
{4568, "BMC Reporting", ""},
{4590, "", "ICQ Trojan"},
{4600, "Piranha1", ""},
{4601, "Piranha2", ""},
{4672, "remote file access server", ""},
{4800, "Icona Instant Messenging System", ""},
{4801, "Icona Web Embedded Chat", ""},
{4802, "Icona License System Server", ""},
{4827, "HTCP", ""},
{4837, "Varadero-0", ""},
{4838, "Varadero-1", ""},
{4839, "Varadero-2", ""},
{4868, "Photon Relay", ""},
{4869, "Photon Relay Debug", ""},
{4885, "ABBS", ""},
{4950, "", "ICQ "},
{4983, "AT&T Intercom", ""},
{5000, "commplex-main", "Bubbel, Back Door Setup, Sockets de Troie v1"},
{5001, "commplex-link", "Back Door Setup, Sockets de Troie v1"},
{5002, "radio free ethernet", ""},
{5003, "FileMaker, Inc. - Proprietary transport", ""},
{5004, "avt-profile-1", ""},
{5005, "avt-profile-2", ""},
{5006, "wsm server", ""},
{5007, "wsm server ssl", ""},
{5010, "TelepathStart", "Solo"},
{5011, "TelepathAttack", "One of the Last Trojans (OOTLT)"},
{5020, "zenginkyo-1", ""},
{5031, "", "Net Metropolitan 1.0"},
{5032, "", "Net Metropolitan 1.0"},
{5021, "zenginkyo-2", ""},
{5042, "asnaacceler8db", ""},
{5050, "multimedia conference control tool", ""},
{5051, "ITA Agent", ""},
{5052, "ITA Manager", ""},
{5055, "UNOT", ""},
{5060, "SIP", ""},
{5069, "I/Net 2000-NPR", ""},
{5071, "PowerSchool", ""},
{5093, "Sentinel LM", ""},
{5099, "SentLM Srv2Srv", ""},
{5145, "RMONITOR SECURE", ""},
{5150, "Ascend Tunnel Management Protocol", ""},
{5151, "ESRI SDE Instance", ""},
{5152, "ESRI SDE Instance Discovery", ""},
{5165, "ife_1corp", ""},
{5190, "America-Online, ICQ", ""},
{5191, "AmericaOnline1", ""},
{5192, "AmericaOnline2", ""},
{5193, "AmericaOnline3", ""},
{5200, "Targus AIB 1", ""},
{5201, "Targus AIB 2", ""},
{5202, "Targus TNTS 1", ""},
{5203, "Targus TNTS 2", ""},
{5236, "padl2sim", ""},
{5272, "PK", ""},
{5300, "# HA cluster heartbeat", ""},
{5301, "# HA cluster general services", ""},
{5302, "# HA cluster configuration", ""},
{5303, "# HA cluster probing", ""},
{5304, "# HA Cluster Commands", ""},
{5305, "# HA Cluster Test", ""},
{5306, "Sun MC Group", ""},
{5307, "SCO AIP", ""},
{5308, "CFengine", ""},
{5309, "J Printer", ""},
{5310, "Outlaws", ""},
{5311, "TM Login", ""},
{5321, "", "Firehotcker"},
{5343, "", "wCrat"},
{5400, "Excerpt Search", "Black Runner, BackConstruction 1.2"},
{5401, "Excerpt Search Secure", "Blade Runner v1.x, , Back Construction"},
{5402, "MFTP", "Blade Runner v2.x, , Back Construction"},
{5403, "HPOMS-CI-LSTN", ""},
{5404, "HPOMS-DPS-LSTN", ""},
{5405, "NetSupport", ""},
{5406, "Systemics Sox", ""},
{5407, "Foresyte-Clear", ""},
{5408, "Foresyte-Sec", ""},
{5409, "Salient Data Server", ""},
{5410, "Salient User Manager", ""},
{5411, "ActNet", ""},
{5412, "Continuus", ""},
{5413, "WWIOTALK", ""},
{5414, "StatusD", ""},
{5415, "NS Server", ""},
{5416, "SNS Gateway", ""},
{5417, "SNS Agent", ""},
{5418, "MCNTP", ""},
{5419, "DJ-ICE", ""},
{5420, "Cylink-C", ""},
{5421, "Net Support 2", ""},
{5422, "Salient MUX", ""},
{5423, "VIRTUALUSER", ""},
{5426, "DEVBASIC", ""},
{5427, "SCO-PEER-TTA", ""},
{5428, "TELACONSOLE", ""},
{5429, "Billing and Accounting System Exchange", ""},
{5430, "RADEC CORP", ""},
{5431, "PARK AGENT", ""},
{5454, "apc-tcp-udp-4", ""},
{5455, "apc-tcp-udp-5", ""},
{5456, "apc-tcp-udp-6", ""},
{5461, "SILKMETER", ""},
{5465, "NETOPS-BROKER", ""},
{5500, "SecurID, fcp-addr-srvr1", ""},
{5501, "fcp-addr-srvr2", ""},
{5502, "fcp-srvr-inst1", ""},
{5503, "fcp-srvr-inst2", ""},
{5504, "fcp-cics-gw1", ""},
{5510, "ACE/Server services", ""},
{5512, "", "Xtcp"},
{5520, "ACE/Server services", ""},
{5521, "", "Illusion Mailer"},
{5530, "ACE/Server services", ""},
{5540, "ACE/Server services", ""},
{5550, "ACE/Server services", "Xtcp"},
{5554, "SGI ESP HTTP", ""},
{5555, "IRC, Personal Agent", "ServeMe"},
{5556, "", "BO Facil"},
{5557, "", "BO Facil"},
{5569, "", "Robo-Hack"},
{5599, "Enterprise Security Remote Install", ""},
{5600, "Enterprise Security Manager", ""},
{5601, "Enterprise Security Agent", ""},
{5602, "A1-MSC", ""},
{5603, "A1-BS", ""},
{5604, "A3-SDUNode", ""},
{5605, "A4-SDUNode", ""},
{5631, "pcANYWHEREdata", ""},
{5632, "pcANYWHEREstat", ""},
{5637, "", "PC Crasher"},
{5638, "", "PC Crasher"},
{5678, "Remote Replication Agent Connection", ""},
{5679, "Direct Cable Connect Manager, ActiveSync", ""},
{5680, "Canna", ""},
{5713, "proshare conf audio", ""},
{5714, "proshare conf video", "WinCrash"},
{5715, "proshare conf data", ""},
{5716, "proshare conf request", ""},
{5717, "proshare conf notify", ""},
{5729, "Openmail User Agent Layer", ""},
{5741, "IDA Discover Port 1", "WinCrash"},
{5742, "IDA Discover Port 2", "WinCrash"},
{5745, "fcopy-server", ""},
{5746, "fcopys-server", ""},
{5755, "OpenMail Desk Gateway server", ""},
{5757, "OpenMail X.500 Directory Server", ""},
{5766, "OpenMail NewMail Server", ""},
{5767, "OpenMail Suer Agent Layer (Secure)", ""},
{5768, "OpenMail CMTS Server", ""},
{5771, "NetAgent", ""},
{5800, "VNC pPort", ""},
{5813, "ICMPD", ""},
{5859, "WHEREHOO", ""},
{5882, "", "Y3K RAT"},
{5888, "", "Y3K RAT"},
{5900, "VNC sPort", ""},
{5901, "vnc-1", ""},
{5902, "vnc-2", ""},
{5968, "mppolicy-v5", ""},
{5969, "mppolicy-mgr", ""},
{5977, "ncd-pref", ""},
{5978, "ncd-diag", ""},
{5979, "ncd-conf", ""},
{5997, "ncd-pref", ""},
{5998, "ncd-diag", ""},
{5999, "ncd-conf, CVSup", ""},
{6000, "X Window System", "The Thing 1.6"},
{6001, "X Window System", ""},
{6002, "X Window System", ""},
{6003, "X Window System", ""},
{6004, "X Window System", ""},
{6005, "X Window System", ""},
{6006, "", "The Thing"},
{6064, "NDL-AHP-SVC", ""},
{6065, "WinPharaoh", ""},
{6066, "EWCTSP", ""},
{6067, "SRB", ""},
{6068, "GSMP", ""},
{6069, "TRIP", ""},
{6070, "Messageasap", ""},
{6071, "SSDTP", ""},
{6072, "DIAGNOSE-PROC", ""},
{6073, "DirectPlay8", ""},
{6100, "SynchroNet-db", ""},
{6101, "SynchroNet-rtc", ""},
{6102, "SynchroNet-upd", ""},
{6103, "RETS", ""},
{6104, "DBDB", ""},
{6105, "Prima Server", ""},
{6106, "MPS Server", ""},
{6107, "ETC Control", ""},
{6108, "Sercomm-SCAdmin", ""},
{6109, "GLOBECAST-ID", ""},
{6110, "HP SoftBench CM", ""},
{6111, "HP SoftBench Sub-Process Control", ""},
{6112, "dtspcd", ""},
{6123, "Backup Express", ""},
{6141, "Meta Corporation License Manager", ""},
{6142, "Aspen Technology License Manager", ""},
{6143, "Watershed License Manager", ""},
{6144, "StatSci License Manager - 1", ""},
{6145, "StatSci License Manager - 2", ""},
{6146, "Lone Wolf Systems License Manager", ""},
{6147, "Montage License Manager", ""},
{6148, "Ricardo North America License Manager", ""},
{6149, "tal-pod", ""},
{6253, "CRIP", ""},
{6272, "", "Secret Service"},
{6321, "Empress Software Connectivity Server 1", ""},
{6322, "Empress Software Connectivity Server 2", ""},
{6389, "clariion-evr01", ""},
{6400, "info-aps	6400", "The Thing"},
{6401, "info-was	6401", ""},
{6402, "info-eventsvr	6402", ""},
{6403, "info-cachesvr	6403", ""},
{6404, "info-filesvr	6404", ""},
{6405, "info-pagesvr	6405", ""},
{6406, "info-processvr	6406", ""},
{6407, "reserved1	6407", ""},
{6408, "reserved2	6408", ""},
{6409, "reserved3	6409", ""},
{6410, "reserved4	6410", ""},
{6455, "SKIP Certificate Receive", ""},
{6456, "SKIP Certificate Send", ""},
{6471, "LVision License Manager", ""},
{6500, "BoKS Master", ""},
{6501, "BoKS Servc", ""},
{6502, "BoKS Servm", ""},
{6503, "BoKS Clntd", ""},
{6505, "BoKS Admin Private Port", ""},
{6506, "BoKS Admin Public Port", ""},
{6507, "BoKS Dir Server, Private Port", ""},
{6508, "BoKS Dir Server, Public Port", ""},
{6547, "apc-tcp-udp-1", ""},
{6548, "apc-tcp-udp-2", ""},
{6549, "apc-tcp-udp-3", ""},
{6550, "fg-sysupdate", ""},
{6558, "xdsxdm", ""},
{6660, "IRC", ""},
{6661, "IRC", ""},
{6662, "IRC", ""},
{6663, "IRC", ""},
{6664, "IRC", ""},
{6665, "IRC", ""},
{6666, "irc server", ""},
{6667, "internet relay chat", "Schedule Agent"},
{6668, "internet relay chat", ""},
{6669, "internet relay chat", "Host Control, Vampyre"},
{6670, "Vocaltec Global Online Directory", "Deep Throat 1,2,3.x, BackWeb Server, WinNuke eXtreme"},
{6671, "", "Deep Throat "},
{6672, "vision_server", ""},
{6673, "vision_elmd", ""},
{6676, "", "BackDoor-G, SubSeven s"},
{6700, "IRC", ""},
{6701, "KTI/ICAD Nameserver", ""},
{6711, "", "SubSeven"},
{6712, "", "Funny Trojan, SubSeven"},
{6713, "", "SubSeven"},
{6723, "", "Mstream attack-handler"},
{6767, "BMC PERFORM AGENT", ""},
{6768, "BMC PERFORM MGRD", ""},
{6771, "", "Deep Throat"},
{6776, "", "2000 Cracks, BackDoor-G, SubSeven"},
{6790, "HNMP", ""},
{6831, "ambit-lm", ""},
{6838, "", "Mstream Agent-handler"},
{6841, "Netmo Default", ""},
{6842, "Netmo HTTP", ""},
{6850, "ICCRUSHMORE", ""},
{6888, "MUSE", ""},
{6912, "", "Sh*t Heap"},
{6939, "", "GateCrasher, Priority, Indoctrination"},
{6961, "JMACT3", ""},
{6962, "jmevt2", ""},
{6963, "swismgr1", ""},
{6964, "swismgr2", ""},
{6965, "swistrap", ""},
{6966, "swispol", ""},
{6969, "acmsoda", "GateCrasher, Priority, IRC 3, NetController"},
{6970, "RealAudio", "GateCrasher"},
{6998, "IATP-highPri", ""},
{6999, "IATP-normalPri", ""},
{7000, "IRC, file server itself", "Remote Grab, Kazimas, SubSeven"},
{7001, "IRC, callbacks to cache managers", "Freak88"},
{7002, "IRC, users & groups database", ""},
{7003, "volume location database", ""},
{7004, "AFS/Kerberos authentication service", ""},
{7005, "volume managment server", ""},
{7006, "error interpretation service", ""},
{7007, "basic overseer process", ""},
{7008, "server-to-server updater", ""},
{7009, "remote cache manager service", ""},
{7010, "onlinet uninterruptable power supplies", ""},
{7011, "Talon Discovery Port", ""},
{7012, "Talon Engine", ""},
{7013, "Microtalon Discovery", ""},
{7014, "Microtalon Communications", ""},
{7015, "Talon Webserver", ""},
{7020, "DP Serve", ""},
{7021, "DP Serve Admin", ""},
{7028, "", "Unknown "},
{7070, "ARCP, RealAudio control connection G2 RealServers", ""},
{7099, "lazy-ptop", ""},
{7100, "X Font Service", ""},
{7121, "Virtual Prototypes License Manager", ""},
{7174, "Clutild", ""},
{7200, "FODMS FLIP", ""},
{7201, "DLIP", ""},
{7215, "", "SubSeven, Port for matrix chat program"},
{7300, "The Swiss Exchange", "NetMonitor"},
{7301, "", "NetMonitor v1.x "},
{7306, "", "NetMonitor v2.x "},
{7307, "", "NetMonitor v3.x "},
{7308, "", "NetMonitor v4.x "},
{7326, "Internet Citizen's Band", ""},
{7395, "winqedit", ""},
{7424, "", "Host Control"},
{7426, "OpenView DM Postmaster Manager", ""},
{7427, "OpenView DM Event Agent Manager", ""},
{7428, "OpenView DM Log Agent Manager", ""},
{7429, "OpenView DM rqt communication", ""},
{7430, "OpenView DM xmpv7 api pipe", ""},
{7431, "OpenView DM ovc/xmpv3 api pipe", ""},
{7437, "Faximum", ""},
{7491, "telops-lmd", ""},
{7511, "pafec-lm", ""},
{7544, "FlowAnalyzer DisplayServer", ""},
{7545, "FlowAnalyzer UtilityServer", ""},
{7566, "VSI Omega", ""},
{7570, "Aries Kfinder", ""},
{7588, "Sun License Manager", ""},
{7633, "PMDF Management", ""},
{7648, "cucme", ""},
{7649, "cucme", ""},
{7650, "cucme", ""},
{7651, "cucme", ""},
{7700, "IRC", ""},
{7701, "IRC", ""},
{7702, "IRC", ""},
{7703, "IRC", ""},
{7704, "IRC", ""},
{7705, "IRC", ""},
{7777, "IRC, Napster, cbt or Unreal, Klingon Honor Guard Game", ""},
{7778, "Interwise or Unreal Tournament Game", ""},
{7781, "accu-lmgr", ""},
{7786, "MINIVEND", ""},
{7789, "", "Back Door Setup, ICKiller"},
{7932, "Tier 2 Data Resource Manager", ""},
{7933, "Tier 2 Business Rules Manager", ""},
{7967, "Supercell", ""},
{7979, "Micromuse-ncps", ""},
{7980, "Quest Vista", ""},
{7983, "", "MStream handler-agent"},
{7999, "iRDMI2", ""},
{8000, "IRC, iRDMI, RealAudio", ""},
{8001, "VCOM Tunnel", ""},
{8002, "IRC, Teradata ORDBMS, RealAudio", ""},
{8008, "HTTP Alternate", ""},
{8010, "WinGate LogFile Service", ""},
{8025, "RealAudio", ""},
{8028, "RealAudio", ""},
{8032, "ProEd", ""},
{8033, "MindPrint", ""},
{8080, "HTTP Alternate (see port 80)", "Ring Zero"},
{8130, "INDIGO-VRMI", ""},
{8131, "INDIGO-VBCP", ""},
{8160, "Patrol", ""},
{8161, "Patrol SNMP", ""},
{8200, "TRIVNET", ""},
{8201, "TRIVNET", ""},
{8204, "LM Perfworks", ""},
{8205, "LM Instmgr", ""},
{8206, "LM Dta", ""},
{8207, "LM SServer", ""},
{8208, "LM Webwatcher", ""},
{8351, "Server Find", ""},
{8376, "Cruise ENUM", ""},
{8377, "Cruise SWROUTE", ""},
{8378, "Cruise CONFIG", ""},
{8379, "Cruise DIAGS", ""},
{8380, "Cruise UPDATE", ""},
{8400, "cvd", ""},
{8401, "sabarsd", ""},
{8402, "abarsd", ""},
{8403, "admind", ""},
{8450, "npmp", ""},
{8473, "Virtual Point to Point", ""},
{8554, "RTSP Alternate (see port 554)", ""},
{8733, "iBus", ""},
{8763, "MC-APPSERVER", ""},
{8764, "OPENQUEUE", ""},
{8765, "Ultraseek HTTP", ""},
{8787, "", "BackOrifice 2000"},
{8804, "truecm", ""},
{8879, "", "BackOrifice 2000"},
{8880, "CDDBP", ""},
{8888, "IRC, Napster, NewsEDGE server TCP (TCP 1)", ""},
{8889, "Desktop Data TCP 1", ""},
{8890, "Desktop Data TCP 2", ""},
{8891, "Desktop Data TCP 3: NESS application", ""},
{8892, "Desktop Data TCP 4: FARM product", ""},
{8893, "Desktop Data TCP 5: NewsEDGE/Web application", ""},
{8894, "Desktop Data TCP 6: COAL application", ""},
{8897, "", "HackOffice"},
{8900, "JMB-CDS 1", ""},
{8901, "JMB-CDS 2", ""},
{8988, "", "BacHack"},
{8989, "", "Rcon"},
{9000, "IRC, CSlistener", "Netministrator"},
{9001, "IRC", ""},
{9090, "zeus-admin, WebSM", ""},
{9100, "HP JetDirect card", ""},
{9160, "NetLOCK1", ""},
{9161, "NetLOCK2", ""},
{9162, "NetLOCK3", ""},
{9163, "NetLOCK4", ""},
{9164, "NetLOCK5", ""},
{9200, "WAP connectionless session service", ""},
{9201, "WAP session service", ""},
{9202, "WAP secure connectionless session service", ""},
{9203, "WAP secure session service", ""},
{9204, "WAP vCard", ""},
{9205, "WAP vCal", ""},
{9206, "WAP vCard Secure", ""},
{9207, "WAP vCal Secure", ""},
{9321, "guibase", ""},
{9325, "", "MStream Agent-handler"},
{9343, "MpIdcMgr", ""},
{9344, "Mphlpdmc", ""},
{9374, "fjdmimgr", ""},
{9396, "fjinvmgr", ""},
{9397, "MpIdcAgt", ""},
{9400, "", "InCommand"},
{9500, "ismserver", ""},
{9535, "man", ""},
{9594, "Message System", ""},
{9595, "Ping Discovery Service", ""},
{9600, "MICROMUSE-NCPW", ""},
{9753, "rasadv", ""},
{9872, "", "Portal of Doom"},
{9873, "", "Portal of Doom v1.x"},
{9874, "", "Portal of Doom v2.x"},
{9875, "", "Portal of Doom v3.x"},
{9876, "Session Director", "Cyber Attacker, RUX"},
{9878, "", "Trans Scout"},
{9888, "CYBORG Systems", ""},
{9898, "MonkeyCom", ""},
{9899, "SCTP TUNNELING", ""},
{9900, "IUA", ""},
{9909, "domaintime", ""},
{9950, "APCPCPLUSWIN1", ""},
{9951, "APCPCPLUSWIN2", ""},
{9952, "APCPCPLUSWIN3", ""},
{9989, "", "iNi-killer"},
{9990, "IRC", ""},
{9992, "Palace", ""},
{9993, "Palace", ""},
{9994, "Palace", ""},
{9995, "Palace", ""},
{9996, "Palace", ""},
{9997, "Palace", ""},
{9998, "Distinct32", ""},
{9999, "IRC, distinct", "The prayer 1.2 - 1.3"},
{10000, "Network Data Management Protocol", ""},
{10005, "Secure telnet", ""},
{10007, "MVS Capacity", ""},
{10067, "", "Portal of Doom v4.x"},
{10080, "Amanda", ""},
{10085, "", "Syphillis"},
{10086, "", "Syphillis"},
{10101, "", "BrainSpy"},
{10113, "NetIQ Endpoint", ""},
{10114, "NetIQ Qcheck", ""},
{10115, "Ganymede Endpoint", ""},
{10128, "BMC-PERFORM-SERVICE DAEMON", ""},
{10167, "", "Portal of Doom v5.x"},
{10288, "Blocks", ""},
{10498, "", "Mstream handler-agent"},
{10520, "", "Acid Shivers"},
{10528, "", "Host Control"},
{10607, "", "Coma"},
{10666, "", "Ambush"},
{11000, "IRISA", "Senna Spy"},
{11001, "Metasys", ""},
{11050, "", "Host Control"},
{11051, "", "Host Control"},
{11111, "Viral Computing Environment (VCE)", ""},
{11223, "", "Progenic, Secret Agent"},
{11367, "ATM UHAS", ""},
{11371, "PGP Public Key Server", ""},
{11720, "h323 Call Signal Alternate", ""},
{12000, "IBM Enterprise Extender SNA XID Exchange", ""},
{12001, "IBM Enterprise Extender SNA COS Network Priority", ""},
{12002, "IBM Enterprise Extender SNA COS High Priority", ""},
{12003, "IBM Enterprise Extender SNA COS Medium Priority", ""},
{12004, "IBM Enterprise Extender SNA COS Low Priority", ""},
{12076, "", "GJamer"},
{12172, "HiveP", ""},
{12223, "", "Hack'99, KeyLogger"},
{12345, "", "GabanBus, My Pics, NetBus, Pie Bill Gates, Whack Job, X-bill"},
{12346, "", "GabanBus, NetBus, X-bill"},
{12349, "", "BioNet"},
{12361, "", "Whack-a-mole"},
{12362, "", "Whack-a-mole"},
{12456, "", "Netbus"},
{12623, "", "DUN Control"},
{12624, "", "Buttman"},
{12631, "", "Whack Job"},
{12701, "", "Eclypse 2000"},
{12753, "tsaf port", ""},
{12754, "", "Mstream attack-handler"},
{13000, "", "Senna Spy"},
{13010, "", "Hacker Brazil"},
{13160, "I-ZIPQD", ""},
{13223, "PowWow Client", ""},
{13224, "PowWow Server", ""},
{13700, "", "Kuang2 the Virus"},
{13720, "BPRD Protocol (VERITAS NetBackup)", ""},
{13721, "BPBRM Protocol (VERITAS NetBackup)", ""},
{13722, "BP Java MSVC Protocol", ""},
{13782, "VERITAS NetBackup", ""},
{13783, "VOPIED Protnocol", ""},
{13818, "DSMCC Config", ""},
{13819, "DSMCC Session Messages", ""},
{13820, "DSMCC Pass-Thru Messages", ""},
{13821, "DSMCC Download Protocol", ""},
{13822, "DSMCC Channel Change Protocol", ""},
{14001, "ITU SCCP (SS7)", ""},
{15092, "", "Host Control"},
{15104, "", "Mstream attack-handler"},
{16360, "netserialext1", ""},
{16361, "netserialext2", ""},
{16367, "netserialext3", ""},
{16368, "netserialext4", ""},
{16484, "", "Mosucker"},
{16660, "", "Stacheldraht"},
{16772, "", "ICQ Revenge"},
{16991, "INTEL-RCI-MP", ""},
{16969, "", "Priority"},
{17007, "isode-dua", ""},
{17027, "Conducent, PKWare", ""},
{17166, "", "Mosaic"},
{17219, "Chipper", ""},
{17300, "", "Kuang2 The Virus"},
{17777, "", "Nephron"},
{18000, "Beckman Instruments, Inc.", ""},
{18181, "OPSEC CVP", ""},
{18182, "OPSEC UFP", ""},
{18183, "OPSEC SAM", ""},
{18184, "OPSEC LEA", ""},
{18185, "OPSEC OMI", ""},
{18187, "OPSEC ELA", ""},
{18463, "AC Cluster", ""},
{18753, "", "Shaft handler to Agent"},
{18888, "APCNECMP", ""},
{19283, "Key Server for SASSAFRAS", ""},
{19315, "Key Shadow for SASSAFRAS", ""},
{19410, "hp-sco", ""},
{19411, "hp-sca", ""},
{19412, "HP-SESSMON", ""},
{19541, "JCP Client", ""},
{19864, "", "ICQ Revenge"},
{20000, "DNP", "Millenium"},
{20001, "", "Millenium"},
{20002, "", "AcidkoR"},
{20034, "", "NetBus 2 Pro, NetRex, Whack Job"},
{20203, "", "Logged!, Chupacabra"},
{20331, "", "Bla"},
{20432, "", "Shaft Client to handlers"},
{20433, "", "Shaft Client to handlers"},
{20670, "Track", ""},
{20999, "At Hand MMP", ""},
{21544, "", "GirlFriend, Kidterror, Schwindler, WinSp00fer"},
{21590, "VoFR Gateway", ""},
{21845, "webphone", ""},
{21846, "NetSpeak Corp. Directory Services", ""},
{21847, "NetSpeak Corp. Connection Services", ""},
{21848, "NetSpeak Corp. Automatic Call Distribution", ""},
{21849, "NetSpeak Corp. Credit Processing System", ""},
{22000, "SNAPenetIO", ""},
{22001, "OptoControl", ""},
{22222, "", "Prosiak"},
{22273, "wnn6", ""},
{22450, "Sin Game", ""},
{22555, "Vocaltec Web Conference", ""},
{22800, "Telerate Information Platform LAN", ""},
{22951, "Telerate Information Platform WAN", ""},
{23023, "", "Logged"},
{23432, "", "Asylum"},
{23456, "", "Evil FTP, Ugly FTP, WhackJob"},
{23476, "", "Donald Dick"},
{23477, "", "Donald Dick"},
{24000, "med-ltp", ""},
{24001, "med-fsp-rx", ""},
{24002, "med-fsp-tx", ""},
{24003, "med-supp", ""},
{24004, "med-ovw", ""},
{24005, "med-ci", ""},
{24006, "med-net-svc", ""},
{24386, "Intel RCI", ""},
{24554, "BINKP", ""},
{25000, "icl-twobase1", ""},
{25001, "icl-twobase2", ""},
{25002, "icl-twobase3", ""},
{25003, "icl-twobase4", ""},
{25004, "icl-twobase5", ""},
{25005, "icl-twobase6", ""},
{25006, "icl-twobase7", ""},
{25007, "icl-twobase8", ""},
{25008, "icl-twobase9", ""},
{25009, "icl-twobase10", ""},
{25793, "Vocaltec Address Server", ""},
{26000, "quake", ""},
{26208, "wnn6-ds", ""},
{26274, "", "Delta Source"},
{26681, "", "Spy Voice"},
{26900, "Hexen 2", ""},
{26950, "HexenWorld",""},
{27000, "FLEX LM (1-10)", ""},
{27015, "Half-life, Team Fortress Classic (TFC)", ""},
{27374, "", "Sub-7 2.1"},
{27444, "", "Trin00/TFN2K"},
{27500, "QuakeWorld", ""},
{27573, "", "Sub-7 2.1"},
{27665, "", "Trin00 DoS Attack"},
{27910, "Quake 2", ""},
{27999, "TW Authentication/Key Distribution and", ""},
{28000, "Starsiege Tribes", ""},
{28001, "Starsiege Tribes", ""},
{28002, "Starsiege Tribes", ""},
{28003, "Starsiege Tribes", ""},
{28004, "Starsiege Tribes", ""},
{28005, "Starsiege Tribes", ""},
{28006, "Starsiege Tribes", ""},
{28007, "Starsiege Tribes", ""},
{28008, "Starsiege Tribes", ""},
{28910, "Heretic 2", ""},
{29104, "", "Host Control"},
{29891, "", "The unexplained"},
{30001, "", "TerrOr32"},
{30029, "", "AOL Trojan"},
{30100, "", "Netsphere"},
{30101, "", "Netsphere"},
{30102, "", "Netsphere"},
{30103, "", "Netsphere"},
{30133, "", "Netsphere Final"},
{30303, "", "Sockets de Troie"},
{30947, "", "Intruse"},
{30999, "", "Kuang2"},
{31335, "", "Trin00 DoS Attack"},
{31336, "", "BOWhack, ButtFunnel"},
{31337, "", "Back Orifice, Netpatch, Baron Night, BO2, Bo Facil, Freak, DeepBO"},
{31338, "", "Back Orifice, DeepBO, NetSpy DK, ButtFunnel"},
{31339, "", "NetSpy DK"},
{31666, "", "BOWhack"},
{31785, "", "Hack'a'Tack"},
{31787, "", "Hack'a'Tack"},
{31788, "", "Hack'a'Tack"},
{31789, "", "Hack'a'Tack"},
{31790, "", "Hack'a'Tack"},
{31791, "", "Hack'a'Tack"},
{31792, "", "Hack'a'Tack"},
{32000, "", "Peanut Brittle, Project nEXT"},
{32418, "", "Acid Battery"},
{32768, "Filenet TMS", ""},
{32769, "Filenet RPC", ""},
{32770, "Filenet NCH", ""},
{33333, "", "Prosiak, Blakharaz"},
{33390, "", "Unknown Trojan"},
{33434, "traceroute use", ""},
{33577, "", "PsychWard"},
{33777, "", "PsychWard"},
{33911, "", "Spirit 2001"},
{34324, "", "BigGluck, TN, Tiny Telnet Server"},
{34555, "", "Trin00 Ping/Pong Response"},
{35555, "", "Trinoo"},
{36865, "KastenX Pipe", ""},
{37651, "", "Yet Another Trojan"},
{40412, "", "BigGluck, TN, Tiny Telnet Server, The Spy"},
{40421, "", "Masters Paradise, Agent 40421"},
{40422, "", "Masters Paradise v1.x"},
{40423, "", "Masters Paradise v2.x"},
{40425, "", "Masters Paradise"},
{40426, "", "Masters Paradise v3.x"},
{40841, "CSCP", ""},
{41508, "Inoculan anti-virus software", ""},
{41524, "Cheyenne Discovery Service", ""},
{41666, "", "Remote Boot"},
{43210, "", "Master's Paradise"},
{44444, "", "Prosiak"},
{44818, "Rockwell Encapsulation", ""},
{45678, "EBA PRISE", ""},
{45966, "SSRServerMgr", ""},
{47252, "", "Delta Source"},
{47262, "", "Delta Source"},
{47557, "Databeam Corporation", ""},
{47624, "Direct Play Server", ""},
{47806, "ALC Protocol", ""},
{47808, "Building Automation and Control Networks", ""},
{48000, "Nimbus Controller", ""},
{48001, "Nimbus Spooler", ""},
{48002, "Nimbus Hub", ""},
{48003, "Nimbus Gateway", ""},
// Dynamic or Private Ports
{49301, "", "OnLine keyLogger"},
{50505, "", "Sockets de Troie v2"},
{50766, "", "Fore 1.0, Schwindler"},
{51996, "", "Cafeini"},
{52317, "", "Acid Battery 2000"},
{53001, "", "Remote Windows Shutdown"},
{54283, "", "SubSeven Spy Port"},
{54320, "", "Back Orifice 2000"},
{54321, "", "School Bus, Back Orifice"},
{57341, "", "NetRaider"},
{58339, "", "ButtFunnel"},
{60000, "", "Deep Throat"},
{60068, "", "Xzip 6000068"},
{60411, "", "Connection"},
{61348, "", "Bunker-Hill"},
{61466, "", "Telecommando "},
{61603, "", "Bunker-Hill"},
{63485, "", "Bunker-Hill"},
{65000, "", "Devil v1.03, Stacheldraht"},
{65432, "", "The Traitor"},
{65535, "", "RC"}

};

#endif	// Port_PROTOCOLS_H__