/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef DPING_H__
#define DPING_H__

#include "inethelp.h"

class ZkPingImpl;
class DZkError;

class INETHELP_DLL ZkIcmp
{
public:
	ZkIcmp();
	~ZkIcmp();

	// PURPOSE: Calculate the RTT for an ICMP echo
	// REQUIRE: A packetsize greater than or equal to 32 octets
	//			but smaller than 1024
	//			(On NT you may need admin privileges to create raw sockets)
	// PROMISE: Not to use Winsock. 
	//			To Fill in out_err if returns false.
	//			To consider a timeout value of 0 as infinite
	bool Ping(	DZkError&		out_rErr,
				const char*		in_pszHostName, 
				unsigned long&	out_rReply, 
				const unsigned long in_dwTimeout = 5000, 
				const int			in_nPacketSize = 32 );

	static void UnitTest();

private:
	ZkIcmp( const ZkIcmp& );
	ZkIcmp& operator=( const ZkIcmp& );

	ZkPingImpl*	m_pImpl;
};

#endif	// DPING_H__