// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include <ZkTest.h>


//===========================================================================
// Main
//===========================================================================

/*
  Provides a main() to test applications so that they can all be called
  with similar options. 

  To create a test, simply follow the instructions in ZkTestBase and link
  your .cpp with libZkTest.a. The library will provide this main function
  for your test executable, which wil lthen be compatible with the 'check'
  target in our build environement (not confirmed yet).

  For now it only supports 1 argument; the name of the test to be run.
  Giving no argument will run all the tests.

  Should soon support arguments for the tests as well.
*/

int main( int argc, char* argv[] )
{
    // .. a bit basic, but will do the job for now.
    if( argc == 1 ) 
    {
        ZkTest::RunTests();
    }
    else if( argc == 2 ) 
    {
        ZkTest::RunTest( argv[1] );
    }

    return 0 ;
}
