// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// RPortToProxyMap - Handle ports which are assigned
// to various proxies/protocols.
// Eg 123, 124, 125 could be HTTP and 126,128 IRC

#include <client.h>
#include <map>

enum RuleForPort
{
	PortRuleUndefined = 0,
	PortRuleUseHTTPProxy = 1,
	PortRuleUseTelnetProxy = 2,
	PortRuleUseIRCProxy = 3,
} ;

#include "ClientTypesInc.h"

class ClientTypes_API  RPortToProxyMap : public ZKSTD::map<uint16_t, RuleForPort>
{
public:
	// public ctors from <map>
	RPortToProxyMap() : ZKSTD::map<uint16_t, RuleForPort>() {};

	RPortToProxyMap(const RPortToProxyMap& x) : ZKSTD::map<uint16_t, RuleForPort>(x) {};

	/*

	// Won't compile, don't know why
	explicit RPortToProxyMap(const Pred& comp = Pred(), const A& al = A()) :
				ZKSTD::map<uint16_t, RuleForPort> (comp, al) ;
	*/

/*
	// Won't compile, don't know why
	RPortToProxyMap(const value_type *first, 
					const value_type *last,
					const Pred& comp = Pred(), 
					const A& al = A()) :  ZKSTD::map<uint16_t, RuleForPort>(first, last, comp, al) {};

*/

	void DeletePort(uint16_t in_port) ;

	RuleForPort GetPortRule(uint16_t in_port) const ;

	// Convenience functions
	bool IsHttpPort(uint16_t in_port ) const ;
	bool IsIRCPort(uint16_t in_port ) const ;
	bool IsTelnetPort(uint16_t in_port ) const ;

	bool IsProxyPort(uint16_t in_port ) const ;
};
