// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

#include "StdAfx.h"
#include "RStatCollector.h"
#include <clientdebug.h>

RStatCollector::RStatCollector()
	: m_cntItems( 0 )
	, m_min( 0 )
	, m_max( 0 )
	, m_avg( 0 )
{
}

void 
RStatCollector::Reset()
{
	m_cntItems = 0 ;
	m_min = 0 ;
	m_max = 0 ;
	m_avg = 0 ;
}

void 
RStatCollector::AddDataPoint( uint32_t in_data )
{
	if ( m_min == 0 )
	{
		m_min = in_data ;
	}
	else if ( m_min > in_data )
	{
		m_min = in_data ;
	}

	if ( m_max == 0 )
	{
		m_max = in_data ;
	}
	else if ( m_max < in_data )
	{
		m_max = in_data ;
	}

	m_avg = (( m_cntItems * m_avg ) + in_data ) / ( m_cntItems + 1 ) ;

	m_cntItems++ ;
}

uint32_t 
RStatCollector::GetStat( StatisticType in_whichStat ) const
{
	switch( in_whichStat )
	{
		case( CountDatums ) :
			return m_cntItems ;

		case( AvgOfDatums ) :
			return m_avg ;

		case( MinDatum ) :
			return m_min ;

		case( MaxDatum ) :
			return m_max ;

		default:
			ZKASSERT( false ) ;
			break ;
	}

	return 0 ;
}