// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// Wraps the FrAipsDifHelExch structure
// REVIEW: This doesn't seem to do anything that the WCoreTypes template
// couldn't provide in one line.  The logic for actual DifHel operation 
// can be found currently in DHKeyExchange.cpp.  Perhaps the two classes
// be combined. (Andrew June 2000)

#ifndef WDIFHEL_H_
#define WDIFHEL_H_

#include "ClientTypesInc.h"

#include <fr_aips_dh.h>
#include <DZkError.h>

#include <AutoInstCount.h>

class ClientTypes_API WDifHel AUTO_INSTANCE_COUNTING1( WDifHel )
{
public:
	WDifHel();
	~WDifHel();

	// Provide access to underlying structure - eg when
	// making calls that expect a FrAipsDifHelExch
	operator FrAipsDifHelExch()			{ return m_pDatum ; }
	operator FrAipsDifHelExch() const	{ return m_pDatum ; }

private:
	FrAipsDifHelExch	m_pDatum;
	DZkError			m_err;	

	WDifHel(const WDifHel& );
	WDifHel& operator=(const WDifHel& );
};

#endif