// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

#include "StdAfx.h"
#include "WReadBuffer.h"
 
WReadBuffer::WReadBuffer( const unsigned char * in_pBuf, size_t in_cntBuffer )
	: m_pBuf( in_pBuf )
	, m_cntBuffer( in_cntBuffer )
	, m_ReadPos( 0 )
{
	ZKASSERT( m_pBuf ) ;
	ZKASSERT( m_cntBuffer > 0 ) ;
}

int 
WReadBuffer::Read( void * io_buffer, unsigned int in_cnt )
{
	if (( io_buffer == NULL ) ||
		( m_pBuf == NULL ) )
	{
		ZKASSERT( false ) ;
		return -1 ;
	}

	if ( IsEOF() )
	{
		return 0 ;
	}

	if ( in_cnt + m_ReadPos > m_cntBuffer )
	{
		in_cnt = m_cntBuffer - m_ReadPos ;
	}
	
	memcpy( io_buffer, m_pBuf + m_ReadPos, in_cnt ) ;

	m_ReadPos += in_cnt ;

	return in_cnt ;
}

int 
WReadBuffer::Seek( size_t in_newReadPos )
{

	m_ReadPos = in_newReadPos ;

	if ( m_ReadPos > m_cntBuffer ) 
	{
		m_ReadPos = m_cntBuffer ;
	}

	return m_ReadPos ;
}