// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// DHKeyExchange.h: interface for the DHKeyExchange class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DHKEYEXCHANGE_H__184836E3_3D8B_11D2_8E3C_00104B6AF5F7__INCLUDED_)
#define AFX_DHKEYEXCHANGE_H__184836E3_3D8B_11D2_8E3C_00104B6AF5F7__INCLUDED_

#ifdef WIN32
#	if _MSC_VER >= 1000
#	pragma once
#	endif // _MSC_VER >= 1000
#endif

#include <zks.h>
#include <DZkError.h>
#include <ErrorHandling.h>
#include <frLocalAip.h>
#include <zksocket.h>

class RZkException ;

class DHKeyExchange{
	DZkError					m_err;	

	DHKeyExchange(const DHKeyExchange&);
	DHKeyExchange& operator=(const DHKeyExchange&);

public:
	DHKeyExchange(/*const DZkError&*/);
	void Exchange(
			unsigned int in_nRouteAci, 
			const sockaddr_in& in_firstAipAddr,
			const FrLocalAipCtx&) throw(RZkException);
};

#endif // !defined(AFX_DHKEYEXCHANGE_H__184836E3_3D8B_11D2_8E3C_00104B6AF5F7__INCLUDED_)
