/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef _INYMWEBCACHEMGR_H
#define _INYMWEBCACHEMGR_H

#include <WCoreTypes.h>

class ZKChunkReader ;

class INymWebCacheMgr
{
public:
	virtual void ProcessIncomingETag(const ZKSTD::string& in_strUrl,
								const ZKSTD::string& in_strETag) PURE;

	virtual void ProcessIncomingLastDateModified(const ZKSTD::string& in_strUrl,
								const ZKSTD::string& in_strLastDateModified) PURE;

	virtual bool GetOutgoingTagForUrl(const ZKSTD::string& in_strUrl, ZKSTD::string& out_strField, ZKSTD::string& out_strVal) PURE;

	virtual bool GetETagToGiveToBrowser(const ZKSTD::string& in_strUrl, ZKSTD::string& out_strTag) PURE;

	virtual bool GetLastModifiedTagToGiveToBrowser(const ZKSTD::string& in_strUrl, ZKSTD::string& out_strTag) PURE;

	virtual void	Save( WMemBuf& io_Buffer ) PURE ;
	virtual void	Load( ZKChunkReader& io_ChunkReader ) PURE ;
};

#endif // #ifndef _INYMWEBCACHEMGR_H