/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef RCLIENTINFO_H
#define RCLIENTINFO_H

#include "IClientInfo.h"
#include <WClientInfo.h>
#include <WSyncTypes.h>

class RClientInfo : public IClientInfo
{
public:
	RClientInfo() ;
	virtual ~RClientInfo() ;

	virtual void		GetFreedomDomain(	ZKSTD::string& out_strFreedomDomain );
	virtual time_t		GetCurrentUTCFromClientInfo();
	virtual int			GetNiqsUpdateFrequency();
	virtual time_t		GetTimeToClientExpiry() ;
	virtual ZKSTD::string GetMessageOfTheDay();
	virtual int			GetMessageOfTheDayUrgency();
	virtual bool		ClientInfoIsValid();
	virtual ZKSTD::string GetUpgradeUrl() ;

	virtual bool        IsFreeVersionAvailable() const ;
	virtual bool        IsAip2ProtocolEnabled() const ;

	virtual bool		IsFlagSetInClientInfo( const char * in_pToken ) const ;

	virtual void		SetClientInfo( const WClientInfo& ) ;

private:


	mutable WZkMutex	m_cs;			// Protect access to data
	WClientInfo			m_ClientInfo;	// A structure retrieved from NIQS with important information
										// such as expiry and message of the day

} ;

#endif