// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// RCookieManager.cpp

#include "StdAfx.h"
#include "RCookieManager.h"

#ifdef _WIN32
#pragma warning (disable : 4786)
#endif

#include <sstream>
#include <errno.h> 
#include <zks.h>
#include <IZkConsoleMsg.h>
#include <INym.h>
#include <ICrypto.h>
#include <INymCentral.h>
#include <INymCookieMgr.h>
#include <ZkService.h>
#include <string_hlp.h>
#include <lockguard.h>

RCookieManager::RCookieManager()
	: m_cntCookieReadsAndWrites(0)
{
}


RCookieManager::~RCookieManager()
{
}


bool 
RCookieManager::BuildCookieField(const ZKSTD::string& in_strDomainName, ZKSTD::string& out_Cookie)
{
	
	INymCookieMgr* pNymCookieMgr  = NULL;	
	ZkService::GetINymCentral()->GetActiveNym(IID_INYMCOOKIEMGR, (void**)&pNymCookieMgr);

	return pNymCookieMgr->BuildCookieField( in_strDomainName, out_Cookie ) ;
}

void
RCookieManager::AddCookie( 
	const ZKSTD::string& in_cookie, 
	const ZKSTD::string& in_domain )
{

	ZKTRACE2("RCookieManager::AddCookie() got cookie [%s] domain [%s]\n", in_cookie.c_str(), in_domain.c_str());

	INymCookieMgr* pNymCookieMgr  = NULL;	
	ZkService::GetINymCentral()->GetActiveNym(IID_INYMCOOKIEMGR, (void**)&pNymCookieMgr);

	pNymCookieMgr->AddCookie( in_cookie, in_domain ) ;
}

void 
RCookieManager::SelfTest()
{
#ifdef INTERNAL_BUILD
	
#endif
}
