/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef RNYMROUTE_H
#define RNYMROUTE_H

#include "INymRoute.h"
#include "WRoute.h"

class RNym ;

class RNymRoute : public INymRoute
{
public:

	RNymRoute( RNym* in_pParent ) ;
	virtual ~RNymRoute() ;

	virtual void GetLastSuccessfulRoute( WRoute& out_LastRoute )  ;
	virtual void SetSuccessfulRoute( const WRoute& in_Route ) ;

	/////////////////////////////////////////////////////////////////////////
	// Persistence
	/////////////////////////////////////////////////////////////////////////

	virtual void Save( WMemBuf& io_Buffer ) throw(RZkException) ;
	virtual void Load( ZKChunkReader& io_ChunkReader ) throw(RZkException) ;

private:
	WRoute						m_LastRoute ; 
	RNym*						m_pParent;		// This class is owned by a nym class
} ;


#endif