// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

#ifndef RTOKENDESC_H
#define RTOKENDESC_H

#include "ITokenDesc.h"
#include <DZkError.h>
#include <frTokenType.h>

// This class implements the token description class for the client.
// Basically, it can always provide a token description for any
// token id.

class RTokenDesc : public ITokenDesc
{
public:
	RTokenDesc() ;
	virtual ~RTokenDesc() ;

	virtual void			InitFromCache( const char* in_strFile ) ;
	virtual void			SaveTokenDescriptions( const char* in_strFile ) ;
	virtual void			SetTokenDescriptions( T_FrTokenType* in_pNewTokenDescriptions ) ;
	virtual bool			GetTokenDesc( unsigned short in_TypeId, WTokenDescriptions& out_TokenDesc ) ;
	virtual void			TraceTokenDesc() ;

private:
	FrTokenType				m_pTokenTypeDescriptions ;
	DZkError				m_ZkError ;
} ;

#endif