// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// RWallet.h

#if !defined(AFX_RWALLET_H_INCLUDED_)
#define AFX_RWALLET_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef _WIN32
#pragma warning(disable: 4786)
#endif

#include "IWallet.h"
#include <DZkError.h>
#include <WSyncTypes.h>
#include "RNym.h"


class RWallet : public IWallet
{
public:
	RWallet();
	virtual ~RWallet();

	virtual bool GetScriptMappings(	const ZKSTD::string& in_strDomain, 
									String2StringMap& out_realNameLwr2ZkNameMap);


	virtual bool WriteScriptToDisk( const char* in_strDomain, 
									const char* in_strFile, 
									unsigned int in_nBytes);
#ifdef INTERNAL_BUILD
	virtual bool IsMappingInDefaultScript(const ZKSTD::string& in_strRealName, 
										const ZKSTD::string&in_strZkName);
#endif //INTERNAL_BUILD

private:
	RWallet(const RWallet& rhs);
	RWallet& operator=(const RWallet& rhs);
	
	void LoadDefaultMappings();

	String2StringMap		m_defaultRealNameLwr2ZkNameMap;
	ZKCriticalSection		m_cs;

public:
	virtual void SelfTest();
};

#endif // !defined(AFX_RWALLET_H_INCLUDED_)
