// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

#include "RZkPassThruProtocol.h"

bool RZkPassThruProtocol::ConnectFailed(IZkContext& in_Context)
{
    in_Context.SetCloseConnection(true);
    return true;
}

bool RZkPassThruProtocol::ClientReady(IZkContext& in_Context)
{
	in_Context.SetProxyAction( IZkContext::ZKPROXY_CONNECT_TO_SERVER );
	return true;
}

bool RZkPassThruProtocol::FreedomizeClientRequest	(IZkContext& in_Context)
{
	in_Context.SetProxyAction( IZkContext::ZKPROXY_SEND_TO_SERVER);

	in_Context.SetProtocolOutput(in_Context.ByteBuffer());
	in_Context.SetProtocolOutputLength(in_Context.GetByteBufferLength());
	return true;
}

bool RZkPassThruProtocol::FreedomizeServerResponse	(IZkContext& in_Context)
{
	in_Context.SetProxyAction( IZkContext::ZKPROXY_SEND_TO_CLIENT );

	in_Context.SetProtocolOutput(in_Context.ByteBuffer());
	in_Context.SetProtocolOutputLength(in_Context.GetByteBufferLength());
	return true;
}
