// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// ZKEmailHelp.h
//
// This static class defines helpful assistance
// in the sending of mail on the Freedom Network.
//
// TODO: this code should eventually merge into
// a library/DLL of cross platform code for
// talking the internet protocols.  This is
// only a temporary resting spot for this code


#ifndef _INCLUDED_ZKEMAILHELP_H
#define _INCLUDED_ZKEMAILHELP_H

#include <vector>
#include <string>
#include <zkError.h>
#include <clientstl.h>
#include <strstream>

class RZkException;
class DZkError;

class ZkEmailHelp
{
public:
	static bool SendEmailESMTP(DZkError* in_err,
								ZKSTD::vector<ZKSTD::string>& in_vecInetRecipients,
								ZKSTD::vector<ZKSTD::string>& in_vecFreedomRecipients,
								const char* in_strOrigMsg,
								const size_t in_iSendingNym);

private:
	ZkEmailHelp();

	static void GenerateBounceMessage(const char *in_strOrigMsg,
										ZKSTD::string strRecipientAddress,
										const size_t in_iSendingNym,
										ZKSTD::string& out_strBounceMsg);

	static void EncryptMessageForFreedomRecipient(char** out_pCryptedMsg,
													size_t* out_lenCryptedMsg,
													const char *in_strOrigMsg,
													const ZKSTD::string& in_strRecipient,
													const size_t in_iSendingNym)
													throw (RZkException);

	// This corrects bug 5515, fixing bad formatting done by frmailmsg...
	static bool ZkEmailHelp::CorrectLineTermination(	ZKSTD::ostrstream& strOut, 
                                                        char* pIn, 
                                                        size_t in_len );
};

#endif // _INCLUDED_ZKEMAILHELP_H
