// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

// ClientControl.h
#pragma warning (disable: 4786)

#ifndef _CLIENTCONTROL_H_
#define _CLIENTCONTROL_H_

#include <zkThread.h>
#include <DZkError.h>
#include <clientwin32.h>	// for ZKCriticalSection

class CDInetDApp;	


// Used by the local server to keep track of client (i.e. proxy) threads
class DClientControl{
	
public:
	
	DClientControl();
	~DClientControl();
		
	// Call these functions before and after any 
	// instances of the DClientControl are created
	static ZkEvent InitClientCount();
	static void DeleteClientCount();

private:

	void IncrementClientCount();
	void DecrementClientCount();

	// Prohibited - not defined
	DClientControl(const DClientControl& control);			
	DClientControl& operator=(const DClientControl& rhs);
	
	
	// The global statics
	static unsigned long			m_gdwProxyCount;
	static ZkEvent					m_gNoProxiesEvent;
	static ZKCriticalSection		m_cs;
	static DZkError					m_err;
};

#endif //_CLIENTCONTROL_H_