/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef _DIPCHTTPSERVERUNITTEST_H
#define _DIPCHTTPSERVERUNITTEST_H

#ifdef INTERNAL_BUILD

#ifdef DIPCHTTPSERVER_IMPL
   #define DIPCHTTPSERVER_DLL __declspec( dllexport ) 
#else
   #define DIPCHTTPSERVER_DLL __declspec( dllimport ) 
#endif

#include <ZkNetHelp.h>
#include <zkbase/libzktest/ZkTestBase.h>

#include <string>

class DIpcHttpServerUnitTest : public ZkTestBase
{
public:
	DIpcHttpServerUnitTest()
		: ZkTestBase( "zkproxies/DIpcHttpServerUnitTest",
						"IpcHttpServer Unit Test" )
	{}

	~DIpcHttpServerUnitTest()
	{}

	virtual long Execute( void* );

	static void RunUnitTest();

private:
	static ZkSocket ConnectAndSend(const ZKSTD::string& in_strRequest);
	static bool		Read(ZkSocket& sock, ZKSTD::string& out_strResponse);
};
#endif // INTERNAL_BUILD
#endif // _DIPCHTTPSERVERUNITTEST_H
