/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

 */


#define ZKSHIM_CACHE_INTERVAL	30		/* 30 seconds */
#define ZKSHIM_CACHE_TIMEOUT	120		/* 2 minutes */

typedef struct ZkShimDgramCacheKey {
	uint8_t zck_ip_tos;
	uint8_t zck_ip_p;
	uint32_t zck_ip_src;
	uint32_t zck_ip_dst;
	uint16_t zck_sport;
	uint16_t zck_dport;
	uint8_t  zck_type;
	uid_t    zck_uid; 
} ZkShimDgramCacheKey;

#  define ZK_KEYS_EQUAL(k1, k2) (((k1)->zck_ip_tos == (k2)->zck_ip_tos) && \
							((k1)->zck_ip_p == (k2)->zck_ip_p) && \
							((k1)->zck_ip_src == (k2)->zck_ip_src) && \
							((k1)->zck_ip_dst == (k2)->zck_ip_dst) && \
							((k1)->zck_sport == (k2)->zck_sport) && \
							((k1)->zck_dport == (k2)->zck_dport) && \
							((k1)->zck_type == (k2)->zck_type)&& \
                     ((k1)->zck_uid  == (k2)->zck_uid))



typedef struct ZkShimDgramCacheEntry {
	struct list_head zce_list;
	ZkShimDgramCacheKey zce_cachekey;
	ZkShimRuleEntry *zce_ruleentry;
	unsigned long zce_time;
} ZkShimDgramCacheEntry;

void
zkShimDgramCacheInit(void);

void
zkShimDgramCacheCleanup(void);

void
zkShimDgramCachePurge(void);

ZkShimRuleEntry *
zkShimDgramCacheLookup(ZkShimDgramCacheKey *zck);

void
zkShimDgramCacheUpdate(ZkShimDgramCacheKey *zck, ZkShimRuleEntry *zre);

#ifdef CONFIG_PROC_FS
static int
zkShimDgramCacheProcInfo(char *buffer, char **start, off_t offset, int length, int reset);
#endif /* CONFIG_PROC_FS */
