/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

 */

#if 0
/* NOTE: this code is unfinsihed and hence is all if'ed out
 * It's a standing question whether or not it will be necessarry and I've
 * stopped working on it pending a clear answer as to whether or not we need this
 * functionality. For now it's sitting in code purgatory between pre-processor conditions.
 * -- 01 (oliver@zks.net)
 */
  // N.b. the general idea is that we need async. notification when some sockets are operated upon
  // so that we can ask the user what to do. A whole lot of work for a little app. feature.
#include "zkshim_priv.h"

// XXX: should have it's own timeout (longer than the cache)
int zkshim_notifyinterval = ZKSHIM_CACHE_INTERVAL;
int zkshim_notifytimeout = ZKSHIM_CACHE_TIMEOUT;

static ZKTIMER_T zkShimNotifyTimer;

static uint16_t zkNotifyIDs = 0;

MODULE_PARM(zkshim_notifyinterval, "i");
MODULE_PARM(zkshim_notifytimeout, "i");
EXPORT_SYMBOL(zkshim_notifyinterval);
EXPORT_SYMBOL(zkshim_notifytimeout);

static void
zkShimNotifyExpire(ZKTIMERFUNCARG_T data)
{
	unsigned long flags;
	ZkShimUnit *zun;
	struct list_head *lh;
	boolean_t modified;
	ZkShimNotify *zkn;
	
	WRITE_LOCK(&zkShimLock, flags);	
	for (zun = zkShimUnitList; zun; zun = zun->zun_nextp) {
		modified = B_FALSE;		
		lh = zun->ZkNotifyPending.next;
		while (lh != &zun->ZkNotifyPending) {
			zkn = list_entry(lh, ZkShimNotify, zkn_list);
			
			ZKDBG(10, "zkn=%p age=%ld\n", zkn, ZK_TIME_CURRENT() - zkn->zkn_time);
			if((ZK_TIME_CURRENT() - zkn->zkn_time) > zkshim_notifytimeout) {
				struct list_head *lhtmp;
				
				lhtmp=lh->next;
				list_del(lh);
				lh = lhtmp;
				zkn->zkn_status = ZK_TIMEOUT;
				modified = B_TRUE;				
			} else lh = lh->next;			
		}
		if (modified) wake_up_interruptible(&zun->zun_waitq);
	}		
	WRITE_UNLOCK(&zkShimLock, flags);
	ZK_SET_TIMER(&zkShimNotifyTimer, zkshim_notifyinterval,
			zkShimNotifyExpire, 0);	
}


// Call with write lock held.
void
zkShimNotifyPurgeUnit(ZkShimUnit *zun) 
{
	struct list_head *lh;
	ZkShimNotify *zkn;
	boolean_t modified = B_FALSE;
	
	lh = zun->ZkNotifyPending.next;
	while (lh != &zun->ZkNotifyPending) {
		zkn = list_entry(lh, ZkShimNotify, zkn_list);
			
		ZKDBG(10, "zkn=%p age=%ld\n", zkn, ZK_TIME_CURRENT() - zkn->zkn_time);
		if((ZK_TIME_CURRENT() - zkn->zkn_time) > zkshim_notifytimeout) {
			struct list_head *lhtmp;
				
			lhtmp = lh->next;
			list_del(lh);
			lh = lhtmp;
			zkn->zkn_status = ZK_TIMEOUT;
			modified = B_TRUE;				
		} else lh = lh->next;			
	}
	if (modified) wake_up_interruptible(&zun->zun_waitq);	
}



// Not necessary to hold write lock (?)
int 
zkShimRequestNotification(ZkShimUnit *zun, ZkShimNotify *zkn)
{
	siginfo_t si;
	struct wait_queue wait = { current, NULL };
	struct task_struct *p;
	int i;
	unsigned long flags;
	
	if (!zun->zun_signo) return ZK_TIMEOUT;
	si.si_signo = zun->zun_signo;
	si.si_errno = 0;
	si.si_code = SI_KERNEL;
	si.si_pid = zun->zun_file->f_owner.pid;
	si.si_uid = zkn->zkn_id = zkNotifyIDs++;

	read_lock(&tasklist_lock);
	p = ZK_FIND_TASK_BY_PID(si.si_pid);
	if(!p || !p->files) {
		read_unlock(&tasklist_lock);
		ZKDBG(1, "unable to find fd for signal.\n");
		return ZK_TIMEOUT;
	}
	for (i=0; i < p->files->max_fds; i++) {
		if (fcheck_task(p, i) == zun->zun_file)
			si.si_fd = i;
	}
	if(i >= p->files->max_fds) { /* not found ? */
		read_unlock(&tasklist_lock);
		ZKDBG(1, "unable to find fd for signal.\n");
		return ZK_TIMEOUT;
	}
	read_unlock(&tasklist_lock);
		
	zkn->zkn_status = ZK_WAIT;
	zkn->zkn_time = ZK_TIME_CURRENT();

	WRITE_LOCK(&zkShimLock, flags);	
	
	list_add(&zkn->zkn_list, &zun->ZkNotifyPending);
		
	add_wait_queue(&zun->zun_waitq, &wait);

	WRITE_UNLOCK(&zkShimLock, flags);	

	send_sig_info(zun->zun_signo, &si, p);
repeat:
	current->state = TASK_INTERRUPTIBLE;
	if ((zkn->zkn_status == ZK_WAIT) && !signal_pending(current)) {
		schedule();
		goto repeat;
	}
	current->state = TASK_RUNNING;
	remove_wait_queue(&zun->zun_waitq, &wait);
	list_del(&zkn->zkn_list);

	// XXX: Hmm, this is a little wierd
	if (signal_pending(current)) return -ERESTARTSYS;
	else return zkn->zkn_status;
}


void
zkShimNotifyInit(void)
{
	ZKDBG(5, "entered\n");
	ZK_SET_TIMER(&zkShimNotifyTimer, zkshim_notifyinterval,
			zkShimNotifyExpire, 0);
}

/***************************************************************************
;  Cleanup cache resources before unloading
;****************************************************************************/
void
zkShimNotifyCleanup(void)
{
	ZKDBG(5, "entered\n");

	ZK_CANCEL_TIMER(&zkShimNotifyTimer);
}

#endif /* 0 */
