/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

 */


typedef struct ZkShimRuleEntry {
	struct ZkShimRuleEntry *zre_nextp;
	ZkShimRule	zre_rule;
	ZkShimUnit *zre_unitp;
} ZkShimRuleEntry;


int
zkShimAddRule(ZkShimUnit *zun, ZkShimRule *rule);
int
zkShimDelRule(ZkShimUnit *zun, ZkShimRule *rule);

int
zkShimClearRules(ZkShimUnit *zun);

/* this function should be called with the zkShimLock held */
/*
boolean_t
zkShimMatchOutgoing(ZKMB_T *mp, iphdr_t *ip, uint16_t sport, uint16_t dport,
		void (*pdivertproc) (ZkShimUnit *, ZKMB_T *, int),
		int linkhdrlen);
*/

ZkShimRule *
zkShimMatchOutgoingSocket(
	struct socket *sock,
	struct sockaddr_in *addr,
	uint8_t proto,
    ZkShimUnit **pzun
);

uint8_t
zkShimMatchOutgoingPacket(    
    ZKMB_T *mp, iphdr_t *ip,
    uint16_t sport, uint16_t dport,
    void (*pdivertproc) (ZkShimUnit *, ZKMB_T *, int),
    int linkhdrlen
);
