#!/usr/local/bin/perl
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

# Original headder
##########################################################################
#
# Slightly hacked and heavily documented Server example from
# the book Programming Perl, 1st Edition.   I don't use the module support
# for sockets much because I want the details to be out in the open 
# (primarily so people can take their Perl sockets knowledge and move to
# other languages easily).
#
# I've rearranged some of the source to put related things side-by-side,
# too (The 'pack' and 'bind', for example).
#
# Hacking and documentation by Prof. Golden G. Richard III, Dept. of 
# Computer Science, University of New Orleans, April 1996-March 1998.

########################################################################
#   Modified the original peice a bitand took out a lot of obvious comments
#   Reference to the oroginal peice of code:http://www.cs.uno.edu/~golden/Teach/client
#   I don't think we need a copyright, we will be using it only for testing.
#   
#   PURPOSE: Connects to a server, on a given port, protocol and sends one line
#           of information:"THIS IS A TEST CLIENT CONNECTING TO PORT: $port \n"
#            
#   REQUIRE: A server running ot the other end 
#   PROMISE: Logs all to clientoutput.log file. The logs are appended
#            to the file with a header seperating each connection. 
#
#   example of usage: client.pl caesar 25 udp
#   :sherry
########################################################################


use Socket;

#
# Input 
#
($them,$port,$protocol) = @ARGV;

#
#  Defaults
#
$port = 2345 unless $port;
$them = 'localhost' unless $them;
$protocol = 'tcp' unless $protocol;

#
# To do : send STDERR to the file also so that die !S works and writes to the file
#         Add usage


# This sets up a signal handler to kill the child we'll create later 
# in the event that we die

$SIG{'Int'} = 'dokill';

# open the log file and append all outputs to the log file 
open LOG, ">>clientoutput.log" or die "Can 't write to clientoutput.log: $!\n ";

# Append the date and time ao that we can recognize the results
# print the date and time into the file and maybe the username
print LOG "********************************************************************** \n";
print LOG "             Starting the log file  at  ";
print LOG `date \n `;
print LOG "             On  ";
print LOG `/bin/hostname -i `;
print LOG "********************************************************************** \n";


sub dokill {
    kill 9, $child if $child;
}

# Strings in back quotes like `ls` run the Unix command inside the quotes
# and return the output.   The hostname command returns the name of the
# machine we're running on.   'chop' removes the newline character in the
# output from the hostname command.

chop($hostname = `hostname`);

($name, $aliases, $proto) = getprotobyname($protocol);


($name, $aliases, $port) = getservbyname($port,$protocol)
    unless $port =~ /^\d+$/;


print LOG "Using port $port and $protocol to connect to server on host $them...\n";


($name,$aliases,$type,$len,$thisaddr) = gethostbyname($hostname);

($name, $aliases,$type,$len,$thataddr) = gethostbyname($them);

# Create one endpoint of the communication link (our end).  See the Server
# code for a more complete explanation of what 'socket' does.  If we
# fail to create a socket, 'die' causes execution to terminate and 
# display the reason ( stored in $! ) for the failure.

# Remember that AF_INET and SOCK_STREAM are symbols provided by the 
# "use Socket;" line.  Don't put $ in front of them!!

#if (socket(S,AF_INET, SOCK_STREAM, $proto)) {
if ($protocol eq 'tcp'){

  if (socket(S,AF_INET, SOCK_STREAM, $proto)) {
    print LOG "Socket creation succeeded.\n";
  }
  else {
    print LOG "$! \n";
    die;
  }
 
}
else{
  if (socket(S,AF_INET, SOCK_DGRAM, $proto)) {
    print LOG "Socket creation succeeded.\n";
  }
  else {
    print LOG "$! \n";
    die;
  }
}



# 'bind' connects our socket (just created) to the specified port.  As
# in the Server code, the $sockaddr thing is just some magic that allows
# the parameters to 'bind' and (later) 'connect' to be smooshed together
# in the correct way.  For most cases this will be "cut and paste" code.
# 'this' gives information about who we are; 'that' refers to the server.

$sockaddr = 'S n a4 x8';
$this = pack($sockaddr, AF_INET, 0, $thisaddr);
$that = pack($sockaddr, AF_INET, $port, $thataddr);

if (bind(S, $this)) {
    print LOG "Bind succeeded.\n";
}
else  {
    print LOG "$! \n";
    die;
}


if (connect(S, $that)) {
    print LOG "Connect succeeded.\n";
}
else {
    print LOG "$! \n" ;
    die;
}

# Force our socket to flush output immediately after a print

select(S);
$| = 1;

# Make standard output the default again

#select(STDOUT);

# The interaction we want is to type lines of input and have them echoed
# back by the server.  But how can we both wait for input AND be receptive
# to the server's output?   Answer:  By forking a process to accept input
# from standard input (the keyboard) and send it to the server and using
# our current process to receive and display input from the server.

if ($child = fork) {
    
# We're the parent.  Read lines of input from the standard input and
# send them to the server until end of file is seen.


#
#    Modified this part so that there is only a single line written to 
#    the server , easier for test automation
#    
#    while (<STDIN>) {
#	print S;
#    }
    print S "THIS IS A TEST CLIENT CONNECTING TO PORT: $port \n"; 
    # Sleep for 3 seconds then...
    sleep 3;
    
    #...then kill ourselves and the child
    do dokill();
}
else {
    # We're the child.  Read lines of input from the server over the 
    # socket S and output them.   Stop if end of file is seen.
    
    while (<S>) {
	print LOG "Server: $_";
    }
}
