/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

 */

#ifndef ZKS_INCL_CLIENTSHIMUNITTEST
#define ZKS_INCL_CLIENTSHIMUNITTEST


#define BUFFER_SIZE 1514
#define BUF_SIZE    1024 

#include <sys/types.h>
#include <zkshim.h>
#include <zkPacket.h>

/* class decleration */
class Test{

public:

	Test();
	~Test();
	int  OpenDevice();
	int  CloseDevice();
	int  WriteToDevice(char * ,size_t );
	int  ReadFromDevice(char *, size_t);
	int  SetDeviceOption(int ,ZkShimRule *);
	void GetDeviceOption();

private:
        int Device;

};

// remove this 
enum TYPE{
	UDP,
	TCP
};



class TestUtil{

public:
	
	TestUtil();
	~TestUtil();
	int MakePacket(char *,int *);
	// automatic inline function here
	ZkShimRule *GetRule(){return &rule;};
        void SetRule(int, 
		     char *,char *, 
		     char *, char*,
		     uint16_t ,
		     uint16_t ,
		     int,
		     int,
		     char *,
		     uint16_t);

private:
	ZkShimRule rule;
	int Size;
	uint32_t SrcAddress;
	uint32_t DestAddress;
	uint16_t SrcPort;
	uint16_t DestPort;
	TYPE Type;
};
#endif
