// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include <UiMainWindow.h>
#include <UiMainWindowImp.h>


//===========================================================================
// PUBLIC FUNCTIONS
//===========================================================================

//===========================================================================
// CLASS UiMainWindow
//===========================================================================

UiMainWindow* ZkSingleton<UiMainWindow>::m_instance = 0;

//---------------------------------------------------------------------------
//
UiMainWindow::UiMainWindow() 
{
    m_window = new UiMainWindowImp();
}

//---------------------------------------------------------------------------
//
UiMainWindow::~UiMainWindow()
{
    delete m_window;
}

//---------------------------------------------------------------------------
//
void UiMainWindow::Initialize()
{
    m_window->Initialize();
}

//---------------------------------------------------------------------------
//
void UiMainWindow::Finalize()
{
    m_window->Finalize();
}

//---------------------------------------------------------------------------
//
void UiMainWindow::InitializeNymList()
{
    m_window->InitializeNymList();
}

//---------------------------------------------------------------------------
//
void UiMainWindow::Show()
{
    m_window->Show();
}

//---------------------------------------------------------------------------
//
void UiMainWindow::Hide()
{
    m_window->Hide();
}

//---------------------------------------------------------------------------
//
void UiMainWindow::SetDisabled(bool disabled)
{
    m_window->SetDisabled(disabled);
}

//---------------------------------------------------------------------------
//
void UiMainWindow::ReselectUserNym( void )
{
    m_window->ReselectUserNym();
}
