// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

#include <client.h>

#ifdef INTERNAL_BUILD

#include <ZkTest.h>
// why? : We need to include unit test file to create an instance of the test
#include <ClientTypesUnitTest.h>

ClientTypesUnitTest g_clientTypesUnitTest;

// Including the Clienttypes unit test  global
// isn't necessary, yet it seems necessary for zkservice
// objects.  What is different?

#include <ZKServiceUnitTest.h>
#include <InetHelpUnitTest.h>


// test scheme isn't supposed to require this at all,
// but we found the objects weren't linked at all if there
// wasn't any reference anywhere, hopefully this can be fixed

ZkServiceUnitTest g_zkServiceUnitTest ;
FreedomSetupUnitTest g_freedomSetupUnitTest;
CreateNymUnitTest g_createNymUnitTest;
FirewallUnitTest g_firewallUnitTest;
RedeemAndCreateNymsUnitTest g_redeemAndCreateNymsUnitTest;
PersistStressUnitTest g_PersistStressTest;

#include <RouteTester.h>

TestUnauthenticatedRoutesUnitTest g_testUnauthenticatedRoutesUnitTest;
TestCurrentNymSecuritySettingsUnitTest g_testCurrentNymSecuritySettingsUnitTest;
TestAuthenticatedRoutesWithKnownDownAipUnitTest g_testAuthenticatedRoutesWithKnownDownAipUnitTest;
SimulateAuthRouteDestroyUnitTest g_simulateAuthRouteDestroyUnitTest;
BringUpAllUnauthenticatedRoutesUnitTest g_bringUpAllUnauthenticatedRoutesUnitTest;

// These should probably be merged
//#include <../linux/ClientBaseLinuxUnitTest.h>
#include <../linux/ClientBaseUnitTest.h>

ClientBaseLinuxUnitTest g_ClientBaseLinuxUnitTest;
ClientBaseUnitTest g_ClientBaseUnitTest;
ClientBaseUnitTestInteraction g_ClientBaseUnitTestInteraction;

DiodeTestUnitTest g_DiodeTestUnitTest;

#include <../linux/GeneralUnitTest.h>

GeneralUnitTest g_GeneralUnitTest;

InetHelpUnitTest g_InetHelpUnitTest;

void InitForUnitTests(void)
{
    // Export test to file 
    // FIXME - file is hard-code
    ZkTest::ExportTestsToFile( "TestsDef.txt" );
    ZkTest::SetAbortOnFailedInit( false );
}


void LaunchSetupWizardTest()
{
	g_freedomSetupUnitTest.Execute( NULL ) ;
}

#endif // INTERNAL_BUILD
