/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UICHECKBOXPOPUP
#define ZKS_INCL_UICHECKBOXPOPUP

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <../linux/RZkPopup.h>
#include <UiThreadSafeDlg.h>
#include <gtk/gtk.h>


/*===========================================================================
 * CLASS CheckBoxPopup
 *=========================================================================*/

class UiCheckBoxPopup 
    : public UiThreadSafeDlg {

public: 

    /*----- member functions -----*/

    UiCheckBoxPopup();
    virtual ~UiCheckBoxPopup();

    bool Run( const tstring& in_strMsg,
              const tstring& in_strCheckMsgId,
              bool	  in_bDefaultChecked, 
              IconType  in_iconType );

      
protected: 

    /*----- member functions -----*/

    void UiThreadCallback();
    
private: 

    /*----- data members -----*/

    GtkWidget* m_window;
    GtkWidget* m_check;
    GtkWidget* m_label;  
    
    ZKSTD::string m_strLabel;
    ZKSTD::string m_strDoNotShowAgainLabel;

    bool m_bDoNotShowAgainIsChecked;
};
#endif
