/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIENTERSERIALNUMBER
#define ZKS_INCL_UIENTERSERIALNUMBER

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <UiThreadSafeDlg.h>
#include <gtk/gtk.h>


/*===========================================================================
 * CLASS UiEnterSerialNumber
 *=========================================================================*/

class UiEnterSerialNumber 
    : public UiThreadSafeDlg {

public: 

    /*----- member functions -----*/

    UiEnterSerialNumber();
    virtual ~UiEnterSerialNumber();

    bool Run( );
    tstring GetSerialNumber() const;
      
protected: 

    /*----- member functions -----*/

    void UiThreadCallback();
    static void SerialChangedCb(GtkWidget *, UiEnterSerialNumber* in_inst  );
    
private: 

    /*----- data members -----*/

    tstring m_strSerialNumber;
    GtkWidget* m_window;
    GtkWidget* m_serialNumber;
    GtkWidget* m_okButton;
    
    bool m_answer;
};
#endif
