/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UISIMPLEMESSAGE
#define ZKS_INCL_UISIMPLEMESSAGE

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <gtk/gtk.h>
#include <client.h>

/*===========================================================================
 * CLASS UiSimpleMessage
 *=========================================================================*/

/*
  This class very simply opens up a modal dialog box with a message.
  It currently has no stop or cancel button since it is shown during unstoppable
  operations with the network (annoying to the user at best.....)

  It may stort a Cancel button in the future (but dont bet the house on it).
*/

class UiSimpleMessage {

public: 

    /*----- member functions -----*/

    UiSimpleMessage( );
    ~UiSimpleMessage();
      
    void Open( uint32_t msgId );
    void Close();


private:
    
    /*----- static member functions -----*/

    static gint CloseCb( GtkWidget *,   gpointer );
    static void DestroyCb( GtkWidget *, gpointer );
    

    /*----- data members -----*/

    GtkWidget* m_window;
    GtkWidget* m_label;


};
#endif
