/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UITHREADSAFEMESSAGE
#define ZKS_INCL_UITHREADSAFEMESSAGE

#include "ClientBaseInc.h"
#include "ZkSingleton.h"
#include <WSyncTypes.h>
#include <gdk/gdk.h>

/*===========================================================================
 * CLASS UiThreadSafeMessage
 *=========================================================================*/

class CLIENTBASE_DLL UiThreadSafeMessage
    : public ZkSingleton < UiThreadSafeMessage >
{

public:

    UiThreadSafeMessage( );
    virtual ~UiThreadSafeMessage( );
    static void Init( );

    static void NotifyUi( gpointer func, gpointer data, bool blockAndWait );


protected: 

    virtual void HandleMessage( gpointer func, gpointer data );

    WZkMutex  m_lock;

private: 

    static void UiThreadSafeMessage::Dispatch( gpointer, gint,
					       GdkInputCondition );

    WZkEvent  m_event;
    int       m_descr[2];
    int       m_input;

};
#endif
