/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


/*
  Just a bunch of functions to avoid copying and pasting the same code
  all over the place.
  Also enforces some sort of UI consistency... you know... if everybody uses
  "setBiggerFont" then we can change the font in one place when we decide it
  it too big.
*/

#include <gtk/gtk.h>
#include <gnome.h>

namespace ZkGtkUtils 
{
    // Puspose: Changes the widget's GtkStyle to use a bigger font.
    void UseTitleFont( GtkWidget* );

    // Purpose:  Changes the text in the widget to upper chars.
    // Requires: The given widget should be a GtkEditable.
    void ToUpper( GtkWidget* );

    // Purpose: Query the preferences and set the 
    // widget on top or on the normal layer
    // Requires: The given widget should be a GtkWindow
    void GetAndSetTopPref( GtkWidget* );

    // wrapper functions that know about GetAndSetTopPref
    void GtkWidgetShow( GtkWidget * );
    void GtkWidgetShowAll( GtkWidget * );
}
