/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIEXTENDNYM
#define ZKS_INCL_UIEXTENDNYM

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <UiThreadSafeDlg.h>
#include <gtk/gtk.h>
#include <memory>

class UiTokenCtrl;
class UiEnterSerialNumber;
class INym;

/*===========================================================================
 * CLASS UiExtendNym
 *=========================================================================*/

class UiExtendNym 
    : public UiThreadSafeDlg {

public: 

    /*----- member functions -----*/

    UiExtendNym(INym* in_pNym );
    virtual ~UiExtendNym();

    bool Run( );
    bool GetTokens(const tstring in_strSerialNumber);
      
protected: 

    /*----- member functions -----*/

    void UiThreadCallback();
    bool OnOK();
    static void GetTokensCb( GtkWidget *, UiExtendNym* in_inst  );
    
private: 

    /*----- data members -----*/

    GtkWidget* m_dialog;
    GtkWidget* m_get;
    bool m_result;
    
    INym* m_pNym;
    
    ZKSTD::auto_ptr< UiTokenCtrl > m_pTokenCtrl;  
};
#endif
