/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UILOGINDLGIMP
#define ZKS_INCL_UILOGINDLGIMP

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <gnome.h>

/*----- forward declarations ------*/


//===========================================================================
// CLASS UiLoginDlgImp
//===========================================================================

class UiLoginDlgImp {

public: 

    /*----- member functions -----*/

    UiLoginDlgImp() ;
    ~UiLoginDlgImp();
    
	// Purpose:  Builds the UI, puts it on the screen, processes user input.
	// Promise:  Will return true only if valid password entered.
	// Throws:   FIXME - will throw something soon.
    bool getPassphrase();

	// Purpose:  Internal use only, for debugging.
    //           Anyway this whole class is for internal use only.
    GtkWidget* getTextField() const;


private: 

    /*----- member functions -----*/

    
	// Purpose:  Makes sure the entered passphrase is valid.
	// Promise:  True will be returned only if there is a value, and if the 
    //           value is valid.
    bool ValidatePasswd( );

    // Purpose:  Tries to use the default passphrase to read the nym file.
    //           Succees indiactes the user chose not to have a passphrase.
    bool TryDefault();

    // Purpose:  Handles all text changes for the passphrase entry 
    //           widget
    static void ValidateInputCb ( GtkEditable * editable,
                                  gchar *new_text,
                                  gint new_text_length,
                                  gint *position,
                                  UiLoginDlgImp * inst );

    /*----- data members -----*/

    bool m_result;

    GtkWidget* m_dialog;
    GtkWidget* m_txt;
};

//---------------------------------------------------------------------------
//
inline  GtkWidget* UiLoginDlgImp::getTextField() const
{
    return m_txt;
}


#endif
