/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIMAILSENTCOUNT
#define ZKS_INCL_UIMAILSENTCOUNT

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <UiThreadSafeDlg.h>
#include <gtk/gtk.h>
#include <client.h>

#include <vector>

#define MAX_TIME_STRING 150

/*===========================================================================
 * CLASS UiMailSentCount
 *=========================================================================*/

class UiMailSentCount
    : public UiThreadSafeDlg {

public: 

    /*----- member functions -----*/

    UiMailSentCount(); 
    virtual ~UiMailSentCount();

    bool Run( time_t resetTime, ZKSTD::vector<ZKSTD::string> * pvecRecipients );
      
protected: 

    /*----- member functions -----*/

    void UiThreadCallback();
    
private: 


    /*----- member functions -----*/

    GtkWidget* GetNewMenuItem( char* label, int index );

    /*----- data members -----*/

    GtkWidget* m_window;
    GtkWidget* m_recipients;
    GtkWidget* m_header;

    time_t m_resetTime;
    bool m_answer;
    ZKSTD::vector< ZKSTD::string > * m_pvecRecipients;
};
#endif
