/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIOUTGOINGMAIL
#define ZKS_INCL_UIOUTGOINGMAIL

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <UiThreadSafeDlg.h>
#include <gtk/gtk.h>
#include <client.h>

#include <vector>

/*===========================================================================
 * CLASS UiOutgoingMail
 *=========================================================================*/

class UiOutgoingMail 
    : public UiThreadSafeDlg {

public: 

    /*----- member functions -----*/

    UiOutgoingMail();
    virtual ~UiOutgoingMail();

    long Run( 
        ZKSTD::vector<ZKSTD::string>* pVecAddresses, 
        bool in_fSMTP, /* whether or not this is News */
        const ZKSTD::string* in_pStrUserEmailAddr /* NULL if mail server is mail.freedom.net */    );

      
protected: 

    /*----- member functions -----*/

    void UiThreadCallback();
    
private: 

    /*----- member functions -----*/

    GtkWidget* GetNewMenuItem( char* label, int index );

    /*----- data members -----*/

    GtkWidget* m_window;
    GtkWidget* m_nyms;
    GtkWidget* m_recipients;
    GtkWidget* m_header;
    GtkWidget* m_dontshow;

    ZKSTD::vector<ZKSTD::string>* m_pVecAddresses;
    bool m_fSMTP;
    const ZKSTD::string* m_pStrUserEmailAddr;
    bool m_bShowCheckBox;
    long m_answer;    
};
#endif
