/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIPREFABOUT
#define ZKS_INCL_UIPREFABOUT

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_UIPREFBASE
#include <UiPrefBase.h>
#endif

/*===========================================================================
 * CLASS UiPrefAbout
 *=========================================================================*/

class UiPrefAbout : public UiPrefBase {

public: 

    /*----- member functions -----*/

    UiPrefAbout( 
        const ZKSTD::string& name,
        const ZKSTD::string& desc 
    );

    virtual ~UiPrefAbout();


private: 

    /*----- data members -----*/

    GtkWidget* m_team;
    GtkWidget* m_home;
    GtkWidget* m_support;
    GtkWidget* m_buildId;
    GtkWidget* m_buildVersion;
    GtkWidget* m_buildDate;

};
#endif
