/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIPREFAD
#define ZKS_INCL_UIPREFAD

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_UIPREFBASE
#include <UiPrefBase.h>
#endif

#include <IAdBlocker.h>
#include <INym.h>

/*===========================================================================
 * CLASS UiPrefAd
 *=========================================================================*/

class UiPrefAd : public UiPrefBase {

public: 

    /*----- member functions -----*/

    UiPrefAd( 
        const ZKSTD::string& name,
        const ZKSTD::string& desc
    );

    virtual ~UiPrefAd();

    virtual void Initialize();
    virtual bool Finalize();
    virtual void Cancel();


private: 

    /*----- static member functions -----*/

    static void AddCb( GtkWidget*, UiPrefAd* );
    static void DeleteCb( GtkWidget*, UiPrefAd* );
    static void ListClickCb( GtkWidget*, gint, UiPrefAd* );
    static gint CaseInsensitiveCompareFunc( GtkCList *clist,
                                     gconstpointer ptr1,
                                     gconstpointer ptr2 );

    /*----- member functions -----*/

    void FillListBox();
    
    void AddRule();
    void DeleteSelection();

    /*----- data members -----*/

    ZKSTD::vector<AdDescription> m_vecRules;
    
    GtkWidget*   m_delete;
    GtkWidget*   m_url;
    GtkWidget*   m_provider;
    GtkWidget*   m_add;
    GtkWidget*   m_block;
    GtkWidget*   m_clist;
    GtkWidget*   m_enableTog;
    GtkWidget*   m_adsblocked;
    GtkWidget*   m_bytessaved;

    bool m_modified;
    bool m_bAscendingSort;
    gint m_nCurrentSortColumn;

};
#endif
