/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIPREFCONSOLE
#define ZKS_INCL_UIPREFCONSOLE

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_UIPREFBASE
#include <UiPrefBase.h>
#endif

/*===========================================================================
 * CLASS UiPrefConsole
 *=========================================================================*/

class UiPrefConsole : public UiPrefBase {

public: 

    /*----- member functions -----*/

    UiPrefConsole( 
        const ZKSTD::string& name,
        const ZKSTD::string& desc 
    );

    virtual ~UiPrefConsole();

	// Purpose:  Reads the user preferences from the refitry and sets the state of
    //           the toggle buttons accordingly.
    virtual void Initialize();

    virtual bool Finalize();


private: 

    /*----- static member functions -----*/

    static void OpenLogDirectoryCb( GtkWidget*, UiPrefConsole* );

    /*----- member functions -----*/


    /*----- data members -----*/

    GtkWidget*       m_openLogDirectory;
    GtkToggleButton* m_verboseMode;
    GtkToggleButton* m_copyLogToDisk;
};
#endif
