// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include <UiPrefDlg.h>
#include <UiPrefDlgImp.h>
#include <UiPrefBase.h>
#include <UiPrefInit.h>

//===========================================================================
// CLASS UiPrefDlg
//===========================================================================

UiPrefDlg* ZkSingleton<UiPrefDlg>::m_instance = 0;

//---------------------------------------------------------------------------
//
UiPrefDlg::UiPrefDlg() 
{
    m_impl = new UiPrefDlgImp();
    UiPrefInit::AddPrefsPages();
}

//---------------------------------------------------------------------------
//
UiPrefDlg::~UiPrefDlg()
{
    delete m_impl;
}

//---------------------------------------------------------------------------
//
void UiPrefDlg::Open( const ZKSTD::string& page )
{
    get().m_impl->Open( page );
}

//---------------------------------------------------------------------------
//
void UiPrefDlg::AddDialog( 
    const ZKSTD::string& label,
    ZKSTD::auto_ptr<UiPrefBase> dialog, 
    const ZKSTD::string& nodeName
)
{
    get().m_impl->AddDialog( label, dialog, nodeName );
}

//---------------------------------------------------------------------------
//
void UiPrefDlg::SetActiveDialog( const ZKSTD::string& name )
{
    get().m_impl->SetActiveDialog( name );
}
    
//---------------------------------------------------------------------------
//
void UiPrefDlg::DisablePage( const ZKSTD::string& name )
{    
    get().m_impl->DisablePage( name );
}

//---------------------------------------------------------------------------
//
void UiPrefDlg::DeleteSubPages( const ZKSTD::string& name )
{
    get().m_impl->DeleteSubPages( name );
}

