/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIPREFFREEDOMMAIL
#define ZKS_INCL_UIPREFFREEDOMMAIL

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_UIPREFBASE
#include <UiPrefBase.h>
#endif

#include <INym.h>

/*===========================================================================
 * CLASS UiPrefFreedomMail
 *=========================================================================*/

class UiPrefFreedomMail : public UiPrefBase {

public: 

    /*----- member functions -----*/

    UiPrefFreedomMail( 
        const ZKSTD::string& name,
        const ZKSTD::string& desc
    );

    virtual ~UiPrefFreedomMail();

    virtual void Initialize();
    virtual bool Finalize();


private: 

    /*----- static member functions -----*/

    /*----- member functions -----*/

    /*----- data members -----*/
    GtkToggleButton* m_checkall;
    GtkToggleButton* m_checkactive;

    GtkEntry* m_mailrelay;
};
#endif
