/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIPREFPASSPHRASE
#define ZKS_INCL_UIPREFPASSPHRASE

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_UIPREFBASE
#include <UiPrefBase.h>
#endif

/*===========================================================================
 * CLASS UiPrefPassphrase
 *=========================================================================*/

class UiPrefPassphrase : public UiPrefBase {

public: 

    /*----- member functions -----*/

    UiPrefPassphrase( 
        const ZKSTD::string& name,
        const ZKSTD::string& desc 
    );

    virtual ~UiPrefPassphrase();

    virtual void Initialize();
    virtual bool Finalize();


private: 

    /*----- static member functions -----*/

    static void UpdateCb( GtkWidget*, UiPrefPassphrase* );
    static void ProtectCb( GtkWidget*, UiPrefPassphrase* );

    /*----- member functions -----*/

    bool UserHasPassphrase();
    void ShowPassphraseWidgets( bool show, bool hasPassphrase = false );


    /*----- data members -----*/

    GtkWidget*  m_frame;
    GtkWidget*  m_update;
    GtkWidget*  m_protect;
    GtkWidget*  m_currentLb;
    GtkEntry*   m_current;
    GtkEntry*   m_new;
    GtkEntry*   m_confirm;

    unsigned int m_signalId;
};
#endif
