// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):



//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include <UiPrefProNymAd.h>
#include <ZkGladeLoader.h>
#include <ZkDialogsStrings.h>

#include <INym.h>
#include <ZkWebIntegration.h>
#include <ZkStringMgr.h>

//===========================================================================
// LOCAL DECLARATIONS
//===========================================================================



//===========================================================================
// CLASS UiPrefProNymAd
//===========================================================================

//---------------------------------------------------------------------------
//
UiPrefProNymAd::UiPrefProNymAd( 
    const ZKSTD::string& name,
    const ZKSTD::string& desc,
    INym*
) 
    : UiPrefBase( name, desc )
{
    // Show the subcribe message

    ZkGladeLoader loader( "pref_spam_freenym.xml", "topct" );
    SetTopContainer( loader.GetWidget( "topct" ));
    GtkWidget* subcribeLabel = loader.GetWidget( "labelSubscribe" );        
    GtkWidget* subcribehref  = loader.GetWidget( "hrefSubscribe" );

    ZKSTD::string msg;
    ZkStringMgr::Load( msg, IDS_MAIL_SERVICE_WARNING );
    gtk_label_set_text( GTK_LABEL( subcribeLabel ), msg.c_str());

    gnome_href_set_url( GNOME_HREF( subcribehref ), 
                        ZkWebIntegration::GetURL( URL_PREMIUM_INFO_ID ).c_str());
}

//---------------------------------------------------------------------------
//
UiPrefProNymAd::~UiPrefProNymAd( )
{
}

//---------------------------------------------------------------------------
//
void UiPrefProNymAd::Initialize()
{
}

//---------------------------------------------------------------------------
//
bool UiPrefProNymAd::Finalize()
{
    return true;
}

