/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIPREFSECURITY
#define ZKS_INCL_UIPREFSECURITY

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_UIPREFBASE
#include <UiPrefBase.h>
#endif

#include <client.h>
#include <memory>

class INym;

/*===========================================================================
 * CLASS UiPrefSecurity
 *=========================================================================*/

class UiPrefSecurity : public UiPrefBase {

public: 

    /*----- member functions -----*/

    UiPrefSecurity( 
        const ZKSTD::string& name,
        const ZKSTD::string& desc,
        INym* pNym
    );

    virtual ~UiPrefSecurity();

    virtual void Initialize();
    virtual bool Finalize();


private: 

    /*----- static member functions -----*/

    static void SecurityCb( GtkWidget*, UiPrefSecurity* );

    /*----- member functions -----*/

    bool GetTokensAndUseIt(const tstring in_strSerialNumber);

    void UpdateSecurity();

    /*----- data members -----*/

    GtkWidget* m_checkbox;
    GtkWidget* m_security;
    GtkWidget* m_seclabel;

    GtkAdjustment* m_adjust;

    INym* m_pNym;

    size_t        m_current_security;
};
#endif
