/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIPREFSPAM
#define ZKS_INCL_UIPREFSPAM

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_UIPREFBASE
#include <UiPrefBase.h>
#endif

#include <set>


class INym;
class INymMail;

/*===========================================================================
 * CLASS UiPrefSpam
 *=========================================================================*/

class UiPrefSpam : public UiPrefBase {

public: 

    /*----- member functions -----*/

    UiPrefSpam( 
        const ZKSTD::string& name,
        const ZKSTD::string& desc,
        INym* pNym
    );

    virtual ~UiPrefSpam();

    virtual void Initialize();
    virtual bool Finalize();


private: 

    /*----- typedefs and enums -----*/

    typedef ZKSTD::set< ZKSTD::string > SpamList;

    /*----- static member functions -----*/

    static void AddCb( GtkWidget*, UiPrefSpam* );    
    static void DeleteCb( GtkWidget*, UiPrefSpam* );    


    /*----- member functions -----*/

    // Non-static function corresponding to the callbacks.
    // Mainly to avoid constant use of an instance pointer..
    void Add( GtkWidget* );       
    void Del( GtkWidget* );    

    void FillListBox();


    /*----- data members -----*/

    GtkWidget* m_tag;
    GtkWidget* m_add;
    GtkWidget* m_delete;               
    GtkWidget* m_block;
    GtkWidget* m_new;
    GtkWidget* m_list;
    GtkWidget* m_msg;
    GtkWidget* m_address;

    SpamList   m_spam;

    INymMail*  m_pMail;
    ZKSTD::string m_strFreedomDomain;
};
#endif
