// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):




//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include <UiPrefUser.h>

#include <client.h>
#include <clientdebug.h>
#include <clientdefs.h>

#include <ZkWebIntegration.h>
#include <ZkGladeLoader.h>

//===========================================================================
// CLASS UiPrefUser
//===========================================================================

//---------------------------------------------------------------------------
//
UiPrefUser::UiPrefUser( 
    const ZKSTD::string& name,
    const ZKSTD::string& desc
) 
    : UiPrefBase( name, desc )
{
    ZkGladeLoader loader( "pref_user.xml", "topct" );
    SetTopContainer( loader.GetWidget( "topct" ));

    GtkWidget* premiumHref = loader.GetWidget( "premium_href" );
    gnome_href_set_url( GNOME_HREF( premiumHref ), 
                        ZkWebIntegration::GetURL( URL_PREMIUM_INFO_ID ).c_str() );    
}

//---------------------------------------------------------------------------
//
UiPrefUser::~UiPrefUser( )
{
}

//---------------------------------------------------------------------------
//
void UiPrefUser::Initialize()
{
}

//---------------------------------------------------------------------------
//
bool UiPrefUser::Finalize()
{
    return true;
}

