/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIPREFWORDSCAN
#define ZKS_INCL_UIPREFWORDSCAN

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_UIPREFBASE
#include <UiPrefBase.h>
#endif

#include <set>

/*===========================================================================
 * CLASS UiPrefWordScan
 *=========================================================================*/

class UiPrefWordScan : public UiPrefBase {

public: 

    /*----- member functions -----*/

    UiPrefWordScan( 
        const ZKSTD::string& name,
        const ZKSTD::string& desc 
    );

    virtual ~UiPrefWordScan();

    virtual void Initialize();
    virtual bool Finalize();

private: 

    /*----- typedefs and enums -----*/

    typedef ZKSTD::set< ZKSTD::string > WordList;

    /*----- static member functions -----*/

    static void EnterCb( GtkWidget*, UiPrefWordScan* );    
    static void AddCb( GtkWidget*, UiPrefWordScan* );    
    static void DeleteCb( GtkWidget*, UiPrefWordScan* );    

    /*----- member functions -----*/

    void Add(  );       
    void Del(  );    

    void AddWord( const ZKSTD::string& word );



    /*----- data members -----*/

    GtkWidget* m_add;
    GtkWidget* m_delete;
    GtkWidget* m_newword;
    GtkWidget* m_words;
    
    GtkToggleButton* m_nymTog;
    GtkToggleButton* m_ipTog;
    GtkToggleButton* m_emailTog;

    WordList   m_wordList;
    
};
#endif
