/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIWARNNNTPCONNECTION
#define ZKS_INCL_UIWARNNNTPPCONNECTION

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <UiThreadSafeDlg.h>
#include <gtk/gtk.h>


/*===========================================================================
 * CLASS UiWarnNNTPConnection
 *=========================================================================*/

class UiWarnNNTPConnection 
    : public UiThreadSafeDlg {

public: 

    /*----- member functions -----*/

    UiWarnNNTPConnection();
    virtual ~UiWarnNNTPConnection();

    bool Run( );
    void LinkToKCClicked();
      
protected: 

    /*----- member functions -----*/

    void UiThreadCallback();
    
private: 

    /*----- static member functions -----*/

    static void LinkToKCCb( GtkWidget*, UiWarnNNTPConnection* inst );

    /*----- data members -----*/

    GtkWidget* m_window;
    GtkWidget* m_check;
    GtkWidget* m_msg1;
    GtkWidget* m_msg2;
    GtkWidget* m_linkToKC;

    bool m_answer;
};
#endif
