/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_UIWORDSCAN
#define ZKS_INCL_UIWORDSCAN

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include <UiThreadSafeDlg.h>
#include <gtk/gtk.h>
#include <client.h>

#include <vector>

class WordScanSummary ;

/*===========================================================================
 * CLASS UiWordScan
 *=========================================================================*/

class UiWordScan 
    : public UiThreadSafeDlg {

public: 

    /*----- member functions -----*/

    UiWordScan();
    virtual ~UiWordScan();

    bool Run( 
        unsigned int in_Protocol, 
        WordScanSummary* in_pScanResult 
    );

      
protected: 

    /*----- member functions -----*/

    void UiThreadCallback();
    
private: 

    /*----- static member functions -----*/

    static void NymSelectCb( GtkWidget* item, UiWordScan* inst );

    /*----- member functions -----*/

    GtkWidget* GetNewMenuItem( char* label, int index );

    /*----- data members -----*/

    GtkWidget* m_window;
    GtkWidget* m_matches;
    GtkWidget* m_header;
    
    WordScanSummary* m_pScanResult;
    unsigned int m_protocol;

    bool m_answer;
};
#endif
