// The contents of this file are subject to the Mozilla Public
// License Version 1.1 (the "License"); you may not use this file
// except in compliance with the License. You may obtain a copy of
// the License at http://www.mozilla.org/MPL/
// 
// Software distributed under the License is distributed on an "AS
// IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing
// rights and limitations under the License.
// 
// The Original Code is Freedom code.
// 
// The Initial Developer of the Original Code is Zero-Knowledge Systems,
// Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
// Zero-Knowledge Systems, Inc.  All Rights Reserved.
// 
// Contributor(s):

//===========================================================================
// EXTERNAL DECLARATIONS
//===========================================================================

#include "UiRouteDialogs.h"
#include "WzRoute.h"

#include <WRoute.h>
#include <WRouteRules.h>
#include <ZKBusyAVI.h>
#include <UiMainWindow.h>

UiRouteDialogs* ZkSingleton<UiRouteDialogs>::m_instance = 0;

/*===========================================================================
 * CLASS UiRouteDiaogs
 *=========================================================================*/

//---------------------------------------------------------------------------
//
UiRouteDialogs::UiRouteDialogs()
{
}

//---------------------------------------------------------------------------
//
UiRouteDialogs::~UiRouteDialogs()
{
}

//---------------------------------------------------------------------------
//
bool
UiRouteDialogs::GetInteractiveRouteRules( WRouteRules& in_Rules,
					  WRoute& out_Route )
{		
    out_Route.Clear();

    // Enable the animation
    ZKBusyAVI busy;

    // Disable the main UI window while the user selects a route
    UiMainWindow::get().SetDisabled(true);

    WzRoute rw( in_Rules, out_Route );

    bool retVal = rw.Run();

    // Re-enable the main UI
    UiMainWindow::get().SetDisabled(false);

    return retVal;
}
