/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_WZROUTE
#define ZKS_INCL_WZROUTE

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include "WzBase.h"

#include <WRoute.h>
#include <WRouteRules.h>

#include <gtk/gtk.h>

class WzRoutePageFirst;
class WRouteRules;

/*===========================================================================
 * CLASS WzRoute
 *=========================================================================*/

class WzRoute : public WzBase {

public:
    /*----- member functions -----*/

    WzRoute( WRouteRules& in_rules, WRoute& out_routes );

    virtual ~WzRoute( );

    void RemoveHopPagesFromWizard( );
    void AddHopPagesToWizard( );

    virtual void Finish();
    void DoAddPages();

    GdkPixmap ** GetRatings()        { return m_ratings; }
    GdkPixmap *  GetRatings(guint i) { return m_ratings[i]; }

    WRoute &      GetRoute()      { return m_Route; }
    WRoute &      GetLastRoute()  { return m_LastUsedRoute; }
    WRouteRules & GetRouteRules() { return m_RouteRules; }

private:

    /*----- data members -----*/

    GdkPixmap*    m_ratings[6]; // pixmaps for each of 6 latency ratings
    WRouteRules&  m_RouteRules;
    WRoute	      m_LastUsedRoute;
    WRoute&       m_Route;
};
#endif
