/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_WZROUTEPAGE
#define ZKS_INCL_WZROUTEPAGE

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include "WzBasePage.h"

#include <WNetInfoDatum.h>

#include <gtk/gtk.h>

class WzRoute;
class WzBase;

/*===========================================================================
 * CLASS WzRoutePage
 *=========================================================================*/

class WzRoutePage : public WzBasePage {

public:
    /*----- member functions -----*/

    WzRoutePage( guint hop );

    virtual ~WzRoutePage();

    /* accessors */

    GtkSortType GetSortType() { return m_sort_type; }
    void SetSortType( GtkSortType sort ) { m_sort_type = sort; }

    gint GetLastColumn() { return m_last_column; }
    void SetLastColumn( gint column ) { m_last_column = column; }

private:

    /*----- member functions -----*/

    static gint SortByPing( GtkCList *clist, gconstpointer ptr1,
			    gconstpointer ptr2 );
    static void SortClist( GtkWidget *clist, gint column, gpointer klass );

    static gint SelectHop( 
        GtkWidget *, 
        gint, 
        gint, 
        GdkEventButton *,
        WzRoutePage*
    );

    static gint UnselectHop( 
        GtkWidget *, 
        gint, 
        gint, 
        GdkEventButton *,
        WzRoutePage*
    );

    void GetConnectedAips( gint in_idPreviousHop, WNetInfoDatumVec& out_lst );
    gint InsertAip( const WNetInfoDatum *in_pInfo );

    gint GetCurrentSelection();

    void GetItemInfo( gint row, WNetInfoDatum** pInfo );

    virtual void SetParent( WzBase *, GtkWidget * );
    virtual void Show();
    virtual bool Finish();
    virtual bool NextPage();

    /*----- data members -----*/

    GtkSortType m_sort_type; // the current CList sort method
    gint m_last_column;      // the last column of the CList that was clicked
    GtkWidget *m_clist;      // the CList itself
    GtkWidget *m_HopLabel;
    guint m_indexHop;        // the index of the hop that is being selected
    WNetInfoDatumVec m_lst;  // list of aips that are showing on this page
	bool m_bShowDownAips ;
};
#endif
