/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_WZROUTEPAGEFIRST
#define ZKS_INCL_WZROUTEPAGEFIRST

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#include "WzBasePage.h"

#include <gtk/gtk.h>

class WzRoute;
class WzBase;

/*===========================================================================
 * CLASS WzRoutePageFirst
 *=========================================================================*/

class WzRoutePageFirst : public WzBasePage {

public:
    /*----- member functions -----*/

    WzRoutePageFirst( );

    virtual ~WzRoutePageFirst();

    void OnAutoRoute( );
    void OnUserSelectedRoute( );
    void OnUseLastRoute( );

    // Used by WzRoute to query the status of the radio buttons, etc.
    bool IsAutomatic( ) { return GTK_TOGGLE_BUTTON(m_auto_button)->active; }
    bool IsInteractive( ) { return GTK_TOGGLE_BUTTON(m_interactive)->active; }
    bool IsLastUsed( ) { return GTK_TOGGLE_BUTTON(m_last_used)->active; }
    bool IsDontShow( ) { return GTK_TOGGLE_BUTTON(m_dont_show)->active; }

private:

    /*----- static member functions -----*/

    static void OnAutoRouteCb( GtkWidget *, gpointer klass );
    static void OnUserSelectedRouteCb( GtkWidget *, gpointer klass );
    static void OnUseLastRouteCb( GtkWidget *, gpointer klass );

    /*----- member functions -----*/

    virtual void SetParent( WzBase*, GtkWidget * );

    /*----- data members -----*/

    GtkWidget *m_auto_button;  // GtkRadioButton
    GtkWidget *m_dont_show;    // GtkCheckBox
    GtkWidget *m_interactive;  // GtkRadioButton
    GtkWidget *m_last_used;    // GtkRadioButton
    GtkWidget *m_server_names; // GtkLabel
};
#endif
