/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_WZSETUPFINISH
#define ZKS_INCL_WZSETUPFINISH

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_WZSETUPBASE
#include <WzSetupBasePage.h>
#endif

#include <gnome.h>
#include <string>


/*===========================================================================
 * CLASS WzSetupFinish
 *=========================================================================*/

class WzSetupFinish : public WzSetupBasePage {

public: 

    /*----- member functions -----*/

    WzSetupFinish();
    virtual ~WzSetupFinish();

protected:

    /*----- member functions -----*/

    virtual void MapPage();
    virtual bool NextPage();
    virtual bool Finish();
    
      
private: 

    /*----- static member functions -----*/

    static void BackupCb( GtkWidget*, WzSetupFinish* inst );

    /*----- member functions -----*/

	// Prohibited funcs - not implemented.
	WzSetupFinish( const WzSetupFinish& );
	const WzSetupFinish& operator=( const WzSetupFinish& );

    void OnNext();

    /*----- data members -----*/

    GtkWidget* m_testDrive;
    GtkWidget* m_testDriveCt;
    GtkWidget* m_nymName;
    GtkWidget* m_nymIcon;
    GtkWidget* m_expDate;
    GtkWidget* m_expDateLabel;
    GtkWidget* m_launch;

    bool m_bInitialized;
};
#endif
