/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

/*
  The main purpose of this file is to provide a single function to intialize
  the entire Setup Wizard. 
  It is in its own file, instead of the WzSetupDlg file mainly to avoid all
  sorts of ugly dependencies (i.e. the main dialog depending on all of its 
  components).

  Its use shold be transparent to the user since it is called internally
  by WzSetupDlg.
*/

class WzSetupDlg;

namespace WzSetupInit
{
	// Purpose:  Purpose is described way up there at the start of the file...
	// Requires: Since the setup wizard is not a singleton, a pointer to the 
    //           wizard to initialize must be provided.
    void AddSetupPages( WzSetupDlgImp* );

    void AddNymCreatePages( WzSetupDlgImp* wizard );
}
