/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_WZSETUPPASSPHRASE
#define ZKS_INCL_WZSETUPPASSPHRASE

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_WZSETUPBASE
#include <WzSetupBasePage.h>
#endif

#include <gnome.h>
#include <string>

/*===========================================================================
 * CLASS WzSetupPassphrase
 *=========================================================================*/

class WzSetupPassphrase : public WzSetupBasePage {

public: 

    /*----- member functions -----*/

    WzSetupPassphrase();
    virtual ~WzSetupPassphrase();
      
private: 

    /*----- static member functions -----*/

    static void ToggleCb( GtkWidget*, WzSetupPassphrase* inst );

    /*----- member functions -----*/

	// Prohibited funcs - not implemented.
	WzSetupPassphrase( const WzSetupPassphrase& );
	const WzSetupPassphrase& operator=( const WzSetupPassphrase& );

    virtual bool NextPage();
    virtual bool PreviousPage();
    virtual bool Finish();

    /*----- data members -----*/

    GtkWidget* m_frame;
    GtkEntry*  m_new;
    GtkEntry*  m_confirm;
    GtkWidget* m_toggle;

    GtkWidget* m_new_ct;
    GtkWidget* m_confirm_ct;

    bool m_bProtect;
};
#endif
