/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_WzSetupSelectToken
#define ZKS_INCL_WzSetupSelectToken

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_WZSETUPBASE
#include <WzSetupBasePage.h>
#endif

#include <gnome.h>
#include <client.h>
#include <string>
#include <memory>

class UiTokenCtrl;
class UiEnterSerialNumber;

/*===========================================================================
 * CLASS WzSetupSelectToken
 *=========================================================================*/

class WzSetupSelectToken : public WzSetupBasePage {

public: 

    /*----- member functions -----*/

    WzSetupSelectToken();
    virtual ~WzSetupSelectToken();

    virtual bool NextPage();
      
protected:
    bool GetTokens(const tstring in_strSerialNumber);
    void MapPage();

private: 

    /*----- static member functions -----*/

    static void GetTokensCb( GtkWidget *, WzSetupSelectToken* inst );

    /*----- member functions -----*/

	// Prohibited funcs - not implemented.
    WzSetupSelectToken( const WzSetupSelectToken& );
    const WzSetupSelectToken& operator=( const WzSetupSelectToken& );
    void QueryAndEnable();



    /*----- data members -----*/
    
    ZKSTD::auto_ptr< UiTokenCtrl > m_pTokenCtrl;  
    ZKSTD::auto_ptr< UiEnterSerialNumber >   m_serialNumberDlg;
    
    GtkWidget* m_get;
    GtkWidget* m_strTopText;

    ZKSTD::string m_exchanged;
    
};
#endif
