/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKS_INCL_WZSETUPWELCOME
#define ZKS_INCL_WZSETUPWELCOME

/*===========================================================================
 * EXTERNAL DECLARATIONS
 *=========================================================================*/

#ifndef ZKS_INCL_WZSETUPBASE
#include <WzSetupBasePage.h>
#endif

#include <gtk/gtk.h>
#include <string>

/*===========================================================================
 * CLASS WzSetupWelcome
 *=========================================================================*/

class WzSetupWelcome : public WzSetupBasePage {

public: 

    /*----- member functions -----*/

    WzSetupWelcome();
    virtual ~WzSetupWelcome();

    bool NextPage();
      
private: 

    /*----- static member functions -----*/

    static void ToggleCb( GtkWidget*, WzSetupWelcome* );

    /*----- member functions -----*/

	// Prohibited funcs - not implemented.
	WzSetupWelcome( const WzSetupWelcome& );
	const WzSetupWelcome& operator=( const WzSetupWelcome& );


    /*----- data members -----*/

    GtkWidget* m_free;
    GtkWidget* m_pro;
};
#endif
