##############################################################################
# This script will be attempting to build the Linux client of freedom 
# 
# Author: $Author: sherry $
# Version:$Revision: 1.1.10.1 $
# Date:$Date: 2000/08/17 01:39:40 $  
# TODO: Add support for auto and interactive modes, 
#       check for coding standards 
##############################################################################

exit_func() {
    
    case $1 in
    1)
	echo "The script stopped due to an error ";;
    0)
	echo "It seems okay, end of script ";;
    esac
    echo "#############################################################################"
    echo -e "\033[m "
    exit 0
}

echo "######################################################################"
echo "####### This bash script will attempt to build the Linux client. #####"
echo "######################################################################"
echo -e "\033[1mStarting the build "


# Check to see if the directory already exist
if test -d temp_build_dir
then
    cd temp_build_dir
    echo -e "\033[1mClear all the files under temp_build_dir? y/n "
    read reply
    case $reply in 
	y ) echo "Files will be removed"; rm -rf * ;;
	n ) echo "Okay we will continue ";;
	*) echo " Sorry don't understand input "; exit_func 1;;
    esac
	
else
    echo "The script will be making the temp_build_dir directory "
    mkdir temp_build_dir
    cd temp_build_dir
fi

#Check again to make sure there was no error ?

mkdir zk
cd zk

#########################################   Validate CVSROOT
#set env variables
echo "Here is your user name:"
echo $USER


echo "Here is the current CVSROOT "
echo $CVSROOT



#Just check the CVSROOT to make sure it is decent
if [ "$CVSROOT" = ":pserver:$USER@cvs.dev.zks.net:/home/cvs" ]
then
 :   # do nothing 
else
    echo "There seems to be a problem with the CVSROOT ..."
    echo "Should I try to fix it? y/n "
    read reply
    case $reply in 
	y ) export CVSROOT=":pserver:$USER@cvs.dev.zks.net:/home/cvs";echo $CVSROOT ;;
	n ) echo "Okay try it yourself, bye "; exit_func 1 ;;
	*) echo " Sorry don't understand input "; exit_func 1;;
    esac  
fi

######################################### Checkout the module

echo "Do you want to check out the freedom-client-linux module? y/n "
read reply
case $reply in 
    y ) echo "Checking out..."; cvs checkout -r scarecrow_dev freedom-client-linux ;;
    n ) echo "Okay we will continue ";;
    *) echo " Sorry don't understand input "; exit_func 1;;
esac
	

# what if there is an error?
export ZK_PROJECT='Client'
echo "The ZK_PROJECT variable is: "
echo  $ZK_PROJECT


export ZK_ROOT=$PWD
echo "The ZK_ROOT variable is: "
echo  $ZK_ROOT

export ZK_FREEDOM_ROOT=$PWD/freedom
echo "The ZK_FREEDOM_ROOT variable is: "
echo  $ZK_FREEDOM_ROOT


export ZK_PROJ_ROOT=$PWD
echo "The ZK_PROJ_ROOT variable is: "
echo  $ZK_PROJ_ROOT

echo "Do you want to build the client? y/n "
read reply
case $reply in 
	y ) echo "Okay .. continue ";;
	n ) echo -e "\033[mOkay we will stop"; exit_func 0;;
	*) echo " Sorry don't understand input "; exit_func 1;;
esac

######################################### Build the client 
# to make all the main directories
if test -e makefiles/Makefile.top
then
    echo "Main libraries will be build ....."
    make -f makefiles/Makefile.top libs
    # check for error
else
    echo "An error occurred, can't find Makefile.top "
    exit_func 1
    # stop the script?
fi


if test -e freedom/client
then
    cd freedom/client
    make #check for errors 
    cd ../..
else
    echo "An error occurred, can't find freedom/nibd "
    exit_func 1
fi

exit_func 0



#clean up