/*
 * Run Time default directories
 *
 * $Id: frFilenames.h,v 1.9.26.1 2000/10/11 13:17:32 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):
 * Luc Boulianne <luc@zks.net>

 */
#ifndef FR_FILENAME_H
#define FR_FILENAME_H

/*
 * Allow compile change of freedom root directory
 */
#ifndef FREEDOM_ROOTDIR
#define FREEDOM_ROOTDIR     "/freedom"
#endif

#define FREEDOM_BINDIR      FREEDOM_ROOTDIR"/bin"
#define FREEDOM_CONFDIR     FREEDOM_ROOTDIR"/etc"
#define FREEDOM_DBDIR       FREEDOM_ROOTDIR"/db"
#define FREEDOM_DEVDIR      FREEDOM_ROOTDIR"/dev"
#define FREEDOM_HISTORYDIR  FREEDOM_VARDIR"/history"
#define FREEDOM_LOGDIR      FREEDOM_VARDIR"/log"
#define FREEDOM_PIDDIR      FREEDOM_RUNDIR
#define FREEDOM_PRIVKEYDIR  FREEDOM_ROOTDIR"/priv"
#define FREEDOM_PUBKEYDIR   FREEDOM_ROOTDIR"/pub"
#define FREEDOM_RUNDIR      FREEDOM_VARDIR"/run"
#define FREEDOM_SBINDIR     FREEDOM_ROOTDIR"/sbin"
#define FREEDOM_SPOOLDIR    FREEDOM_ROOTDIR"/spool" 
#define FREEDOM_STATSDIR    FREEDOM_VARDIR"/stats"
#define FREEDOM_VARDIR      FREEDOM_ROOTDIR"/var"

#define FREEDOM_PASSHASH_FILE FREEDOM_CONFDIR "/passphrase.hash"
#define FREEDOM_CONFIG_FILE FREEDOM_CONFDIR "/freedom.conf"

/* The file used to store the passphrase info data for the new passphrase scheme */
#define FREEDOM_PASSINFO_FILE FREEDOM_CONFDIR"/passphrase.info" 

#define FREEDOM_PRIV_KEY_DIR FREEDOM_ROOTDIR"/privkey"  

/*
 *  This lock file is used by programs that need exclusive access to encrypted
 *  data (e.g. encrypted private keys).  The system passphrase hash file is
 *  included in this.
 *  
 *  In particular, fradmin will get a lock when changing the system
 *  passphrase, and frkeychgd will use when changing keys.
 */
#define FREEDOM_CRYPT_LOCK_FILE FREEDOM_RUNDIR "/crypt.lck"

#endif /* FR_FILENAME_H */
