/*
 * System wide network defaults
 *
 * $Id: frNetworkDefaults.h,v 1.33.8.3 2001/01/10 20:09:30 mario Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):
 * Luc Boulianne <luc@zks.net>

 */
#ifndef FR_NETWORK_DEFAULTS_H_
#define FR_NETWORK_DEFAULTS_H_

#ifdef FREEDOM_DEVELOPMENT_BUILD
#define SUBDOMAIN ".test."
#else
#define SUBDOMAIN "."
#endif

#define FR_DFLT_REVISION "frNetworkDefaults.h $Revision: 1.33.8.3 $"

/*
 *
 */

#define FREEDOM_WIN_1_0_BETA   "freedom-windows-beta-1.0" 
#define FREEDOM_WIN_2_0_BETA   "freedom-windows-beta-2.0" 
#define FREEDOM_WIN_3_0_BETA   "freedom-windows-beta-3.0" 
#define FREEDOM_WIN_4_0_BETA   "freedom-windows-beta-4.0" 
#define FREEDOM_WIN_5_0_BETA   "freedom-windows-beta-5.0" 

/*
 * The following client labels are used by the servers.
 */

#define FREEDOM_FMG_UNIX_1_0_BETA     "freedom-fmg-unix-beta-1.0"
#define FREEDOM_SERVER_UNIX_3_0_BETA  "freedom-server-unix-beta-3.0"
#define FREEDOM_SERVER_UNIX_CURRENT   FREEDOM_SERVER_UNIX_3_0_BETA

/*
 * Our domain name...
 */

#define FR_DFLT_FREEDOM_DOMAIN "freedom.net"
#define FR_DFLT_FULL_DOMAIN SUBDOMAIN FR_DFLT_FREEDOM_DOMAIN

#define WINDOWS_TCP_AND_UDP_PORT	51100
#define FR_DFLT_CLIENT_UDP_TCP_PORT     WINDOWS_TCP_AND_UDP_PORT 

/* AIP Defaults */
#define FR_DFLT_AIP_UDP_PORT 51101
#define FR_DFLT_AIP_TCP_PORT 51102

/** The default nymserver port timeout */
#define FR_DFLT_SERVER_PORT_TIMEOUT 30

/** Token Server */
#define FR_DFLT_TOKEN_SERVER_HOST "tokens"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_TOKEN_SERVER_PORT 51103

/** NYM Server */
#define FR_DFLT_NYM_SERVER_HOST "nyms"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_NYM_SERVER_PORT 51104

/** Newsgroups Server */
#define FR_DFLT_NEWSGRP_SERVER_HOST "newsgrp"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_NEWSGRP_SERVER_PORT 51105

/** DNS Server */
#define FR_DFLT_DNS_SERVER_HOST "dns"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_DNS_SERVER_PORT 53  /* 51106 if we need to go private */

/** NIDB/NIQS Server */
#define FR_DFLT_NIDB_SERVER_HOST  "nidb"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_NIDB_SERVER_PORT  51107
#define FR_DFLT_NIQS_SERVER_HOST  "niqs"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_NIQS_SERVER_PORT  51107

/** Key Server */
#define FR_DFLT_KEYUPD_SERVER_HOST "keyupds"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_KEYUPD_SERVER_PORT 51108

/** KeyQuery Server */
#define FR_DFLT_KEYQRY_SERVER_HOST "keyqrys"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_KEYQRY_SERVER_PORT 51109

/** FMGMAIP Server */
#define FR_DFLT_FMGMAIP_SERVER_HOST "fmgmaip"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_FMGMAIP_SERVER_PORT 51110
/** FMGMAIP Server */

/** The port on which the FMG incoming mail port is located */
#define FR_DFLT_FMGDAEMON_PORT 51111

/** MAIP Defaults */
#define FR_DFLT_MAIP_PORT 51112
#define FR_MAIP_PORT_TIMEOUT 30

/** NIDB Server */
#define FR_DFLT_STAT_SERVER_HOST  "stat"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_NISS_SERVER_HOST  "niss"FR_DFLT_FULL_DOMAIN
#define FR_DFLT_STAT_SERVER_PORT  51113
#define FR_DFLT_NISS_SERVER_PORT  51113

/** Ports used by Freedom Mail Servers **/
#define FR_DFLT_POP_PORT  51114
#define FR_DFLT_NMTA_PORT 51115

/** TRIAL Serial Number Defaults */
#define FR_DFLT_TRIAL_SERNO_URL \
   "http://webtrial"FR_DFLT_FULL_DOMAIN"/cgi-bin/scalper.cgi"

/** NISS (ie STAT) SERVER UDP ports */
#define FR_DFLT_NISS_AIP_SERVER_PORT     51120
#define FR_DFLT_NISS_MAIP_SERVER_PORT    51121
#define FR_DFLT_NISS_TOKEN_SERVER_PORT   51122
#define FR_DFLT_NISS_NYN_SERVER_PORT     51123
#define FR_DFLT_NISS_KEYUPD_SERVER_PORT  51124
#define FR_DFLT_NISS_KEYQRY_SERVER_PORT  51125
#define FR_DFLT_NISS_FMGMAIP_SERVER_PORT 51126

/* Lode TCP Port */
#define FR_DFLT_LODE_SERVER_PORT         51121

/* Database server */
#define FR_DFLT_DATABASE_SERVER_PORT     51130

#define FR_DFLT_PUBKEYDB_KQD_SERVER_TCP_PORT    51131
#define FR_DFLT_PUBKEYDB_SERVER_TCP_PORT        51132
#define FR_DFLT_PUBKEYDB_NUKED_SERVER_TCP_PORT  51133
#define FR_DFLT_NYMSDB_SERVER_TCP_PORT          51134
#define FR_DFLT_NYMSDB_NUKED_SERVER_TCP_PORT    51135
#define FR_DFLT_SPENTTOKENSDB_SERVER_TCP_PORT   51136
#define FR_DFLT_NYMCACHE_SERVER_TCP_PORT        51137
#define FR_DFLT_MAILSTATDB_SERVER_TCP_PORT      51138
#define FR_DFLT_NYMBLOCKDB_SERVER_TCP_PORT      51139

/* Script Server (Updates AdBlocker and eWallet) */
#define FR_DFLT_SCRIPT_SERVER_TCP_PORT			51140

#define MAX_MSS                 1340

#endif /* FR_NETWORK_DEFAULTS_H_ */
