/* $Id: fr_aips_dh.h,v 1.9.32.1 2000/10/11 13:17:36 phil Exp $ */
/*
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_AIPS_DH_H_
#define FR_AIPS_DH_H_

#ifndef ZKS_H_
#include <zks.h>
#endif

#ifndef _ZK_ERROR_H
#include <zkError.h>
#endif

#ifndef _ZKLOG_H
#include <zkLog.h>
#endif

#ifndef FRCRYPT_H_
#include <frCrypt.h>
#endif

#ifndef FRPKTFMT_H_
#include <frPktFmt.h>
#endif

#ifndef FRENT_H_
#include <frEnt.h>
#endif

#ifndef FRKEYQRY_H_
#include <frKeyQry.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  typedef
  enum fraips_difhel_state {
    START, SEND, RECV, KEYLOOKUP, DONE
  } FrAipsDifHelState;
  
  typedef struct fraips_difhel_exch *FrAipsDifHelExch;

  DLLExport extern int frAipsDifHelFree(ZkError, FrAipsDifHelExch *);

  DLLExport extern int frAipsDifHelNew(ZkError, FrAipsDifHelExch *);

  DLLExport extern int frAipsDifHelSetParms(ZkError, FrAipsDifHelExch, 
                                            FrCryptPubKey, FrCryptSymAlg,
                                            int, unsigned short, long,
                                            struct sockaddr_in, uint8_t, int,
                                            struct sockaddr_in, const FrKeyQry);

  DLLExport extern int frAipsDifHelInitState(ZkError, FrAipsDifHelExch, 
                                             FrAipsDifHelState);

  DLLExport extern int frAipsDifHelTimeout(ZkError, FrAipsDifHelExch, 
                                           int *);

  DLLExport extern int frAipsDifHelExchange(ZkError, FrAipsDifHelExch, 
                                            FrAipsDifHelState *);

  DLLExport extern int frAipsDifHelGetLekv(ZkError err, FrAipsDifHelExch dh, 
                                           uint8_t *lekv);

  DLLExport extern int frAipsDifHelGetKey(ZkError, FrAipsDifHelExch, 
                                          struct sockaddr_in *,
                                          FrEntIdExp *, FrCryptSym);

  DLLExport extern int frAipsDifHelGetState(ZkError, FrAipsDifHelExch, 
                                            FrAipsDifHelState *);

  DLLExport extern int frAipsDifHelGetPubKeyParms(ZkError, FrAipsDifHelExch,
                                                  FrEntIdExp *, int *);

  DLLExport int frAipsDifHelGetRemoteAddr(ZkError, FrAipsDifHelExch,
                                          struct sockaddr_in *);
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_AIPS_DH_H_ */
