/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#include "zks.h"

#include <stdio.h>
#include <sys/time.h>
#include "frAips.h"
#include "frCrypt.h"
#include "zkNet.h"


/*
 *  Call zkSelectUpdateTimeout(), but also update SSLeay's entropy pool with
 *  the microseconds field of `*timeout'.
 */
DLLExport int frSelectUpdateTimeout(ZkError err, int n, fd_set  *readfds,  
                                    fd_set  *writefds, fd_set *exceptfds, 
                                    struct timeval *timeout)
{
  int ret;

  if ((ret = zkSelectUpdateTimeout(err, n, readfds,
                                   writefds, exceptfds, timeout)) != -1) {
    (void)zkRandEntropyAdd(err, &timeout->tv_usec, sizeof timeout->tv_usec);
  }

  return ret;
}
