/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_ACCUM_H_
#define FR_ACCUM_H_

/*
 *  
 *  
 *                       Accumulation of random data.
 *  
 *  
 */

#include "zks.h"
#include "zkError.h"


typedef struct fr_randaccum *FrCryptRandAccum;
  

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport size_t fr_CryptRandAccumNumBits(FrCryptRandAccum a);

  extern DLLExport int frCryptRandAccumNew(ZkError err, FrCryptRandAccum *a);
  extern DLLExport int frCryptRandAccumFree(ZkError err, FrCryptRandAccum *a);

  extern int frCryptRandAccumAdd(ZkError err, FrCryptRandAccum a, unsigned int val);
  extern DLLExport int frCryptRandAccumNumBits(ZkError err, FrCryptRandAccum a, size_t *n);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_ACCUM_H_ */
