/*
 *  $Id: fr_hash.h,v 1.7.32.1 2000/10/11 13:17:46 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_HASH_H_
#define FR_HASH_H_

/*
 *
 *
 *                                Hashes
 *
 *
 */


#include "zkError.h"


#define FRCRYPT_HASH_SIZE 20
#define FRCRYPT_SALT_SIZE  8  

typedef struct fr_crypt_hash *FrCryptHash;


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int frCryptHashNew(ZkError err, FrCryptHash *hash);
  extern DLLExport int frCryptHashFree(ZkError err, FrCryptHash *hash);
  extern DLLExport int frCryptHashReset(ZkError err, FrCryptHash hash);  
  extern DLLExport int frCryptHashUpdate(ZkError err, FrCryptHash hash, const void *data, size_t dsz);
  extern DLLExport int frCryptHashGetHash(ZkError err, FrCryptHash hash, void *hbuf, size_t hsz);

  extern DLLExport int frCryptHashGenerate(ZkError err, void *data, size_t dsz, void *hbuf, size_t hsz);
  extern DLLExport int frCryptHashVerify(ZkError err, void *data, size_t dsz, void *hbuf, size_t hsz, int *valid);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_HASH_H_ */
