/*
 *  $Id: fr_mac.h,v 1.6.10.3 2000/12/14 17:52:39 jean Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_MAC_H_
#define FR_MAC_H_

/*
 *
 *
 *                 Message Authentication Codes (MACs)
 *
 *
 */

#include "zks.h"
#include "zkError.h"


#define FRCRYPT_MACKEY_SIZE 20
#define FRCRYPT_MAC_SIZE 20

typedef struct fr_crypt_mac_key *FrCryptMacKey;


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int frCryptMacKeyNew(ZkError err, FrCryptMacKey *key);
  extern DLLExport int frCryptMacKeyFree(ZkError err, FrCryptMacKey *key);
  extern DLLExport int frCryptMacKeySetFromData(ZkError err, FrCryptMacKey key, void *data, size_t dsz);
  extern DLLExport int frCryptMacKeyLoad(ZkError err, FrCryptMacKey key, void *data, size_t dsz);
  extern DLLExport int frCryptMacKeyStore(ZkError err, FrCryptMacKey key, void *data, size_t dsz);
  extern DLLExport int frCryptMacSetKeyFromSym(ZkError err, FrCryptMacKey mac, FrCryptSym sym);
  extern DLLExport int frCryptMacSetKeyZero(ZkError err, FrCryptMacKey key);
  extern DLLExport int frCryptMacIntoBuffer(ZkError err, FrCryptMacKey key, void *data, size_t dsz, void *mac, size_t msz);
  extern DLLExport int frCryptMacVerifyFromBuffer(ZkError err, FrCryptMacKey key, void *data, size_t dsz, void *mac, size_t msz, int *valid);

  extern DLLExport int frCryptMac2IntoBuffer(ZkError err, FrCryptMacKey key, void *data1, size_t dsz1, void *data2, size_t dsz2, void *mac, size_t msz);
  extern DLLExport int frCryptMac2VerifyFromBuffer(ZkError err, FrCryptMacKey key, void *data1, size_t dsz1, void *data2, size_t dsz2, void *mac, size_t msz, int *valid);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_MAC_H_ */
