/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef BLINDING_H_
#define BLINDING_H_

#include <zks.h>
#include "openssl/bn.h"
#include "elgamal.h"



#define BLINDING_SEED_LIMIT 1000

/*
 * Generic blinding structure.
 * vi is the integer to add in the multiplication,
 * vf is the integer to substract after the multiplication.
 * The specific way to create vi and vf, and the specific
 * way to add and substract them from a multiplication,
 * depends on the crypto scheme it is used in.
 */


typedef struct fr_blinding {
 BIGNUM* vi;
 BIGNUM* vf;
 unsigned int count;
} fr_blinding;

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* BLINDING_H_ */
