/*
 *  $Id: frBn.h,v 1.9.10.3 2000/12/14 17:52:40 jean Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_BN_
#define FR_BN_

#include "zks.h"

#include <stdio.h>
#include "openssl/opensslv.h"
#include "openssl/err.h"
#include "openssl/bn.h"
#include "zkError.h"


/*
 *  A flags field was added to the bignum structure in later versions of
 *  SSLeay.  We'll assume that it exists in all versions in which
 *  OPENSSL_VERSION_NUMBER is defined.
 */
#ifdef OPENSSL_VERSION_NUMBER
# define ZK_BN_FLAGS_DFL , 0 /* the comma is important! */
#else    
# define ZK_BN_FLAGS_DFL
#endif


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


  extern DLLExport BIGNUM *fr_BnNewFromData(ZkError err, const void *d, size_t dsz);
  extern DLLExport int fr_BnPrint(ZkError err, const char *name, BIGNUM *b);
  extern DLLExport int fr_BnPrintAsC(ZkError err, const char *name, BIGNUM *b, FILE *fp);
  extern DLLExport int fr_BnLoad(ZkError err, BIGNUM *b, void *data, size_t dsz);
  extern DLLExport int fr_BnStore(ZkError err, BIGNUM *b, void *data, size_t dsz);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_BN_ */
