/*
 *  $Id: frRand.c,v 1.40.8.5 2000/12/14 17:52:40 jean Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#include "zks.h"
#include "fr_rand.h"
#include "zkrand.h"

DLLExport int frCryptAddEntropy(ZkError err, void *data, size_t dsz)
{
  return zkRandEntropyAdd(err, data, dsz);
}

DLLExport int frCryptSetRandomData(ZkError err, void *data, size_t dsz)
{
  return zkRandGetData(err, data, dsz);
}

DLLExport int frCryptRandomUInt32InRange(ZkError err, 
					 uint32_t min, uint32_t max,
					 uint32_t * rn)
{
  return zkRandGetUInt32InRange(err, min, max, rn);
}

DLLExport void frRand_Debug(void)
{
  zkRand_Debug();
}

extern int fr_CryptRandInit(ZkError err, const char *entropyfile)
{
  return zkRand_Init(err, entropyfile);
}

extern int fr_CryptRandFinal(ZkError err)
{
  return zkRand_Final(err);
}

DLLExport int frCryptAddEntropyFromSource(ZkError err, int source_id,
					  void *data, size_t dsz,
					  unsigned int bits)
{
  return zkRandEntropyAddFromSource(err, source_id, data, dsz, bits);
}

DLLExport int frCryptGetEntropyCount(ZkError err, int *enough,
				     int *num_sources, unsigned *source_id,
				     size_t *entropy_bits,
				     size_t *entropy_max)
{
  return zkRandEntropyGetCount(err, enough, num_sources, source_id,
			       entropy_bits, entropy_max);
}

DLLExport int frCryptNewSource(ZkError err, unsigned *source)
{
  return zkRandEntropyAddSource(err, source);
}

DLLExport void frRand_DontBlock(void)
{
  /* obsolete, blocking has been disabled */
}
