/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FRXOR_H_
#define FRXOR_H_

#include "fr_gencrypt.h"
#include "fr_sym.h"
#include "zkError.h"


/** The maximum key size. */
#define XOR_KEY_SIZE_MAX 1

/** The default size, in bytes, of the Blowfish key. */
#define XOR_DFL_KEY_SIZE 1

/*
 *  The XOR key must be a single byte.
 */
struct xor {
  char key[1];
};


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern int fr_XorInit(ZkError err, FrCryptSym sym);
  extern int fr_XorSetKeySize(ZkError err, FrCryptSym sym, size_t sz);
  extern int fr_XorRandomKey(ZkError err, FrCryptSym sym);
  extern int fr_XorDecrypt(ZkError err, FrCryptSym sym, void *ivec, void *data, size_t sz);
  extern int fr_XorDecryptToBuf(ZkError err, FrCryptSym sym, void *ivec, void *data, void *output, size_t sz);
  extern int fr_XorEncrypt(ZkError err, FrCryptSym sym, void *ivec, void *data, size_t sz);
  extern int fr_XorEncryptToBuf(ZkError err, FrCryptSym sym, void *ivec, void *data, void *output,size_t sz);

  extern int fr_XorLoad(ZkError err, FrCryptSym sym, void *data, size_t sz);
  extern int fr_XorStore(ZkError err, FrCryptSym sym, void *data, size_t *sz);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FRXOR_H_ */
