
/*
 * Freedom defined dbo initialization prototypes
 * $Id: frDBOFuncs.h,v 1.3.28.3 2000/12/14 17:52:43 jean Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):
 * Luc Boulianne <luc@zks.net>

 * 
 *
 *
 */

#include "zks.h"
#include "zkError.h"

#ifndef FRDBO_FUNCS_H_
#define FRDBO_FUNCS_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  /* Call to initialize DBO system */
  DLLExport extern int frDBODriverInitAll(ZkError err);
  DLLExport extern int frDBODriverClearAll(ZkError err);
  DLLExport extern int frDBODriverIsInitialized(ZkError err);

  /* For convenience only */
  DLLExport extern int frDBODriverInitEntity (ZkError err);
  DLLExport extern int frDBODriverInitEntityID (ZkError err);
  DLLExport extern int frDBODriverInitEntityUpdates (ZkError err);
  DLLExport extern int frDBODriverInitAipStatus (ZkError err);
  DLLExport extern int frDBODriverInitNtdbAip (ZkError err);
  DLLExport extern int frDBODriverInitNtdbLink (ZkError err);
  DLLExport extern int frDBODriverInitNsdbAip (ZkError err);
  DLLExport extern int frDBODriverInitNsdbCDV (ZkError err);
  DLLExport extern int frDBODriverInitNtdbNeighbours (ZkError err);
  DLLExport extern int frDBODriverInitNtdbDetailedNeighbours (ZkError err);
  DLLExport extern int frDBODriverInitNtdbNode (ZkError err);
  DLLExport extern int frDBODriverInitNtdbHost (ZkError err);
  DLLExport extern int frDBODriverInitNidbQRespList (ZkError err);
  DLLExport extern int frDBODriverInitNidbQRespDesc (ZkError err);
  DLLExport extern int frDBODriverInitNidbQRespState (ZkError err);
  DLLExport extern int frDBODriverInitNidbObj (ZkError err);

#define FREEIT(x) if (x) { free (x); x = NULL; }
  
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
