/*
 * Internal functions
 * $Id: zkDBOpriv.h,v 1.3.32.1 2000/10/11 13:17:54 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):
 * Luc Boulianne <luc@zeroknowledge.com>

 *
 *
 */

#include "zks.h"
#include "zkDBO.h"

#ifndef ZKDBO_PRIV_H_
#define ZKDBO_PRIV_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

extern struct T_ZkDBODescRegistry DBOReg; /* Bug: Not thread safe */

extern DLLExport const char *printFieldType (ZkDBO_FT_e);
extern DLLExport int locateInRegMap (ZkDBODescRegistry reg, int descID);
extern DLLExport int locateFieldName (ZkDBODesc dbod, const char *fieldname);
extern DLLExport int zkDBOExtractSig(ZkError err, void *pds, size_t pdsz, uint32_t *sig, size_t *pos);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
