/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_ENTIDS_H__
#define FR_ENTIDS_H__

#define FRENT_NAME_SIZE 64
#define FRENT_PORTABLE_SIZE (1 + FRENT_NAME_SIZE)



typedef enum {
  FRENT_TYPE_UNUSED_,
  FRENT_TYPE_AIP,               /* AIP servers */
  FRENT_TYPE_FMG,               /* Freedom mail gateway */
  FRENT_TYPE_MAIP,              /* anonymous mail server */
  FRENT_TYPE_MASTER,            
  FRENT_TYPE_NIDB,              /* NIDB - NISS and NIQS */
  FRENT_TYPE_NYM,               /* Nym users */
  FRENT_TYPE_NYM_SRV,           /* Nym servers */
  FRENT_TYPE_SER_SRV,           
  FRENT_TYPE_TOK_SRV,           /* Token servers */
  FRENT_TYPE_KEYQRY_SRV,        /* Key query server */
  FRENT_TYPE_KEYUPD_SRV,        /* Key update server */
  FRENT_TYPE_ANON,              /* Anonymous users */
  FRENT_TYPE_NNTP_SRV,          /* NNTP server */
  FRENT_TYPE_FREEDOM_YEAR,      /* Freedom high-level key */
  FRENT_TYPE_FREEDOM_MONTH,     /* Freedom high-level key */
  FRENT_TYPE_SOFTUPD,           /* Freedom software update key */
  FRENT_TYPE_LINK,              /* Keep track of stuff in the link DB */
  FRENT_TYPE_HOST,              /* Keep track of stuff in the host DB */
  FRENT_TYPE_NIQS,              /* Network information query server */
  FRENT_TYPE_NISS,              /* Network information stats server */
  FRENT_TYPE_POP,               /* POP server */
  FRENT_TYPE_NMTA,              /* Nym Mail Transfer Agent */
  FRENT_TYPE_IMEP,              /* Internet Mail Encryption Proxy */
  FRENT_TYPE_COREAIP,           /* Core AIP */
  FRENT_TYPE_ANONRAND,          /* Anonymous users with a 63-byte 
                                   null-terminated random number in the 
                                   entity name */
  
  FRENT_TYPE_MAX                /* This is a placeholder for the last type.  Do
                                 * not delete or move from the last entry.
                                 */
} FrEntIdType;

typedef struct fr_entid_exp {
  FrEntIdType type;
  char name[FRENT_NAME_SIZE];
} FrEntIdExp;

#define FRENT_IDEXP_INIT {FRENT_TYPE_UNUSED_, {0}}

#endif /* FR_ENTIDS_H__ */

