/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#include "fr_keyqry_wire.h"


/*
 *  Structures use in key creation, update and removal requests.
 */


#pragma pack(1)

/*
 *  This structure is the leading binary portion of a key create or key update
 *  request.  Following it are the actual parameters for the key.
 */

struct fr_keyupd_update_pk {
  uint16_t flags;
  struct fr_keyqry_auth auth;
};


/*
 *  This structure is the leading binary portion of a key removal request.
 *  
 *  The key removal is being requested by `removerEnt', who must have the
 *  proper authority.  The signature in `removerSig' is over the entire
 *  request (not including the signature itself), whose size is given by
 *  `totReqSz'.
 */

struct fr_keyupd_remove_pk {
  char removerSig[FRCRYPT_SIG_SIZE]; /* the requesting entity's signature */
  char removerEnt[FRENT_PORTABLE_SIZE]; /* entity requesting the removal */
  uint16_t flags; /* currently unused */
  struct fr_keyqry_qry qry; /* query for the key to be removed */
};

#pragma pack()
