/* ==========================================================================
 * $Id: frMailAccount.h,v 1.4.10.2 2000/10/11 13:18:19 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 *
 * This file defines functions which facilitate the management of nym
 * mail accounts.
 *
 * Copyright (c) 2000 Zero-Knowledge Systems.  All rights reserved.
 */

# ifndef frMailAccount_h_INCLUDED
# define frMailAccount_h_INCLUDED

# include "zkError.h"

# ifdef __cplusplus
extern "C" {
# endif

DLLExport const char *mailStatSubDir;

DLLExport int frMailAccount_GetPath(
    ZK_INOUT ZkError            error,
    ZK_IN    const char * const root,
    ZK_IN    const char * const name,
    ZK_OUT   char *             buffer,
    ZK_IN    size_t             buffer_size );

DLLExport int frMailAccount_NameIsValid(
    ZK_INOUT  ZkError       error,
    ZK_IN     const char *  name,
    ZK_OUT    ZkBool *      is_valid );

DLLExport int frMailAccount_NormalizeName(
    ZK_INOUT  ZkError       error,
    ZK_IN     const char *  name,
    ZK_OUT    char *        tgt_buffer,
    ZK_IN     size_t        tgt_buffer_size );

DLLExport int frMailAccount_AllowedToSend(
    ZK_INOUT ZkError        error,
    ZK_IN    const char *   account_dir,
    ZK_IN    uint32_t       default_limit,
    ZK_IN    uint32_t       num_msgs,
    ZK_OUT   ZkBool*        is_allowed );

DLLExport int frMailAccount_HasTagline(
    ZK_INOUT ZkError   error,
    const char *       account_path,
    ZkBool *           has_tagline );

# ifdef __cplusplus
}
# endif

# endif /* frMailAccount_h_INCLUDED */
