#ifndef __entry_hh
#define __entry_hh

#include <vector>
#include <string>

using namespace std;

class Entry {
public:
  virtual void createIn(const string &root) = 0;
  virtual void eraseFrom(const string &root) = 0;
  virtual ~Entry() {}
  static bool exists(const string &str);
  static string pathcat(const string &root, const string &newelem);
protected:
  void fail(const char *msg, const string &specifics);
};

class Dir : public Entry {
public:
  explicit Dir(const char *ch, int m = 0700);
  virtual ~Dir() {}
  void eraseFrom(const string &root);
  virtual void createIn(const string &root);
  Dir *add(Entry *e);
  bool move(const string &srcdir, const string &target);
private:
  string name_;
  int mode_;
  vector<Entry *> sub;  
};

class CopyOfFile : public Entry {
public:
  explicit CopyOfFile(const char *from, const char *to);
  virtual ~CopyOfFile() {}
  virtual void eraseFrom(const string & root);
  virtual void createIn(const string &root);
private:
  string from_, to_;
};

#endif
