#!/usr/bin/perl -s
# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is Freedom(R) code.
# 
# The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
# Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
# Zero-Knowledge Systems, Inc.  All Rights Reserved.
# 
# Contributor(s):

#
# Script that extract some information from an email and verifies 
# the validity of the X-Freedom-Envelope-Sig signature.
#
# $Id$

$from = "From:";
$xsig = "X-Freedom-Envelope-Sig:";
$defaulthost = "207.107.115.16";
#$defaulthost  = "kqd.gamma.freedom.net";

$tmp = `reformail -x $from -x $xsig`;

($sender, $recip_sig) = split( "\n", $tmp );
($recip,$sig) = split(" ", $recip_sig);

if (not $sender or not $recip or not $sig) {
  print STDERR "Email not well-formed.\n";
  exit 0;
}

# if $sender has more than one token, then take the one between < >
if ($sender =~ /<.*>/) {
  $found = 0;
  @word_array = split / /, $sender;
  while ($found == 0) {
    $sender = pop @word_array;
    if ($sender =~ /<.*>/) {
      $sender =~ s/<//;
      $sender =~ s/>//;
      $found = 1;
    }
  }
}

# verification program
$cmd = "verify-envsig --sender $sender --recip $recip --sig $sig";

# optional arguments
if ($host) { $cmd .= " --host $host"; }
else { $cmd .= " --host $defaulthost"; }
if ($service) { $cmd .= " --service $service"; }

# call program and print its output
print `$cmd`;

exit 1;
