/*
 *  $Id: frmaip_hdrs.h,v 1.1.20.1 2000/10/11 13:18:32 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FRMAIP_HDRS_H_
#define FRMAIP_HDRS_H_

#include "frCrypt.h"
#include "zkError.h"
#include "zkMIME.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int frMaipMailGetSig(ZkError err, ZkEmail email, void *sbuf, size_t ssz);
  extern DLLExport int frMaipMailSign(ZkError err, ZkEmail email, FrCryptSig sigKey, int *ok);
  extern DLLExport int frMaipMailVerify(ZkError err, ZkEmail email, FrCryptSig sigKey, void *sbuf, size_t ssz, int *ok, int *valid);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FRMAIP_HDRS_H_ */


