#ifndef WIN32
#ifndef NETINFO_CHILD_H_
#define NETINFO_CHILD_H_

/* $Id: netinfo_child.h,v 1.7.16.3 2000/12/14 17:52:59 jean Exp $ */
/*
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */



typedef struct T_FrNetInfoChildCtx *FrNetInfoChildCtx;

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

    /* HACK ALERT! BUGID 4955
    This is the minimal accepted size for the shared memory to NetInfo Child 
    */
  #define NETINFO_CHILD_MEMSIZE 1048576ul
  extern 
  int frNetInfoChildCtxFree(ZkError err,
                            FrNetInfoChildCtx *niCtx);

  extern
  int frNetInfoChildCtxNew(ZkError err,
                           FrNetInfoChildCtx *niCtx);

  extern
  int frNetInfoChildCtxSetNIQSParms(ZkError err,
                                    FrNetInfoChildCtx niCtx,
                                    const char *niqsHost,
                                    unsigned short niqsPort,
                                    uint32_t niqsTimeout);
  extern
  int frNetInfoChildCtxSetPollParms(ZkError err,
                                    FrNetInfoChildCtx niCtx,
                                    uint32_t pollTime,
                                    int delta);

  extern
  int frNetInfoChildCtxGetNiBuf(ZkError err,
                                FrNetInfoChildCtx niCtx,
                                int *changed,
                                void **buf,
                                size_t *bsz);
  extern
  int frNetInfoChildCtxVerify(ZkError err,
                              FrNetInfoChildCtx niCtx);

  extern 
  int frNetInfoChildCreate(ZkError err,
                           FrNetInfoChildCtx niCtx,
                           size_t shmSz,
                           const char *shmtemplate,
                           const char *mtxtemplate);

  extern 
  int frNetInfoChildRefresh(ZkError err,
			    FrNetInfoChildCtx niCtx);

  extern
  int frNetInfoChildPid(ZkError err,
                        FrNetInfoChildCtx niCtx, 
                        pid_t *pid);

 /*
  * This function sets the NIQS complete reload on update offset for the
  * frNetInfo object contained in the child context.  This function is
  * essentially a wrapper around frNetInfoSetUpdateOffset()
  */
 DLLExport int frNetInfoChildCtxSetUpdateOffset(
   ZK_INOUT ZkError err ,
   ZK_INOUT FrNetInfoChildCtx niCtx ,
   ZK_IN    time_t offset );


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* NETINFO_CHILD_H_ */
#endif /* WIN32 */
