/*
 * $Id: frNiqsTokenInfo.h,v 1.2.20.1 2000/10/11 13:18:55 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FRNIQTOKENINFO_H_
#define FRNIQTOKENINFO_H_

#include <zkList.h>

#ifndef WIN32
#include <sys/socket.h>
#else
#include <winsock2.h>
#endif

#ifndef _ZKIP_H
#include <ZKIP.h>
#endif /* _ZKIP_H */

#ifndef ZKIPCLIENT_H_
#include <zkipClient.h>
#endif /* ZKIPCLIENT_H_ */

#ifndef FRENT_H_
#include <frEnt.h>
#endif /* FRENT_H_ */

#ifndef ZKDATETIME_H_
#include <zkDateTime.h>
#endif /* ZKDATETIME_H_ */

#include "frKeyQry.h"
#include "frToken.h"
#include "frTokenType.h"
#include "frNiqs.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/*
 *  Take the data buffer returned from this function, verify and remove the
 *  signature and call the function frTokenTypeFromBinary() in frTokenType.h
 *  in order to create an FrTokenType object.
 */

DLLExport int frNiqsTokenInfo (
  ZkError ,           /* Returns the error if one occured */
  ZkipClient ,        /* The zkip client structure connected to the niqs */
  void ** ,           /* Allocates and eturns the signed data buffer */
  size_t * );         /* Returns the size of the data buffer */

DLLExport int frNiqsGetTokenInfo (
  ZkError ,          /* Return the error if one occured */
  ZkipClient ,       /* The ZKIP client connected to the NIQS */
  FrKeyQryHost ,     /* The key query host address and file descriptor */
  FrKeyQry ,         /* The key query cache */
  FrTokenType * );   /* Allocates and returns a token type description */


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FRNIQTOKENINFO_H_ */
 
