/*
 *  $Id: fr_difhel.h,v 1.9.10.1 2000/10/11 13:19:08 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_DIFHEL_H_
#define FR_DIFHEL_H_


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  /*
   *
   *
   *  Routines for Diffie-Hellman key agreement.
   *
   *
   */
  
  typedef struct fr_difhel *FrPktDifHel;

  extern DLLExport int frPktDifHelNew(ZkError err, FrPktDifHel *dh);
  extern DLLExport int frPktDifHelFree(ZkError err, FrPktDifHel *dh);
  extern DLLExport size_t frPktDifHelPktSize(void);
  extern DLLExport int frPktDifHelSetSigGenerate(ZkError err, FrPktDifHel dh, int boolean);
  extern DLLExport int frPktDifHelSetSigCheck(ZkError err, FrPktDifHel dh, int boolean);
  extern DLLExport int frPktDifHelSetFd(ZkError err, FrPktDifHel dh, int fd);
  extern DLLExport int frPktDifHelSetMySigKey(ZkError err, FrPktDifHel dh, FrCryptSig sig);
  extern DLLExport int frPktDifHelGetRemoteSigEntity(ZkError err, FrPktDifHel dh, FrEntIdExp *ent);
  extern DLLExport int frPktDifHelGetRemoteSigVersion(ZkError err, FrPktDifHel dh, unsigned int *vers);
  extern DLLExport int frPktDifHelSetSymAlg(ZkError err, FrPktDifHel dh, FrCryptSymAlg alg);
  extern DLLExport int frPktDifHelGetLekv(ZkError err, FrPktDifHel dh, uint8_t *lekv);
  extern DLLExport int frPktDifHelSetLekv(ZkError err, FrPktDifHel dh, uint8_t lekv);
  extern DLLExport int frPktDifHelGetRemotePort(ZkError err, FrPktDifHel dh, uint16_t *port);
  extern DLLExport int frPktDifHelSetLocalPort(ZkError err, FrPktDifHel dh, uint16_t port);
  extern DLLExport int frPktDifHelGetRemoteTimeOffset(ZkError err, FrPktDifHel dh, ZkClock *off);
  extern DLLExport int frPktDifHelSend(ZkError err, FrPktDifHel dh, int *done);
  extern DLLExport int frPktDifHelReceive(ZkError err, FrPktDifHel dh, int *done);
  extern DLLExport int frPktDifHelGetKey(ZkError err, FrPktDifHel dh, FrCryptSig otherSig, FrCryptSym sym);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_DIFHEL_H_ */
