/*
 *  $Id: fr_rdpkt.h,v 1.1.4.1 2000/12/14 17:53:09 jean Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_RDPKTH_
#define FR_RDPKTH_


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  /*
   *
   *
   *  Routines for AIP route destroy packets.
   *
   *
   */
  
  typedef struct fr_pkt_rte_dest *FrPktRteDest;

  extern DLLExport int frPktAipRteDestNew(ZkError err, FrPktRteDest *pkt);
  extern DLLExport int frPktAipRteDestFree(ZkError err, FrPktRteDest *pkt);
  extern DLLExport int frPktAipRteDestCreateInBuffer(ZkError err, FrPktRteDest pkt, void *buf, size_t bsz);
  extern DLLExport int frPktAipRteDestReceiveInBuffer(ZkError err, FrPktRteDest pkt, void *data, size_t dsz);
  extern DLLExport int frPktAipRteDestGetVersion(ZkError err, FrPktRteDest pkt, unsigned int *vers);
  extern DLLExport int frPktAipRteDestSetVersion(ZkError err, FrPktRteDest pkt, unsigned int vers);
  extern DLLExport int frPktAipRteDestSetType(ZkError err, FrPktRteDest pkt);
  extern DLLExport int frPktAipRteDestGetAci(ZkError err, FrPktRteDest pkt, FrAci *aci);
  extern DLLExport int frPktAipRteDestSetAci(ZkError err, FrPktRteDest pkt, FrAci aci);
  extern DLLExport int frPktAipRteDestGetErrorCode(ZkError err, FrPktRteDest pkt, uint32_t *code);
  extern DLLExport int frPktAipRteDestSetErrorCode(ZkError err, FrPktRteDest pkt, uint32_t code);
  extern DLLExport int frPktAipRteDestGetIssuer(ZkError err, FrPktRteDest pkt, FrEntIdExp *issuer);
  extern DLLExport int frPktAipRteDestSetIssuer(ZkError err, FrPktRteDest pkt, FrEntIdExp issuer);
  extern DLLExport int frPktAipRteDestDecrypt(ZkError err, FrPktRteDest pkt, FrCryptSym sym);
  extern DLLExport int frPktAipRteDestEncrypt(ZkError err, FrPktRteDest pkt, FrCryptSym sym);
  extern DLLExport int frPktAipRteDestGetCurrentSize(ZkError err, FrPktRteDest pkt, size_t *sz);
  extern DLLExport int frPktAipRteDestGetMaxSize(ZkError err, unsigned int vers, size_t *sz);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_RDPKTH_ */
