/*
 *  $Id: fr_stats.h,v 1.4.20.1 2000/10/11 13:19:08 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_STATS_H_
#define FR_STATS_H_


#include "frCrypt.h"
#include "zkError.h"
#include "zks.h"


#pragma pack(1)

struct fr_aip_stats_pk {
  char rand[FRCRYPT_RAND_SIZE];
  uint32_t pktsSent;
  uint32_t pktsRecv;
  uint32_t absTime;
  FrEntIdExp entity;
  char sig[FRCRYPT_SIG_SIZE];
};

#pragma pack()


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int frPktStatsDataVerify(ZkError err, struct fr_aip_stats_pk *s, FrCryptSig otherPub);
  extern DLLExport int frPktStatsDataSign(ZkError err, struct fr_aip_stats_pk *s, FrCryptSig myPriv);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_STATS_H_ */
