/*
 *  $Id: frSec.h,v 1.26.8.1 2000/10/11 13:19:14 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FRSEC_H_
#define FRSEC_H_

#include "zks.h"

#include <time.h>
#include "frCrypt.h"
#include "zkError.h"

#include "fr_buf.h"
#include "fr_file.h"
#include "fr_buf_v0.h"
#include "fr_file_v0.h"
#include "fr_keystore.h"
#include "fr_pkcrypt.h"
#include "frsec_rand.h"
#include "frsec_sig.h"
#include "fr_user.h"
#include "fr_sign.h"
#ifndef WIN32
#include "fr_keychain.h"
#endif
#include "frsec_passinfo.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int frSecPassphraseIsCurrent(ZkError err, const char *pifile, const char *pass);
  extern DLLExport int frSecPassphraseIsCurrent_v0(ZkError err, const char *pass);
  extern DLLExport int frSecPassphraseValid(ZkError err, const char *pass);
  extern DLLExport int frSecGetPassphrase(ZkError err, const char *prompt, char **pass, size_t *plen);
  extern DLLExport int frSecGetPassphrase(ZkError err, const char *prompt, char **pass, size_t *plen);  
  extern DLLExport int frSecNewSymFromPass(ZkError err, FrCryptSym *sym, FrCryptSymAlg alg, const char *pifile, const char *prompt, int checkExisting);
  extern DLLExport int frSecNewSymFromPass_v0(ZkError err, FrCryptSym *sym, FrCryptSymAlg alg, const char *prompt, int checkExisting);  
  extern DLLExport int frSecNewSymFromPassPhrase(ZkError err, FrCryptSym *sym, FrCryptSymAlg alg, const char *pifile, char *pw);
  extern DLLExport int frSecNewSymFromPassPhrase_v0(ZkError err, FrCryptSym *sym, FrCryptSymAlg alg, char *pw);
  extern DLLExport int frSecNewSymFromStretchedPassPhrase(ZkError err, FrCryptSym *sym, FrCryptSymAlg alg, unsigned int logiter , const char *pw);
  extern DLLExport int frSecStretchDataToMem(ZkError err, unsigned int logiters, const void *pw, size_t szPw, void** pwLong, size_t* szPwLong );     
  extern int frSec_StretchTime(ZkError err, unsigned int maxlogiters, clock_t *tm, size_t tsz);

#ifndef WIN32
  extern int frSecPassSymKey( ZkError err, const char *pfile, const char *file, const char *prompt, FrCryptSym *key, FrCryptSymAlg alg  );
  extern int frSecPassPhraseFromFd(ZkError err, char **pass, int fd);
#if 1
  extern DLLExport int frSecNewSymFromPassPhraseFile(ZkError err, FrCryptSym *sym, FrCryptSymAlg alg, const char *file, int checkExisting);
#else
  extern DLLExport int frSecNewSymFromPassPhraseFd(ZkError err, FrCryptSym *sym, FrCryptSymAlg alg, int fd, int checkExisting);
#endif

#endif

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FRSEC_H_ */
