/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_BUF_H_
#define FR_BUF_H_

#include "zks.h"
#include "frCrypt.h"
#include "zkError.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int frSecDecryptFromBuf(ZkError err, void *src, size_t ssz, FrCryptSym sym, void **dst, size_t *dsz);
  extern DLLExport int frSecEncryptToBuf(ZkError err, void *src, size_t ssz, FrCryptSym sym, void **dst, size_t *dsz);
  extern DLLExport int frSecCleartextToBuf(ZkError err, void *src, size_t ssz, FrCryptSym sym, void **dst, size_t *dsz);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_BUF_H_ */
