/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_FILE_H_
#define FR_FILE_H_

#include "zks.h"
#include "frCrypt.h"
#include "zkError.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int frSecDecryptFromFp(ZkError err, FILE *fp, FrCryptSym key, void **data, size_t *dataSz);
  extern DLLExport int frSecDecryptFromFile(ZkError err, const char *file, FrCryptSym key, void **data, size_t *dataSz);

  extern DLLExport int frSecReadFromFp(ZkError err, FILE *fp, FrCryptSym key, void **data, size_t *dataSz, unsigned int *decrypted);
  
  extern DLLExport int frSecEncryptToFp(ZkError err, FILE *fp, FrCryptSym key, void *data, size_t dataSz);
  extern DLLExport int frSecEncryptToFile(ZkError err, const char *file, FrCryptSym key, void *data, size_t dataSz);

  extern DLLExport int frSecStretchedDecryptFromFp(ZkError err, FILE *fp, const char *pass, FrCryptSymAlg symalg, void **data, size_t *dataSz);
  extern DLLExport int frSecStretchedDecryptFromFile(ZkError err, const char *file, const char *pass, FrCryptSymAlg symalg, void **data, size_t *lData);

  extern DLLExport int frSecStretchedEncryptToFp(ZkError err, FILE *fp, const char *pass, FrCryptSymAlg symalg, unsigned int logiters, void *data, size_t lData); 
  extern DLLExport int frSecStretchedEncryptToFile(ZkError err, const char *file, const char *pass, FrCryptSymAlg symalg, unsigned int logiters, void *data, size_t lData);

  extern DLLExport int frSecCleartextToFp(ZkError err, FILE *fp, FrCryptSym key, void *data, size_t dataSz);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_FILE_H_ */
