/* $Id: fr_keychain.h,v 1.5.32.1 2000/10/11 13:19:15 phil Exp $ */
/*
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_KEYCHAIN_H_
#define FR_KEYCHAIN_H_

#ifndef ZKS_H_
#include <zks.h>
#endif

#ifndef _ZK_ERROR_H
#include <zkError.h>
#endif

#ifndef _ZKLOG_H
#include <zkLog.h>
#endif

#ifndef FRCRYPT_H_
#include <frCrypt.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  typedef struct frsec_keychain *FrSecKeyChain;

  extern int frSecKeyChainNew(ZkError, FrSecKeyChain *);

  extern int frSecKeyChainFree(ZkError, FrSecKeyChain *);

  extern int frSecKeyChainRegisterDir(ZkError, FrSecKeyChain, size_t *,
                                      const char *);

  extern int frSecKeyChainAddSymKey(ZkError, FrSecKeyChain, const char *,
                                    const char *, FrCryptSymAlg);

  extern int frSecKeyChainReloadKeys(ZkError, FrSecKeyChain);

  extern int frSecKeyChainGetVersion(ZkError, FrSecKeyChain, size_t,
                                     size_t, FrCryptPubKey *);
  
  int frSecKeyChainSetPassPhraseInfo( ZkError err, FrSecKeyChain kc,
                                      const char *pfile);
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_KEYCHAIN_H_ */
