/*
 *  $Id: fr_pkcrypt.h,v 1.4.10.1 2000/10/11 13:19:15 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FR_PKCRYPT_H_
#define FR_PKCRYPT_H_


#include "zks.h"

#include <stdlib.h>
#include "frCrypt.h"
#include "zkError.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int fr_SecPubKeySetDecryptLength(ZkError err, size_t newdlen, void *encr, size_t esz);

  extern DLLExport int frSecPubKeyDecryptData(ZkError err, FrCryptCrypt privCrypt, void *encr, size_t esz, void **clear, size_t *csz);
  extern DLLExport int frSecPubKeyDecryptDataKeepSymKey(ZkError err, FrCryptCrypt privCrypt, void *encr, size_t esz, void **clear, size_t *csz, FrCryptSym *sym);
  extern DLLExport int frSecPubKeyEncryptData(ZkError err, FrCryptCrypt pubCrypt, FrCryptSymAlg symAlg, void *clear, size_t csz, void **encr, size_t *esz);
  extern DLLExport int frSecPubKeyEncryptDataKeepSymKey(ZkError err, FrCryptCrypt pubCrypt, FrCryptSymAlg symAlg, void *clear, size_t csz, void **encr, size_t *esz, FrCryptSym *sym);

  extern DLLExport int frSecPubKeyGetCryptKeyVersion(ZkError err, void *encr, size_t esz, unsigned int *vers);
#if 0
  extern DLLExport int frSecPubKeyHeaderSize(ZkError err, void *encr, size_t esz, size_t *hsz);
#endif

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FR_PKCRYPT_H_ */
