/*
 *  $Id: frsec_passinfo.h,v 1.4.32.1 2000/10/11 13:19:15 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FRSEC_PASSINFO_H_
#define FRSEC_PASSINFO_H_




#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  typedef struct fr_sec_passinfo *FrSecPassInfo;

  DLLExport int frSecPassInfoNew(ZkError err, FrSecPassInfo *pinfo);

  DLLExport int frSecPassInfoFree(ZkError err, FrSecPassInfo *pinfo);
  
  DLLExport int frSecPassInfoToMem(ZkError err, FrSecPassInfo pinfo,
                                   void **mem, size_t *msz);

  DLLExport int frSecPassInfoSetFromBuf(ZkError err, FrSecPassInfo pinfo,
                                        void *buf, size_t bsz);

  int frSecPassReadFromFp(ZkError err, FILE *fp,
                                      const char *prompt1, const char *prompt2,
                                      char **pass, size_t *plen);

  int frSecPassReadFromFile(ZkError err, const char *file,
                                      const char *prompt1, const char *prompt2,
                                      char **pass, size_t *plen);  
  
  DLLExport int frSecPassSetSymKey(ZkError err, const char *pass,
                                   unsigned int logiters, FrCryptSym key,
                                   FrSecPassInfo pinfo);
  
  DLLExport int frSecPassVerify(ZkError err, const char *pass,
                                FrSecPassInfo pinfo, int *valid);

  DLLExport int frSecPassVerifySetSymKey(ZkError err, const char *pass,
                                         FrCryptSym key, FrSecPassInfo pinfo);
  
  DLLExport int frSecGetLogiters(ZkError err, FrSecPassInfo pinfo, int *logiters );
  
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FRSEC_PASS_H_ */
