/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef SIG_H_
#define SIG_H_

#include <zkError.h>
#include <fr_sign.h>

/* this header file is to provide an interface between different
 * versions of frsec_sig.c only -- it should not be included elsewhere
 */

struct frsec_sig_pk;

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int sigCheckHdr_v1(ZkError err, const char *fname, struct frsec_sig_pk *sigHdr, size_t dsz);
  extern DLLExport int sigCheckHdr_v2(ZkError err, const char *fname, struct frsec_sig_pk *sigHdr, size_t dsz);

  extern DLLExport int frSecSigRemove_v1(ZkError err, void *src, size_t ssz, void **dst, size_t *dsz);
  extern DLLExport int frSecSigRemove_v2(ZkError err, void *src, size_t ssz, void **dst, size_t *dsz);

  extern DLLExport int frSecSigRemoveInSitu_v1(ZkError err, void *data, size_t *dsz);
  extern DLLExport int frSecSigRemoveInSitu_v2(ZkError err, void *data, size_t *dsz);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* SIG_H_ */
