#ifndef HDR_H_
#define HDR_H_

/*
 *  $Id: hdr.h,v 1.2.32.1 2000/10/11 13:19:16 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#pragma pack(1)

struct buf_hdr_v1 {
  uint8_t vers;
  uint8_t type;
  char spec[6]; /* padding to make entire header size a multiple of 8 */
  char iv[FRCRYPT_IVEC_SIZE];

  /*
   *  The symmetric encryption begins with the mac field, so we ensure that
   *  the remainder of the header is a multiple of eight bytes in length.
   *  This allows us to easily decrypt just the header, if necessary.
   */
  
  char mac[FRCRYPT_MAC_SIZE];
  uint32_t dsz; /* actual length of data stored in file */
};

#pragma pack()


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* HDR_H_ */
