/*
 * $Id: frCapability.h,v 1.3.32.1 2000/10/11 13:19:25 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FRCAPABILITY_H_
#define FRCAPABILITY_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <time.h>

/*
 * See the file snid.conf for a list of serial number type ID's.  The only
 * value which really cant change is 1000 which is used to represent serial
 * numbers and capability codes which were generated earlier on during the
 * beta period.
 */

#define OLD_STYLE_SERIAL_NUMBER 1000

DLLExport int frCapabilityCodeString (
  ZK_INOUT ZkError err ,
  ZK_INOUT char * c ,
  ZK_IN    size_t size ,
  ZK_IN    size_t token_count ,
  ZK_IN    unsigned short token_type ,
  ZK_IN    unsigned short sn_type ,
  ZK_IN    time_t activate );

DLLExport int frCapabilityCodeParse (
  ZK_INOUT ZkError err ,
  ZK_IN    char * c ,        /* Capability code string */
  ZK_IN    size_t size ,     /* Size of the capability code string */
  ZK_OUT   size_t * token_count ,  /* Number of tokens generated */
  ZK_OUT   unsigned short * ,  /* Type of tokens generated */
  ZK_OUT   unsigned short * sn_type ,  /* Type of serial number (see list) */
  ZK_OUT   time_t * activate);  /* Activation time of the serial number */
  
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FRCAPABILITY_H_ */
