/*
 * $Id: frTokenCache.h,v 1.4.32.1 2000/10/11 13:19:25 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef FRTOKENCACHE_H_
#define FRTOKENCACHE_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef struct T_FrTokenCache * FrTokenCache;

/*
 * These flags can be set and retrieved for each token in the cache using the
 * frTokenCacheSetTokenFlag() and frTokenCacheGetTokenFlags() functions. 
 * FL_TOKEN_CACHE_TOKEN_SUSPECT     
 *   Set this flag when you've tried to redeem a token for a nym and it 
 *   failed.  Keep in mind that the token could in fact be valid.  You could
 *   be using it on the wrong network.  
 */

#define FL_TOKEN_CACHE_TOKEN_SUSPECT     0x1
 

DLLExport int frTokenCacheNew ( 
  ZkError , 
  FrTokenCache * );

DLLExport int frTokenCacheFree ( 
  ZkError , 
  FrTokenCache * );

DLLExport int frTokenCacheFromBuffer ( 
  ZkError, 
  FrTokenCache * , 
  void * , 
  size_t );

DLLExport int frTokenCacheToBuffer ( 
  ZkError , 
  FrTokenCache , 
  void ** , 
  size_t * );

DLLExport int frTokenCacheLoadFromFile ( 
  ZkError , 
  FrTokenCache * , 
  const char * );

DLLExport int frTokenCacheSaveToFile ( 
  ZkError , 
  FrTokenCache , 
  const char * );

DLLExport int frTokenCacheTokens ( 
  ZkError , 
  FrTokenCache , 
  size_t * );

DLLExport int frTokenCacheAddToken ( 
  ZkError , 
  FrTokenCache , 
  const char *, 
  unsigned int * );

DLLExport int frTokenCacheGetToken ( 
  ZkError , 
  FrTokenCache , 
  unsigned int , 
  const char ** );

DLLExport int frTokenCacheDeleteToken ( 
  ZkError , 
  FrTokenCache , 
  unsigned int );

DLLExport int frTokenCacheGetTokenFlags (
  ZkError ,
  FrTokenCache ,
  unsigned int  ,
  uint32_t * );

DLLExport int frTokenCacheSetTokenFlags (
  ZkError ,
  FrTokenCache ,
  unsigned int  ,
  uint32_t );


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* FRTOKENCACHE_H_ */
