/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

/*
 *  Routines for the manipulation of C (i.e. nul-terminated) strings.
 */

#ifndef CSTR_H_
#define CSTR_H_


#include "zks.h"

#include <stdlib.h>


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport char *zkCStrAppend_va(const char *s, ...);
  extern DLLExport char *zkCStrDup(const char *s);
  extern DLLExport char *zkCStrNDup(const char *s, size_t n);
  extern DLLExport int zkCStrSprintf(char **buf, const char *fmt, ...);

  extern DLLExport int zkCStrToLowerCase (char *); /* String to convert to
						    * lower case
						    */
  extern DLLExport int zkCStrStripWhiteSpace (char * ); /* String from which
							 * to remove whitespace
							 */
  extern DLLExport int zkCStrStripTrailingWhiteSpace (char *);

  extern DLLExport int zkCStrFree (char ** );

  extern DLLExport size_t zkCStrlcat(char *dst, const char *src, size_t siz);
  extern DLLExport size_t zkCStrlcpy(char *dst, const char *src, size_t siz);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* CSTR_H_ */
