/*
 *  zkDebug.h
 *  $Id: zkDebug.h,v 1.7.32.1 2000/10/11 13:19:59 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):
 *  Luc Boulianne <luc@zks.net>

 */

#ifndef _ZKDEBUG_H
#define	_ZKDEBUG_H
#include <stdio.h>
#include <stdarg.h>
#include <zks.h>
#include <zkDefs.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define zkDebug_va zkDebug

  DLLExport extern int zkDebugOn(void);
  DLLExport extern int zkDebugOff(void);
  DLLExport extern int zkDebugToggle(void);
  DLLExport extern int zkDebugAddStream(FILE * aStream);

  
  DLLExport extern int zkDebug (
	const char * ,                /* Message format string to send to log */
	... ) ZK_PRINTF_LIKE(1, 2);   /* Optional arguments */
  
#ifndef NDEBUG
    DLLExport extern int zkDebugIsOn(void);
#else
#define zkDebugIsOn() 0
#endif

  
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _ZKLOG_H */

