/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKDUMP_H_
#define ZKDUMP_H_


#include <stdio.h>
#include <stdlib.h>
#include "zkError.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef int (* ZkDumpCallback)( ZkError , void * , const char * , size_t );


DLLExport int zkDumpBuffer (
  ZkError ,                  /* Returns an error if any occured */
  const unsigned char * ,    /* The data buffer to dump */
  size_t ,                   /* Number of bytes in the buffer */
  ZkDumpCallback ,           /* Dump callback to use */
  void * );                  /* extra data for callback */

/*
 * Basic dump callback for writing to a FILE * stream
 */

DLLExport int zkDumpToStream (
  ZkError ,                  /* Returns the error if any occured */
  void * ,                   /* a FILE * (like stdout, stderr...) */
  const char * ,             /* Data to dump */
  size_t );                  /* Number of bytes of data to dump */



#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* ZKDUMP_H_ */
