/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKMEMBUF_H_
#define ZKMEMBUF_H_

#include <stdlib.h>
#include "zks.h"
#include "zkError.h"


typedef struct zk_membuf *ZkMemBuf;


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  extern DLLExport int zkMemBufNew(ZkError err, ZkMemBuf *buf);
  extern DLLExport int zkMemBufFree(ZkError err, ZkMemBuf *buf);
  extern DLLExport int zkMemBufReset(ZkError err, ZkMemBuf buf);

  extern DLLExport int zkMemBufAppend(ZkError err, ZkMemBuf buf, const void *d, size_t dsz);
  extern DLLExport int zkMemBufRemoveLeading(ZkError err, ZkMemBuf buf, size_t dsz);
  extern DLLExport int zkMemBufGetData(ZkError err, ZkMemBuf buf, void **d, size_t *dsz);

  extern DLLExport int zkMemBufGetSize(ZkError err, ZkMemBuf buf, size_t *dsz);
#if 0
  extern DLLExport int zkMemBufSetSize(ZkError err, ZkMemBuf buf, size_t dsz);
#endif

  extern DLLExport int zkMemBufWriteToFd(ZkError err, ZkMemBuf buf, int fd, int *empty);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* ZKMEMBUF_H_ */
