/*
** **************************************************************************
** $Id: zkSharedObject.h,v 1.2.32.1 2000/10/11 13:19:59 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

**
** Copyright (C) 1999 Zero-Knowledge Systems Inc.  All Rights Reserved
** **************************************************************************
*/

# ifndef ZKSHAREDOBJECT_H_
# define ZKSHAREDOBJECT_H_

# ifndef ZKERROR_H_
# include "zkError.h"
# endif

# ifdef __cplusplus
extern "C" {
# endif

typedef struct t_ZkSharedObject * ZkSharedObject;

DLLExport int
zkSharedObjectLoad(
    ZkError             err,
    const char *        file,
    ZkSharedObject *    object );

DLLExport int
zkSharedObjectUnload(
    ZkError              err,
    ZkSharedObject *     object );

DLLExport int
zkSharedObjectFindSymbol(
    ZkError              err,
    ZkSharedObject       object,
    const char *         symbol,
    void **              loation );

# ifdef __cplusplus
}
# endif

# endif /* ZKSHAREDOBJECT_H_ */
