/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef _ZKSTRING_H
#define _ZKSTRING_H

#ifdef __cplusplus 
extern "C" {
#endif /* __cplusplus */

#ifndef _ZKERROR_H
#include <zkError.h>
#endif /* _ZKERROR_H */

#include <zks.h>

typedef struct T_ZkString * ZkString;

DLLExport int zkStringNew (
  ZkError ,
  ZkString * );

DLLExport int zkStringFree (
  ZkError ,
  ZkString * );

int zkStringSet (
  ZkError ,
  ZkString s ,
  const unsigned char * );

DLLExport int zkStringAdd (
  ZkError ,
  ZkString s ,
  const unsigned char * );

#define zkStringAddStr(x,y,z) zkStringAdd(x,y,(const unsigned char *)z)

DLLExport  
int zkStringLength (
  ZkError ,
  ZkString ,
  unsigned int * );

DLLExport int zkStringData (
  ZkError ,
  ZkString ,
  const unsigned char ** );

DLLExport const unsigned char *zkStringGetData (
  ZkError ,
  ZkString );

#ifdef __cplusplus 
}
#endif /* __cplusplus */

#endif /* _ZKSTRING_H */
