/*
 *  zkTrace
 *  $Id: zkTrace.h,v 1.2.32.1 2000/10/11 13:19:59 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):
 *  Luc Boulianne <luc@zks.net>

 */

#ifndef ZKTRACE_H
#define	ZKTRACE_H
#include <stdio.h>
#include <stdarg.h>
#include <zks.h>
#include <zkDebug.h>
#include <zkDefs.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


  extern int zkTraceFlag;  /* Bitmask field of sections to trace */
  extern int zkTraceLevel; /* Level */
#if 0
  DLLExport extern int zkTrace (
			      int,                   /* Section flag */
			      int,                   /* Debug level  */
			      const char * ,         /* Message format string to send to log */
			      ... ) ZK_PRINTF_LIKE(1, 2);   /* Optional arguments */

#endif

#ifdef __GNUC__
#define zkTrace(flag, level, args...) \
{ \
      if (level <= zkTraceFlag) zkDebug_va (##args); \
}
#endif

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _ZKTRACE_H */

