/* 
 * $Id: zksmodule.h,v 1.1.4.1 2000/12/14 17:54:27 jean Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */
#ifndef ZKS_MODULE_H
# define ZKS_MODULE_H

# include <zks.h>
# include <zkIntTypes.h>
# include <zkIntLimits.h>
# include <zkTypes.h>
# include <zkDefs.h>



/*
 * Error hadling and ModuleId section 
 */
# define ZKS_MODULE_MOD                   "ZksModule"

/*
** Unknown module definition
*/
# define ZKS_GENERIC_UNKNOWN_MOD          "ZKS_GENERIC_UNKNOWN_MODULE"

/*
** Generic test module definition
*/
# define ZKS_GENERIC_TEST_MOD             "ZKS_GENERIC_TEST_MODULE"

/*
** Limits
*/
# define ZKS_MODULE_NAME_MAX              (63)


/*
** NONE Values
*/
# define ZKS_MODULE_ID_NONE               ((uint16_t)     0x0000U)
# define ZKS_MODULE_NAME_NONE             ((const char *) NULL)


/*
** Base Module Id
*/
# define ZKS_MODULE_ID_BASE               ((uint16_t)     0x1000U)


/*
** Unknown module constants
*/
# define ZKS_MODULE_ID_UNKNOWN            (ZKS_MODULE_ID_BASE)
# define ZKS_MODULE_NAME_UNKNOWN          (ZKS_GENERIC_UNKNOWN_MOD)



# ifdef __cplusplus
extern "C" {
# endif

  /* =========================================================================  
  ** ZkModule API
  */

  void         zksModuleHandlerInit      (void);

  uint16_t     zksModuleId               (const char *   modName);

  const char * zksModuleName             (uint16_t       modId);


# ifdef __cplusplus
}
# endif /* __cplusplus */

#endif /* ZKS_MODULE_H */
