/* 
 * $Id: zkspid.h,v 1.1.4.1 2000/12/14 17:54:27 jean Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom(R) code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */
#ifndef ZKS_PID_H
# define ZKS_PID_H

# include <zks.h>
# include <zkIntTypes.h>
# include <zkIntLimits.h>
# include <zkTypes.h>
# include <zkDefs.h>


/*
 * Error hadling and ModuleId section 
 */
# define ZKS_PID_MOD                        "ZksPid"



/*
 * Generic base type definition
 */
typedef uint64_t                            ZksProcessId;
typedef uint64_t                            ZksThreadId;


/*
** S_ZksPid stucture.
*/
typedef struct S_ZksPid {
  ZksProcessId pId;   /* Process Id */
  ZksThreadId  tId;   /* Thread Id */
} T_ZksPid;




# ifdef __cplusplus
extern "C" {
# endif

  ZkBool zksPidInit                         (T_ZksPid       * pid);

  ZkBool zksPidEqual                        (const T_ZksPid * pidA, 
                                             const T_ZksPid * pidB, 
                                             ZkBool         * equalP);

  ZkBool zksPidAssign                       (T_ZksPid       * dstPid, 
                                             const T_ZksPid * srcPid);

  ZkBool zksPidAsString                     (const T_ZksPid * dstPid,
                                             char           * buffer,
                                             uint32_t         buffersz);

# ifdef __cplusplus
}
# endif

#endif /*  ZKS_PID_H */

