/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

/**************************************************************************

   File:                zkxmlvalidtags.h

   Author(s):           Thierry Baron

   Created:             29 Sep 1999

   Last Revision:       $Date: 2000/10/11 13:20:00 $

   Description: 

   $Revision: 1.16.28.1 $
	
   Copyright (c) 1999 by Zero-Knowledge Systems, Inc
   Please see the copyright notice included in this distribution 
   for full details.

 **************************************************************************/

#ifndef ZKXMLVALIDTAGS_H
#  define ZKXMLVALIDTAGS_H

enum ZkXmlValidTags_en {
    NoTag, StatusOfLink, droppedPktsIn, wormholeCurrentThroughPut, nbLostPktsIn, 
    FmgService, droppedBytesOut, reqstPeak, release, clientBytesDropped,
    uptime, rating, status, availability, nbCurrentClientConnections,
    company, city, maipBytesTx, currentNetworkKbps,
    KeyUpdateService, hostname, lastParamChangeForLink, totalTrafficPkts, AipInfo,
    totalTrafficBytes, referenceDate, launchDate, ServopInfo, droppedBytesIn, clientPktsTx, nbMaipMsgRx,
    nbBytesIn, clientPktsDropped, nbTotalActiveStreams, clientBytesRx, nbMaipMsgDropped, nbMaipMsgQueued,
    country, lastNiqsReloadDate, reportDate, timePeriod, coverTrafficFlag, wormholeBytesTx, SerialNumService,
    curThroughputBytesIn, droppedPktsOut, nbPktsIn, nbTotalPortUsed, nbPktsOut,
    AipService, linkWithName, nbLostPktsOut, EntityStats, nbCurrentActiveStreams,
    nbBytesOut, KeyQueryService, nbServersDown, nbConnectedClients, NetworkInfo,
    nbNyms, maipBytesRx, freeDiskSpace, curThroughputPktsIn, confThroughputBytesIn,
    curThroughputPktsOut, state, curThroughputBytesOut, NymService, avgQueueLength,
    freeMemorySpace, cpuLoad, EntityInfo, nbActiveStreams, clientPktsRx, reqstCurr,
    reqstAvg, FreedomInfo, nbMaipMsgTx, NntpService, clientBytesTx, FmgMaipService,
    TokenService, MaipInfo, nbTotalClientConnections, ip, confThroughputPktsIn,
    NIC, confThroughputPktsOut, serverStatus, lastUpdateDate, lastStateDate, nbCurrentPortInUse,
    entity, wormholeBytesRx, FreedomReport, nbServersUp, confThroughputBytesOut,
    nbTotalBytesRx, nbTotalBytesTx, nbTotalBytesDropped, errorMsg,
    ZKXML_END_TAG
};

#ifdef ZKXML_C
const char *ZkXmlValidTagStrings[] = {
    "NoTag", "StatusOfLink", "droppedPktsIn", "wormholeCurrentThroughPut", "nbLostPktsIn",
    "FmgService", "droppedBytesOut", "reqstPeak", "release", "clientBytesDropped",
    "uptime",  "rating", "status", "availability", "nbCurrentClientConnections",
    "company", "city", "maipBytesTx", "currentNetworkKbps",
    "KeyUpdateService", "hostname", "lastParamChangeForLink", "totalTrafficPkts", "AipInfo",
    "totalTrafficBytes", "referenceDate", "launchDate", "ServopInfo", "droppedBytesIn", "clientPktsTx", "nbMaipMsgRx",
    "nbBytesIn", "clientPktsDropped", "nbTotalActiveStreams", "clientBytesRx", "nbMaipMsgDropped", "nbMaipMsgQueued",
    "country", "lastNiqsReloadDate", "reportDate", "timePeriod", "coverTrafficFlag", "wormholeBytesTx", "SerialNumService",
    "curThroughputBytesIn", "droppedPktsOut", "nbPktsIn", "nbTotalPortUsed", "nbPktsOut",
    "AipService", "linkWithName", "nbLostPktsOut", "EntityStats", "nbCurrentActiveStreams",
    "nbBytesOut", "KeyQueryService", "nbServersDown", "nbConnectedClients", "NetworkInfo",
    "nbNyms", "maipBytesRx", "freeDiskSpace", "curThroughputPktsIn", "confThroughputBytesIn",
    "curThroughputPktsOut", "state", "curThroughputBytesOut", "NymService", "avgQueueLength",
    "freeMemorySpace", "cpuLoad", "EntityInfo", "nbActiveStreams", "clientPktsRx", "reqstCurr", 
    "reqstAvg", "FreedomInfo", "nbMaipMsgTx", "NntpService", "clientBytesTx", "FmgMaipService",
    "TokenService", "MaipInfo", "nbTotalClientConnections", "ip", "confThroughputPktsIn",
    "NIC", "confThroughputPktsOut", "serverStatus", "lastUpdateDate", "lastStateDate", "nbCurrentPortInUse",
    "entity", "wormholeBytesRx", "FreedomReport", "nbServersUp", "confThroughputBytesOut",
    "nbTotalBytesRx", "nbTotalBytesTx", "nbTotalBytesDropped", "errorMsg"
};
#endif  /* ZKXML_C */

#endif  /* ZKXMLVALIDTAGS_H */



/***************************************************************************************

   $Log: zkxmlvalidtags.h,v $
   Revision 1.16.28.1  2000/10/11 13:20:00  phil

   License header additions in preparation for the source release.

   Revision 1.16  1999/10/27 21:27:16  louis
   added the tag for the time period
   (bug # 1085)
   (reviewed by Philippe D.)

   Revision 1.15  1999/10/26 15:42:33  louis
   added 3 new tags (rating, status & availability)
   (checked with Thierry)

   Revision 1.14  1999/10/26 00:43:28  thierry
   add reportDate tag

   Revision 1.13  1999/10/22 16:20:25  louis
   addition of new tags

   Revision 1.12  1999/10/21 18:59:40  louis
   more new tags for XML

   Revision 1.11  1999/10/15 21:45:08  louis
   new names for tags

   Revision 1.10  1999/10/14 20:10:21  louis
   small semantic correction (host -> entity)

   Revision 1.9  1999/10/13 21:13:56  louis
   - addition of an error message tag
   - splitted enum and array definition in multiple lines

   Revision 1.8  1999/10/07 16:40:33  thierry
   add tags for new Network and Servop Info support

   Revision 1.7  1999/10/06 20:57:35  thierry
   updated version of valid tags and minor change to zkXmlSetDataLongElement

   Revision 1.6  1999/10/06 15:47:32  thierry
   	* add zkXmlAppendDataLongElement
   	* fix unitialized pointer
   	* fix uninitialized value

   Revision 1.5  1999/10/05 14:26:38  thierry
   fixed enum definition

   Revision 1.4  1999/10/05 13:53:41  thierry
   add lastNiqsReloadTime launchTime modify lastStatusUpdate

   Revision 1.3  1999/10/03 04:38:43  build
   * Fixed broken build - Luc
   * typedef'd the enum

   Revision 1.2  1999/09/30 21:58:02  thierry
   working version

   Revision 1.1  1999/09/30 03:08:18  louis
   addition of zkxml stuf, for xml output generation


*/
