/**
 * @name zkLib
 *
 * An assortment of library calls that exists in one flavour of Unix
 * but not in another. 
 *
 * $Id: zkLib.c,v 1.5.32.2 2001/02/20 21:01:08 marcp Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):
 * @author Luc Boulianne <luc@zks.net>

 *
 */

#include "zks.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <zkLib.h>

#ifdef ZKMOD
# undef ZKMOD
#endif
#define ZKMOD ZKMLIB

#ifndef ZK_LINUX
/**
 * Duplicate a string, not going past n bytes
 * 
 * @param from       Original string
 * @param maxlen     maximum length
 * @return           The new string or NULL
 * @author           Luc Boulianne
 */
char *strndup (char *from, int maxlen)
{
  char *copy;
  
  if ((copy = (char *) malloc (maxlen)) == NULL)
    return NULL;
  (void) strncpy (copy, from, maxlen);
  return (copy);
}
#endif


const char *zkLibGetBuildRelease(ZkError err)
{
  (void) err;

#ifdef FREEDOM_DEVELOPMENT_BUILD
# define VERSION_STR "FREEDOM DEVELOPMENT BUILD ("__DATE__", "__TIME__")"
#elif defined(FREEDOM_PRODUCTION_BUILD)
# define VERSION_STR "FREEDOM PRODUCTION BUILD ("__DATE__", "__TIME__")"
#else
# define VERSION_STR "FREEDOM BUILD ("__DATE__", "__TIME__")"
  return (VERSION_STR);
#endif
  
}
