/*
** **************************************************************************
** $Id: zkAuditEntry.h,v 1.1.30.1 2000/10/11 13:20:08 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

**
** Copyright (C) 1999 Zero-Knowledge Systems Inc.  All Rights Reserved
** **************************************************************************
*/

# ifndef ZKAUDITENTRY_H_
# define ZKAUDITENTRY_H_

# ifndef ZKAUDIT_H_
# error "zkAudit.h must be included before zkAuditEntry.h"
# endif

# ifndef ZKDATETIME_H_
# include <zkDateTime.h>
# endif

# ifdef __cplusplus
extern "C" {
# endif


DLLExport int
zkAuditEntryFree(
    ZkError          err,
    ZkAuditEntry *   audit_entry_ptr );


DLLExport int
zkAuditEntryGetTimestamp(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    ZkDateTime *     timestamp_ptr );


DLLExport int
zkAuditEntryGetUser(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    const char **    user_ptr );


DLLExport int
zkAuditEntryGetHost(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    const char **    host_ptr );


DLLExport int
zkAuditEntryGetSessionId(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    uint32_t *       sid_ptr );


DLLExport int
zkAuditEntryGetService(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    const char **    service_ptr );


DLLExport int
zkAuditEntryGetRequest(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    const char **    request_ptr );


DLLExport int
zkAuditEntryGetComment(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    const char **    comment_ptr );


DLLExport int
zkAuditEntryGetTicketId(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    const char **    tid_ptr );


DLLExport int
zkAuditEntryGetClientId(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    const char **    cid_ptr );


DLLExport int
zkAuditEntryGetTransactionId(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    const char **    tid_ptr );


DLLExport int
zkAuditEntryGetResultCode(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    uint32_t *       code_ptr );


DLLExport int
zkAuditEntryGetResultText(
    ZkError          err,
    ZkAuditEntry     audit_entry,
    const char **    text_ptr );

# ifdef __cplusplus
}
# endif

# endif /* ZKAUDITENTRY_H_ */
