/*
** **************************************************************************
** $Id: zkAuditSession.h,v 1.1.30.1 2000/10/11 13:20:08 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

**
** Copyright (C) 1999 Zero-Knowledge Systems Inc.  All Rights Reserved
** **************************************************************************
*/

# ifndef ZKAUDITSESSION_H_
# define ZKAUDITSESSION_H_

# ifndef ZKAUDIT_H_
# error "zkAudit.h must be included before zkAuditSession.h"
# endif

# ifdef __cplusplus
extern "C" {
# endif

DLLExport int
zkAuditSessionBegin(
    ZkError          err,
    ZkAuditLog       audit_log,
    const char *     user,
    const char *     ticket_id,        /* may be NULL */
    const char *     client_id,        /* may be NULL */
    const char *     transaction_id,   /* may be NULL */
    ZkAuditSession * audit_session_ptr );

DLLExport int
zkAuditSessionEnd(
    ZkError          err,
    ZkAuditSession * audit_sessin_ptr );

DLLExport int
zkAuditSessionGetUser(
    ZkError          err,
    ZkAuditSession   audit_session,
    const char * *   user_ptr );

DLLExport int
zkAuditSessionGetHost(
    ZkError          err,
    ZkAuditSession   audit_session,
    const char * *   host_ptr );

DLLExport int
zkAuditSessionGetSessionId(
    ZkError          err,
    ZkAuditSession   audit_session,
    uint32_t *       sid_ptr );

DLLExport int
zkAuditSessionGetTicketId(
    ZkError          err,
    ZkAuditSession   audit_session,
    const char * *   tid_ptr );

DLLExport int
zkAuditSessionGetClientId(
    ZkError          err,
    ZkAuditSession   audit_session,
    const char * *   cid_ptr );

DLLExport int
zkAuditSessionGetTransactionId(
    ZkError          err,
    ZkAuditSession   audit_session,
    const char * *   tid_ptr );

DLLExport int
zkAuditSessionAddEntry(
    ZkError          err,
    ZkAuditSession   audit_session,
    const char *     service,
    const char *     request,
    const char *     comment,           /* may be NULL */
    uint32_t         result_code,
    const char *     result_text,       /* may be NULL */
    ZkAuditEntry *   audit_entry_ptr    /* may be NULL */ );

# ifdef __cplusplus
}
# endif

# endif /* ZKAUDITSESSION_H_ */
