/*
 * $Id: zkipEngine.h,v 1.4.32.1 2000/10/11 13:20:22 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef _ZKIPENGINE_H
#define _ZKIPENGINE_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef _ZKLOG_H
#include <zkLog.h>
#endif /* _ZKLOG_H */

#define	_DEFAULT_BANNER "Zero-Knowledge Interactive Protocol Engine"

#ifndef _T_ZKIPENGINE
#define	_T_ZKIPENGINE
typedef struct T_ZkipEngine * ZkipEngine;
#endif /* _T_ZKIPENGINE */

#ifndef _T_ZKIPCOMMAND
#define	_T_ZKIPCOMMAND
typedef struct T_ZkipCommand * ZkipCommand;
#endif /* _T_ZKIPCOMMAND */

int zkipEngineNew (
  ZkError ,                               /* Returns the error */
  ZkipEngine * );                         /* Returns a new ZKIPEngine object */

int zkipEngineFree (
  ZkError ,                               /* Returns the error */
  ZkipEngine * );                         /* ZKIPEngine object to destroy */

int zkipEngineAddCommand (
  ZkError ,                               /* Returns the error */
  ZkipEngine ,                            /* ZkZKIPEngine to modify */
  uint32_t ,                              /* New command id (use CMDID) */
  ZkipCommandCallback ,                   /* Callback function for command */
  const char * ,                          /* String token for command */
  uint16_t );                             /* Number of command parameters */

ZkipCommand zkipEngineCommand (
  ZkError ,
  ZkipEngine );

int zkipEngineFindCommand (
  ZkError ,
  ZkipEngine ,
  uint32_t ,
  char * command ,
  ZkipCommandCallback * callback );

int zkipEngineSetBanner (
  ZkError ,
  ZkipEngine ,
  const char * );                      /* Welcome banner string */


const unsigned char * zkipEngineBanner (
 ZkError ,
 ZkipEngine );

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _ZKIPENGINE_H */
