/*
 * $Id: zkipCommand.h,v 1.3.32.1 2000/10/11 13:20:22 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#ifndef _ZKIPCOMMAND_H
#define	_ZKIPCOMMAND_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define __COMMAND_SZ    64

struct T_ZkipCommand {
  uint32_t cmdid;
  ZkipCommandCallback callback;
  char command[__COMMAND_SZ+ 1];
  uint16_t parms;
  struct T_ZkipCommand * link;
};

#ifndef _T_ZKIPCOMMAND
#define _T_ZKIPCOMMAND
typedef struct T_ZkipCommand * ZkipCommand;
#endif /* _T_ZKIPCOMMAND */

int zkipCommandNew (
  ZkError ,                             /* Used to return the error */
  ZkipCommand * );                      /* Returns a new ZkZKIPCommand object */

int zkipCommandFree (
  ZkError ,                             /* Used to return the error */
  ZkipCommand * );                      /* Ptr to ZkZKIPCommand to destroy */

int zkipCommandSet (
  ZkError ,                             /* Used to return the error */
  ZkipCommand ,                         /* ZkZKIPCommand object to set */
  uint32_t ,                            /* Command protocol/version id */
  ZkipCommandCallback ,                 /* Callback used to implement command */
  const char * ,                        /* String name of command */
  uint16_t ,                            /* Number of parameters */
  ZkipCommand );                        /* Pointer to next command in list */

uint32_t zkipCommandCmdid (
  ZkError ,
  ZkipCommand );

uint16_t zkipCommandParms (
  ZkError ,
  ZkipCommand );


ZkipCommandCallback zkipCommandCallback (
  ZkError  ,
  ZkipCommand );

const char * zkipCommandToken (
  ZkError ,
  ZkipCommand );

const ZkipCommand zkipCommandNext (
  ZkError ,
  ZkipCommand );



#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _ZKIPCOMMAND_H */
