/*
 * $Id: zkipParse.h,v 1.4.8.1 2000/10/11 13:20:22 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#ifndef _ZKIPPARSE_H
#define _ZKIPPARSE_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define CHAR_CR             0x0D        /* Carriage Return (ASCII 13) */
#define CHAR_LF             0x0A        /* Line Feed (ASCII 10) */
#define CHAR_NUL            0x00        /* NUL string terminator (ASCII 0) */
#define CHAR_SPACE          0x20        /* Blank space (ASCII 32) */
#define CHAR_HTAB           0x09        /* Horizontal Tab (ASCII 9) */
#define CHAR_DQUOTE         0x22        /* Double Quote (ASCII 34) */
#define CHAR_SOLIDUS        0x5C        /* Slash (ASCII 92) */
#define CHAR_ZERO           0x30        /* Decimal Zero (ASCII 48) */
#define CHAR_PERIOD         0x2E        /* Period (ASCII 46) */

#define TOK_BASE64    "BASE64"
#define TOK_8BIT      "8BIT"
#define TOK_7BIT      "7BIT"
#define TOK_BINARY    "BINARY"
#define TOK_BZIP2     "BZIP2"
#define TOK_UNKNOWN   "UNKNOWN"
#define TOK_NONE      "NONE"



int zkipParseInteger (
  ZkError ,                             /* Returns the error code */
  unsigned char * ,                     /* Token to parse as an integer */
  uint32_t * );                         /* Returns an unsigned integer value */

int zkipParseCmdid (
  ZkError ,                             /* Returns the error code */
  unsigned char * ,                     /* Token to parse as a command id */
  uint32_t * );                         /* Returns a command id value */

int zkipParseEncoding (
  ZkError ,                             /* Returns the error code */
  unsigned char * ,                     /* Token to parse as a data encoding */
  uint16_t * );				/* Returns one of ZKIP_ENCODING_... */


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _ZKIPPARSE_H */
