/*
 * $Id: zkEmailBody.h,v 1.11.32.1 2000/10/11 13:20:27 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKEMAILBODY_H_
#define ZKEMAILBODY_H_

#ifndef _ZKERROR_H
#include <zkError.h>
#endif /* _ZKERROR_H */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef ZKEMAILBODY_T
#define ZKEMAILBODY_T
typedef struct T_ZkEmailBody * ZkEmailBody;
#endif /* ZKEMAILBODY_T */

DLLExport int zkEmailBodyNew (
  ZkError ,
  ZkEmailBody * );

DLLExport int zkEmailBodyFree (
  ZkError ,
  ZkEmailBody * );

DLLExport int zkEmailBodyAddText (
  ZkError ,
  ZkEmailBody ,
  const unsigned char * ,
  int size );

DLLExport int zkEmailBodyStripSMTPTerminator (
  ZkError ,
  ZkEmailBody );

DLLExport int zkEmailBodyGetData (
  ZkError ,
  ZkEmailBody ,
  unsigned char **  ,
  size_t * );


DLLExport int zkEmailBodyParse (
  ZkError ,
  ZkEmailBody );


DLLExport int zkEmailBodyDump (
  ZkError ,
  ZkEmailBody ,
  ZkEmailDumpCallback,
  void * );

DLLExport int zkEmailBodyParseAsMIME (
  ZkError ,                /* Returns the error if any occured */
  ZkEmailBody ,            /* EmailBody to parse */
  char * );                /* Boundary string */

DLLExport int zkEmailBodyDup (
  ZkError ,
  ZkEmailBody ,
  ZkEmailBody * );

DLLExport int zkEmailBodyRawData (
  ZkError ,
  ZkEmailBody ,
  unsigned char ** ,
  int * );

DLLExport int zkEmailBodyAddPart (
  ZkError ,
  ZkEmailBody ,
  ZkEmailBodyPart);

DLLExport int zkEmailBodyDeleteRawData (
  ZkError ,
  ZkEmailBody );

DLLExport int zkEmailBodyGetPart (
  ZkError ,                    /* Returns the error if any occured */
  ZkEmailBody ,                /* The zkEmailBody to analyze */
  ZkEmailBodyPart * );         /* Returns a pointer to the first body part */

DLLExport int zkEmailBodySetBoundary (
  ZkError ,
  ZkEmailBody ,
  char * );

DLLExport int zkEmailBodyAddPartFirst (
  ZkError ,
  ZkEmailBody ,
  ZkEmailBodyPart );

DLLExport int
zkEmailBodyAddTextBlipvert (
  ZkError err ,
  ZkEmailBody body,
  const unsigned char * data ,
  size_t size,
  size_t * newsize );

DLLExport int
zkEmailBodyAddHtmlBlipvert (
  ZkError err ,
  ZkEmailBody body,
  const unsigned char * data ,
  size_t size,
  size_t * newsize );


#ifdef __cplusplus
}
#endif /* __cplusplus */



#endif /* ZKEMAILBODY_H_ */
