/*
 * $Id: zkEmailBodyPart.h,v 1.5.32.1 2000/10/11 13:20:27 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#ifndef ZKEMAILBODYPART_H_
#define ZKEMAILBODYPART_H_

#ifndef _ZKERROR_H
#include <zkError.h>
#endif /* _ZKERROR_H */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef ZKEMAILBODYPART_T
#define ZKEMAILBODYPART_T
typedef struct  T_ZkEmailBodyPart * ZkEmailBodyPart;
#endif /* ZKEMAILBODYTYPE_T */

DLLExport int zkEmailBodyPartNew (
  ZkError ,
  ZkEmailBodyPart * );

DLLExport int zkEmailBodyPartFree (
  ZkError ,
  ZkEmailBodyPart * );

DLLExport int zkEmailBodyPartAddText (
  ZkError ,
  ZkEmailBodyPart,
  const unsigned char *,
  int );


DLLExport int zkEmailBodyPartSetLink (
  ZkError ,
  ZkEmailBodyPart , 
  ZkEmailBodyPart );

DLLExport int zkEmailBodyPartSetBody (
  ZkError ,
  ZkEmailBodyPart ,
  ZkEmailBody );

DLLExport int zkEmailBodyPartSetHeader (
  ZkError ,
  ZkEmailBodyPart ,
  ZkEmailHeader );

DLLExport int zkEmailBodyPartLink (
  ZkError ,
  ZkEmailBodyPart ,
  ZkEmailBodyPart * );

DLLExport int zkEmailBodyPartBody (
  ZkError ,
  ZkEmailBodyPart ,
  ZkEmailBody * );

DLLExport int zkEmailBodyPartHeader (
  ZkError ,
  ZkEmailBodyPart ,
  ZkEmailHeader * );


DLLExport int zkEmailBodyPartDump (
  ZkError ,
  ZkEmailBodyPart ,
  ZkEmailDumpCallback ,
  void * );

DLLExport int zkEmailBodyPartDup (
  ZkError ,
  ZkEmailBodyPart ,
  ZkEmailBodyPart * );

DLLExport int
zkEmailBodyPartAddTextBlipvert (
  ZkError err ,
  ZkEmailBodyPart body,
  const unsigned char * data ,
  size_t size );

DLLExport int
zkEmailBodyPartAddHtmlBlipvert (
  ZkError err ,
  ZkEmailBodyPart body,
  const unsigned char * data ,
  size_t size);

#ifdef __cplusplus
}
#endif /* __cplusplus */



#endif /* ZKEMAILBODYPART_H_ */
