/*
 * $Id: zkEmailHeader.h,v 1.13.16.2 2000/10/11 13:20:27 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#ifndef ZKEMAILHEADER_H_
#define ZKEMAILHEADER_H_

#ifndef _ZKERROR_H
#include <zkError.h>
#endif /* _ZKERROR_H */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#ifndef ZKEMAILHEADER_T
#define ZKEMAILHEADER_T
typedef struct T_ZkEmailHeader * ZkEmailHeader;
#endif /* ZKEMAILHEADER_T */

DLLExport int zkEmailHeaderNew (
  ZkError ,
  ZkEmailHeader * );

DLLExport int zkEmailHeaderFree (
  ZkError ,
  ZkEmailHeader * );

DLLExport int zkEmailHeaderFormatForInews (
  ZkError ,
  ZkEmailHeader );


DLLExport int zkEmailHeaderAddField (
  ZkError ,
  ZkEmailHeader ,
  ZkEmailField );

DLLExport int zkEmailHeaderAddFieldData (
  ZkError ,
  ZkEmailHeader ,
  const unsigned char * ,                   /* Email Field name */
  const unsigned char * );                  /* Email Field value */

DLLExport int zkEmailHeaderParse (
  ZkError ,
  ZkEmailHeader ,
  char * );

DLLExport int zkEmailHeaderForceFieldValue (
  ZkError ,                        /* Returns the error if any occured */
  ZkEmailHeader ,                  /* Header whose fields you wish to change*/
  enum ZkMIMEFieldId ,             /* Type of field to change */
  const char * ,                   /* Value to set these fields to */
  size_t );                        /* Size of the value string */


DLLExport int zkEmailHeaderFirstField (
  ZkError,
  ZkEmailHeader ,
  ZkEmailField * );

DLLExport int zkEmailHeaderNextField (
  ZkError ,
  ZkEmailHeader ,
  ZkEmailField * );

DLLExport int zkEmailHeaderGetField (
  ZkError ,
  ZkEmailHeader ,
  enum ZkMIMEFieldId ,
  ZkEmailField * );

DLLExport int zkEmailHeaderMerge (
  ZkError ,        /* Return the error if any occured */
  ZkEmailHeader  ,  /* Target email header (will gain new fields) */
  ZkEmailHeader );   /* Source email header (will lose all its fields) */

DLLExport int zkEmailHeaderGetFieldCount (
  ZkError,
  ZkEmailHeader,
  int * );

DLLExport int zkEmailHeaderDeleteFieldById (
  ZkError ,                    /* Return the error if one occured */
  ZkEmailHeader,               /* The Header from which to delete fields */
  enum ZkMIMEFieldId );        /* The field ID you wish removed */

DLLExport int
zkEmailHeaderDeleteFieldId (
  ZkError ,
  ZkEmailHeader ,
  enum ZkMIMEFieldId );

DLLExport int zkEmailHeaderStripField (
  ZkError ,
  ZkEmailHeader ,
  uint32_t );   /* Strip flags.  See the zkMIME.h file for the list */

DLLExport int zkEmailHeaderDump (
  ZkError ,
  ZkEmailHeader ,
  ZkEmailDumpCallback ,
  void * );

DLLExport int zkEmailHeaderDumpCanonical (
  ZkError ,
  ZkEmailHeader ,
  ZkEmailDumpCallback ,
  void * );

DLLExport int zkEmailHeaderDup (
  ZkError ,
  ZkEmailHeader ,
  ZkEmailHeader * );

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* ZKEMAILHEADER_H_ */

