/*
 * $Id: zkChunk.h,v 1.4.32.1 2000/10/11 13:20:28 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKCHUNK_H_
#define ZKCHUNK_H_

#ifdef __cplusplus 
extern "C" {
#endif /* __cplusplus */

typedef struct T_ZkChunk * ZkChunk;

DLLExport int zkChunkNew (
  ZkError ,                         /* Return the error if any occurs */
  ZkChunk * );                      /* Returns a new chunk object */

DLLExport int zkChunkFree (
  ZkError ,                         /* Return the error if any occurs */
  ZkChunk * );                      /* Chunk to destroy */

DLLExport int zkChunkAppend (
  ZkError ,                         /* Return the error if any occurs */
  ZkChunk ,                         /* Chunk to which to append data */
  const char * ,                    /* Byte sequence to append */
  size_t );                         /* Number of bytes to append */

DLLExport int zkChunkSetBlockSize (
  ZkError ,                         /* Return the error if any occurs */
  ZkChunk  ,                        /* Chunk to modify */
  size_t );                         /* New internal block size ( > 0) */

DLLExport int zkChunkGetData (
  ZkError ,                         /* Return the error if any occurs */
  ZkChunk ,                         /* Chunk from which to retreive data */
  char ** ,                         /* Pointer to internal chunk data */
  size_t * );                       /* Number of bytes of data */

DLLExport int zkChunkExtractData (
  ZkError ,                         /* Returns the error if any occured */
  ZkChunk ,                         /* Chunk from which to extract data */
  char ** ,                         /* Allocates and returns the buffer */
  size_t *);                        /* Returns number of bytes in buffer */




#ifdef __cplusplus 
}
#endif /* __cplusplus */


#endif /* ZKCHUNK_H_ */
