/*
 * $Id: zkMime.c,v 1.7.8.2 2000/11/01 23:08:36 erik Exp $
 */

static const char * module_id_ = "$Id: zkMime.c,v 1.7.8.2 2000/11/01 23:08:36 erik Exp $";
/*
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#include "zks.h"

#include <zkIntTypes.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <zkIntTypes.h>
#include <zkMIME.h>
#include "zk_mime.h"
#include <zkrand.h>


static const char * boundary_digit = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
#define BOUNDARY_DIGITS 36

DLLExport char * 
generateBoundaryString (
  char * boundary ,
  int size )
{
  int i = 0; /* Loop index for generating the boundary */
  
  (void) module_id_;
  for (i = 0; i < size; i++) {
    uint32_t n;

    if ( ! zkRandGetUInt32InRange(0, 0, BOUNDARY_DIGITS - 1, &n)) {
      return 0;
    }
    boundary[i] = boundary_digit[n];
  }
  return boundary;
}
