/*
 * $Id: zkFragCache.h,v 1.4.32.1 2000/10/11 13:20:33 phil Exp $
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */

#ifndef ZKFRAGCACHE_H_
#define ZKFRAGCACHE_H_

#ifndef _ZKPACKET_H
#include <zkPacket.h>
#endif /* _ZKPACKET_H */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef enum {
  PACKET_FROM_INTERNET , 
  PACKET_FROM_CLOUD   
} ZkFragCachePktSrc;

typedef struct T_ZkFragCache * ZkFragCache;

DLLExport
int zkFragCacheNew (
  ZkError  ,
  ZkFragCache * );

DLLExport
int zkFragCacheFree (
  ZkError ,
  ZkFragCache * );

int zkFragCacheSetSize (
  ZkError  ,
  ZkFragCache  ,
  size_t );

int zkFragCacheDeleteDatagram (
  ZkError ,
  ZkFragCache ,
  size_t );

DLLExport
int zkFragCacheAddPacket (
  ZkError ,
  ZkFragCache  ,
  ZkIPHeader * ,
  size_t  ,
  uint32_t ,
  ZkFragCachePktSrc ,
  ZkIPHeader * ,
  size_t * );



#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* ZKFRAGCACHE_H_ */
