/*
 * $Id: zkUDP.c,v 1.9.20.1 2000/10/11 13:20:34 phil Exp $
 */

static const char * module_id_ = "$Id: zkUDP.c,v 1.9.20.1 2000/10/11 13:20:34 phil Exp $";
/*
 * 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is Freedom code.
 * 
 * The Initial Developer of the Original Code is Zero-Knowledge Systems,
 * Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
 * Zero-Knowledge Systems, Inc.  All Rights Reserved.
 * 
 * Contributor(s):

 */


#include "zks.h"

#include <stdio.h>
#include <stdlib.h>

#ifndef WIN32
#include <netinet/in.h> /* htons(), ntohs(), ... */
#else
#include <winsock2.h>
#endif

#include <zkPacket.h>



DLLExport int
zkUDPHeaderDump (
  ZkUDPHeader * udph ,
  FILE * stream )
{
  (void) module_id_; /* Get rid of compile time warning */
  fprintf(stream,"UDP Packet Header Pointer %p\n", (void *)udph);
  if (udph == NULL) {
    return 0;
  }
  fprintf(stream,"  Source port             %d\n",ntohs(udph->SrcPort));
  fprintf(stream,"  Destination Port        %d\n",ntohs(udph->DstPort));
  fprintf(stream,"  Length                  %d\n",ntohs(udph->UdpLength));
  fprintf(stream,"  Header Checksum         %d\n",ntohs(udph->UdpCheckSum));
  return 1;
}




DLLExport uint16_t
zkUDPHeaderSourcePort (
  ZkUDPHeader * udph ,
  uint16_t * port ) 
{
  *port = ntohs(udph->SrcPort);
  return *port ;
}

DLLExport uint16_t
zkUDPHeaderDestinationPort (
  ZkUDPHeader * udph ,
  uint16_t * port )
{
  *port = ntohs(udph->DstPort);
  return *port;
}

DLLExport int
zkUDPHeaderSetSourcePort (
  ZkUDPHeader * udph ,
  uint16_t port )
{  
  udph->SrcPort = htons(port);
  return 1;
}

DLLExport int
zkUDPHeaderSetDestinationPort (
  ZkUDPHeader * udph ,
  uint16_t port )
{
  udph->DstPort = htons(port);
  return 1;
}

