#!/usr/bin/perl -w
# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is Freedom(R) code.
# 
# The Initial Developer of the Original Code is Zero-Knowledge(R) Systems,
# Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
# Zero-Knowledge Systems, Inc.  All Rights Reserved.
# 
# Contributor(s):

use FileHandle;

STDOUT->autoflush(1);

while(1) {
    print("Enter the build drive: ");
    chomp($drive = <STDIN>);
    if ($drive =~ m,^([a-z]:),) {
	$drive = $1;
	last;
    }
}
$ENV{ZK_VCT_FILE} = "$drive\\freedom\\client\\zkinstall\\win32\\Vise\\FreedomClientWin32.VCT";

while(1) {
    print("Enter the path where to store the setups: ");
    chomp($path = <STDIN>);
    last if (length($path));
}

while(1) {
    print("Enter the setup prefix: ");
    chomp($prefix = <STDIN>);
    $ENV{ZK_SETUP_PREFIX} = "$path\\$prefix";
    last if (length($prefix));
}

while(1) {
    print("Enter the configuration separated by commas: ");
    chomp($configs = <STDIN>);
    @configs = split(m/,/, $configs);
    last if (length($configs));
}

foreach $config (@configs) {
    my $wscript = "C:\\Program Files\\Mercury Interactive\\WinRunner\\arch\\Mindvision_Driver";
    my %ext = (Debug => "D", "Release" => "R", "Release-dev" => "R");

    if ($config !~ m,^(Debug|Release|Release-dev)$,i) {
	print("Error: configuration '$config' not supported\n");
	next;
    }
    $ENV{ZK_CONFIG_EXTENSION} = $ext{ucfirst(lc($config))};
    system("wrun.exe -t \"$wscript\" -run")
}
