#!/usr/bin/perl -w
# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is Freedom code.
# 
# The Initial Developer of the Original Code is Zero-Knowledge Systems,
# Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
# Zero-Knowledge Systems, Inc.  All Rights Reserved.
# 
# Contributor(s):


$GbkFile = undef;

#
# Display Usage of this script
#
sub Usage {
    print("Usage: $0 [-h] <file.tgz>\n");
    print("   [-h]: print this message\n");
    print("   <file.tgz>: file to save the tar+gzip\n\n");
    exit(1);
}

#
# Parse the command line option
#
sub Getopts {
    my (@args) = @_;

    while(@args) {
	$_ = shift(@args);

	if (m,^-h(elp)?$,) {
	    &Usage;
	    exit(1);
	}

	# File to save the backup to
	if (!defined($GbkFile)) {
	    $GbkFile = $_;
	    next;
	}

	print("Ignoring option '$_'\n");
    }
}

# Get the options
&Getopts(@ARGV);
&Usage() if (!defined($GbkFile));

print("Starting backup and storing to '$GbkFile'\n");

# Run the command
$Gstatus = system("find . -type f -perm +0222 -print | " .
		  "egrep -v -e '/(CVS|bin)/' | " .
		  "egrep -v -e '\.(depend|a|o)\$' | " .
		  "tar cvBf - -T - | " .
		  "gzip -9 > \"$GbkFile\"");

print("Error while backuping files\n") if ($Gstatus);
exit($Gstatus);
