#!/usr/bin/perl -w
# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is Freedom code.
# 
# The Initial Developer of the Original Code is Zero-Knowledge Systems,
# Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
# Zero-Knowledge Systems, Inc.  All Rights Reserved.
# 
# Contributor(s):

BEGIN {
    $GscriptDir = $0;
    $GscriptDir =~ s,\\,/,g;
    $GscriptDir =~ s,/?[^/]+$,,;
    $GscriptDir = "." if ($GscriptDir eq "");
    unshift(@INC, $GscriptDir);
}

use strict 'refs';
use File::Basename;
use PRFile;

#%Gdirs = ();

sub FixSource {
    my ($in_filename, $io_lines, $io_modified) = @_;
    
    return 0 if ($in_filename =~ m,/(openssl|libssleay)/,);
    foreach (@{$io_lines}) {
	if (m,^(\s*\#\s*include\s+[\"<])([^\">]+)([\">].*\n?)$,) {
	    my ($a, $b, $c) = ($1, $2, $3);
	    my $dir = undef;

	    # Make sure to use / and not \ 
	    $b =~ s,\\+,/,g;
	    $dir = &dirname($b);

	    if (length($dir) && ($dir ne ".")) {
		#$Gdirs{$dir} = 1 if (!exists($Gdirs{$dir}));
		next if ($dir =~ m,^(arpa|netinet|openssl|readline|sys),i);
		
		$_ = $a . &basename($b) . $c;
		$$io_modified = 1;
	    }
	}
    }
    return(0);
}

sub FixRc {
    my ($in_filename, $io_lines, $io_modified) = @_;
    
    foreach (@{$io_lines}) {
	if (m,^(.*\#\s*include\s+[\"<])([^\">]+)([\">].*\n?)$,) {
	    my ($a, $b, $c) = ($1, $2, $3);
	    my $dir = undef;
	    
	    # Make sure to use / and not \ 
	    $b =~ s,\\+,/,g;
	    if (lc($b) eq "include/version.rc") {
		$_ = $a . "version.rc" . $c;
		$$io_modified = 1;
	    }
	}
    }
    return(0);
}

&PRFile::ProcessMatchFiles("d:/zk", \&FixSource, "\\.(c|cpp|h|inl)\$");
&PRFile::ProcessMatchFiles("d:/zk", \&FixRc, "\\.(rc)\$");
#print(join("\n", sort(keys(%Gdirs))), "\n");
