#!/usr/bin/perl -w
# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is Freedom code.
# 
# The Initial Developer of the Original Code is Zero-Knowledge Systems,
# Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
# Zero-Knowledge Systems, Inc.  All Rights Reserved.
# 
# Contributor(s):

BEGIN {
    $GscriptDir = $0;
    $GscriptDir =~ s,\\,/,g;
    $GscriptDir =~ s,/?[^/]+$,,;
    $GscriptDir = "." if ($GscriptDir eq "");
    unshift(@INC, $GscriptDir);
}

use strict 'refs';
use File::Basename;
use PRFile;

#%Gdirs = ();

sub FixIt {
    my ($in_filename, $io_lines, $io_modified) = @_;
    
    foreach (@{$io_lines}) {
	if (! m,-lzkrand,) {
	    $$io_modified = 1 if (s,-lfrrand,-lfrrand -lzkrand,g);
	}
    }
    return(0);
}

if (!@ARGV) {
    print("Usage: perl $0 <directory to process recursivly\n");
    exit(1);
}
&PRFile::ProcessMatchFiles($ARGV[0], \&FixIt, "[mM](akefile)\$");

