#!/usr/bin/perl
# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is Freedom code.
# 
# The Initial Developer of the Original Code is Zero-Knowledge Systems,
# Inc.  Portions created by Zero-Knowledge are Copyright (C) 2000
# Zero-Knowledge Systems, Inc.  All Rights Reserved.
# 
# Contributor(s):

sub Usage {
    print("Usage: $0 <separator> [list of paths separated] ...\n");
    exit(1);
}

&Usage if (@ARGV < 1);

$Gseparator = shift(@ARGV);
while(@ARGV) {
    push(@args, split(m/$Gseparator/, shift(@ARGV)));
}

while(@args) {
    $_ = shift(@args);
    next if ($_ eq "");

    if (!exists($a{$_})) {
	$a{$_} = 1;
	push(@a, $_);
    } else {
	#print(STDERR "Removing duplicate '$_'\n");
    }
}

print(join("$Gseparator", @a), "\n");
