#ifndef YTYPES_H
#define YTYPES_H

#include <limits.h>
#include <stddef.h>

#define uint unsigned

#ifdef WIN32
# include <winsock2.h>
#endif

#define byte unsigned char 

#define uint8 unsigned char
#define int8 signed char

#define int16 signed short
#define uint16 unsigned short

#if (ULONG_MAX > 0xFFFFFFFFUL)
# define int32 signed int
# define uint32 unsigned int
# define int64 signed long
# define uint64 unsigned long
#else
# define int32 signed long
# define uint32 unsigned long

# if defined(__GNUC__)
#  define int64 signed long long
#  define uint64 unsigned long long
# elif defined(__MWERKS__)
#  define int64 signed long long
#  define uint64 unsigned long long
# elif defined(WIN32)
#  define uint64 unsigned __int64
# endif
#endif

#if defined(COUNTER64)
# if !defined(uint64)
#  error "64 bit ints not available"
# endif
# define COUNTER uint64
# define COUNTER_MAX ULONG_MAX
#else
# define COUNTER uint32
# define COUNTER_MAX UINT_MAX
#endif

#endif /* YTYPES_H */
